/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1260z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1256z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_substitutez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1280z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1254z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	static obj_t BGl_z62dozd2substitutez121251za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1286za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1270z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1276z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1292za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1282za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1284za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1262z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1278z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21288za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1294za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21290za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1264z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1266za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1268z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1258z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1272z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1274z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1829z00zzast_substitutez00,
		BgL_bgl_string1829za700za7za7a1862za7, "do-substitute!1251", 18);
	      DEFINE_STRING(BGl_string1830z00zzast_substitutez00,
		BgL_bgl_string1830za700za7za7a1863za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1832z00zzast_substitutez00,
		BgL_bgl_string1832za700za7za7a1864za7, "do-substitute!", 14);
	      DEFINE_STRING(BGl_string1853z00zzast_substitutez00,
		BgL_bgl_string1853za700za7za7a1865za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string1854z00zzast_substitutez00,
		BgL_bgl_string1854za700za7za7a1866za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string1855z00zzast_substitutez00,
		BgL_bgl_string1855za700za7za7a1867za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string1856z00zzast_substitutez00,
		BgL_bgl_string1856za700za7za7a1868za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string1857z00zzast_substitutez00,
		BgL_bgl_string1857za700za7za7a1869za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string1858z00zzast_substitutez00,
		BgL_bgl_string1858za700za7za7a1870za7,
		"apply funcall set! app do-substitute!1251 value done ", 53);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1871z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7121872z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1873z00,
		BGl_z62dozd2substitutez121251za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1874z00,
		BGl_z62dozd2substitutez12zd2atom1254z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1875z00,
		BGl_z62dozd2substitutez12zd2var1256z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1876z00,
		BGl_z62dozd2substitutez12zd2kwote1258z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1877z00,
		BGl_z62dozd2substitutez12zd2seque1260z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1878z00,
		BGl_z62dozd2substitutez12zd2sync1262z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1879z00,
		BGl_z62dozd2substitutez12zd2app1264z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1880z00,
		BGl_z62dozd2substitutez12zd2appzd2l1266za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1881z00,
		BGl_z62dozd2substitutez12zd2funca1268z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1882z00,
		BGl_z62dozd2substitutez12zd2exter1270z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1883z00,
		BGl_z62dozd2substitutez12zd2cast1272z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1884z00,
		BGl_z62dozd2substitutez12zd2setq1274z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1885z00,
		BGl_z62dozd2substitutez12zd2condi1276z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1886z00,
		BGl_z62dozd2substitutez12zd2fail1278z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1887z00,
		BGl_z62dozd2substitutez12zd2switc1280z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1888z00,
		BGl_z62dozd2substitutez12zd2letzd2f1282za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1889z00,
		BGl_z62dozd2substitutez12zd2letzd2v1284za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1890z00,
		BGl_z62dozd2substitutez12zd2setzd2e1286za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1891z00,
		BGl_z62dozd2substitutez12zd2jumpzd21288za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1892z00,
		BGl_z62dozd2substitutez12zd2makezd21290za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1893z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1292za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1894z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1294za2zzast_substitutez00, 0L, BUNSPEC,
		2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_substitutez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2202, char *BgL_fromz00_2203)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_substitutez00();
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BGl_toplevelzd2initzd2zzast_substitutez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2067;

				{	/* Ast/substitute.scm 14 */
					obj_t BgL_stringz00_2075;

					BgL_stringz00_2075 = BGl_string1858z00zzast_substitutez00;
					{	/* Ast/substitute.scm 14 */
						obj_t BgL_startz00_2076;

						BgL_startz00_2076 = BINT(((long) 0));
						{	/* Ast/substitute.scm 14 */
							obj_t BgL_endz00_2077;

							BgL_endz00_2077 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2075)));
							{	/* Ast/substitute.scm 14 */

								BgL_cportz00_2067 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2075, BgL_startz00_2076, BgL_endz00_2077);
				}}}}
				{
					long BgL_iz00_2068;

					BgL_iz00_2068 = ((long) 6);
				BgL_loopz00_2069:
					if ((BgL_iz00_2068 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg1860z00_2071;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2073;

										BgL_locationz00_2073 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg1860z00_2071 =
												BGl_readz00zz__readerz00(BgL_cportz00_2067,
												BgL_locationz00_2073);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_tmpz00_2231;

									BgL_tmpz00_2231 = (int) (BgL_iz00_2068);
									CNST_TABLE_SET(BgL_tmpz00_2231, BgL_arg1860z00_2071);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2074;

								BgL_auxz00_2074 = (int) ((BgL_iz00_2068 - ((long) 1)));
								{
									long BgL_iz00_2236;

									BgL_iz00_2236 = (long) (BgL_auxz00_2074);
									BgL_iz00_2068 = BgL_iz00_2236;
									goto BgL_loopz00_2069;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1232z00_1347;
				obj_t BgL_ll1233z00_1348;

				BgL_ll1232z00_1347 = BgL_whatza2za2_3;
				BgL_ll1233z00_1348 = BgL_byza2za2_4;
			BgL_zc3anonymousza31327ze3z83_1349:
				if (NULLP(BgL_ll1232z00_1347))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1351;
							obj_t BgL_byz00_1352;

							BgL_whatz00_1351 = CAR(((obj_t) BgL_ll1232z00_1347));
							BgL_byz00_1352 = CAR(((obj_t) BgL_ll1233z00_1348));
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_whatz00_1351)))->
									BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1352), BUNSPEC);
						}
						{	/* Ast/substitute.scm 37 */
							obj_t BgL_arg1349z00_1353;
							obj_t BgL_arg1350z00_1354;

							BgL_arg1349z00_1353 = CDR(((obj_t) BgL_ll1232z00_1347));
							BgL_arg1350z00_1354 = CDR(((obj_t) BgL_ll1233z00_1348));
							{
								obj_t BgL_ll1233z00_2252;
								obj_t BgL_ll1232z00_2251;

								BgL_ll1232z00_2251 = BgL_arg1349z00_1353;
								BgL_ll1233z00_2252 = BgL_arg1350z00_1354;
								BgL_ll1233z00_1348 = BgL_ll1233z00_2252;
								BgL_ll1232z00_1347 = BgL_ll1232z00_2251;
								goto BgL_zc3anonymousza31327ze3z83_1349;
							}
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1356;

				BgL_resz00_1356 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1235z00_1358;

					BgL_l1235z00_1358 = BgL_whatza2za2_3;
				BgL_zc3anonymousza31351ze3z83_1359:
					if (PAIRP(BgL_l1235z00_1358))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1361;

								BgL_whatz00_1361 = CAR(BgL_l1235z00_1358);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_whatz00_1361)))->
										BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								obj_t BgL_l1235z00_2259;

								BgL_l1235z00_2259 = CDR(BgL_l1235z00_1358);
								BgL_l1235z00_1358 = BgL_l1235z00_2259;
								goto BgL_zc3anonymousza31351ze3z83_1359;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1356;
			}
		}
		BGL_FUNCTION_END;
	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_1971, obj_t BgL_whatza2za2_1972, obj_t BgL_byza2za2_1973,
		obj_t BgL_nodez00_1974, obj_t BgL_sitez00_1975)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_1972,
				BgL_byza2za2_1973, ((BgL_nodez00_bglt) BgL_nodez00_1974),
				BgL_sitez00_1975);
		}
		BGL_FUNCTION_END;
	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_51,
		obj_t BgL_sitez00_52)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 274 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_51))
				{	/* Ast/substitute.scm 276 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 276 */
					if (NULLP(CDR(((obj_t) BgL_nodeza2za2_51))))
						{	/* Ast/substitute.scm 278 */
							{	/* Ast/substitute.scm 279 */
								BgL_nodez00_bglt BgL_arg1380z00_1367;

								{	/* Ast/substitute.scm 279 */
									obj_t BgL_arg1383z00_1368;

									BgL_arg1383z00_1368 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1380z00_1367 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1383z00_1368), BgL_sitez00_52);
								}
								{	/* Ast/substitute.scm 279 */
									obj_t BgL_auxz00_2276;
									obj_t BgL_tmpz00_2274;

									BgL_auxz00_2276 = ((obj_t) BgL_arg1380z00_1367);
									BgL_tmpz00_2274 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2274, BgL_auxz00_2276);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 278 */
							{	/* Ast/substitute.scm 282 */
								BgL_nodez00_bglt BgL_arg1394z00_1369;

								{	/* Ast/substitute.scm 282 */
									obj_t BgL_arg1398z00_1370;

									BgL_arg1398z00_1370 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1394z00_1369 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1398z00_1370),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 282 */
									obj_t BgL_auxz00_2287;
									obj_t BgL_tmpz00_2285;

									BgL_auxz00_2287 = ((obj_t) BgL_arg1394z00_1369);
									BgL_tmpz00_2285 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2285, BgL_auxz00_2287);
							}}
							{	/* Ast/substitute.scm 283 */
								obj_t BgL_arg1399z00_1371;

								BgL_arg1399z00_1371 = CDR(((obj_t) BgL_nodeza2za2_51));
								{
									obj_t BgL_nodeza2za2_2292;

									BgL_nodeza2za2_2292 = BgL_arg1399z00_1371;
									BgL_nodeza2za2_51 = BgL_nodeza2za2_2292;
									goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
								}
							}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc1828z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string1829z00zzast_substitutez00);
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!1251 */
	obj_t BGl_z62dozd2substitutez121251za2zzast_substitutez00(obj_t
		BgL_envz00_1977, obj_t BgL_nodez00_1978, obj_t BgL_sitez00_1979)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 52 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
				BGl_string1830z00zzast_substitutez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1978)));
		}
		BGL_FUNCTION_END;
	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1252z00_1378;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res1809z00_1852;

					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_1825;

						{	/* Ast/substitute.scm 52 */
							long BgL_res1803z00_1828;

							BgL_res1803z00_1828 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
							BgL_objzd2classzd2numz00_1825 = BgL_res1803z00_1828;
						}
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg1725z00_1826;

							BgL_arg1725z00_1826 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (((long) 1)));
							{	/* Ast/substitute.scm 52 */
								int BgL_offsetz00_1830;

								BgL_offsetz00_1830 = (int) (BgL_objzd2classzd2numz00_1825);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_1831;

									BgL_offsetz00_1831 =
										((long) (BgL_offsetz00_1830) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_1832;

										{	/* Ast/substitute.scm 52 */
											int BgL_arg1727z00_1833;

											BgL_arg1727z00_1833 = (int) (((long) 16));
											{	/* Ast/substitute.scm 52 */
												long BgL_res1806z00_1843;

												{	/* Ast/substitute.scm 52 */
													long BgL_tmpz00_2306;

													BgL_tmpz00_2306 = (long) (BgL_arg1727z00_1833);
													BgL_res1806z00_1843 =
														(BgL_offsetz00_1831 / BgL_tmpz00_2306);
												}
												BgL_modz00_1832 = BgL_res1806z00_1843;
										}}
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_1834;

											{	/* Ast/substitute.scm 52 */
												int BgL_arg1726z00_1835;

												BgL_arg1726z00_1835 = (int) (((long) 16));
												{	/* Ast/substitute.scm 52 */
													long BgL_res1808z00_1847;

													{	/* Ast/substitute.scm 52 */
														long BgL_tmpz00_2310;

														BgL_tmpz00_2310 = (long) (BgL_arg1726z00_1835);
														BgL_res1808z00_1847 =
															(BgL_offsetz00_1831 % BgL_tmpz00_2310);
													}
													BgL_restz00_1834 = BgL_res1808z00_1847;
											}}
											{	/* Ast/substitute.scm 52 */

												{	/* Ast/substitute.scm 52 */
													obj_t BgL_bucketz00_1836;

													BgL_bucketz00_1836 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_1826), BgL_modz00_1832);
													BgL_res1809z00_1852 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1836), BgL_restz00_1834);
					}}}}}}}}
					BgL_method1252z00_1378 = BgL_res1809z00_1852;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1252z00_1378) (BgL_method1252z00_1378,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_1980, obj_t BgL_nodez00_1981, obj_t BgL_sitez00_1982)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_1981), BgL_sitez00_1982);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc1831z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc1833z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1834z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1835z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_syncz00zzast_nodez00, BGl_proc1836z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc1837z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1838z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1839z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc1840z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc1841z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc1842z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1843z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc1844z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_switchz00zzast_nodez00, BGl_proc1845z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1846z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1847z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1848z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1849z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1850z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1851z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1852z00zzast_substitutez00,
				BGl_string1832z00zzast_substitutez00);
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-box-s1294 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1294za2zzast_substitutez00(obj_t
		BgL_envz00_2004, obj_t BgL_nodez00_2005, obj_t BgL_sitez00_2006)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 266 */
			{	/* Ast/substitute.scm 267 */
				BgL_nodez00_bglt BgL_arg1730z00_2082;

				{	/* Ast/substitute.scm 267 */
					BgL_varz00_bglt BgL_arg1731z00_2083;

					BgL_arg1731z00_2083 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2005)))->BgL_varz00);
					BgL_arg1730z00_2082 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1731z00_2083),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2005)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1730z00_2082)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 268 */
				BgL_nodez00_bglt BgL_arg1732z00_2084;

				{	/* Ast/substitute.scm 268 */
					BgL_nodez00_bglt BgL_arg1734z00_2085;

					BgL_arg1734z00_2085 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2005)))->BgL_valuez00);
					BgL_arg1732z00_2084 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1734z00_2085,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2005)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1732z00_2084), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2005));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-box-r1292 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1292za2zzast_substitutez00(obj_t
		BgL_envz00_2007, obj_t BgL_nodez00_2008, obj_t BgL_sitez00_2009)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 259 */
			{	/* Ast/substitute.scm 260 */
				BgL_nodez00_bglt BgL_arg1720z00_2087;

				{	/* Ast/substitute.scm 260 */
					BgL_varz00_bglt BgL_arg1721z00_2088;

					BgL_arg1721z00_2088 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2008)))->BgL_varz00);
					BgL_arg1720z00_2087 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1721z00_2088),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2008)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1720z00_2087)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2008));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-make-1290 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21290za2zzast_substitutez00(obj_t
		BgL_envz00_2010, obj_t BgL_nodez00_2011, obj_t BgL_sitez00_2012)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 252 */
			{	/* Ast/substitute.scm 253 */
				BgL_nodez00_bglt BgL_arg1707z00_2090;

				{	/* Ast/substitute.scm 253 */
					BgL_nodez00_bglt BgL_arg1714z00_2091;

					BgL_arg1714z00_2091 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2011)))->BgL_valuez00);
					BgL_arg1707z00_2090 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1714z00_2091,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2011)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1707z00_2090), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2011));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-jump-1288 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21288za2zzast_substitutez00(obj_t
		BgL_envz00_2013, obj_t BgL_nodez00_2014, obj_t BgL_sitez00_2015)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 244 */
			{	/* Ast/substitute.scm 245 */
				BgL_nodez00_bglt BgL_arg1694z00_2093;

				{	/* Ast/substitute.scm 245 */
					BgL_nodez00_bglt BgL_arg1697z00_2094;

					BgL_arg1697z00_2094 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2014)))->BgL_exitz00);
					BgL_arg1694z00_2093 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1697z00_2094,
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2014)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg1694z00_2093), BUNSPEC);
			}
			{	/* Ast/substitute.scm 246 */
				BgL_nodez00_bglt BgL_arg1698z00_2095;

				{	/* Ast/substitute.scm 246 */
					BgL_nodez00_bglt BgL_arg1701z00_2096;

					BgL_arg1701z00_2096 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2014)))->
						BgL_valuez00);
					BgL_arg1698z00_2095 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1701z00_2096,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2014)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_arg1698z00_2095), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2014));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-set-e1286 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1286za2zzast_substitutez00(obj_t
		BgL_envz00_2016, obj_t BgL_nodez00_2017, obj_t BgL_sitez00_2018)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 237 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2017)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2017)))->BgL_bodyz00), BgL_sitez00_2018)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2017));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-let-v1284 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1284za2zzast_substitutez00(obj_t
		BgL_envz00_2019, obj_t BgL_nodez00_2020, obj_t BgL_sitez00_2021)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 227 */
			{	/* Ast/substitute.scm 228 */
				obj_t BgL_g1250z00_2099;

				BgL_g1250z00_2099 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2020)))->BgL_bindingsz00);
				{
					obj_t BgL_l1248z00_2101;

					BgL_l1248z00_2101 = BgL_g1250z00_2099;
				BgL_zc3anonymousza31671ze3z83_2100:
					if (PAIRP(BgL_l1248z00_2101))
						{	/* Ast/substitute.scm 230 */
							{	/* Ast/substitute.scm 229 */
								obj_t BgL_bindingz00_2102;

								BgL_bindingz00_2102 = CAR(BgL_l1248z00_2101);
								{	/* Ast/substitute.scm 229 */
									BgL_nodez00_bglt BgL_arg1674z00_2103;

									{	/* Ast/substitute.scm 229 */
										obj_t BgL_arg1675z00_2104;

										BgL_arg1675z00_2104 = CDR(((obj_t) BgL_bindingz00_2102));
										BgL_arg1674z00_2103 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1675z00_2104),
											CNST_TABLE_REF(((long) 1)));
									}
									{	/* Ast/substitute.scm 229 */
										obj_t BgL_auxz00_2414;
										obj_t BgL_tmpz00_2412;

										BgL_auxz00_2414 = ((obj_t) BgL_arg1674z00_2103);
										BgL_tmpz00_2412 = ((obj_t) BgL_bindingz00_2102);
										SET_CDR(BgL_tmpz00_2412, BgL_auxz00_2414);
							}}}
							{
								obj_t BgL_l1248z00_2417;

								BgL_l1248z00_2417 = CDR(BgL_l1248z00_2101);
								BgL_l1248z00_2101 = BgL_l1248z00_2417;
								goto BgL_zc3anonymousza31671ze3z83_2100;
							}
						}
					else
						{	/* Ast/substitute.scm 230 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2020)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2020)))->
							BgL_bodyz00), BgL_sitez00_2021)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2020));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-let-f1282 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1282za2zzast_substitutez00(obj_t
		BgL_envz00_2022, obj_t BgL_nodez00_2023, obj_t BgL_sitez00_2024)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 215 */
			{	/* Ast/substitute.scm 216 */
				obj_t BgL_g1247z00_2106;

				BgL_g1247z00_2106 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2023)))->BgL_localsz00);
				{
					obj_t BgL_l1245z00_2108;

					BgL_l1245z00_2108 = BgL_g1247z00_2106;
				BgL_zc3anonymousza31659ze3z83_2107:
					if (PAIRP(BgL_l1245z00_2108))
						{	/* Ast/substitute.scm 220 */
							{	/* Ast/substitute.scm 217 */
								obj_t BgL_localz00_2109;

								BgL_localz00_2109 = CAR(BgL_l1245z00_2108);
								{	/* Ast/substitute.scm 217 */
									BgL_valuez00_bglt BgL_funz00_2110;

									BgL_funz00_2110 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2109))))->
										BgL_valuez00);
									{	/* Ast/substitute.scm 218 */
										BgL_nodez00_bglt BgL_arg1661z00_2111;

										{	/* Ast/substitute.scm 218 */
											obj_t BgL_arg1663z00_2112;

											BgL_arg1663z00_2112 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2110)))->
												BgL_bodyz00);
											BgL_arg1661z00_2111 =
												BGl_dozd2substitutez12zc0zzast_substitutez00((
													(BgL_nodez00_bglt) BgL_arg1663z00_2112),
												CNST_TABLE_REF(((long) 1)));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2110)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1661z00_2111)), BUNSPEC);
							}}}
							{
								obj_t BgL_l1245z00_2442;

								BgL_l1245z00_2442 = CDR(BgL_l1245z00_2108);
								BgL_l1245z00_2108 = BgL_l1245z00_2442;
								goto BgL_zc3anonymousza31659ze3z83_2107;
							}
						}
					else
						{	/* Ast/substitute.scm 220 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2023)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2023)))->
							BgL_bodyz00), BgL_sitez00_2024)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2023));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-switc1280 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1280z70zzast_substitutez00(obj_t
		BgL_envz00_2025, obj_t BgL_nodez00_2026, obj_t BgL_sitez00_2027)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 205 */
			{	/* Ast/substitute.scm 206 */
				BgL_nodez00_bglt BgL_arg1644z00_2114;

				{	/* Ast/substitute.scm 206 */
					BgL_nodez00_bglt BgL_arg1651z00_2115;

					BgL_arg1651z00_2115 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2026)))->BgL_testz00);
					BgL_arg1644z00_2114 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1651z00_2115,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2026)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_arg1644z00_2114), BUNSPEC);
			}
			{	/* Ast/substitute.scm 207 */
				obj_t BgL_g1244z00_2116;

				BgL_g1244z00_2116 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2026)))->BgL_clausesz00);
				{
					obj_t BgL_l1242z00_2118;

					BgL_l1242z00_2118 = BgL_g1244z00_2116;
				BgL_zc3anonymousza31652ze3z83_2117:
					if (PAIRP(BgL_l1242z00_2118))
						{	/* Ast/substitute.scm 209 */
							{	/* Ast/substitute.scm 208 */
								obj_t BgL_clausez00_2119;

								BgL_clausez00_2119 = CAR(BgL_l1242z00_2118);
								{	/* Ast/substitute.scm 208 */
									BgL_nodez00_bglt BgL_arg1656z00_2120;

									{	/* Ast/substitute.scm 208 */
										obj_t BgL_arg1657z00_2121;

										BgL_arg1657z00_2121 = CDR(((obj_t) BgL_clausez00_2119));
										BgL_arg1656z00_2120 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1657z00_2121),
											BgL_sitez00_2027);
									}
									{	/* Ast/substitute.scm 208 */
										obj_t BgL_auxz00_2468;
										obj_t BgL_tmpz00_2466;

										BgL_auxz00_2468 = ((obj_t) BgL_arg1656z00_2120);
										BgL_tmpz00_2466 = ((obj_t) BgL_clausez00_2119);
										SET_CDR(BgL_tmpz00_2466, BgL_auxz00_2468);
									}
								}
							}
							{
								obj_t BgL_l1242z00_2471;

								BgL_l1242z00_2471 = CDR(BgL_l1242z00_2118);
								BgL_l1242z00_2118 = BgL_l1242z00_2471;
								goto BgL_zc3anonymousza31652ze3z83_2117;
							}
						}
					else
						{	/* Ast/substitute.scm 209 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2026));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-fail1278 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1278z70zzast_substitutez00(obj_t
		BgL_envz00_2028, obj_t BgL_nodez00_2029, obj_t BgL_sitez00_2030)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 195 */
			{
				BgL_nodez00_bglt BgL_auxz00_2475;

				{	/* Ast/substitute.scm 197 */
					BgL_nodez00_bglt BgL_arg1641z00_2123;

					BgL_arg1641z00_2123 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_procz00);
					BgL_auxz00_2475 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1641z00_2123,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2475), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2482;

				{	/* Ast/substitute.scm 198 */
					BgL_nodez00_bglt BgL_arg1642z00_2124;

					BgL_arg1642z00_2124 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_msgz00);
					BgL_auxz00_2482 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1642z00_2124,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2482), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2489;

				{	/* Ast/substitute.scm 199 */
					BgL_nodez00_bglt BgL_arg1643z00_2125;

					BgL_arg1643z00_2125 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_objz00);
					BgL_auxz00_2489 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1643z00_2125,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2029)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2489), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2029));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-condi1276 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1276z70zzast_substitutez00(obj_t
		BgL_envz00_2031, obj_t BgL_nodez00_2032, obj_t BgL_sitez00_2033)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 185 */
			{
				BgL_nodez00_bglt BgL_auxz00_2498;

				{	/* Ast/substitute.scm 187 */
					BgL_nodez00_bglt BgL_arg1637z00_2127;

					BgL_arg1637z00_2127 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_testz00);
					BgL_auxz00_2498 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1637z00_2127,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2498), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2505;

				{	/* Ast/substitute.scm 188 */
					BgL_nodez00_bglt BgL_arg1638z00_2128;

					BgL_arg1638z00_2128 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_truez00);
					BgL_auxz00_2505 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1638z00_2128,
						BgL_sitez00_2033);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2505), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2511;

				{	/* Ast/substitute.scm 189 */
					BgL_nodez00_bglt BgL_arg1640z00_2129;

					BgL_arg1640z00_2129 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_falsez00);
					BgL_auxz00_2511 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1640z00_2129,
						BgL_sitez00_2033);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2032)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2511), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2032));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-setq1274 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1274z70zzast_substitutez00(obj_t
		BgL_envz00_2034, obj_t BgL_nodez00_2035, obj_t BgL_sitez00_2036)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 176 */
			{
				BgL_varz00_bglt BgL_auxz00_2519;

				{	/* Ast/substitute.scm 178 */
					BgL_varz00_bglt BgL_arg1628z00_2131;

					BgL_arg1628z00_2131 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2035)))->BgL_varz00);
					BgL_auxz00_2519 =
						((BgL_varz00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1628z00_2131),
							CNST_TABLE_REF(((long) 4))));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2035)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2519), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2528;

				{	/* Ast/substitute.scm 179 */
					BgL_nodez00_bglt BgL_arg1629z00_2132;

					BgL_arg1629z00_2132 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2035)))->BgL_valuez00);
					BgL_auxz00_2528 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1629z00_2132,
						BgL_sitez00_2036);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2035)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2528), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2035));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-cast1272 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1272z70zzast_substitutez00(obj_t
		BgL_envz00_2037, obj_t BgL_nodez00_2038, obj_t BgL_sitez00_2039)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 169 */
			BGl_dozd2substitutez12zc0zzast_substitutez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2038)))->BgL_argz00),
				BgL_sitez00_2039);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2038));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-exter1270 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1270z70zzast_substitutez00(obj_t
		BgL_envz00_2040, obj_t BgL_nodez00_2041, obj_t BgL_sitez00_2042)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 162 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2041)))->BgL_exprza2za2),
				BgL_sitez00_2042);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2041));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-funca1268 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1268z70zzast_substitutez00(obj_t
		BgL_envz00_2043, obj_t BgL_nodez00_2044, obj_t BgL_sitez00_2045)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 140 */
			{	/* Ast/substitute.scm 142 */
				BgL_nodez00_bglt BgL_nfunz00_2136;
				obj_t BgL_nargsz00_2137;

				{	/* Ast/substitute.scm 142 */
					BgL_nodez00_bglt BgL_arg1613z00_2138;

					BgL_arg1613z00_2138 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2044)))->BgL_funz00);
					BgL_nfunz00_2136 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1613z00_2138,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 143 */
					obj_t BgL_l1237z00_2139;

					BgL_l1237z00_2139 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2044)))->BgL_argsz00);
					if (NULLP(BgL_l1237z00_2139))
						{	/* Ast/substitute.scm 143 */
							BgL_nargsz00_2137 = BNIL;
						}
					else
						{	/* Ast/substitute.scm 143 */
							obj_t BgL_head1239z00_2140;

							{	/* Ast/substitute.scm 143 */
								obj_t BgL_res1819z00_2141;

								BgL_res1819z00_2141 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1239z00_2140 = BgL_res1819z00_2141;
							}
							{
								obj_t BgL_l1237z00_2143;
								obj_t BgL_tail1240z00_2144;

								BgL_l1237z00_2143 = BgL_l1237z00_2139;
								BgL_tail1240z00_2144 = BgL_head1239z00_2140;
							BgL_zc3anonymousza31616ze3z83_2142:
								if (NULLP(BgL_l1237z00_2143))
									{	/* Ast/substitute.scm 143 */
										BgL_nargsz00_2137 = CDR(BgL_head1239z00_2140);
									}
								else
									{	/* Ast/substitute.scm 143 */
										obj_t BgL_newtail1241z00_2145;

										{	/* Ast/substitute.scm 143 */
											BgL_nodez00_bglt BgL_arg1620z00_2146;

											{	/* Ast/substitute.scm 143 */
												obj_t BgL_az00_2147;

												BgL_az00_2147 = CAR(((obj_t) BgL_l1237z00_2143));
												BgL_arg1620z00_2146 =
													BGl_dozd2substitutez12zc0zzast_substitutez00(
													((BgL_nodez00_bglt) BgL_az00_2147),
													CNST_TABLE_REF(((long) 1)));
											}
											{	/* Ast/substitute.scm 143 */
												obj_t BgL_res1821z00_2148;

												BgL_res1821z00_2148 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1620z00_2146), BNIL);
												BgL_newtail1241z00_2145 = BgL_res1821z00_2148;
										}}
										SET_CDR(BgL_tail1240z00_2144, BgL_newtail1241z00_2145);
										{	/* Ast/substitute.scm 143 */
											obj_t BgL_arg1619z00_2149;

											BgL_arg1619z00_2149 = CDR(((obj_t) BgL_l1237z00_2143));
											{
												obj_t BgL_tail1240z00_2569;
												obj_t BgL_l1237z00_2568;

												BgL_l1237z00_2568 = BgL_arg1619z00_2149;
												BgL_tail1240z00_2569 = BgL_newtail1241z00_2145;
												BgL_tail1240z00_2144 = BgL_tail1240z00_2569;
												BgL_l1237z00_2143 = BgL_l1237z00_2568;
												goto BgL_zc3anonymousza31616ze3z83_2142;
											}
										}
									}
							}
						}
				}
				{	/* Ast/substitute.scm 144 */
					bool_t BgL_testz00_2570;

					{	/* Ast/substitute.scm 144 */
						bool_t BgL_testz00_2571;

						{	/* Ast/substitute.scm 144 */
							bool_t BgL_res1822z00_2150;

							BgL_res1822z00_2150 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_nfunz00_2136), BGl_closurez00zzast_nodez00);
							BgL_testz00_2571 = BgL_res1822z00_2150;
						}
						if (BgL_testz00_2571)
							{	/* Ast/substitute.scm 144 */
								BgL_testz00_2570 = ((bool_t) 1);
							}
						else
							{	/* Ast/substitute.scm 145 */
								bool_t BgL_testz00_2574;

								{	/* Ast/substitute.scm 145 */
									bool_t BgL_res1823z00_2151;

									BgL_res1823z00_2151 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_nfunz00_2136), BGl_varz00zzast_nodez00);
									BgL_testz00_2574 = BgL_res1823z00_2151;
								}
								if (BgL_testz00_2574)
									{	/* Ast/substitute.scm 146 */
										BgL_valuez00_bglt BgL_arg1608z00_2152;

										BgL_arg1608z00_2152 =
											(((BgL_variablez00_bglt) COBJECT(
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nfunz00_2136)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Ast/substitute.scm 146 */
											bool_t BgL_res1824z00_2153;

											BgL_res1824z00_2153 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1608z00_2152), BGl_funz00zzast_varz00);
											BgL_testz00_2570 = BgL_res1824z00_2153;
										}
									}
								else
									{	/* Ast/substitute.scm 145 */
										BgL_testz00_2570 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_2570)
						{	/* Ast/substitute.scm 147 */
							bool_t BgL_testz00_2582;

							{	/* Ast/substitute.scm 147 */
								BgL_variablez00_bglt BgL_arg1600z00_2154;
								obj_t BgL_arg1603z00_2155;

								BgL_arg1600z00_2154 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nfunz00_2136)))->BgL_variablez00);
								BgL_arg1603z00_2155 = CDR(((obj_t) BgL_nargsz00_2137));
								BgL_testz00_2582 =
									BGl_correctzd2arityzd2appzf3zf3zzast_appz00
									(BgL_arg1600z00_2154, BgL_arg1603z00_2155);
							}
							if (BgL_testz00_2582)
								{	/* Ast/substitute.scm 149 */
									obj_t BgL_arg1586z00_2156;
									obj_t BgL_arg1588z00_2157;

									BgL_arg1586z00_2156 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2044))))->
										BgL_locz00);
									BgL_arg1588z00_2157 = CDR(((obj_t) BgL_nargsz00_2137));
									return
										BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
										BgL_arg1586z00_2156, CNST_TABLE_REF(((long) 5)),
										((BgL_varz00_bglt) BgL_nfunz00_2136), BgL_arg1588z00_2157);
								}
							else
								{	/* Ast/substitute.scm 150 */
									obj_t BgL_arg1589z00_2158;
									obj_t BgL_arg1597z00_2159;

									BgL_arg1589z00_2158 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2044))))->
										BgL_locz00);
									BgL_arg1597z00_2159 =
										BGl_shapez00zztools_shapez00(((obj_t) ((BgL_funcallz00_bglt)
												BgL_nodez00_2044)));
									return ((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1589z00_2158, BGl_string1853z00zzast_substitutez00,
											BGl_string1854z00zzast_substitutez00, BgL_arg1597z00_2159,
											BNIL));
								}
						}
					else
						{	/* Ast/substitute.scm 144 */
							((((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_2044)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2136), BUNSPEC);
							((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
												BgL_nodez00_2044)))->BgL_argsz00) =
								((obj_t) BgL_nargsz00_2137), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_2044));
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-app-l1266 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1266za2zzast_substitutez00(obj_t
		BgL_envz00_2046, obj_t BgL_nodez00_2047, obj_t BgL_sitez00_2048)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 121 */
			{	/* Ast/substitute.scm 123 */
				BgL_nodez00_bglt BgL_nfunz00_2161;
				BgL_nodez00_bglt BgL_nargz00_2162;

				{	/* Ast/substitute.scm 123 */
					BgL_nodez00_bglt BgL_arg1555z00_2163;

					BgL_arg1555z00_2163 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2047)))->BgL_funz00);
					BgL_nfunz00_2161 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1555z00_2163,
						CNST_TABLE_REF(((long) 6)));
				}
				{	/* Ast/substitute.scm 124 */
					BgL_nodez00_bglt BgL_arg1558z00_2164;

					BgL_arg1558z00_2164 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2047)))->BgL_argz00);
					BgL_nargz00_2162 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1558z00_2164,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 125 */
					bool_t BgL_testz00_2618;

					{	/* Ast/substitute.scm 125 */
						bool_t BgL_testz00_2619;

						{	/* Ast/substitute.scm 125 */
							bool_t BgL_res1816z00_2165;

							BgL_res1816z00_2165 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_nfunz00_2161), BGl_closurez00zzast_nodez00);
							BgL_testz00_2619 = BgL_res1816z00_2165;
						}
						if (BgL_testz00_2619)
							{	/* Ast/substitute.scm 126 */
								bool_t BgL_testz00_2622;

								{	/* Ast/substitute.scm 126 */
									BgL_variablez00_bglt BgL_arg1547z00_2166;

									BgL_arg1547z00_2166 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nfunz00_2161)))->
										BgL_variablez00);
									BgL_testz00_2622 =
										BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
											BgL_arg1547z00_2166));
								}
								if (BgL_testz00_2622)
									{	/* Ast/substitute.scm 126 */
										BgL_testz00_2618 = ((bool_t) 0);
									}
								else
									{	/* Ast/substitute.scm 127 */
										bool_t BgL_testz00_2627;

										{	/* Ast/substitute.scm 127 */
											BgL_variablez00_bglt BgL_arg1542z00_2167;

											BgL_arg1542z00_2167 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nfunz00_2161)))->
												BgL_variablez00);
											BgL_testz00_2627 =
												BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
													BgL_arg1542z00_2167));
										}
										if (BgL_testz00_2627)
											{	/* Ast/substitute.scm 127 */
												BgL_testz00_2618 = ((bool_t) 0);
											}
										else
											{	/* Ast/substitute.scm 127 */
												BgL_testz00_2618 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Ast/substitute.scm 125 */
								BgL_testz00_2618 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2618)
						{	/* Ast/substitute.scm 128 */
							obj_t BgL_arg1537z00_2168;
							BgL_varz00_bglt BgL_arg1538z00_2169;

							BgL_arg1537z00_2168 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2047))))->BgL_locz00);
							{	/* Ast/substitute.scm 128 */
								BgL_nodez00_bglt BgL_duplicated1111z00_2170;
								BgL_varz00_bglt BgL_new1109z00_2171;

								BgL_duplicated1111z00_2170 = BgL_nfunz00_2161;
								{	/* Ast/substitute.scm 128 */
									BgL_varz00_bglt BgL_new1113z00_2172;

									BgL_new1113z00_2172 =
										((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Ast/substitute.scm 128 */
										long BgL_arg1539z00_2173;

										{	/* Ast/substitute.scm 128 */
											long BgL_res1817z00_2174;

											BgL_res1817z00_2174 =
												BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
											BgL_arg1539z00_2173 = BgL_res1817z00_2174;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1113z00_2172),
											BgL_arg1539z00_2173);
									}
									BgL_new1109z00_2171 = BgL_new1113z00_2172;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1109z00_2171)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												COBJECT(BgL_duplicated1111z00_2170))->BgL_locz00)),
									BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1109z00_2171)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_duplicated1111z00_2170))->BgL_typez00)),
									BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(BgL_new1109z00_2171))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt)
														BgL_duplicated1111z00_2170)))->BgL_variablez00)),
									BUNSPEC);
								BgL_arg1538z00_2169 = BgL_new1109z00_2171;
							}
							return
								BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
								BgL_arg1537z00_2168, ((BgL_nodez00_bglt) BgL_arg1538z00_2169),
								BgL_nargz00_2162, BgL_sitez00_2048);
						}
					else
						{	/* Ast/substitute.scm 125 */
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2047)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2161), BUNSPEC);
							((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
												BgL_nodez00_2047)))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_nargz00_2162), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt)
									BgL_nodez00_2047));
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-app1264 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1264z70zzast_substitutez00(obj_t
		BgL_envz00_2049, obj_t BgL_nodez00_2050, obj_t BgL_sitez00_2051)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 113 */
			{	/* Ast/substitute.scm 114 */
				BgL_nodez00_bglt BgL_arg1510z00_2176;

				{	/* Ast/substitute.scm 114 */
					BgL_varz00_bglt BgL_arg1513z00_2177;

					BgL_arg1513z00_2177 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2050)))->BgL_funz00);
					BgL_arg1510z00_2176 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1513z00_2177),
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2050)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1510z00_2176)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 115 */
				obj_t BgL_arg1516z00_2178;

				BgL_arg1516z00_2178 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2050)))->BgL_argsz00);
				BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1516z00_2178,
					CNST_TABLE_REF(((long) 1)));
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2050));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-sync1262 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1262z70zzast_substitutez00(obj_t
		BgL_envz00_2052, obj_t BgL_nodez00_2053, obj_t BgL_sitez00_2054)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 104 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2053)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2053)))->BgL_mutexz00),
						BgL_sitez00_2054)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2053)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2053)))->
							BgL_prelockz00), BgL_sitez00_2054)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2053)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2053)))->BgL_bodyz00),
						BgL_sitez00_2054)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2053));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-seque1260 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1260z70zzast_substitutez00(obj_t
		BgL_envz00_2055, obj_t BgL_nodez00_2056, obj_t BgL_sitez00_2057)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 97 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2056)))->BgL_nodesz00),
				BgL_sitez00_2057);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2056));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-kwote1258 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1258z70zzast_substitutez00(obj_t
		BgL_envz00_2058, obj_t BgL_nodez00_2059, obj_t BgL_sitez00_2060)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2059));
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-var1256 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1256z70zzast_substitutez00(obj_t
		BgL_envz00_2061, obj_t BgL_nodez00_2062, obj_t BgL_sitez00_2063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 63 */
			{	/* Ast/substitute.scm 64 */
				BgL_variablez00_bglt BgL_varz00_2183;

				BgL_varz00_2183 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2062)))->BgL_variablez00);
				{	/* Ast/substitute.scm 64 */
					obj_t BgL_alphaz00_2184;

					BgL_alphaz00_2184 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2183))->
						BgL_fastzd2alphazd2);
					{	/* Ast/substitute.scm 65 */

						{
							obj_t BgL_alphaz00_2186;

							{
								obj_t BgL_auxz00_2697;

								BgL_alphaz00_2186 = BgL_alphaz00_2184;
							BgL_loopz00_2185:
								if ((BgL_alphaz00_2186 == BUNSPEC))
									{	/* Ast/substitute.scm 68 */
										BgL_auxz00_2697 =
											((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2062));
									}
								else
									{	/* Ast/substitute.scm 68 */
										if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2186,
												BGl_varz00zzast_nodez00))
											{	/* Ast/substitute.scm 71 */
												BgL_variablez00_bglt BgL_arg1421z00_2187;

												BgL_arg1421z00_2187 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_alphaz00_2186)))->
													BgL_variablez00);
												{
													obj_t BgL_alphaz00_2706;

													BgL_alphaz00_2706 = ((obj_t) BgL_arg1421z00_2187);
													BgL_alphaz00_2186 = BgL_alphaz00_2706;
													goto BgL_loopz00_2185;
												}
											}
										else
											{	/* Ast/substitute.scm 70 */
												if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2186,
														BGl_variablez00zzast_varz00))
													{	/* Ast/substitute.scm 72 */
														{	/* Ast/substitute.scm 73 */
															obj_t BgL_arg1433z00_2188;

															BgL_arg1433z00_2188 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_varz00_bglt) BgL_nodez00_2062))))->
																BgL_locz00);
															BGl_usezd2variablez12zc0zzast_sexpz00((
																	(BgL_variablez00_bglt) BgL_alphaz00_2186),
																BgL_arg1433z00_2188, BgL_sitez00_2063);
														}
														{	/* Ast/substitute.scm 74 */
															bool_t BgL_testz00_2715;

															{	/* Ast/substitute.scm 74 */
																bool_t BgL_testz00_2716;

																{	/* Ast/substitute.scm 74 */
																	BgL_valuez00_bglt BgL_arg1483z00_2189;

																	BgL_arg1483z00_2189 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_2186)))->BgL_valuez00);
																	{	/* Ast/substitute.scm 74 */
																		bool_t BgL_res1812z00_2190;

																		BgL_res1812z00_2190 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_arg1483z00_2189),
																			BGl_funz00zzast_varz00);
																		BgL_testz00_2716 = BgL_res1812z00_2190;
																	}
																}
																if (BgL_testz00_2716)
																	{	/* Ast/substitute.scm 74 */
																		if (
																			(BgL_sitez00_2063 ==
																				CNST_TABLE_REF(((long) 3))))
																			{	/* Ast/substitute.scm 74 */
																				BgL_testz00_2715 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/substitute.scm 74 */
																				BgL_testz00_2715 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/substitute.scm 74 */
																		BgL_testz00_2715 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_2715)
																{	/* Ast/substitute.scm 75 */
																	BgL_closurez00_bglt BgL_new1105z00_2191;

																	{	/* Ast/substitute.scm 76 */
																		BgL_closurez00_bglt BgL_new1104z00_2192;

																		BgL_new1104z00_2192 =
																			((BgL_closurez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_closurez00_bgl))));
																		{	/* Ast/substitute.scm 76 */
																			long BgL_arg1478z00_2193;

																			{	/* Ast/substitute.scm 76 */
																				long BgL_res1813z00_2194;

																				BgL_res1813z00_2194 =
																					BGL_CLASS_INDEX
																					(BGl_closurez00zzast_nodez00);
																				BgL_arg1478z00_2193 =
																					BgL_res1813z00_2194;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1104z00_2192),
																				BgL_arg1478z00_2193);
																		}
																		BgL_new1105z00_2191 = BgL_new1104z00_2192;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1105z00_2191)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2062))))->
																				BgL_locz00)), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_2733;

																		{	/* Ast/substitute.scm 77 */
																			BgL_typez00_bglt BgL_arg1475z00_2195;

																			BgL_arg1475z00_2195 =
																				(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							((BgL_varz00_bglt)
																								BgL_nodez00_2062))))->
																				BgL_typez00);
																			BgL_auxz00_2733 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00),
																				BgL_arg1475z00_2195);
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1105z00_2191)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_2733),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_new1105z00_2191)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2186)), BUNSPEC);
																	BgL_auxz00_2697 =
																		((obj_t) BgL_new1105z00_2191);
																}
															else
																{	/* Ast/substitute.scm 79 */
																	BgL_varz00_bglt BgL_new1107z00_2196;

																	{	/* Ast/substitute.scm 80 */
																		BgL_varz00_bglt BgL_new1106z00_2197;

																		BgL_new1106z00_2197 =
																			((BgL_varz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Ast/substitute.scm 80 */
																			long BgL_arg1481z00_2198;

																			{	/* Ast/substitute.scm 80 */
																				long BgL_res1814z00_2199;

																				BgL_res1814z00_2199 =
																					BGL_CLASS_INDEX
																					(BGl_varz00zzast_nodez00);
																				BgL_arg1481z00_2198 =
																					BgL_res1814z00_2199;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1106z00_2197),
																				BgL_arg1481z00_2198);
																		}
																		BgL_new1107z00_2196 = BgL_new1106z00_2197;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1107z00_2196)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2062))))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1107z00_2196)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2062))))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(BgL_new1107z00_2196))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2186)), BUNSPEC);
																	BgL_auxz00_2697 =
																		((obj_t) BgL_new1107z00_2196);
													}}}
												else
													{	/* Ast/substitute.scm 72 */
														if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2186,
																BGl_atomz00zzast_nodez00))
															{	/* Ast/substitute.scm 83 */
																BgL_auxz00_2697 = BgL_alphaz00_2186;
															}
														else
															{	/* Ast/substitute.scm 86 */
																obj_t BgL_arg1485z00_2200;

																BgL_arg1485z00_2200 =
																	BGl_shapez00zztools_shapez00(
																	((obj_t)
																		((BgL_varz00_bglt) BgL_nodez00_2062)));
																BgL_auxz00_2697 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string1855z00zzast_substitutez00,
																	BGl_string1856z00zzast_substitutez00,
																	BgL_arg1485z00_2200);
															}
													}
											}
									}
								return ((BgL_nodez00_bglt) BgL_auxz00_2697);
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &do-substitute!-atom1254 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1254z70zzast_substitutez00(obj_t
		BgL_envz00_2064, obj_t BgL_nodez00_2065, obj_t BgL_sitez00_2066)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2065));
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1857z00zzast_substitutez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
