/*===========================================================================*/
/*   (Cnst/initialize.scm)                                                   */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cnst/initialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;


	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	static obj_t BGl_objectzd2initzd2zzcnst_initializa7eza7();
	extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7();
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t,
		obj_t);
	static obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
	extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	static obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7();
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_gczd2rootszd2initz00zzcnst_initializa7eza7();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	static obj_t
		BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcnst_initializa7eza7();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t obj_to_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00();
	static obj_t
		BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t
		BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t);
	static obj_t BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t
		BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7();
	extern obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
	static obj_t __cnst[29];


	   
		 
		DEFINE_STRING(BGl_string1866z00zzcnst_initializa7eza7,
		BgL_bgl_string1866za700za7za7c1873za7, "intialize-stop!", 15);
	      DEFINE_STRING(BGl_string1867z00zzcnst_initializa7eza7,
		BgL_bgl_string1867za700za7za7c1874za7, "Illegal init-mode", 17);
	      DEFINE_STRING(BGl_string1868z00zzcnst_initializa7eza7,
		BgL_bgl_string1868za700za7za7c1875za7, "cnst_initialize", 15);
	      DEFINE_STRING(BGl_string1869z00zzcnst_initializa7eza7,
		BgL_bgl_string1869za700za7za7c1876za7,
		"$vector-ref-ur cnst-tmp i::int cnst-tmp::vector string->obj __intext labels if begin let loop aux aux::int c--fx cnst-table-set! cport @ __reader c-=fx i i::long cport::input-port open-input-string! unit cnst staged intern read lib ",
		232);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2astzd2envza7zzcnst_initializa7eza7,
		BgL_bgl_za762initializa7a7eza71877za7,
		BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long
		BgL_checksumz00_1890, char *BgL_fromz00_1891)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcnst_initializa7eza7();
					BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7();
					BGl_cnstzd2initzd2zzcnst_initializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7();
					return BGl_toplevelzd2initzd2zzcnst_initializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"cnst_initialize");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			{	/* Cnst/initialize.scm 15 */
				obj_t BgL_cportz00_1877;

				{	/* Cnst/initialize.scm 15 */
					obj_t BgL_stringz00_1885;

					BgL_stringz00_1885 = BGl_string1869z00zzcnst_initializa7eza7;
					{	/* Cnst/initialize.scm 15 */
						obj_t BgL_startz00_1886;

						BgL_startz00_1886 = BINT(((long) 0));
						{	/* Cnst/initialize.scm 15 */
							obj_t BgL_endz00_1887;

							BgL_endz00_1887 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1885)));
							{	/* Cnst/initialize.scm 15 */

								BgL_cportz00_1877 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1885, BgL_startz00_1886, BgL_endz00_1887);
				}}}}
				{
					long BgL_iz00_1878;

					BgL_iz00_1878 = ((long) 28);
				BgL_loopz00_1879:
					if ((BgL_iz00_1878 == ((long) -1)))
						{	/* Cnst/initialize.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/initialize.scm 15 */
							{	/* Cnst/initialize.scm 15 */
								obj_t BgL_arg1871z00_1881;

								{	/* Cnst/initialize.scm 15 */

									{	/* Cnst/initialize.scm 15 */
										obj_t BgL_locationz00_1883;

										BgL_locationz00_1883 = BBOOL(((bool_t) 0));
										{	/* Cnst/initialize.scm 15 */

											BgL_arg1871z00_1881 =
												BGl_readz00zz__readerz00(BgL_cportz00_1877,
												BgL_locationz00_1883);
										}
									}
								}
								{	/* Cnst/initialize.scm 15 */
									int BgL_tmpz00_1920;

									BgL_tmpz00_1920 = (int) (BgL_iz00_1878);
									CNST_TABLE_SET(BgL_tmpz00_1920, BgL_arg1871z00_1881);
							}}
							{	/* Cnst/initialize.scm 15 */
								int BgL_auxz00_1884;

								BgL_auxz00_1884 = (int) ((BgL_iz00_1878 - ((long) 1)));
								{
									long BgL_iz00_1925;

									BgL_iz00_1925 = (long) (BgL_auxz00_1884);
									BgL_iz00_1878 = BgL_iz00_1925;
									goto BgL_loopz00_1879;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* initialize-ast */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 41 */
			{	/* Cnst/initialize.scm 42 */
				obj_t BgL_bodyz00_1415;

				{	/* Cnst/initialize.scm 42 */
					obj_t BgL_casezd2valuezd2_1432;

					BgL_casezd2valuezd2_1432 = BGl_za2initzd2modeza2zd2zzengine_paramz00;
					if ((BgL_casezd2valuezd2_1432 == CNST_TABLE_REF(((long) 0))))
						{	/* Cnst/initialize.scm 42 */
							BgL_bodyz00_1415 =
								BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7();
						}
					else
						{	/* Cnst/initialize.scm 42 */
							if ((BgL_casezd2valuezd2_1432 == CNST_TABLE_REF(((long) 1))))
								{	/* Cnst/initialize.scm 42 */
									BgL_bodyz00_1415 =
										BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7();
								}
							else
								{	/* Cnst/initialize.scm 42 */
									if ((BgL_casezd2valuezd2_1432 == CNST_TABLE_REF(((long) 2))))
										{	/* Cnst/initialize.scm 42 */
											BgL_bodyz00_1415 =
												BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7();
										}
									else
										{	/* Cnst/initialize.scm 42 */
											BgL_bodyz00_1415 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1866z00zzcnst_initializa7eza7,
												BGl_string1867z00zzcnst_initializa7eza7,
												BGl_za2initzd2modeza2zd2zzengine_paramz00);
										}
								}
						}
				}
				if (PAIRP(BgL_bodyz00_1415))
					{	/* Cnst/initialize.scm 54 */
						obj_t BgL_unitz00_1417;

						{	/* Cnst/initialize.scm 54 */
							bool_t BgL_arg1380z00_1431;

							BgL_arg1380z00_1431 =
								(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 3)));
							{	/* Cnst/initialize.scm 54 */
								obj_t BgL_idz00_1832;

								BgL_idz00_1832 = CNST_TABLE_REF(((long) 4));
								{	/* Cnst/initialize.scm 54 */
									obj_t BgL_newz00_1833;

									BgL_newz00_1833 =
										create_struct(CNST_TABLE_REF(((long) 5)),
										(int) (((long) 5)));
									{	/* Cnst/initialize.scm 54 */
										obj_t BgL_auxz00_1951;
										int BgL_tmpz00_1949;

										BgL_auxz00_1951 = BBOOL(BgL_arg1380z00_1431);
										BgL_tmpz00_1949 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_1833, BgL_tmpz00_1949,
											BgL_auxz00_1951);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_tmpz00_1954;

										BgL_tmpz00_1954 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_1833, BgL_tmpz00_1954, BTRUE);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_tmpz00_1957;

										BgL_tmpz00_1957 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1833, BgL_tmpz00_1957,
											BgL_bodyz00_1415);
									}
									{	/* Cnst/initialize.scm 54 */
										obj_t BgL_auxz00_1962;
										int BgL_tmpz00_1960;

										BgL_auxz00_1962 = BINT(((long) 8));
										BgL_tmpz00_1960 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1833, BgL_tmpz00_1960,
											BgL_auxz00_1962);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_tmpz00_1965;

										BgL_tmpz00_1965 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1833, BgL_tmpz00_1965,
											BgL_idz00_1832);
									}
									BgL_unitz00_1417 = BgL_newz00_1833;
						}}}
						{	/* Cnst/initialize.scm 55 */
							obj_t BgL_astz00_1418;

							{	/* Cnst/initialize.scm 55 */
								obj_t BgL_arg1367z00_1429;

								{	/* Cnst/initialize.scm 55 */
									obj_t BgL_list1368z00_1430;

									BgL_list1368z00_1430 =
										MAKE_YOUNG_PAIR(BgL_unitz00_1417, BNIL);
									BgL_arg1367z00_1429 = BgL_list1368z00_1430;
								}
								BgL_astz00_1418 =
									BGl_buildzd2astzd2zzast_buildz00(BgL_arg1367z00_1429);
							}
							{
								obj_t BgL_l1277z00_1420;

								BgL_l1277z00_1420 = BgL_astz00_1418;
							BgL_zc3anonymousza31328ze3z83_1421:
								if (PAIRP(BgL_l1277z00_1420))
									{	/* Cnst/initialize.scm 56 */
										{	/* Cnst/initialize.scm 57 */
											obj_t BgL_globalz00_1423;

											BgL_globalz00_1423 = CAR(BgL_l1277z00_1420);
											{	/* Cnst/initialize.scm 57 */
												obj_t BgL_bodyz00_1424;

												BgL_bodyz00_1424 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_1423))))->
																	BgL_valuez00))))->BgL_bodyz00);
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1424));
												{	/* Cnst/initialize.scm 59 */
													BgL_typez00_bglt BgL_arg1349z00_1425;

													BgL_arg1349z00_1425 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1423))))->
														BgL_typez00);
													BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
															BgL_bodyz00_1424), BgL_globalz00_1423,
														BgL_arg1349z00_1425, ((bool_t) 0));
												}
											}
										}
										{
											obj_t BgL_l1277z00_1985;

											BgL_l1277z00_1985 = CDR(BgL_l1277z00_1420);
											BgL_l1277z00_1420 = BgL_l1277z00_1985;
											goto BgL_zc3anonymousza31328ze3z83_1421;
										}
									}
								else
									{	/* Cnst/initialize.scm 56 */
										((bool_t) 1);
									}
							}
							return BgL_astz00_1418;
						}
					}
				else
					{	/* Cnst/initialize.scm 53 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &initialize-ast */
	obj_t BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7(obj_t
		BgL_envz00_1875)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 41 */
			return BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
		}
		BGL_FUNCTION_END;
	}



/* lib-initialize! */
	obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 67 */
			{	/* Cnst/initialize.scm 68 */
				obj_t BgL_arg1394z00_1436;
				obj_t BgL_arg1398z00_1437;

				BgL_arg1394z00_1436 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 68 */
					obj_t BgL_arg1399z00_1438;

					BgL_arg1399z00_1438 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1398z00_1437 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1399z00_1438), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1394z00_1436))))->BgL_namez00) =
					((obj_t) BgL_arg1398z00_1437), BUNSPEC);
			}
			{	/* Cnst/initialize.scm 69 */
				obj_t BgL_arg1400z00_1439;

				BgL_arg1400z00_1439 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1400z00_1439))))->
						BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
		BGL_FUNCTION_END;
	}



/* read-initialize! */
	obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 75 */
			{	/* Cnst/initialize.scm 76 */
				bool_t BgL_testz00_2001;

				{	/* Cnst/initialize.scm 76 */
					obj_t BgL_arg1421z00_1442;

					BgL_arg1421z00_1442 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_testz00_2001 = ((long) CINT(BgL_arg1421z00_1442) == ((long) 0));
				}
				if (BgL_testz00_2001)
					{	/* Cnst/initialize.scm 76 */
						return
							BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
				else
					{	/* Cnst/initialize.scm 76 */
						return
							BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* read-empty-cnst-initialize! */
	obj_t BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 83 */
			{	/* Cnst/initialize.scm 84 */
				obj_t BgL_arg1422z00_1443;
				obj_t BgL_arg1433z00_1444;

				BgL_arg1422z00_1443 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 84 */
					obj_t BgL_arg1441z00_1445;

					BgL_arg1441z00_1445 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1433z00_1444 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1441z00_1445), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1422z00_1443))))->BgL_namez00) =
					((obj_t) BgL_arg1433z00_1444), BUNSPEC);
			}
			{	/* Cnst/initialize.scm 85 */
				obj_t BgL_arg1466z00_1446;

				BgL_arg1466z00_1446 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1466z00_1446))))->
						BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
		BGL_FUNCTION_END;
	}



/* read-full-cnst-initialize! */
	obj_t BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 91 */
			{
				obj_t BgL_cnstzd2stringzd2_1455;

				{	/* Cnst/initialize.scm 110 */
					obj_t BgL_arg1475z00_1448;
					obj_t BgL_arg1478z00_1449;

					BgL_arg1475z00_1448 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					{	/* Cnst/initialize.scm 111 */
						obj_t BgL_arg1481z00_1450;
						obj_t BgL_arg1483z00_1451;

						BgL_arg1481z00_1450 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1483z00_1451 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
						BgL_arg1478z00_1449 =
							BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1481z00_1450),
							CINT(BgL_arg1483z00_1451));
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_arg1475z00_1448))))->
							BgL_namez00) = ((obj_t) BgL_arg1478z00_1449), BUNSPEC);
				}
				{	/* Cnst/initialize.scm 112 */
					obj_t BgL_arg1485z00_1452;

					BgL_arg1485z00_1452 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_arg1485z00_1452))))->
							BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_cnstzd2stringzd2_1455 =
					BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7
					(BGl_getzd2cnstzd2setz00zzcnst_allocz00());
				{	/* Cnst/initialize.scm 94 */
					BgL_nodez00_bglt BgL_varzd2stringzd2_1457;

					BgL_varzd2stringzd2_1457 =
						BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
						(BgL_cnstzd2stringzd2_1455, BFALSE);
					{	/* Cnst/initialize.scm 94 */
						obj_t BgL_sexpz00_1458;

						{	/* Cnst/initialize.scm 97 */
							obj_t BgL_arg1496z00_1460;

							{	/* Cnst/initialize.scm 97 */
								obj_t BgL_arg1497z00_1461;
								obj_t BgL_arg1503z00_1462;

								{	/* Cnst/initialize.scm 97 */
									obj_t BgL_arg1504z00_1463;

									{	/* Cnst/initialize.scm 97 */
										obj_t BgL_arg1506z00_1464;

										{	/* Cnst/initialize.scm 97 */
											obj_t BgL_arg1510z00_1465;

											{	/* Cnst/initialize.scm 97 */
												obj_t BgL_arg1513z00_1466;

												{	/* Cnst/initialize.scm 97 */
													obj_t BgL_arg1516z00_1467;

													BgL_arg1516z00_1467 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_varzd2stringzd2_1457)))->
																			BgL_variablez00)))))->BgL_idz00);
													BgL_arg1513z00_1466 =
														MAKE_YOUNG_PAIR(BgL_arg1516z00_1467, BNIL);
												}
												BgL_arg1510z00_1465 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
													BgL_arg1513z00_1466);
											}
											BgL_arg1506z00_1464 =
												MAKE_YOUNG_PAIR(BgL_arg1510z00_1465, BNIL);
										}
										BgL_arg1504z00_1463 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
											BgL_arg1506z00_1464);
									}
									BgL_arg1497z00_1461 =
										MAKE_YOUNG_PAIR(BgL_arg1504z00_1463, BNIL);
								}
								{	/* Cnst/initialize.scm 98 */
									obj_t BgL_arg1522z00_1469;

									{	/* Cnst/initialize.scm 98 */
										obj_t BgL_arg1525z00_1470;

										{	/* Cnst/initialize.scm 98 */
											obj_t BgL_arg1528z00_1471;
											obj_t BgL_arg1532z00_1472;

											{	/* Cnst/initialize.scm 98 */
												obj_t BgL_arg1537z00_1473;

												{	/* Cnst/initialize.scm 98 */
													obj_t BgL_arg1538z00_1474;

													{	/* Cnst/initialize.scm 98 */
														obj_t BgL_arg1539z00_1475;
														obj_t BgL_arg1542z00_1476;

														BgL_arg1539z00_1475 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
														{	/* Cnst/initialize.scm 99 */
															obj_t BgL_arg1547z00_1477;

															{	/* Cnst/initialize.scm 99 */
																obj_t BgL_arg1555z00_1478;

																{	/* Cnst/initialize.scm 99 */
																	obj_t BgL_arg1558z00_1479;
																	obj_t BgL_arg1561z00_1480;

																	{	/* Cnst/initialize.scm 99 */
																		obj_t BgL_arg1566z00_1481;

																		{	/* Cnst/initialize.scm 99 */
																			obj_t BgL_arg1570z00_1482;

																			BgL_arg1570z00_1482 =
																				MAKE_YOUNG_PAIR(BINT(((long) -1)),
																				BNIL);
																			BgL_arg1566z00_1481 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						9)), BgL_arg1570z00_1482);
																		}
																		BgL_arg1558z00_1479 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					10)), BgL_arg1566z00_1481);
																	}
																	{	/* Cnst/initialize.scm 104 */
																		obj_t BgL_arg1576z00_1483;

																		{	/* Cnst/initialize.scm 104 */
																			obj_t BgL_arg1586z00_1484;

																			{	/* Cnst/initialize.scm 104 */
																				obj_t BgL_arg1588z00_1485;

																				{	/* Cnst/initialize.scm 104 */
																					obj_t BgL_arg1589z00_1486;
																					obj_t BgL_arg1597z00_1487;

																					{	/* Cnst/initialize.scm 104 */
																						obj_t BgL_arg1600z00_1488;

																						{	/* Cnst/initialize.scm 104 */
																							obj_t BgL_arg1603z00_1489;

																							{	/* Cnst/initialize.scm 104 */
																								obj_t BgL_arg1608z00_1490;

																								{	/* Cnst/initialize.scm 104 */
																									obj_t BgL_arg1611z00_1491;
																									obj_t BgL_arg1613z00_1492;

																									{	/* Cnst/initialize.scm 104 */
																										obj_t BgL_arg1616z00_1493;

																										{	/* Cnst/initialize.scm 104 */
																											obj_t BgL_arg1617z00_1494;

																											BgL_arg1617z00_1494 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														11)), BNIL);
																											BgL_arg1616z00_1493 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														1)),
																												BgL_arg1617z00_1494);
																										}
																										BgL_arg1611z00_1491 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													12)),
																											BgL_arg1616z00_1493);
																									}
																									BgL_arg1613z00_1492 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												13)), BNIL);
																									BgL_arg1608z00_1490 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1611z00_1491,
																										BgL_arg1613z00_1492);
																								}
																								BgL_arg1603z00_1489 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1608z00_1490, BNIL);
																							}
																							BgL_arg1600z00_1488 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 9)),
																								BgL_arg1603z00_1489);
																						}
																						BgL_arg1589z00_1486 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 14)),
																							BgL_arg1600z00_1488);
																					}
																					{	/* Cnst/initialize.scm 105 */
																						obj_t BgL_arg1619z00_1495;

																						{	/* Cnst/initialize.scm 105 */
																							obj_t BgL_arg1620z00_1496;

																							{	/* Cnst/initialize.scm 105 */
																								obj_t BgL_arg1623z00_1497;
																								obj_t BgL_arg1625z00_1498;

																								{	/* Cnst/initialize.scm 105 */
																									obj_t BgL_arg1628z00_1499;

																									{	/* Cnst/initialize.scm 105 */
																										obj_t BgL_arg1629z00_1500;

																										{	/* Cnst/initialize.scm 105 */
																											obj_t BgL_arg1637z00_1501;

																											{	/* Cnst/initialize.scm 105 */
																												obj_t
																													BgL_arg1638z00_1502;
																												{	/* Cnst/initialize.scm 105 */
																													obj_t
																														BgL_arg1640z00_1503;
																													BgL_arg1640z00_1503 =
																														MAKE_YOUNG_PAIR(BINT
																														(((long) 1)), BNIL);
																													BgL_arg1638z00_1502 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BgL_arg1640z00_1503);
																												}
																												BgL_arg1637z00_1501 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 15)),
																													BgL_arg1638z00_1502);
																											}
																											BgL_arg1629z00_1500 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1637z00_1501,
																												BNIL);
																										}
																										BgL_arg1628z00_1499 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													16)),
																											BgL_arg1629z00_1500);
																									}
																									BgL_arg1623z00_1497 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1628z00_1499, BNIL);
																								}
																								{	/* Cnst/initialize.scm 106 */
																									obj_t BgL_arg1641z00_1504;

																									{	/* Cnst/initialize.scm 106 */
																										obj_t BgL_arg1642z00_1505;

																										BgL_arg1642z00_1505 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													17)), BNIL);
																										BgL_arg1641z00_1504 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													18)),
																											BgL_arg1642z00_1505);
																									}
																									BgL_arg1625z00_1498 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1641z00_1504, BNIL);
																								}
																								BgL_arg1620z00_1496 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1623z00_1497,
																									BgL_arg1625z00_1498);
																							}
																							BgL_arg1619z00_1495 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 19)),
																								BgL_arg1620z00_1496);
																						}
																						BgL_arg1597z00_1487 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1619z00_1495, BNIL);
																					}
																					BgL_arg1588z00_1485 =
																						MAKE_YOUNG_PAIR(BgL_arg1589z00_1486,
																						BgL_arg1597z00_1487);
																				}
																				BgL_arg1586z00_1484 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							20)), BgL_arg1588z00_1485);
																			}
																			BgL_arg1576z00_1483 =
																				MAKE_YOUNG_PAIR(BgL_arg1586z00_1484,
																				BNIL);
																		}
																		BgL_arg1561z00_1480 =
																			MAKE_YOUNG_PAIR(BUNSPEC,
																			BgL_arg1576z00_1483);
																	}
																	BgL_arg1555z00_1478 =
																		MAKE_YOUNG_PAIR(BgL_arg1558z00_1479,
																		BgL_arg1561z00_1480);
																}
																BgL_arg1547z00_1477 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
																	BgL_arg1555z00_1478);
															}
															BgL_arg1542z00_1476 =
																MAKE_YOUNG_PAIR(BgL_arg1547z00_1477, BNIL);
														}
														BgL_arg1538z00_1474 =
															MAKE_YOUNG_PAIR(BgL_arg1539z00_1475,
															BgL_arg1542z00_1476);
													}
													BgL_arg1537z00_1473 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1538z00_1474);
												}
												BgL_arg1528z00_1471 =
													MAKE_YOUNG_PAIR(BgL_arg1537z00_1473, BNIL);
											}
											{	/* Cnst/initialize.scm 107 */
												obj_t BgL_arg1643z00_1506;

												{	/* Cnst/initialize.scm 107 */
													obj_t BgL_arg1644z00_1507;

													{	/* Cnst/initialize.scm 107 */
														long BgL_arg1651z00_1508;

														{	/* Cnst/initialize.scm 107 */
															obj_t BgL_arg1653z00_1509;

															BgL_arg1653z00_1509 =
																BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
															BgL_arg1651z00_1508 =
																((long) CINT(BgL_arg1653z00_1509) - ((long) 1));
														}
														BgL_arg1644z00_1507 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1651z00_1508), BNIL);
													}
													BgL_arg1643z00_1506 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1644z00_1507);
												}
												BgL_arg1532z00_1472 =
													MAKE_YOUNG_PAIR(BgL_arg1643z00_1506, BNIL);
											}
											BgL_arg1525z00_1470 =
												MAKE_YOUNG_PAIR(BgL_arg1528z00_1471,
												BgL_arg1532z00_1472);
										}
										BgL_arg1522z00_1469 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
											BgL_arg1525z00_1470);
									}
									BgL_arg1503z00_1462 =
										MAKE_YOUNG_PAIR(BgL_arg1522z00_1469, BNIL);
								}
								BgL_arg1496z00_1460 =
									MAKE_YOUNG_PAIR(BgL_arg1497z00_1461, BgL_arg1503z00_1462);
							}
							BgL_sexpz00_1458 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
								BgL_arg1496z00_1460);
						}
						{	/* Cnst/initialize.scm 95 */

							return
								MAKE_YOUNG_PAIR(BgL_sexpz00_1458,
								BGl_getzd2cnstzd2sexpz00zzcnst_allocz00());
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* cnst-set->cnst-string */
	obj_t BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t
		BgL_setz00_25)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 123 */
			{	/* Cnst/initialize.scm 124 */
				obj_t BgL_portz00_1511;

				{	/* Cnst/initialize.scm 124 */

					{	/* Cnst/initialize.scm 124 */

						BgL_portz00_1511 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				{
					obj_t BgL_l1279z00_1514;

					BgL_l1279z00_1514 = BgL_setz00_25;
				BgL_zc3anonymousza31655ze3z83_1515:
					if (PAIRP(BgL_l1279z00_1514))
						{	/* Cnst/initialize.scm 130 */
							{	/* Cnst/initialize.scm 131 */
								obj_t BgL_cnstz00_1517;

								BgL_cnstz00_1517 = CAR(BgL_l1279z00_1514);
								{	/* Cnst/initialize.scm 131 */
									obj_t BgL_list1659z00_1518;

									BgL_list1659z00_1518 =
										MAKE_YOUNG_PAIR(BgL_portz00_1511, BNIL);
									BGl_writez00zz__r4_output_6_10_3z00(BgL_cnstz00_1517,
										BgL_list1659z00_1518);
								}
								bgl_display_char(((unsigned char) ' '), BgL_portz00_1511);
							}
							{
								obj_t BgL_l1279z00_2126;

								BgL_l1279z00_2126 = CDR(BgL_l1279z00_1514);
								BgL_l1279z00_1514 = BgL_l1279z00_2126;
								goto BgL_zc3anonymousza31655ze3z83_1515;
							}
						}
					else
						{	/* Cnst/initialize.scm 130 */
							((bool_t) 1);
						}
				}
				return bgl_close_output_port(BgL_portz00_1511);
			}
		}
		BGL_FUNCTION_END;
	}



/* intern-initialize! */
	obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 139 */
			{	/* Cnst/initialize.scm 140 */
				bool_t BgL_testz00_2129;

				{	/* Cnst/initialize.scm 140 */
					obj_t BgL_arg1663z00_1524;

					BgL_arg1663z00_1524 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_testz00_2129 = ((long) CINT(BgL_arg1663z00_1524) == ((long) 0));
				}
				if (BgL_testz00_2129)
					{	/* Cnst/initialize.scm 140 */
						return
							BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
				else
					{	/* Cnst/initialize.scm 140 */
						return
							BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* intern-empty-cnst-initialize! */
	obj_t BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 147 */
			{	/* Cnst/initialize.scm 148 */
				obj_t BgL_arg1665z00_1525;
				obj_t BgL_arg1669z00_1526;

				BgL_arg1665z00_1525 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 149 */
					obj_t BgL_arg1670z00_1527;

					BgL_arg1670z00_1527 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1669z00_1526 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1670z00_1527), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1665z00_1525))))->BgL_namez00) =
					((obj_t) BgL_arg1669z00_1526), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
		BGL_FUNCTION_END;
	}



/* intern-full-cnst-initialize! */
	obj_t BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 155 */
			{
				obj_t BgL_cnstzd2stringzd2_1539;

				{	/* Cnst/initialize.scm 175 */
					obj_t BgL_arg1671z00_1529;
					obj_t BgL_arg1673z00_1530;

					BgL_arg1671z00_1529 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					{	/* Cnst/initialize.scm 176 */
						obj_t BgL_arg1674z00_1531;
						obj_t BgL_arg1675z00_1532;

						BgL_arg1674z00_1531 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1675z00_1532 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
						BgL_arg1673z00_1530 =
							BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1674z00_1531),
							CINT(BgL_arg1675z00_1532));
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_arg1671z00_1529))))->
							BgL_namez00) = ((obj_t) BgL_arg1673z00_1530), BUNSPEC);
				}
				{	/* Cnst/initialize.scm 178 */
					obj_t BgL_cnstzd2stringzd2_1533;

					{	/* Cnst/initialize.scm 178 */
						obj_t BgL_arg1676z00_1534;

						BgL_arg1676z00_1534 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(bgl_reverse_bang
							(BGl_getzd2cnstzd2setz00zzcnst_allocz00()));
						{	/* Cnst/initialize.scm 178 */

							BgL_cnstzd2stringzd2_1533 =
								obj_to_string(BgL_arg1676z00_1534, BFALSE);
						}
					}
					{	/* Cnst/initialize.scm 178 */

						BgL_cnstzd2stringzd2_1539 = BgL_cnstzd2stringzd2_1533;
						{	/* Cnst/initialize.scm 158 */
							BgL_nodez00_bglt BgL_varzd2stringzd2_1541;

							BgL_varzd2stringzd2_1541 =
								BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
								(BgL_cnstzd2stringzd2_1539, BFALSE);
							{	/* Cnst/initialize.scm 158 */
								obj_t BgL_sexpz00_1542;

								{	/* Cnst/initialize.scm 160 */
									obj_t BgL_arg1694z00_1544;

									{	/* Cnst/initialize.scm 160 */
										obj_t BgL_arg1697z00_1545;
										obj_t BgL_arg1698z00_1546;

										{	/* Cnst/initialize.scm 160 */
											obj_t BgL_arg1701z00_1547;

											{	/* Cnst/initialize.scm 160 */
												obj_t BgL_arg1707z00_1548;

												{	/* Cnst/initialize.scm 160 */
													obj_t BgL_arg1714z00_1549;

													{	/* Cnst/initialize.scm 160 */
														obj_t BgL_arg1720z00_1550;
														obj_t BgL_arg1721z00_1551;

														{	/* Cnst/initialize.scm 160 */
															obj_t BgL_arg1730z00_1552;

															{	/* Cnst/initialize.scm 160 */
																obj_t BgL_arg1731z00_1553;

																BgL_arg1731z00_1553 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 23)),
																	BNIL);
																BgL_arg1730z00_1552 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 24)),
																	BgL_arg1731z00_1553);
															}
															BgL_arg1720z00_1550 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																BgL_arg1730z00_1552);
														}
														{	/* Cnst/initialize.scm 162 */
															obj_t BgL_arg1732z00_1554;

															BgL_arg1732z00_1554 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_varzd2stringzd2_1541)))->
																					BgL_variablez00)))))->BgL_idz00);
															BgL_arg1721z00_1551 =
																MAKE_YOUNG_PAIR(BgL_arg1732z00_1554, BNIL);
														}
														BgL_arg1714z00_1549 =
															MAKE_YOUNG_PAIR(BgL_arg1720z00_1550,
															BgL_arg1721z00_1551);
													}
													BgL_arg1707z00_1548 =
														MAKE_YOUNG_PAIR(BgL_arg1714z00_1549, BNIL);
												}
												BgL_arg1701z00_1547 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 25)),
													BgL_arg1707z00_1548);
											}
											BgL_arg1697z00_1545 =
												MAKE_YOUNG_PAIR(BgL_arg1701z00_1547, BNIL);
										}
										{	/* Cnst/initialize.scm 163 */
											obj_t BgL_arg1735z00_1556;

											{	/* Cnst/initialize.scm 163 */
												obj_t BgL_arg1736z00_1557;

												{	/* Cnst/initialize.scm 163 */
													obj_t BgL_arg1738z00_1558;
													obj_t BgL_arg1739z00_1559;

													{	/* Cnst/initialize.scm 163 */
														obj_t BgL_arg1740z00_1560;

														{	/* Cnst/initialize.scm 163 */
															obj_t BgL_arg1741z00_1561;

															{	/* Cnst/initialize.scm 163 */
																obj_t BgL_arg1742z00_1562;
																obj_t BgL_arg1743z00_1563;

																BgL_arg1742z00_1562 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 26)),
																	BNIL);
																{	/* Cnst/initialize.scm 164 */
																	obj_t BgL_arg1744z00_1564;

																	{	/* Cnst/initialize.scm 164 */
																		obj_t BgL_arg1745z00_1565;

																		{	/* Cnst/initialize.scm 164 */
																			obj_t BgL_arg1746z00_1566;
																			obj_t BgL_arg1747z00_1567;

																			{	/* Cnst/initialize.scm 164 */
																				obj_t BgL_arg1748z00_1568;

																				{	/* Cnst/initialize.scm 164 */
																					obj_t BgL_arg1749z00_1569;

																					BgL_arg1749z00_1569 =
																						MAKE_YOUNG_PAIR(BINT(((long) -1)),
																						BNIL);
																					BgL_arg1748z00_1568 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 9)),
																						BgL_arg1749z00_1569);
																				}
																				BgL_arg1746z00_1566 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							10)), BgL_arg1748z00_1568);
																			}
																			{	/* Cnst/initialize.scm 169 */
																				obj_t BgL_arg1750z00_1570;

																				{	/* Cnst/initialize.scm 169 */
																					obj_t BgL_arg1751z00_1571;

																					{	/* Cnst/initialize.scm 169 */
																						obj_t BgL_arg1752z00_1572;

																						{	/* Cnst/initialize.scm 169 */
																							obj_t BgL_arg1753z00_1573;
																							obj_t BgL_arg1754z00_1574;

																							{	/* Cnst/initialize.scm 169 */
																								obj_t BgL_arg1755z00_1575;

																								{	/* Cnst/initialize.scm 169 */
																									obj_t BgL_arg1756z00_1576;

																									{	/* Cnst/initialize.scm 169 */
																										obj_t BgL_arg1757z00_1577;

																										{	/* Cnst/initialize.scm 169 */
																											obj_t BgL_arg1758z00_1578;

																											{	/* Cnst/initialize.scm 169 */
																												obj_t
																													BgL_arg1760z00_1579;
																												BgL_arg1760z00_1579 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 9)), BNIL);
																												BgL_arg1758z00_1578 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 27)),
																													BgL_arg1760z00_1579);
																											}
																											BgL_arg1757z00_1577 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														28)),
																												BgL_arg1758z00_1578);
																										}
																										BgL_arg1756z00_1576 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1757z00_1577,
																											BNIL);
																									}
																									BgL_arg1755z00_1575 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long) 9)),
																										BgL_arg1756z00_1576);
																								}
																								BgL_arg1753z00_1573 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 14)),
																									BgL_arg1755z00_1575);
																							}
																							{	/* Cnst/initialize.scm 170 */
																								obj_t BgL_arg1763z00_1580;

																								{	/* Cnst/initialize.scm 170 */
																									obj_t BgL_arg1765z00_1581;

																									{	/* Cnst/initialize.scm 170 */
																										obj_t BgL_arg1766z00_1582;
																										obj_t BgL_arg1767z00_1583;

																										{	/* Cnst/initialize.scm 170 */
																											obj_t BgL_arg1768z00_1584;

																											{	/* Cnst/initialize.scm 170 */
																												obj_t
																													BgL_arg1769z00_1585;
																												{	/* Cnst/initialize.scm 170 */
																													obj_t
																														BgL_arg1770z00_1586;
																													{	/* Cnst/initialize.scm 170 */
																														obj_t
																															BgL_arg1771z00_1587;
																														{	/* Cnst/initialize.scm 170 */
																															obj_t
																																BgL_arg1774z00_1588;
																															BgL_arg1774z00_1588
																																=
																																MAKE_YOUNG_PAIR
																																(BINT(((long)
																																		1)), BNIL);
																															BgL_arg1771z00_1587
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 9)),
																																BgL_arg1774z00_1588);
																														}
																														BgL_arg1770z00_1586
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 15)),
																															BgL_arg1771z00_1587);
																													}
																													BgL_arg1769z00_1585 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1770z00_1586,
																														BNIL);
																												}
																												BgL_arg1768z00_1584 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 16)),
																													BgL_arg1769z00_1585);
																											}
																											BgL_arg1766z00_1582 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1768z00_1584,
																												BNIL);
																										}
																										{	/* Cnst/initialize.scm 171 */
																											obj_t BgL_arg1775z00_1589;

																											{	/* Cnst/initialize.scm 171 */
																												obj_t
																													BgL_arg1776z00_1590;
																												BgL_arg1776z00_1590 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 17)),
																													BNIL);
																												BgL_arg1775z00_1589 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 18)),
																													BgL_arg1776z00_1590);
																											}
																											BgL_arg1767z00_1583 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1775z00_1589,
																												BNIL);
																										}
																										BgL_arg1765z00_1581 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1766z00_1582,
																											BgL_arg1767z00_1583);
																									}
																									BgL_arg1763z00_1580 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												19)),
																										BgL_arg1765z00_1581);
																								}
																								BgL_arg1754z00_1574 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1763z00_1580, BNIL);
																							}
																							BgL_arg1752z00_1572 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1753z00_1573,
																								BgL_arg1754z00_1574);
																						}
																						BgL_arg1751z00_1571 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 20)),
																							BgL_arg1752z00_1572);
																					}
																					BgL_arg1750z00_1570 =
																						MAKE_YOUNG_PAIR(BgL_arg1751z00_1571,
																						BNIL);
																				}
																				BgL_arg1747z00_1567 =
																					MAKE_YOUNG_PAIR(BUNSPEC,
																					BgL_arg1750z00_1570);
																			}
																			BgL_arg1745z00_1565 =
																				MAKE_YOUNG_PAIR(BgL_arg1746z00_1566,
																				BgL_arg1747z00_1567);
																		}
																		BgL_arg1744z00_1564 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					21)), BgL_arg1745z00_1565);
																	}
																	BgL_arg1743z00_1563 =
																		MAKE_YOUNG_PAIR(BgL_arg1744z00_1564, BNIL);
																}
																BgL_arg1741z00_1561 =
																	MAKE_YOUNG_PAIR(BgL_arg1742z00_1562,
																	BgL_arg1743z00_1563);
															}
															BgL_arg1740z00_1560 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																BgL_arg1741z00_1561);
														}
														BgL_arg1738z00_1558 =
															MAKE_YOUNG_PAIR(BgL_arg1740z00_1560, BNIL);
													}
													{	/* Cnst/initialize.scm 172 */
														obj_t BgL_arg1777z00_1591;

														{	/* Cnst/initialize.scm 172 */
															obj_t BgL_arg1778z00_1592;

															{	/* Cnst/initialize.scm 172 */
																long BgL_arg1779z00_1593;

																{	/* Cnst/initialize.scm 172 */
																	obj_t BgL_arg1780z00_1594;

																	BgL_arg1780z00_1594 =
																		BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
																	BgL_arg1779z00_1593 =
																		(
																		(long) CINT(BgL_arg1780z00_1594) -
																		((long) 1));
																}
																BgL_arg1778z00_1592 =
																	MAKE_YOUNG_PAIR(BINT(BgL_arg1779z00_1593),
																	BNIL);
															}
															BgL_arg1777z00_1591 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																BgL_arg1778z00_1592);
														}
														BgL_arg1739z00_1559 =
															MAKE_YOUNG_PAIR(BgL_arg1777z00_1591, BNIL);
													}
													BgL_arg1736z00_1557 =
														MAKE_YOUNG_PAIR(BgL_arg1738z00_1558,
														BgL_arg1739z00_1559);
												}
												BgL_arg1735z00_1556 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
													BgL_arg1736z00_1557);
											}
											BgL_arg1698z00_1546 =
												MAKE_YOUNG_PAIR(BgL_arg1735z00_1556, BNIL);
										}
										BgL_arg1694z00_1544 =
											MAKE_YOUNG_PAIR(BgL_arg1697z00_1545, BgL_arg1698z00_1546);
									}
									BgL_sexpz00_1542 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
										BgL_arg1694z00_1544);
								}
								{	/* Cnst/initialize.scm 159 */

									return
										MAKE_YOUNG_PAIR(BgL_sexpz00_1542,
										BGl_getzd2cnstzd2sexpz00zzcnst_allocz00());
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cnst/initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string1868z00zzcnst_initializa7eza7));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
