/*===========================================================================*/
/*   (Foreign/jtype.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/jtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31219ze3ze1zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jarrayzd2initzf3z21zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int,
		BgL_typez00_bglt);
	static obj_t BGl_objectzd2initzd2zzforeign_jtypez00();
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzforeign_jtypez00();
	static obj_t BGl_z62jarrayzf3z91zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2locationzb0zzforeign_jtypez00(obj_t, obj_t);
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2aliaszd2zzforeign_jtypez00(BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62makezd2jarrayzb0zzforeign_jtypez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1211z62zzforeign_jtypez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda1216z62zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1220z62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1233z62zzforeign_jtypez00(obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	static obj_t BGl_z62lambda1234z62zzforeign_jtypez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2ctypezd2accessesz121141z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2parentszb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzforeign_jtypez00();
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2classzd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt,
		int);
	static obj_t BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_jarrayzd2nilzd2zzforeign_jtypez00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2idzb0zzforeign_jtypez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62jarrayzd2nilzb0zzforeign_jtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2idzd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_jtypez00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00();
	static obj_t BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62jarrayzd2classzb0zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzforeign_jtypez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00
		(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jarrayz00zzforeign_jtypez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2locationzd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2namezd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2z42zf2zzforeign_jtypez00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(BgL_typez00_bglt);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jarrayzd2namezb0zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzforeign_jtypez00();
	static BgL_typez00_bglt
		BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
	static obj_t BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2z42z90zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2siza7ez75zzforeign_jtypez00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2parentszd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00
		(BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt
		BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[37];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2locationzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2loca1873z00,
		BGl_z62jarrayzd2locationzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2occurrencezd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2occu1874z00,
		BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2initzf3zd2envzf3zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2init1875z00,
		BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2locationzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2loca1876z00,
		BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2idzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2idza7b1877za7,
		BGl_z62jarrayzd2idzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1866z00zzforeign_jtypez00,
		BgL_bgl_string1866za700za7za7f1878za7, "make-ctype-accesses!", 20);
	      DEFINE_STRING(BGl_string1867z00zzforeign_jtypez00,
		BgL_bgl_string1867za700za7za7f1879za7, "", 0);
	      DEFINE_STRING(BGl_string1868z00zzforeign_jtypez00,
		BgL_bgl_string1868za700za7za7f1880za7, "foreign_jtype", 13);
	      DEFINE_STRING(BGl_string1869z00zzforeign_jtypez00,
		BgL_bgl_string1869za700za7za7f1881za7,
		"static ::int ::obj inline object cast instanceof o::obj vlength valloc len len::int vref define-inline vset! offset offset::int -set! -ref make- val int -length bool ->obj o _ foreign_jtype jarray item-type type ? coerce obj bigloo (obj) obj-> ",
		244);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2coercezd2tozd2setz12zd2envz12zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2coer1882z00,
		BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2importzd2locationzd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2impo1883z00,
		BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2pointedzd2tozd2byzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2poin1884z00,
		BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2z42zd2setz12zd2envz82zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2za742za71885z00,
		BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2jvmzd2typez12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762declareza7d2jvm1886z00,
		BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzf3zd2envz21zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7f3za791za71887z00,
		BGl_z62jarrayzf3z91zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2occurrencezd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2occu1888z00,
		BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2classzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2clas1889z00,
		BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2magiczf3zd2setz12zd2envz33zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2magi1890z00,
		BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2siza7ezd2envza7zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2siza7a1891za7,
		BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2tvectorzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2tvec1892z00,
		BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2nilzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2nilza71893za7,
		BGl_z62jarrayzd2nilzb0zzforeign_jtypez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2importzd2locationzd2setz12zd2envz12zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2impo1894z00,
		BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2aliaszd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2alia1895z00,
		BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2classzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2clas1896z00,
		BGl_z62jarrayzd2classzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2parentszd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2pare1897z00,
		BGl_z62jarrayzd2parentszb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2coercezd2tozd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2coer1898z00,
		BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2tvectorzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2tvec1899z00,
		BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2namezd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2name1900z00,
		BGl_z62jarrayzd2namezb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2siza7ezd2setz12zd2envz67zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2siza7a1901za7,
		BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2aliaszd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2alia1902z00,
		BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2initzf3zd2setz12zd2envz33zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2init1903z00,
		BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1234za7621904z00, BGl_z62lambda1234z62zzforeign_jtypez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1233za7621905z00, BGl_z62lambda1233z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1220za7621906z00, BGl_z62lambda1220z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzforeign_jtypez00,
		BgL_bgl_za762za7c3anonymousza71907za7,
		BGl_z62zc3anonymousza31219ze3ze1zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1216za7621908z00, BGl_z62lambda1216z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1211za7621909z00, BGl_z62lambda1211z62zzforeign_jtypez00,
		0L, BUNSPEC, 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzforeign_jtypez00,
		BgL_bgl_za762makeza7d2ctypeza71910za7,
		BGl_z62makezd2ctypezd2accessesz121141z70zzforeign_jtypez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2namezd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2name1911z00,
		BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2magiczf3zd2envzf3zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2magi1912z00,
		BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2pointedzd2tozd2byzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2poin1913z00,
		BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jarrayzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762makeza7d2jarray1914z00,
		BGl_z62makezd2jarrayzb0zzforeign_jtypez00, 0L, BUNSPEC, 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2z42zd2envz42zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2za742za71915z00,
		BGl_z62jarrayzd2z42zf2zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2parentszd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2pare1916z00,
		BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2itemzd2typezd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2item1917z00,
		BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzforeign_jtypez00));
		     ADD_ROOT((void *) (&BGl_jarrayz00zzforeign_jtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long
		BgL_checksumz00_1445, char *BgL_fromz00_1446)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_jtypez00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_jtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzforeign_jtypez00();
					BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_cnstzd2initzd2zzforeign_jtypez00();
					BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_objectzd2initzd2zzforeign_jtypez00();
					BGl_methodzd2initzd2zzforeign_jtypez00();
					return BGl_toplevelzd2initzd2zzforeign_jtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"foreign_jtype");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 17 */
				obj_t BgL_cportz00_1196;

				{	/* Foreign/jtype.scm 17 */
					obj_t BgL_stringz00_1204;

					BgL_stringz00_1204 = BGl_string1869z00zzforeign_jtypez00;
					{	/* Foreign/jtype.scm 17 */
						obj_t BgL_startz00_1205;

						BgL_startz00_1205 = BINT(((long) 0));
						{	/* Foreign/jtype.scm 17 */
							obj_t BgL_endz00_1206;

							BgL_endz00_1206 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1204)));
							{	/* Foreign/jtype.scm 17 */

								BgL_cportz00_1196 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1204, BgL_startz00_1205, BgL_endz00_1206);
				}}}}
				{
					long BgL_iz00_1197;

					BgL_iz00_1197 = ((long) 36);
				BgL_loopz00_1198:
					if ((BgL_iz00_1197 == ((long) -1)))
						{	/* Foreign/jtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/jtype.scm 17 */
							{	/* Foreign/jtype.scm 17 */
								obj_t BgL_arg1871z00_1200;

								{	/* Foreign/jtype.scm 17 */

									{	/* Foreign/jtype.scm 17 */
										obj_t BgL_locationz00_1202;

										BgL_locationz00_1202 = BBOOL(((bool_t) 0));
										{	/* Foreign/jtype.scm 17 */

											BgL_arg1871z00_1200 =
												BGl_readz00zz__readerz00(BgL_cportz00_1196,
												BgL_locationz00_1202);
										}
									}
								}
								{	/* Foreign/jtype.scm 17 */
									int BgL_tmpz00_1474;

									BgL_tmpz00_1474 = (int) (BgL_iz00_1197);
									CNST_TABLE_SET(BgL_tmpz00_1474, BgL_arg1871z00_1200);
							}}
							{	/* Foreign/jtype.scm 17 */
								int BgL_auxz00_1203;

								BgL_auxz00_1203 = (int) ((BgL_iz00_1197 - ((long) 1)));
								{
									long BgL_iz00_1479;

									BgL_iz00_1479 = (long) (BgL_auxz00_1203);
									BgL_iz00_1197 = BgL_iz00_1479;
									goto BgL_loopz00_1198;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* make-jarray */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t
		BgL_id1078z00_3, obj_t BgL_name1079z00_4, obj_t BgL_siza7e1080za7_5,
		obj_t BgL_class1081z00_6, obj_t BgL_coercezd2to1082zd2_7,
		obj_t BgL_parents1083z00_8, bool_t BgL_initzf31084zf3_9,
		bool_t BgL_magiczf31085zf3_10, obj_t BgL_z421086z42_11,
		obj_t BgL_alias1087z00_12, obj_t BgL_pointedzd2tozd2by1088z00_13,
		obj_t BgL_tvector1089z00_14, obj_t BgL_location1090z00_15,
		obj_t BgL_importzd2location1091zd2_16, int BgL_occurrence1092z00_17,
		BgL_typez00_bglt BgL_itemzd2type1093zd2_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 51 */
			{	/* Foreign/jtype.sch 51 */
				BgL_typez00_bglt BgL_new1090z00_1209;

				{	/* Foreign/jtype.sch 51 */
					BgL_typez00_bglt BgL_tmp1088z00_1210;
					BgL_jarrayz00_bglt BgL_wide1089z00_1211;

					{
						BgL_typez00_bglt BgL_auxz00_1482;

						{	/* Foreign/jtype.sch 51 */
							BgL_typez00_bglt BgL_new1087z00_1212;

							BgL_new1087z00_1212 =
								((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							{	/* Foreign/jtype.sch 51 */
								long BgL_arg1146z00_1213;

								{	/* Foreign/jtype.sch 51 */
									long BgL_res1744z00_1214;

									BgL_res1744z00_1214 =
										BGL_CLASS_INDEX(BGl_typez00zztype_typez00);
									BgL_arg1146z00_1213 = BgL_res1744z00_1214;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1087z00_1212),
									BgL_arg1146z00_1213);
							}
							{	/* Foreign/jtype.sch 51 */
								BgL_objectz00_bglt BgL_tmpz00_1487;

								BgL_tmpz00_1487 = ((BgL_objectz00_bglt) BgL_new1087z00_1212);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1487, BFALSE);
							}
							BgL_auxz00_1482 = BgL_new1087z00_1212;
						}
						BgL_tmp1088z00_1210 = ((BgL_typez00_bglt) BgL_auxz00_1482);
					}
					BgL_wide1089z00_1211 =
						((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jarrayz00_bgl))));
					{	/* Foreign/jtype.sch 51 */
						obj_t BgL_auxz00_1494;
						BgL_objectz00_bglt BgL_tmpz00_1492;

						BgL_auxz00_1494 = ((obj_t) BgL_wide1089z00_1211);
						BgL_tmpz00_1492 = ((BgL_objectz00_bglt) BgL_tmp1088z00_1210);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1492, BgL_auxz00_1494);
					}
					{	/* Foreign/jtype.sch 51 */
						long BgL_arg1145z00_1215;

						{	/* Foreign/jtype.sch 51 */
							long BgL_res1745z00_1216;

							BgL_res1745z00_1216 =
								BGL_CLASS_INDEX(BGl_jarrayz00zzforeign_jtypez00);
							BgL_arg1145z00_1215 = BgL_res1745z00_1216;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1088z00_1210), BgL_arg1145z00_1215);
					}
					BgL_new1090z00_1209 = ((BgL_typez00_bglt) BgL_tmp1088z00_1210);
				}
				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_new1090z00_1209)))->BgL_idz00) =
					((obj_t) BgL_id1078z00_3), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_namez00) =
					((obj_t) BgL_name1079z00_4), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_siza7eza7) =
					((obj_t) BgL_siza7e1080za7_5), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_classz00) =
					((obj_t) BgL_class1081z00_6), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_coercezd2tozd2) =
					((obj_t) BgL_coercezd2to1082zd2_7), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_parentsz00) =
					((obj_t) BgL_parents1083z00_8), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_initzf3zf3) =
					((bool_t) BgL_initzf31084zf3_9), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_magiczf3zf3) =
					((bool_t) BgL_magiczf31085zf3_10), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_z42z42) =
					((obj_t) BgL_z421086z42_11), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_aliasz00) =
					((obj_t) BgL_alias1087z00_12), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_pointedzd2tozd2by1088z00_13), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_tvectorz00) =
					((obj_t) BgL_tvector1089z00_14), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_locationz00) =
					((obj_t) BgL_location1090z00_15), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_importzd2locationzd2) =
					((obj_t) BgL_importzd2location1091zd2_16), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1090z00_1209)))->BgL_occurrencez00) =
					((int) BgL_occurrence1092z00_17), BUNSPEC);
				{
					BgL_jarrayz00_bglt BgL_auxz00_1531;

					{
						obj_t BgL_auxz00_1532;

						{	/* Foreign/jtype.sch 51 */
							BgL_objectz00_bglt BgL_tmpz00_1533;

							BgL_tmpz00_1533 = ((BgL_objectz00_bglt) BgL_new1090z00_1209);
							BgL_auxz00_1532 = BGL_OBJECT_WIDENING(BgL_tmpz00_1533);
						}
						BgL_auxz00_1531 = ((BgL_jarrayz00_bglt) BgL_auxz00_1532);
					}
					((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1531))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_itemzd2type1093zd2_18), BUNSPEC);
				}
				return BgL_new1090z00_1209;
			}
		}
		BGL_FUNCTION_END;
	}



/* &make-jarray */
	BgL_typez00_bglt BGl_z62makezd2jarrayzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1055, obj_t BgL_id1078z00_1056, obj_t BgL_name1079z00_1057,
		obj_t BgL_siza7e1080za7_1058, obj_t BgL_class1081z00_1059,
		obj_t BgL_coercezd2to1082zd2_1060, obj_t BgL_parents1083z00_1061,
		obj_t BgL_initzf31084zf3_1062, obj_t BgL_magiczf31085zf3_1063,
		obj_t BgL_z421086z42_1064, obj_t BgL_alias1087z00_1065,
		obj_t BgL_pointedzd2tozd2by1088z00_1066, obj_t BgL_tvector1089z00_1067,
		obj_t BgL_location1090z00_1068, obj_t BgL_importzd2location1091zd2_1069,
		obj_t BgL_occurrence1092z00_1070, obj_t BgL_itemzd2type1093zd2_1071)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 51 */
			return
				BGl_makezd2jarrayzd2zzforeign_jtypez00(BgL_id1078z00_1056,
				BgL_name1079z00_1057, BgL_siza7e1080za7_1058, BgL_class1081z00_1059,
				BgL_coercezd2to1082zd2_1060, BgL_parents1083z00_1061,
				CBOOL(BgL_initzf31084zf3_1062), CBOOL(BgL_magiczf31085zf3_1063),
				BgL_z421086z42_1064, BgL_alias1087z00_1065,
				BgL_pointedzd2tozd2by1088z00_1066, BgL_tvector1089z00_1067,
				BgL_location1090z00_1068, BgL_importzd2location1091zd2_1069,
				CINT(BgL_occurrence1092z00_1070),
				((BgL_typez00_bglt) BgL_itemzd2type1093zd2_1071));
		}
		BGL_FUNCTION_END;
	}



/* jarray? */
	BGL_EXPORTED_DEF bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t
		BgL_objz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 52 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_19,
				BGl_jarrayz00zzforeign_jtypez00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray? */
	obj_t BGl_z62jarrayzf3z91zzforeign_jtypez00(obj_t BgL_envz00_1072,
		obj_t BgL_objz00_1073)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 52 */
			return BBOOL(BGl_jarrayzf3zf3zzforeign_jtypez00(BgL_objz00_1073));
		}
		BGL_FUNCTION_END;
	}



/* jarray-nil */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_jarrayzd2nilzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 53 */
			{	/* Foreign/jtype.sch 53 */
				obj_t BgL_classz00_938;

				BgL_classz00_938 = BGl_jarrayz00zzforeign_jtypez00;
				{	/* Foreign/jtype.sch 53 */
					obj_t BgL__ortest_1104z00_939;

					BgL__ortest_1104z00_939 = BGL_CLASS_NIL(BgL_classz00_938);
					if (CBOOL(BgL__ortest_1104z00_939))
						{	/* Foreign/jtype.sch 53 */
							return ((BgL_typez00_bglt) BgL__ortest_1104z00_939);
						}
					else
						{	/* Foreign/jtype.sch 53 */
							return
								((BgL_typez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_938));
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &jarray-nil */
	BgL_typez00_bglt BGl_z62jarrayzd2nilzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1074)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 53 */
			return BGl_jarrayzd2nilzd2zzforeign_jtypez00();
		}
		BGL_FUNCTION_END;
	}



/* jarray-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 54 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_1553;

				{
					obj_t BgL_auxz00_1554;

					{	/* Foreign/jtype.sch 54 */
						BgL_objectz00_bglt BgL_tmpz00_1555;

						BgL_tmpz00_1555 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_1554 = BGL_OBJECT_WIDENING(BgL_tmpz00_1555);
					}
					BgL_auxz00_1553 = ((BgL_jarrayz00_bglt) BgL_auxz00_1554);
				}
				return
					(((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1553))->BgL_itemzd2typezd2);
			}
		}
		BGL_FUNCTION_END;
	}



/* &jarray-item-type */
	BgL_typez00_bglt BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00(obj_t
		BgL_envz00_1075, obj_t BgL_oz00_1076)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 54 */
			return
				BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1076));
		}
		BGL_FUNCTION_END;
	}



/* jarray-occurrence */
	BGL_EXPORTED_DEF int
		BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_23)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 56 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_23)))->BgL_occurrencez00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-occurrence */
	obj_t BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00(obj_t BgL_envz00_1077,
		obj_t BgL_oz00_1078)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 56 */
			return
				BINT(BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1078)));
		}
		BGL_FUNCTION_END;
	}



/* jarray-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_24, int BgL_vz00_25)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 57 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_24)))->BgL_occurrencez00) =
				((int) BgL_vz00_25), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-occurrence-set! */
	obj_t BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1079, obj_t BgL_oz00_1080, obj_t BgL_vz00_1081)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 57 */
			return
				BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1080), CINT(BgL_vz00_1081));
		}
		BGL_FUNCTION_END;
	}



/* jarray-import-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 58 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_26)))->BgL_importzd2locationzd2);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-import-location */
	obj_t BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00(obj_t
		BgL_envz00_1082, obj_t BgL_oz00_1083)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 58 */
			return
				BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1083));
		}
		BGL_FUNCTION_END;
	}



/* jarray-import-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00
		(BgL_typez00_bglt BgL_oz00_27, obj_t BgL_vz00_28)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 59 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_27)))->BgL_importzd2locationzd2) =
				((obj_t) BgL_vz00_28), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-import-location-set! */
	obj_t BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00(obj_t
		BgL_envz00_1084, obj_t BgL_oz00_1085, obj_t BgL_vz00_1086)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 59 */
			return
				BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1085), BgL_vz00_1086);
		}
		BGL_FUNCTION_END;
	}



/* jarray-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2locationzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_29)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 60 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_29)))->BgL_locationz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-location */
	obj_t BGl_z62jarrayzd2locationzb0zzforeign_jtypez00(obj_t BgL_envz00_1087,
		obj_t BgL_oz00_1088)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 60 */
			return
				BGl_jarrayzd2locationzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1088));
		}
		BGL_FUNCTION_END;
	}



/* jarray-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 61 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_30)))->BgL_locationz00) =
				((obj_t) BgL_vz00_31), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-location-set! */
	obj_t BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1089, obj_t BgL_oz00_1090, obj_t BgL_vz00_1091)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 61 */
			return
				BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1090), BgL_vz00_1091);
		}
		BGL_FUNCTION_END;
	}



/* jarray-tvector */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_32)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 62 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_32)))->BgL_tvectorz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-tvector */
	obj_t BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00(obj_t BgL_envz00_1092,
		obj_t BgL_oz00_1093)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 62 */
			return
				BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1093));
		}
		BGL_FUNCTION_END;
	}



/* jarray-tvector-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_33, obj_t BgL_vz00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 63 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_33)))->BgL_tvectorz00) =
				((obj_t) BgL_vz00_34), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-tvector-set! */
	obj_t BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1094, obj_t BgL_oz00_1095, obj_t BgL_vz00_1096)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 63 */
			return
				BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1095), BgL_vz00_1096);
		}
		BGL_FUNCTION_END;
	}



/* jarray-pointed-to-by */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_35)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 64 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_35)))->BgL_pointedzd2tozd2byz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-pointed-to-by */
	obj_t BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1097, obj_t BgL_oz00_1098)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 64 */
			return
				BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1098));
		}
		BGL_FUNCTION_END;
	}



/* jarray-pointed-to-by-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00
		(BgL_typez00_bglt BgL_oz00_36, obj_t BgL_vz00_37)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 65 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_36)))->BgL_pointedzd2tozd2byz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-pointed-to-by-set! */
	obj_t BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1099, obj_t BgL_oz00_1100, obj_t BgL_vz00_1101)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 65 */
			return
				BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1100), BgL_vz00_1101);
		}
		BGL_FUNCTION_END;
	}



/* jarray-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2aliaszd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_38)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 66 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_38)))->BgL_aliasz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-alias */
	obj_t BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00(obj_t BgL_envz00_1102,
		obj_t BgL_oz00_1103)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 66 */
			return
				BGl_jarrayzd2aliaszd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1103));
		}
		BGL_FUNCTION_END;
	}



/* jarray-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_39, obj_t BgL_vz00_40)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 67 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_39)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_40), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-alias-set! */
	obj_t BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1104, obj_t BgL_oz00_1105, obj_t BgL_vz00_1106)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 67 */
			return
				BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1105), BgL_vz00_1106);
		}
		BGL_FUNCTION_END;
	}



/* jarray-$ */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2z42z90zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_41)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 68 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_41)))->BgL_z42z42);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-$ */
	obj_t BGl_z62jarrayzd2z42zf2zzforeign_jtypez00(obj_t BgL_envz00_1107,
		obj_t BgL_oz00_1108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 68 */
			return
				BGl_jarrayzd2z42z90zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1108));
		}
		BGL_FUNCTION_END;
	}



/* jarray-$-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_42,
		obj_t BgL_vz00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 69 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_42)))->BgL_z42z42) =
				((obj_t) BgL_vz00_43), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-$-set! */
	obj_t BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00(obj_t BgL_envz00_1109,
		obj_t BgL_oz00_1110, obj_t BgL_vz00_1111)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 69 */
			return
				BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1110), BgL_vz00_1111);
		}
		BGL_FUNCTION_END;
	}



/* jarray-magic? */
	BGL_EXPORTED_DEF bool_t
		BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_44)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 70 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_44)))->BgL_magiczf3zf3);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-magic? */
	obj_t BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00(obj_t BgL_envz00_1112,
		obj_t BgL_oz00_1113)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 70 */
			return
				BBOOL(BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1113)));
		}
		BGL_FUNCTION_END;
	}



/* jarray-magic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_45, bool_t BgL_vz00_46)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 71 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_45)))->BgL_magiczf3zf3) =
				((bool_t) BgL_vz00_46), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-magic?-set! */
	obj_t BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00(obj_t
		BgL_envz00_1114, obj_t BgL_oz00_1115, obj_t BgL_vz00_1116)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 71 */
			return
				BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1115), CBOOL(BgL_vz00_1116));
		}
		BGL_FUNCTION_END;
	}



/* jarray-init? */
	BGL_EXPORTED_DEF bool_t
		BGl_jarrayzd2initzf3z21zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 72 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_47)))->BgL_initzf3zf3);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-init? */
	obj_t BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00(obj_t BgL_envz00_1117,
		obj_t BgL_oz00_1118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 72 */
			return
				BBOOL(BGl_jarrayzd2initzf3z21zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1118)));
		}
		BGL_FUNCTION_END;
	}



/* jarray-init?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_48, bool_t BgL_vz00_49)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 73 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_48)))->BgL_initzf3zf3) =
				((bool_t) BgL_vz00_49), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-init?-set! */
	obj_t BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00(obj_t
		BgL_envz00_1119, obj_t BgL_oz00_1120, obj_t BgL_vz00_1121)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 73 */
			return
				BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1120), CBOOL(BgL_vz00_1121));
		}
		BGL_FUNCTION_END;
	}



/* jarray-parents */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2parentszd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_50)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 74 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_50)))->BgL_parentsz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-parents */
	obj_t BGl_z62jarrayzd2parentszb0zzforeign_jtypez00(obj_t BgL_envz00_1122,
		obj_t BgL_oz00_1123)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 74 */
			return
				BGl_jarrayzd2parentszd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1123));
		}
		BGL_FUNCTION_END;
	}



/* jarray-parents-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 75 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_51)))->BgL_parentsz00) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-parents-set! */
	obj_t BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1124, obj_t BgL_oz00_1125, obj_t BgL_vz00_1126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 75 */
			return
				BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1125), BgL_vz00_1126);
		}
		BGL_FUNCTION_END;
	}



/* jarray-coerce-to */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_53)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 76 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_53)))->BgL_coercezd2tozd2);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-coerce-to */
	obj_t BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00(obj_t BgL_envz00_1127,
		obj_t BgL_oz00_1128)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 76 */
			return
				BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1128));
		}
		BGL_FUNCTION_END;
	}



/* jarray-coerce-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 77 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_54)))->BgL_coercezd2tozd2) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-coerce-to-set! */
	obj_t BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00(obj_t
		BgL_envz00_1129, obj_t BgL_oz00_1130, obj_t BgL_vz00_1131)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 77 */
			return
				BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1130), BgL_vz00_1131);
		}
		BGL_FUNCTION_END;
	}



/* jarray-class */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2classzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_56)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 78 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_56)))->BgL_classz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-class */
	obj_t BGl_z62jarrayzd2classzb0zzforeign_jtypez00(obj_t BgL_envz00_1132,
		obj_t BgL_oz00_1133)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 78 */
			return
				BGl_jarrayzd2classzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1133));
		}
		BGL_FUNCTION_END;
	}



/* jarray-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_57, obj_t BgL_vz00_58)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 79 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_57)))->BgL_classz00) =
				((obj_t) BgL_vz00_58), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-class-set! */
	obj_t BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1134, obj_t BgL_oz00_1135, obj_t BgL_vz00_1136)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 79 */
			return
				BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1135), BgL_vz00_1136);
		}
		BGL_FUNCTION_END;
	}



/* jarray-size */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2siza7ez75zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_59)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 80 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_59)))->BgL_siza7eza7);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-size */
	obj_t BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00(obj_t BgL_envz00_1137,
		obj_t BgL_oz00_1138)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 80 */
			return
				BGl_jarrayzd2siza7ez75zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1138));
		}
		BGL_FUNCTION_END;
	}



/* jarray-size-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_60, obj_t BgL_vz00_61)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 81 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_60)))->BgL_siza7eza7) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-size-set! */
	obj_t BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00(obj_t
		BgL_envz00_1139, obj_t BgL_oz00_1140, obj_t BgL_vz00_1141)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 81 */
			return
				BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1140), BgL_vz00_1141);
		}
		BGL_FUNCTION_END;
	}



/* jarray-name */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2namezd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_62)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 82 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_62)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-name */
	obj_t BGl_z62jarrayzd2namezb0zzforeign_jtypez00(obj_t BgL_envz00_1142,
		obj_t BgL_oz00_1143)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 82 */
			return
				BGl_jarrayzd2namezd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1143));
		}
		BGL_FUNCTION_END;
	}



/* jarray-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_63, obj_t BgL_vz00_64)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 83 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_63)))->BgL_namez00) =
				((obj_t) BgL_vz00_64), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-name-set! */
	obj_t BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1144, obj_t BgL_oz00_1145, obj_t BgL_vz00_1146)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 83 */
			return
				BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1145), BgL_vz00_1146);
		}
		BGL_FUNCTION_END;
	}



/* jarray-id */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2idzd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_65)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 84 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_65)))->BgL_idz00);
		}
		BGL_FUNCTION_END;
	}



/* &jarray-id */
	obj_t BGl_z62jarrayzd2idzb0zzforeign_jtypez00(obj_t BgL_envz00_1147,
		obj_t BgL_oz00_1148)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.sch 84 */
			return
				BGl_jarrayzd2idzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1148));
		}
		BGL_FUNCTION_END;
	}



/* declare-jvm-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t BgL_idz00_68,
		obj_t BgL_ofz00_69, obj_t BgL_srcz00_70)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 46 */
			{	/* Foreign/jtype.scm 48 */
				BgL_typez00_bglt BgL_pointedz00_605;

				BgL_pointedz00_605 =
					BGl_usezd2typez12zc0zztype_envz00(BgL_ofz00_69,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_70));
				{	/* Foreign/jtype.scm 48 */
					obj_t BgL_pointerz00_606;

					BgL_pointerz00_606 =
						(((BgL_typez00_bglt) COBJECT(BgL_pointedz00_605))->
						BgL_pointedzd2tozd2byz00);
					{	/* Foreign/jtype.scm 49 */
						obj_t BgL_namez00_607;

						{	/* Foreign/jtype.scm 50 */
							obj_t BgL_res1746z00_943;

							{	/* Foreign/jtype.scm 50 */
								obj_t BgL_arg1395z00_942;

								BgL_arg1395z00_942 = SYMBOL_TO_STRING(BgL_idz00_68);
								BgL_res1746z00_943 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1395z00_942);
							}
							BgL_namez00_607 = BgL_res1746z00_943;
						}
						{	/* Foreign/jtype.scm 50 */
							obj_t BgL_objzd2ze3idz31_608;

							{	/* Foreign/jtype.scm 51 */
								obj_t BgL_arg1194z00_634;

								{	/* Foreign/jtype.scm 51 */
									obj_t BgL_arg1195z00_635;
									obj_t BgL_arg1196z00_636;

									{	/* Foreign/jtype.scm 51 */
										obj_t BgL_res1747z00_946;

										{	/* Foreign/jtype.scm 51 */
											obj_t BgL_symbolz00_944;

											BgL_symbolz00_944 = CNST_TABLE_REF(((long) 0));
											{	/* Foreign/jtype.scm 51 */
												obj_t BgL_arg1395z00_945;

												BgL_arg1395z00_945 =
													SYMBOL_TO_STRING(BgL_symbolz00_944);
												BgL_res1747z00_946 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1395z00_945);
										}}
										BgL_arg1195z00_635 = BgL_res1747z00_946;
									}
									{	/* Foreign/jtype.scm 51 */
										obj_t BgL_res1748z00_949;

										{	/* Foreign/jtype.scm 51 */
											obj_t BgL_arg1395z00_948;

											BgL_arg1395z00_948 = SYMBOL_TO_STRING(BgL_idz00_68);
											BgL_res1748z00_949 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1395z00_948);
										}
										BgL_arg1196z00_636 = BgL_res1748z00_949;
									}
									BgL_arg1194z00_634 =
										string_append(BgL_arg1195z00_635, BgL_arg1196z00_636);
								}
								BgL_objzd2ze3idz31_608 = bstring_to_symbol(BgL_arg1194z00_634);
							}
							{	/* Foreign/jtype.scm 51 */

								if (BGl_isazf3zf3zz__objectz00(BgL_pointerz00_606,
										BGl_typez00zztype_typez00))
									{	/* Foreign/jtype.scm 54 */
										return
											BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00
											(BgL_idz00_68, BgL_ofz00_69, BgL_namez00_607);
									}
								else
									{	/* Foreign/jtype.scm 58 */
										BgL_typez00_bglt BgL_typez00_610;

										BgL_typez00_610 =
											BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_68,
											BgL_namez00_607, CNST_TABLE_REF(((long) 1)),
											CNST_TABLE_REF(((long) 2)));
										{	/* Foreign/jtype.scm 58 */

											{	/* Foreign/jtype.scm 61 */
												obj_t BgL_arg1148z00_611;

												{	/* Foreign/jtype.scm 61 */
													obj_t BgL_arg1149z00_612;

													{	/* Foreign/jtype.scm 61 */
														obj_t BgL_arg1150z00_613;
														obj_t BgL_arg1153z00_614;

														{	/* Foreign/jtype.scm 61 */
															obj_t BgL_arg1158z00_615;

															{	/* Foreign/jtype.scm 61 */
																obj_t BgL_arg1159z00_616;

																{	/* Foreign/jtype.scm 61 */
																	obj_t BgL_arg1161z00_617;

																	{	/* Foreign/jtype.scm 61 */
																		obj_t BgL_arg1162z00_618;

																		BgL_arg1162z00_618 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		BgL_arg1161z00_617 =
																			MAKE_YOUNG_PAIR(BNIL, BgL_arg1162z00_618);
																	}
																	BgL_arg1159z00_616 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																		BgL_arg1161z00_617);
																}
																BgL_arg1158z00_615 =
																	MAKE_YOUNG_PAIR(BgL_idz00_68,
																	BgL_arg1159z00_616);
															}
															BgL_arg1150z00_613 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
																BgL_arg1158z00_615);
														}
														{	/* Foreign/jtype.scm 62 */
															obj_t BgL_arg1163z00_619;

															{	/* Foreign/jtype.scm 62 */
																obj_t BgL_arg1164z00_620;

																{	/* Foreign/jtype.scm 62 */
																	obj_t BgL_arg1167z00_621;

																	{	/* Foreign/jtype.scm 62 */
																		obj_t BgL_arg1168z00_622;

																		{	/* Foreign/jtype.scm 62 */
																			obj_t BgL_arg1169z00_623;
																			obj_t BgL_arg1171z00_624;

																			{	/* Foreign/jtype.scm 62 */
																				obj_t BgL_arg1173z00_625;

																				{	/* Foreign/jtype.scm 62 */
																					obj_t BgL_arg1183z00_626;

																					{	/* Foreign/jtype.scm 62 */
																						obj_t BgL_arg1185z00_627;
																						obj_t BgL_arg1192z00_628;

																						{	/* Foreign/jtype.scm 62 */
																							obj_t BgL_res1751z00_955;

																							{	/* Foreign/jtype.scm 62 */
																								obj_t BgL_arg1395z00_954;

																								BgL_arg1395z00_954 =
																									SYMBOL_TO_STRING
																									(BgL_idz00_68);
																								BgL_res1751z00_955 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1395z00_954);
																							}
																							BgL_arg1185z00_627 =
																								BgL_res1751z00_955;
																						}
																						{	/* Foreign/jtype.scm 62 */
																							obj_t BgL_res1752z00_958;

																							{	/* Foreign/jtype.scm 62 */
																								obj_t BgL_symbolz00_956;

																								BgL_symbolz00_956 =
																									CNST_TABLE_REF(((long) 5));
																								{	/* Foreign/jtype.scm 62 */
																									obj_t BgL_arg1395z00_957;

																									BgL_arg1395z00_957 =
																										SYMBOL_TO_STRING
																										(BgL_symbolz00_956);
																									BgL_res1752z00_958 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg1395z00_957);
																							}}
																							BgL_arg1192z00_628 =
																								BgL_res1752z00_958;
																						}
																						BgL_arg1183z00_626 =
																							string_append(BgL_arg1185z00_627,
																							BgL_arg1192z00_628);
																					}
																					BgL_arg1173z00_625 =
																						bstring_to_symbol
																						(BgL_arg1183z00_626);
																				}
																				BgL_arg1169z00_623 =
																					MAKE_YOUNG_PAIR(BgL_arg1173z00_625,
																					BNIL);
																			}
																			BgL_arg1171z00_624 =
																				MAKE_YOUNG_PAIR(BNIL, BNIL);
																			BgL_arg1168z00_622 =
																				MAKE_YOUNG_PAIR(BgL_arg1169z00_623,
																				BgL_arg1171z00_624);
																		}
																		BgL_arg1167z00_621 =
																			MAKE_YOUNG_PAIR(BgL_idz00_68,
																			BgL_arg1168z00_622);
																	}
																	BgL_arg1164z00_620 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																		BgL_arg1167z00_621);
																}
																BgL_arg1163z00_619 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
																	BgL_arg1164z00_620);
															}
															BgL_arg1153z00_614 =
																MAKE_YOUNG_PAIR(BgL_arg1163z00_619, BNIL);
														}
														BgL_arg1149z00_612 =
															MAKE_YOUNG_PAIR(BgL_arg1150z00_613,
															BgL_arg1153z00_614);
													}
													BgL_arg1148z00_611 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg1149z00_612);
												}
												BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
													(BgL_arg1148z00_611);
											}
											((((BgL_typez00_bglt) COBJECT(BgL_pointedz00_605))->
													BgL_pointedzd2tozd2byz00) =
												((obj_t) ((obj_t) BgL_typez00_610)), BUNSPEC);
											{	/* Foreign/jtype.scm 65 */
												BgL_jarrayz00_bglt BgL_wide1093z00_631;

												BgL_wide1093z00_631 =
													((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_jarrayz00_bgl))));
												{	/* Foreign/jtype.scm 65 */
													obj_t BgL_auxz00_1735;
													BgL_objectz00_bglt BgL_tmpz00_1732;

													BgL_auxz00_1735 = ((obj_t) BgL_wide1093z00_631);
													BgL_tmpz00_1732 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_typez00_610));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1732,
														BgL_auxz00_1735);
												}
												{	/* Foreign/jtype.scm 65 */
													long BgL_arg1193z00_632;

													{	/* Foreign/jtype.scm 65 */
														long BgL_res1754z00_963;

														BgL_res1754z00_963 =
															BGL_CLASS_INDEX(BGl_jarrayz00zzforeign_jtypez00);
														BgL_arg1193z00_632 = BgL_res1754z00_963;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typez00_610)),
														BgL_arg1193z00_632);
												}
												((BgL_typez00_bglt)
													((BgL_typez00_bglt) BgL_typez00_610));
											}
											{
												BgL_jarrayz00_bglt BgL_auxz00_1744;

												{
													obj_t BgL_auxz00_1745;

													{	/* Foreign/jtype.scm 66 */
														BgL_objectz00_bglt BgL_tmpz00_1746;

														BgL_tmpz00_1746 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typez00_610));
														BgL_auxz00_1745 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_1746);
													}
													BgL_auxz00_1744 =
														((BgL_jarrayz00_bglt) BgL_auxz00_1745);
												}
												((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1744))->
														BgL_itemzd2typezd2) =
													((BgL_typez00_bglt) BgL_pointedz00_605), BUNSPEC);
											}
											((BgL_typez00_bglt) BgL_typez00_610);
											return BgL_typez00_610;
										}
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &declare-jvm-type! */
	BgL_typez00_bglt BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1149, obj_t BgL_idz00_1150, obj_t BgL_ofz00_1151,
		obj_t BgL_srcz00_1152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 46 */
			return
				BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(BgL_idz00_1150,
				BgL_ofz00_1151, BgL_srcz00_1152);
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 38 */
				obj_t BgL_arg1209z00_642;
				obj_t BgL_arg1210z00_643;

				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_v1138z00_680;

					BgL_v1138z00_680 = create_vector(((long) 1));
					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_arg1226z00_681;

						BgL_arg1226z00_681 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1860z00zzforeign_jtypez00,
							BGl_proc1859z00zzforeign_jtypez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1138z00_680, ((long) 0), BgL_arg1226z00_681);
					}
					BgL_arg1209z00_642 = BgL_v1138z00_680;
				}
				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_v1139z00_691;

					BgL_v1139z00_691 = create_vector(((long) 0));
					BgL_arg1210z00_643 = BgL_v1139z00_691;
				}
				return (BGl_jarrayz00zzforeign_jtypez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_typez00zztype_typez00,
						((long) 10395), BGl_proc1864z00zzforeign_jtypez00,
						BGl_proc1863z00zzforeign_jtypez00, BFALSE,
						BGl_proc1862z00zzforeign_jtypez00,
						BGl_proc1861z00zzforeign_jtypez00, BgL_arg1209z00_642,
						BgL_arg1210z00_643), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda1220 */
	BgL_typez00_bglt BGl_z62lambda1220z62zzforeign_jtypez00(obj_t BgL_envz00_1159,
		obj_t BgL_o1076z00_1160)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				long BgL_arg1221z00_1218;

				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_arg1222z00_1219;

					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_arg1224z00_1220;

						{	/* Foreign/jtype.scm 38 */
							long BgL_arg1728z00_1221;

							{	/* Foreign/jtype.scm 38 */
								long BgL_arg1729z00_1222;

								{	/* Foreign/jtype.scm 38 */
									long BgL_res1758z00_1223;

									BgL_res1758z00_1223 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_o1076z00_1160)));
									BgL_arg1729z00_1222 = BgL_res1758z00_1223;
								}
								BgL_arg1728z00_1221 = (BgL_arg1729z00_1222 - OBJECT_TYPE);
							}
							BgL_arg1224z00_1220 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1728z00_1221);
						}
						BgL_arg1222z00_1219 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1224z00_1220);
					}
					{	/* Foreign/jtype.scm 38 */
						long BgL_res1760z00_1224;

						{	/* Foreign/jtype.scm 38 */
							obj_t BgL_tmpz00_1768;

							BgL_tmpz00_1768 = ((obj_t) BgL_arg1222z00_1219);
							BgL_res1760z00_1224 = BGL_CLASS_INDEX(BgL_tmpz00_1768);
						}
						BgL_arg1221z00_1218 = BgL_res1760z00_1224;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_typez00_bglt) BgL_o1076z00_1160)), BgL_arg1221z00_1218);
			}
			{	/* Foreign/jtype.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_1774;

				BgL_tmpz00_1774 =
					((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_o1076z00_1160));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1774, BFALSE);
			}
			return ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1076z00_1160));
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1219> */
	obj_t BGl_z62zc3anonymousza31219ze3ze1zzforeign_jtypez00(obj_t
		BgL_envz00_1161, obj_t BgL_new1075z00_1162)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_typez00_bglt BgL_new1075z00_672;

				{
					BgL_typez00_bglt BgL_auxz00_1780;

					BgL_new1075z00_672 = ((BgL_typez00_bglt) BgL_new1075z00_1162);
					((((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_new1075z00_672)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_siza7eza7) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_classz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_coercezd2tozd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_parentsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_initzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_magiczf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_z42z42) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_aliasz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_pointedzd2tozd2byz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_tvectorz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_locationz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_importzd2locationzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1075z00_672)))->BgL_occurrencez00) =
						((int) (int) (((long) 0))), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_1819;
						BgL_jarrayz00_bglt BgL_auxz00_1813;

						{	/* Foreign/jtype.scm 38 */
							obj_t BgL_classz00_979;

							BgL_classz00_979 = BGl_typez00zztype_typez00;
							{	/* Foreign/jtype.scm 38 */
								obj_t BgL__ortest_1104z00_980;

								BgL__ortest_1104z00_980 = BGL_CLASS_NIL(BgL_classz00_979);
								if (CBOOL(BgL__ortest_1104z00_980))
									{	/* Foreign/jtype.scm 38 */
										BgL_auxz00_1819 =
											((BgL_typez00_bglt) BgL__ortest_1104z00_980);
									}
								else
									{	/* Foreign/jtype.scm 38 */
										BgL_auxz00_1819 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_979));
									}
							}
						}
						{
							obj_t BgL_auxz00_1814;

							{	/* Foreign/jtype.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_1815;

								BgL_tmpz00_1815 = ((BgL_objectz00_bglt) BgL_new1075z00_672);
								BgL_auxz00_1814 = BGL_OBJECT_WIDENING(BgL_tmpz00_1815);
							}
							BgL_auxz00_1813 = ((BgL_jarrayz00_bglt) BgL_auxz00_1814);
						}
						((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1813))->
								BgL_itemzd2typezd2) =
							((BgL_typez00_bglt) BgL_auxz00_1819), BUNSPEC);
					}
					BgL_auxz00_1780 = BgL_new1075z00_672;
					return ((obj_t) BgL_auxz00_1780);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1216 */
	BgL_typez00_bglt BGl_z62lambda1216z62zzforeign_jtypez00(obj_t BgL_envz00_1163,
		obj_t BgL_o1072z00_1164)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				BgL_jarrayz00_bglt BgL_wide1074z00_1229;

				BgL_wide1074z00_1229 =
					((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jarrayz00_bgl))));
				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_auxz00_1834;
					BgL_objectz00_bglt BgL_tmpz00_1830;

					BgL_auxz00_1834 = ((obj_t) BgL_wide1074z00_1229);
					BgL_tmpz00_1830 =
						((BgL_objectz00_bglt)
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1072z00_1164)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1830, BgL_auxz00_1834);
				}
				{	/* Foreign/jtype.scm 38 */
					long BgL_arg1218z00_1230;

					{	/* Foreign/jtype.scm 38 */
						long BgL_res1757z00_1231;

						BgL_res1757z00_1231 =
							BGL_CLASS_INDEX(BGl_jarrayz00zzforeign_jtypez00);
						BgL_arg1218z00_1230 = BgL_res1757z00_1231;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_o1072z00_1164))), BgL_arg1218z00_1230);
				}
				return
					((BgL_typez00_bglt)
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1072z00_1164)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1211 */
	BgL_typez00_bglt BGl_z62lambda1211z62zzforeign_jtypez00(obj_t BgL_envz00_1165,
		obj_t BgL_id1056z00_1166, obj_t BgL_name1057z00_1167,
		obj_t BgL_siza7e1058za7_1168, obj_t BgL_class1059z00_1169,
		obj_t BgL_coercezd2to1060zd2_1170, obj_t BgL_parents1061z00_1171,
		obj_t BgL_initzf31062zf3_1172, obj_t BgL_magiczf31063zf3_1173,
		obj_t BgL_z421064z42_1174, obj_t BgL_alias1065z00_1175,
		obj_t BgL_pointedzd2tozd2by1066z00_1176, obj_t BgL_tvector1067z00_1177,
		obj_t BgL_location1068z00_1178, obj_t BgL_importzd2location1069zd2_1179,
		obj_t BgL_occurrence1070z00_1180, obj_t BgL_itemzd2type1071zd2_1181)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				bool_t BgL_initzf31062zf3_1233;
				bool_t BgL_magiczf31063zf3_1234;
				int BgL_occurrence1070z00_1235;

				BgL_initzf31062zf3_1233 = CBOOL(BgL_initzf31062zf3_1172);
				BgL_magiczf31063zf3_1234 = CBOOL(BgL_magiczf31063zf3_1173);
				BgL_occurrence1070z00_1235 = CINT(BgL_occurrence1070z00_1180);
				{	/* Foreign/jtype.scm 38 */
					BgL_typez00_bglt BgL_new1099z00_1237;

					{	/* Foreign/jtype.scm 38 */
						BgL_typez00_bglt BgL_tmp1097z00_1238;
						BgL_jarrayz00_bglt BgL_wide1098z00_1239;

						{
							BgL_typez00_bglt BgL_auxz00_1848;

							{	/* Foreign/jtype.scm 38 */
								BgL_typez00_bglt BgL_new1096z00_1240;

								BgL_new1096z00_1240 =
									((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_typez00_bgl))));
								{	/* Foreign/jtype.scm 38 */
									long BgL_arg1215z00_1241;

									{	/* Foreign/jtype.scm 38 */
										long BgL_res1755z00_1242;

										BgL_res1755z00_1242 =
											BGL_CLASS_INDEX(BGl_typez00zztype_typez00);
										BgL_arg1215z00_1241 = BgL_res1755z00_1242;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1096z00_1240),
										BgL_arg1215z00_1241);
								}
								{	/* Foreign/jtype.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_1853;

									BgL_tmpz00_1853 = ((BgL_objectz00_bglt) BgL_new1096z00_1240);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1853, BFALSE);
								}
								BgL_auxz00_1848 = BgL_new1096z00_1240;
							}
							BgL_tmp1097z00_1238 = ((BgL_typez00_bglt) BgL_auxz00_1848);
						}
						BgL_wide1098z00_1239 =
							((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jarrayz00_bgl))));
						{	/* Foreign/jtype.scm 38 */
							obj_t BgL_auxz00_1860;
							BgL_objectz00_bglt BgL_tmpz00_1858;

							BgL_auxz00_1860 = ((obj_t) BgL_wide1098z00_1239);
							BgL_tmpz00_1858 = ((BgL_objectz00_bglt) BgL_tmp1097z00_1238);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1858, BgL_auxz00_1860);
						}
						{	/* Foreign/jtype.scm 38 */
							long BgL_arg1212z00_1243;

							{	/* Foreign/jtype.scm 38 */
								long BgL_res1756z00_1244;

								BgL_res1756z00_1244 =
									BGL_CLASS_INDEX(BGl_jarrayz00zzforeign_jtypez00);
								BgL_arg1212z00_1243 = BgL_res1756z00_1244;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1097z00_1238),
								BgL_arg1212z00_1243);
						}
						BgL_new1099z00_1237 = ((BgL_typez00_bglt) BgL_tmp1097z00_1238);
					}
					((((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_new1099z00_1237)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1056z00_1166)), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_namez00) =
						((obj_t) BgL_name1057z00_1167), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_siza7eza7) =
						((obj_t) BgL_siza7e1058za7_1168), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_classz00) =
						((obj_t) BgL_class1059z00_1169), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_coercezd2tozd2) =
						((obj_t) BgL_coercezd2to1060zd2_1170), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_parentsz00) =
						((obj_t) BgL_parents1061z00_1171), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_initzf3zf3) =
						((bool_t) BgL_initzf31062zf3_1233), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_magiczf3zf3) =
						((bool_t) BgL_magiczf31063zf3_1234), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_z42z42) =
						((obj_t) BgL_z421064z42_1174), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_aliasz00) =
						((obj_t) BgL_alias1065z00_1175), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_pointedzd2tozd2byz00) =
						((obj_t) BgL_pointedzd2tozd2by1066z00_1176), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_tvectorz00) =
						((obj_t) BgL_tvector1067z00_1177), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_locationz00) =
						((obj_t) BgL_location1068z00_1178), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_importzd2locationzd2) =
						((obj_t) BgL_importzd2location1069zd2_1179), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1099z00_1237)))->BgL_occurrencez00) =
						((int) BgL_occurrence1070z00_1235), BUNSPEC);
					{
						BgL_jarrayz00_bglt BgL_auxz00_1898;

						{
							obj_t BgL_auxz00_1899;

							{	/* Foreign/jtype.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_1900;

								BgL_tmpz00_1900 = ((BgL_objectz00_bglt) BgL_new1099z00_1237);
								BgL_auxz00_1899 = BGL_OBJECT_WIDENING(BgL_tmpz00_1900);
							}
							BgL_auxz00_1898 = ((BgL_jarrayz00_bglt) BgL_auxz00_1899);
						}
						((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1898))->
								BgL_itemzd2typezd2) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BgL_itemzd2type1071zd2_1181)), BUNSPEC);
					}
					return BgL_new1099z00_1237;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1234 */
	obj_t BGl_z62lambda1234z62zzforeign_jtypez00(obj_t BgL_envz00_1182,
		obj_t BgL_oz00_1183, obj_t BgL_vz00_1184)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_1906;

				{
					obj_t BgL_auxz00_1907;

					{	/* Foreign/jtype.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_1908;

						BgL_tmpz00_1908 =
							((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_oz00_1183));
						BgL_auxz00_1907 = BGL_OBJECT_WIDENING(BgL_tmpz00_1908);
					}
					BgL_auxz00_1906 = ((BgL_jarrayz00_bglt) BgL_auxz00_1907);
				}
				return
					((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1906))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_1184)), BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1233 */
	BgL_typez00_bglt BGl_z62lambda1233z62zzforeign_jtypez00(obj_t BgL_envz00_1185,
		obj_t BgL_oz00_1186)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_1915;

				{
					obj_t BgL_auxz00_1916;

					{	/* Foreign/jtype.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_1917;

						BgL_tmpz00_1917 =
							((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_oz00_1186));
						BgL_auxz00_1916 = BGL_OBJECT_WIDENING(BgL_tmpz00_1917);
					}
					BgL_auxz00_1915 = ((BgL_jarrayz00_bglt) BgL_auxz00_1916);
				}
				return
					(((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1915))->BgL_itemzd2typezd2);
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
				BGl_jarrayz00zzforeign_jtypez00, BGl_proc1865z00zzforeign_jtypez00,
				BGl_string1866z00zzforeign_jtypez00);
		}
		BGL_FUNCTION_END;
	}



/* &make-ctype-accesses!1141 */
	obj_t BGl_z62makezd2ctypezd2accessesz121141z70zzforeign_jtypez00(obj_t
		BgL_envz00_1188, obj_t BgL_whatz00_1189, obj_t BgL_whoz00_1190,
		obj_t BgL_locz00_1191)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 72 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_idz00_1250;

				BgL_idz00_1250 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_whatz00_1189))))->BgL_idz00);
				{	/* Tools/trace.sch 53 */
					obj_t BgL_oidz00_1251;

					BgL_oidz00_1251 =
						BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(((long)
								11)), BgL_idz00_1250);
					{	/* Tools/trace.sch 53 */
						obj_t BgL_tidz00_1252;

						BgL_tidz00_1252 =
							BGl_makezd2typedzd2formalz00zzast_identz00(BgL_idz00_1250);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_idzd2ze3objz31_1253;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1697z00_1254;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1698z00_1255;
									obj_t BgL_arg1701z00_1256;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_res1761z00_1257;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1395z00_1258;

											BgL_arg1395z00_1258 = SYMBOL_TO_STRING(BgL_idz00_1250);
											BgL_res1761z00_1257 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1395z00_1258);
										}
										BgL_arg1698z00_1255 = BgL_res1761z00_1257;
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_res1762z00_1259;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_symbolz00_1260;

											BgL_symbolz00_1260 = CNST_TABLE_REF(((long) 12));
											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1395z00_1261;

												BgL_arg1395z00_1261 =
													SYMBOL_TO_STRING(BgL_symbolz00_1260);
												BgL_res1762z00_1259 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1395z00_1261);
										}}
										BgL_arg1701z00_1256 = BgL_res1762z00_1259;
									}
									BgL_arg1697z00_1254 =
										string_append(BgL_arg1698z00_1255, BgL_arg1701z00_1256);
								}
								BgL_idzd2ze3objz31_1253 =
									bstring_to_symbol(BgL_arg1697z00_1254);
							}
							{	/* Tools/trace.sch 53 */
								obj_t BgL_objzd2ze3idz31_1262;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1686z00_1263;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1692z00_1264;
										obj_t BgL_arg1694z00_1265;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_res1764z00_1266;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_symbolz00_1267;

												BgL_symbolz00_1267 = CNST_TABLE_REF(((long) 0));
												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1395z00_1268;

													BgL_arg1395z00_1268 =
														SYMBOL_TO_STRING(BgL_symbolz00_1267);
													BgL_res1764z00_1266 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1395z00_1268);
											}}
											BgL_arg1692z00_1264 = BgL_res1764z00_1266;
										}
										{	/* Tools/trace.sch 53 */
											obj_t BgL_res1765z00_1269;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1395z00_1270;

												BgL_arg1395z00_1270 = SYMBOL_TO_STRING(BgL_idz00_1250);
												BgL_res1765z00_1269 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1395z00_1270);
											}
											BgL_arg1694z00_1265 = BgL_res1765z00_1269;
										}
										BgL_arg1686z00_1263 =
											string_append(BgL_arg1692z00_1264, BgL_arg1694z00_1265);
									}
									BgL_objzd2ze3idz31_1262 =
										bstring_to_symbol(BgL_arg1686z00_1263);
								}
								{	/* Tools/trace.sch 53 */
									obj_t BgL_tobjzd2ze3idz31_1271;

									BgL_tobjzd2ze3idz31_1271 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_objzd2ze3idz31_1262, BgL_idz00_1250);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_idzf3zf3_1272;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1677z00_1273;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1678z00_1274;
												obj_t BgL_arg1685z00_1275;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_res1767z00_1276;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1395z00_1277;

														BgL_arg1395z00_1277 =
															SYMBOL_TO_STRING(BgL_idz00_1250);
														BgL_res1767z00_1276 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1395z00_1277);
													}
													BgL_arg1678z00_1274 = BgL_res1767z00_1276;
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_res1768z00_1278;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_symbolz00_1279;

														BgL_symbolz00_1279 = CNST_TABLE_REF(((long) 5));
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1395z00_1280;

															BgL_arg1395z00_1280 =
																SYMBOL_TO_STRING(BgL_symbolz00_1279);
															BgL_res1768z00_1278 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1395z00_1280);
													}}
													BgL_arg1685z00_1275 = BgL_res1768z00_1278;
												}
												BgL_arg1677z00_1273 =
													string_append(BgL_arg1678z00_1274,
													BgL_arg1685z00_1275);
											}
											BgL_idzf3zf3_1272 =
												bstring_to_symbol(BgL_arg1677z00_1273);
										}
										{	/* Tools/trace.sch 53 */
											obj_t BgL_tidzf3zf3_1281;

											BgL_tidzf3zf3_1281 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_idzf3zf3_1272, CNST_TABLE_REF(((long) 13)));
											{	/* Tools/trace.sch 53 */
												obj_t BgL_idzd2lengthzd2_1282;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1674z00_1283;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1675z00_1284;
														obj_t BgL_arg1676z00_1285;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_res1770z00_1286;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1395z00_1287;

																BgL_arg1395z00_1287 =
																	SYMBOL_TO_STRING(BgL_idz00_1250);
																BgL_res1770z00_1286 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1395z00_1287);
															}
															BgL_arg1675z00_1284 = BgL_res1770z00_1286;
														}
														{	/* Tools/trace.sch 53 */
															obj_t BgL_res1771z00_1288;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_symbolz00_1289;

																BgL_symbolz00_1289 =
																	CNST_TABLE_REF(((long) 14));
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1395z00_1290;

																	BgL_arg1395z00_1290 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1289);
																	BgL_res1771z00_1288 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1395z00_1290);
															}}
															BgL_arg1676z00_1285 = BgL_res1771z00_1288;
														}
														BgL_arg1674z00_1283 =
															string_append(BgL_arg1675z00_1284,
															BgL_arg1676z00_1285);
													}
													BgL_idzd2lengthzd2_1282 =
														bstring_to_symbol(BgL_arg1674z00_1283);
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_tidzd2lengthzd2_1291;

													BgL_tidzd2lengthzd2_1291 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_idzd2lengthzd2_1282,
														CNST_TABLE_REF(((long) 15)));
													{	/* Tools/trace.sch 53 */
														BgL_typez00_bglt BgL_itemzd2typezd2_1292;

														{
															BgL_jarrayz00_bglt BgL_auxz00_1963;

															{
																obj_t BgL_auxz00_1964;

																{	/* Tools/trace.sch 53 */
																	BgL_objectz00_bglt BgL_tmpz00_1965;

																	BgL_tmpz00_1965 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_whatz00_1189));
																	BgL_auxz00_1964 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1965);
																}
																BgL_auxz00_1963 =
																	((BgL_jarrayz00_bglt) BgL_auxz00_1964);
															}
															BgL_itemzd2typezd2_1292 =
																(((BgL_jarrayz00_bglt)
																	COBJECT(BgL_auxz00_1963))->
																BgL_itemzd2typezd2);
														}
														{	/* Tools/trace.sch 53 */
															obj_t BgL_itemzd2typezd2idz00_1293;

															BgL_itemzd2typezd2idz00_1293 =
																(((BgL_typez00_bglt)
																	COBJECT(BgL_itemzd2typezd2_1292))->BgL_idz00);
															{	/* Tools/trace.sch 53 */
																obj_t BgL_fitemzd2typezd2idz00_1294;

																BgL_fitemzd2typezd2idz00_1294 =
																	BGl_makezd2typedzd2formalz00zzast_identz00
																	(BgL_itemzd2typezd2idz00_1293);
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_oitemzd2typezd2idz00_1295;

																	BgL_oitemzd2typezd2idz00_1295 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(CNST_TABLE_REF(((long) 16)),
																		BgL_itemzd2typezd2idz00_1293);
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_makezd2idzd2_1296;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1670z00_1297;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1671z00_1298;
																				obj_t BgL_arg1673z00_1299;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_res1773z00_1300;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_symbolz00_1301;

																						BgL_symbolz00_1301 =
																							CNST_TABLE_REF(((long) 17));
																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1395z00_1302;

																							BgL_arg1395z00_1302 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1301);
																							BgL_res1773z00_1300 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1395z00_1302);
																					}}
																					BgL_arg1671z00_1298 =
																						BgL_res1773z00_1300;
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_res1774z00_1303;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1395z00_1304;

																						BgL_arg1395z00_1304 =
																							SYMBOL_TO_STRING(BgL_idz00_1250);
																						BgL_res1774z00_1303 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1395z00_1304);
																					}
																					BgL_arg1673z00_1299 =
																						BgL_res1774z00_1303;
																				}
																				BgL_arg1670z00_1297 =
																					string_append(BgL_arg1671z00_1298,
																					BgL_arg1673z00_1299);
																			}
																			BgL_makezd2idzd2_1296 =
																				bstring_to_symbol(BgL_arg1670z00_1297);
																		}
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_tmakezd2idzd2_1305;

																			BgL_tmakezd2idzd2_1305 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_makezd2idzd2_1296, BgL_idz00_1250);
																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_idzd2refzd2_1306;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1663z00_1307;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1665z00_1308;
																						obj_t BgL_arg1669z00_1309;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_res1776z00_1310;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1395z00_1311;

																								BgL_arg1395z00_1311 =
																									SYMBOL_TO_STRING
																									(BgL_idz00_1250);
																								BgL_res1776z00_1310 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1395z00_1311);
																							}
																							BgL_arg1665z00_1308 =
																								BgL_res1776z00_1310;
																						}
																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_res1777z00_1312;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_symbolz00_1313;

																								BgL_symbolz00_1313 =
																									CNST_TABLE_REF(((long) 18));
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1395z00_1314;

																									BgL_arg1395z00_1314 =
																										SYMBOL_TO_STRING
																										(BgL_symbolz00_1313);
																									BgL_res1777z00_1312 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg1395z00_1314);
																							}}
																							BgL_arg1669z00_1309 =
																								BgL_res1777z00_1312;
																						}
																						BgL_arg1663z00_1307 =
																							string_append(BgL_arg1665z00_1308,
																							BgL_arg1669z00_1309);
																					}
																					BgL_idzd2refzd2_1306 =
																						bstring_to_symbol
																						(BgL_arg1663z00_1307);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_tidzd2refzd2_1315;

																					BgL_tidzd2refzd2_1315 =
																						BGl_makezd2typedzd2identz00zzast_identz00
																						(BgL_idzd2refzd2_1306,
																						BgL_itemzd2typezd2idz00_1293);
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_idzd2setz12zc0_1316;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1658z00_1317;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1660z00_1318;
																								obj_t BgL_arg1661z00_1319;

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_res1779z00_1320;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1395z00_1321;

																										BgL_arg1395z00_1321 =
																											SYMBOL_TO_STRING
																											(BgL_idz00_1250);
																										BgL_res1779z00_1320 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg1395z00_1321);
																									}
																									BgL_arg1660z00_1318 =
																										BgL_res1779z00_1320;
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_res1780z00_1322;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_symbolz00_1323;

																										BgL_symbolz00_1323 =
																											CNST_TABLE_REF(((long)
																												19));
																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1395z00_1324;

																											BgL_arg1395z00_1324 =
																												SYMBOL_TO_STRING
																												(BgL_symbolz00_1323);
																											BgL_res1780z00_1322 =
																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																												(BgL_arg1395z00_1324);
																									}}
																									BgL_arg1661z00_1319 =
																										BgL_res1780z00_1322;
																								}
																								BgL_arg1658z00_1317 =
																									string_append
																									(BgL_arg1660z00_1318,
																									BgL_arg1661z00_1319);
																							}
																							BgL_idzd2setz12zc0_1316 =
																								bstring_to_symbol
																								(BgL_arg1658z00_1317);
																						}
																						{	/* Tools/trace.sch 53 */

																							{

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_list1235z00_1394;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1236z00_1395;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1239z00_1396;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1241z00_1397;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1242z00_1398;
																													BgL_arg1242z00_1398 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2setz12zc0_1316,
																														BNIL);
																													BgL_arg1241z00_1397 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2refzd2_1306,
																														BgL_arg1242z00_1398);
																												}
																												BgL_arg1239z00_1396 =
																													MAKE_YOUNG_PAIR
																													(BgL_makezd2idzd2_1296,
																													BgL_arg1241z00_1397);
																											}
																											BgL_arg1236z00_1395 =
																												MAKE_YOUNG_PAIR
																												(BgL_idzd2lengthzd2_1282,
																												BgL_arg1239z00_1396);
																										}
																										BgL_list1235z00_1394 =
																											MAKE_YOUNG_PAIR
																											(BgL_idzf3zf3_1272,
																											BgL_arg1236z00_1395);
																									}
																									BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																										(BgL_list1235z00_1394);
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1243z00_1399;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1245z00_1400;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1247z00_1401;
																											obj_t BgL_arg1248z00_1402;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1250z00_1403;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1251z00_1404;
																													BgL_arg1251z00_1404 =
																														MAKE_YOUNG_PAIR
																														(BgL_tidz00_1252,
																														BNIL);
																													BgL_arg1250z00_1403 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2ze3objz31_1253,
																														BgL_arg1251z00_1404);
																												}
																												BgL_arg1247z00_1401 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 33)),
																													BgL_arg1250z00_1403);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1252z00_1405;
																												obj_t
																													BgL_arg1253z00_1406;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1256z00_1407;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1259z00_1408;
																														BgL_arg1259z00_1408
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 34)),
																															BNIL);
																														BgL_arg1256z00_1407
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_tobjzd2ze3idz31_1271,
																															BgL_arg1259z00_1408);
																													}
																													BgL_arg1252z00_1405 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 33)),
																														BgL_arg1256z00_1407);
																												}
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1260z00_1409;
																													obj_t
																														BgL_arg1263z00_1410;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1264z00_1411;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1266z00_1412;
																															BgL_arg1266z00_1412
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 34)),
																																BNIL);
																															BgL_arg1264z00_1411
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_tidzf3zf3_1281,
																																BgL_arg1266z00_1412);
																														}
																														BgL_arg1260z00_1409
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 33)),
																															BgL_arg1264z00_1411);
																													}
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1267z00_1413;
																														obj_t
																															BgL_arg1270z00_1414;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1271z00_1415;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1272z00_1416;
																																BgL_arg1272z00_1416
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tidz00_1252,
																																	BNIL);
																																BgL_arg1271z00_1415
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tidzd2lengthzd2_1291,
																																	BgL_arg1272z00_1416);
																															}
																															BgL_arg1267z00_1413
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 33)),
																																BgL_arg1271z00_1415);
																														}
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1273z00_1417;
																															obj_t
																																BgL_arg1275z00_1418;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1278z00_1419;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1279z00_1420;
																																	BgL_arg1279z00_1420
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				35)),
																																		BNIL);
																																	BgL_arg1278z00_1419
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_tmakezd2idzd2_1305,
																																		BgL_arg1279z00_1420);
																																}
																																BgL_arg1273z00_1417
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 33)),
																																	BgL_arg1278z00_1419);
																															}
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1283z00_1421;
																																obj_t
																																	BgL_arg1284z00_1422;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1285z00_1423;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1286z00_1424;
																																		{	/* Tools/trace.sch 53 */
																																			obj_t
																																				BgL_arg1287z00_1425;
																																			BgL_arg1287z00_1425
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						35)),
																																				BNIL);
																																			BgL_arg1286z00_1424
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tidz00_1252,
																																				BgL_arg1287z00_1425);
																																		}
																																		BgL_arg1285z00_1423
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_tidzd2refzd2_1315,
																																			BgL_arg1286z00_1424);
																																	}
																																	BgL_arg1283z00_1421
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				33)),
																																		BgL_arg1285z00_1423);
																																}
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1293z00_1426;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1320z00_1427;
																																		{	/* Tools/trace.sch 53 */
																																			obj_t
																																				BgL_arg1326z00_1428;
																																			{	/* Tools/trace.sch 53 */
																																				obj_t
																																					BgL_arg1349z00_1429;
																																				{	/* Tools/trace.sch 53 */
																																					obj_t
																																						BgL_arg1350z00_1430;
																																					BgL_arg1350z00_1430
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_fitemzd2typezd2idz00_1294,
																																						BNIL);
																																					BgL_arg1349z00_1429
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 35)), BgL_arg1350z00_1430);
																																				}
																																				BgL_arg1326z00_1428
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_tidz00_1252,
																																					BgL_arg1349z00_1429);
																																			}
																																			BgL_arg1320z00_1427
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_idzd2setz12zc0_1316,
																																				BgL_arg1326z00_1428);
																																		}
																																		BgL_arg1293z00_1426
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					33)),
																																			BgL_arg1320z00_1427);
																																	}
																																	BgL_arg1284z00_1422
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1293z00_1426,
																																		BNIL);
																																}
																																BgL_arg1275z00_1418
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1283z00_1421,
																																	BgL_arg1284z00_1422);
																															}
																															BgL_arg1270z00_1414
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1273z00_1417,
																																BgL_arg1275z00_1418);
																														}
																														BgL_arg1263z00_1410
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1267z00_1413,
																															BgL_arg1270z00_1414);
																													}
																													BgL_arg1253z00_1406 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1260z00_1409,
																														BgL_arg1263z00_1410);
																												}
																												BgL_arg1248z00_1402 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1252z00_1405,
																													BgL_arg1253z00_1406);
																											}
																											BgL_arg1245z00_1400 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1247z00_1401,
																												BgL_arg1248z00_1402);
																										}
																										BgL_arg1243z00_1399 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													36)),
																											BgL_arg1245z00_1400);
																									}
																									BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																										(BgL_arg1243z00_1399);
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1358z00_1431;
																									obj_t BgL_arg1367z00_1432;
																									obj_t BgL_arg1380z00_1433;
																									obj_t BgL_arg1383z00_1434;
																									obj_t BgL_arg1394z00_1435;
																									obj_t BgL_arg1398z00_1436;
																									obj_t BgL_arg1399z00_1437;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1466z00_1388;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1475z00_1389;
																											obj_t BgL_arg1478z00_1390;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1481z00_1391;
																												BgL_arg1481z00_1391 =
																													MAKE_YOUNG_PAIR
																													(BgL_oidz00_1251,
																													BNIL);
																												BgL_arg1475z00_1389 =
																													MAKE_YOUNG_PAIR
																													(BgL_idzd2ze3objz31_1253,
																													BgL_arg1481z00_1391);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1483z00_1392;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1484z00_1393;
																													BgL_list1484z00_1393 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1483z00_1392 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 31)),
																														CNST_TABLE_REF((
																																(long) 32)),
																														BgL_list1484z00_1393);
																												}
																												BgL_arg1478z00_1390 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1483z00_1392,
																													BNIL);
																											}
																											BgL_arg1466z00_1388 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1475z00_1389,
																												BgL_arg1478z00_1390);
																										}
																										BgL_arg1358z00_1431 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1466z00_1388);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1487z00_1382;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1490z00_1383;
																											obj_t BgL_arg1496z00_1384;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1497z00_1385;
																												BgL_arg1497z00_1385 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 11)),
																													BNIL);
																												BgL_arg1490z00_1383 =
																													MAKE_YOUNG_PAIR
																													(BgL_tobjzd2ze3idz31_1271,
																													BgL_arg1497z00_1385);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1503z00_1386;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1504z00_1387;
																													BgL_list1504z00_1387 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1503z00_1386 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 31)),
																														BgL_idz00_1250,
																														BgL_list1504z00_1387);
																												}
																												BgL_arg1496z00_1384 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1503z00_1386,
																													BNIL);
																											}
																											BgL_arg1487z00_1382 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1490z00_1383,
																												BgL_arg1496z00_1384);
																										}
																										BgL_arg1367z00_1432 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1487z00_1382);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1506z00_1376;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1510z00_1377;
																											obj_t BgL_arg1513z00_1378;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1516z00_1379;
																												BgL_arg1516z00_1379 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 29)),
																													BNIL);
																												BgL_arg1510z00_1377 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzf3zf3_1281,
																													BgL_arg1516z00_1379);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1521z00_1380;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1522z00_1381;
																													BgL_list1522z00_1381 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1521z00_1380 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 30)),
																														BgL_idz00_1250,
																														BgL_list1522z00_1381);
																												}
																												BgL_arg1513z00_1378 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1521z00_1380,
																													BNIL);
																											}
																											BgL_arg1506z00_1376 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1510z00_1377,
																												BgL_arg1513z00_1378);
																										}
																										BgL_arg1380z00_1433 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1506z00_1376);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1525z00_1367;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1528z00_1368;
																											obj_t BgL_arg1532z00_1369;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1533z00_1370;
																												BgL_arg1533z00_1370 =
																													MAKE_YOUNG_PAIR
																													(BgL_oidz00_1251,
																													BNIL);
																												BgL_arg1528z00_1368 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzd2lengthzd2_1291,
																													BgL_arg1533z00_1370);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1537z00_1371;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1538z00_1372;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1539z00_1373;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1542z00_1374;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1547z00_1375;
																																BgL_arg1547z00_1375
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 11)),
																																	BNIL);
																																BgL_arg1542z00_1374
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1867z00zzforeign_jtypez00,
																																	BgL_arg1547z00_1375);
																															}
																															BgL_arg1539z00_1373
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1542z00_1374);
																														}
																														BgL_list1538z00_1372
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1293,
																															BgL_arg1539z00_1373);
																													}
																													BgL_arg1537z00_1371 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 28)),
																														BgL_idz00_1250,
																														BgL_list1538z00_1372);
																												}
																												BgL_arg1532z00_1369 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1537z00_1371,
																													BNIL);
																											}
																											BgL_arg1525z00_1367 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1528z00_1368,
																												BgL_arg1532z00_1369);
																										}
																										BgL_arg1383z00_1434 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1525z00_1367);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1555z00_1356;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1558z00_1357;
																											obj_t BgL_arg1561z00_1358;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1566z00_1359;
																												BgL_arg1566z00_1359 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 25)),
																													BNIL);
																												BgL_arg1558z00_1357 =
																													MAKE_YOUNG_PAIR
																													(BgL_tmakezd2idzd2_1305,
																													BgL_arg1566z00_1359);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1570z00_1360;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1571z00_1361;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1576z00_1362;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1586z00_1363;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1588z00_1364;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1589z00_1365;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1597z00_1366;
																																		BgL_arg1597z00_1366
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					26)),
																																			BNIL);
																																		BgL_arg1589z00_1365
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BFALSE,
																																			BgL_arg1597z00_1366);
																																	}
																																	BgL_arg1588z00_1364
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1867z00zzforeign_jtypez00,
																																		BgL_arg1589z00_1365);
																																}
																																BgL_arg1586z00_1363
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1867z00zzforeign_jtypez00,
																																	BgL_arg1588z00_1364);
																															}
																															BgL_arg1576z00_1362
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1586z00_1363);
																														}
																														BgL_list1571z00_1361
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1293,
																															BgL_arg1576z00_1362);
																													}
																													BgL_arg1570z00_1360 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 27)),
																														BgL_idz00_1250,
																														BgL_list1571z00_1361);
																												}
																												BgL_arg1561z00_1358 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1570z00_1360,
																													BNIL);
																											}
																											BgL_arg1555z00_1356 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1558z00_1357,
																												BgL_arg1561z00_1358);
																										}
																										BgL_arg1394z00_1435 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1555z00_1356);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1600z00_1345;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1603z00_1346;
																											obj_t BgL_arg1608z00_1347;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1611z00_1348;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1613z00_1349;
																													BgL_arg1613z00_1349 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 20)),
																														BNIL);
																													BgL_arg1611z00_1348 =
																														MAKE_YOUNG_PAIR
																														(BgL_oidz00_1251,
																														BgL_arg1613z00_1349);
																												}
																												BgL_arg1603z00_1346 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzd2refzd2_1315,
																													BgL_arg1611z00_1348);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1616z00_1350;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1617z00_1351;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1619z00_1352;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1620z00_1353;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1623z00_1354;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1625z00_1355;
																																	BgL_arg1625z00_1355
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				21)),
																																		BNIL);
																																	BgL_arg1623z00_1354
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				11)),
																																		BgL_arg1625z00_1355);
																																}
																																BgL_arg1620z00_1353
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1867z00zzforeign_jtypez00,
																																	BgL_arg1623z00_1354);
																															}
																															BgL_arg1619z00_1352
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1620z00_1353);
																														}
																														BgL_list1617z00_1351
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1293,
																															BgL_arg1619z00_1352);
																													}
																													BgL_arg1616z00_1350 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 24)),
																														BgL_idz00_1250,
																														BgL_list1617z00_1351);
																												}
																												BgL_arg1608z00_1347 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1616z00_1350,
																													BNIL);
																											}
																											BgL_arg1600z00_1345 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1603z00_1346,
																												BgL_arg1608z00_1347);
																										}
																										BgL_arg1398z00_1436 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1600z00_1345);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1628z00_1332;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1629z00_1333;
																											obj_t BgL_arg1637z00_1334;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1638z00_1335;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1640z00_1336;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1641z00_1337;
																														BgL_arg1641z00_1337
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_oitemzd2typezd2idz00_1295,
																															BNIL);
																														BgL_arg1640z00_1336
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 20)),
																															BgL_arg1641z00_1337);
																													}
																													BgL_arg1638z00_1335 =
																														MAKE_YOUNG_PAIR
																														(BgL_oidz00_1251,
																														BgL_arg1640z00_1336);
																												}
																												BgL_arg1629z00_1333 =
																													MAKE_YOUNG_PAIR
																													(BgL_idzd2setz12zc0_1316,
																													BgL_arg1638z00_1335);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1642z00_1338;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1643z00_1339;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1644z00_1340;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1651z00_1341;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1653z00_1342;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1656z00_1343;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1657z00_1344;
																																		BgL_arg1657z00_1344
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					16)),
																																			BNIL);
																																		BgL_arg1656z00_1343
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					21)),
																																			BgL_arg1657z00_1344);
																																	}
																																	BgL_arg1653z00_1342
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				11)),
																																		BgL_arg1656z00_1343);
																																}
																																BgL_arg1651z00_1341
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1867z00zzforeign_jtypez00,
																																	BgL_arg1653z00_1342);
																															}
																															BgL_arg1644z00_1340
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1651z00_1341);
																														}
																														BgL_list1643z00_1339
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1293,
																															BgL_arg1644z00_1340);
																													}
																													BgL_arg1642z00_1338 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 22)),
																														BgL_idz00_1250,
																														BgL_list1643z00_1339);
																												}
																												BgL_arg1637z00_1334 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1642z00_1338,
																													BNIL);
																											}
																											BgL_arg1628z00_1332 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1629z00_1333,
																												BgL_arg1637z00_1334);
																										}
																										BgL_arg1399z00_1437 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1628z00_1332);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_list1400z00_1438;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1406z00_1439;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1407z00_1440;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1421z00_1441;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1422z00_1442;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1433z00_1443;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1441z00_1444;
																																BgL_arg1441z00_1444
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1399z00_1437,
																																	BNIL);
																																BgL_arg1433z00_1443
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1398z00_1436,
																																	BgL_arg1441z00_1444);
																															}
																															BgL_arg1422z00_1442
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1394z00_1435,
																																BgL_arg1433z00_1443);
																														}
																														BgL_arg1421z00_1441
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1383z00_1434,
																															BgL_arg1422z00_1442);
																													}
																													BgL_arg1407z00_1440 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1380z00_1433,
																														BgL_arg1421z00_1441);
																												}
																												BgL_arg1406z00_1439 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1367z00_1432,
																													BgL_arg1407z00_1440);
																											}
																											BgL_list1400z00_1438 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1358z00_1431,
																												BgL_arg1406z00_1439);
																										}
																										return BgL_list1400z00_1438;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 396356879),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 471073666),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 419430976),
				BSTRING_TO_STRING(BGl_string1868z00zzforeign_jtypez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
