/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz121315za2zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	static obj_t BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_privatez00zzast_nodez00;
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711915za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711916za7,
		BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711917za7,
		BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711918za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711919za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711920za7,
		BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711921za7,
		BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711922za7,
		BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711923za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711924za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711925za7,
		BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1879z00zzreduce_1occz00,
		BgL_bgl_string1879za700za7za7r1926za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string1880z00zzreduce_1occz00,
		BgL_bgl_string1880za700za7za7r1927za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string1882z00zzreduce_1occz00,
		BgL_bgl_string1882za700za7za7r1928za7, "node-1occ!1315", 14);
	      DEFINE_STRING(BGl_string1883z00zzreduce_1occz00,
		BgL_bgl_string1883za700za7za7r1929za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1885z00zzreduce_1occz00,
		BgL_bgl_string1885za700za7za7r1930za7, "node-1occ!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ1931z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1910z00zzreduce_1occz00,
		BgL_bgl_string1910za700za7za7r1932za7, "reduce_1occ", 11);
	      DEFINE_STRING(BGl_string1911z00zzreduce_1occz00,
		BgL_bgl_string1911za700za7za7r1933za7, "node-1occ!1315 read ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711934za7,
		BGl_z62nodezd21occz121315za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711935za7,
		BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711936za7,
		BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711937za7,
		BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711938za7,
		BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711939za7,
		BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711940za7,
		BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711941za7,
		BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711942za7,
		BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711943za7,
		BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711944za7,
		BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711945za7,
		BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711946za7,
		BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711947za7,
		BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711948za7,
		BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711949za7,
		BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_1occz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2418, char *BgL_fromz00_2419)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_1occz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					return BGl_toplevelzd2initzd2zzreduce_1occz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_1occ");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2261;

				{	/* Reduce/1occ.scm 16 */
					obj_t BgL_stringz00_2269;

					BgL_stringz00_2269 = BGl_string1911z00zzreduce_1occz00;
					{	/* Reduce/1occ.scm 16 */
						obj_t BgL_startz00_2270;

						BgL_startz00_2270 = BINT(((long) 0));
						{	/* Reduce/1occ.scm 16 */
							obj_t BgL_endz00_2271;

							BgL_endz00_2271 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2269)));
							{	/* Reduce/1occ.scm 16 */

								BgL_cportz00_2261 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2269, BgL_startz00_2270, BgL_endz00_2271);
				}}}}
				{
					long BgL_iz00_2262;

					BgL_iz00_2262 = ((long) 1);
				BgL_loopz00_2263:
					if ((BgL_iz00_2262 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg1913z00_2265;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2267;

										BgL_locationz00_2267 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg1913z00_2265 =
												BGl_readz00zz__readerz00(BgL_cportz00_2261,
												BgL_locationz00_2267);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_tmpz00_2448;

									BgL_tmpz00_2448 = (int) (BgL_iz00_2262);
									CNST_TABLE_SET(BgL_tmpz00_2448, BgL_arg1913z00_2265);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2268;

								BgL_auxz00_2268 = (int) ((BgL_iz00_2262 - ((long) 1)));
								{
									long BgL_iz00_2453;

									BgL_iz00_2453 = (long) (BgL_auxz00_2268);
									BgL_iz00_2262 = BgL_iz00_2453;
									goto BgL_loopz00_2263;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1345;

				BgL_headz00_1345 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1346;
					obj_t BgL_tailz00_1347;

					BgL_prevz00_1346 = BgL_headz00_1345;
					BgL_tailz00_1347 = BgL_l1z00_1;
				BgL_loopz00_1348:
					if (PAIRP(BgL_tailz00_1347))
						{
							obj_t BgL_newzd2prevzd2_1350;

							BgL_newzd2prevzd2_1350 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1347), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1346, BgL_newzd2prevzd2_1350);
							{
								obj_t BgL_tailz00_2463;
								obj_t BgL_prevz00_2462;

								BgL_prevz00_2462 = BgL_newzd2prevzd2_1350;
								BgL_tailz00_2463 = CDR(BgL_tailz00_1347);
								BgL_tailz00_1347 = BgL_tailz00_2463;
								BgL_prevz00_1346 = BgL_prevz00_2462;
								goto BgL_loopz00_1348;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1345);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 37 */
			{	/* Reduce/1occ.scm 38 */
				obj_t BgL_list1384z00_1353;

				BgL_list1384z00_1353 =
					MAKE_YOUNG_PAIR(BGl_string1879z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1384z00_1353);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l1257z00_1355;

				BgL_l1257z00_1355 = BgL_globalsz00_3;
			BgL_zc3anonymousza31385ze3z83_1356:
				if (PAIRP(BgL_l1257z00_1355))
					{	/* Reduce/1occ.scm 44 */
						{	/* Reduce/1occ.scm 45 */
							obj_t BgL_globalz00_1358;

							BgL_globalz00_1358 = CAR(BgL_l1257z00_1355);
							{	/* Reduce/1occ.scm 45 */
								BgL_valuez00_bglt BgL_funz00_1359;

								BgL_funz00_1359 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1358))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 45 */
									obj_t BgL_nodez00_1360;

									BgL_nodez00_1360 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1359)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 46 */

										{	/* Reduce/1occ.scm 47 */
											obj_t BgL_arg1394z00_1361;

											{	/* Reduce/1occ.scm 47 */
												obj_t BgL__z00_1362;

												BgL__z00_1362 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1360), BNIL);
												{	/* Reduce/1occ.scm 48 */
													obj_t BgL_nodez00_1363;

													{	/* Reduce/1occ.scm 48 */
														int BgL_tmpz00_2480;

														BgL_tmpz00_2480 = (int) (((long) 1));
														BgL_nodez00_1363 = BGL_MVALUES_VAL(BgL_tmpz00_2480);
													}
													BgL_arg1394z00_1361 = BgL_nodez00_1363;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1359)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1394z00_1361), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1257z00_2485;

							BgL_l1257z00_2485 = CDR(BgL_l1257z00_1355);
							BgL_l1257z00_1355 = BgL_l1257z00_2485;
							goto BgL_zc3anonymousza31385ze3z83_1356;
						}
					}
				else
					{	/* Reduce/1occ.scm 44 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 52 */
				obj_t BgL_list1399z00_1366;

				{	/* Reduce/1occ.scm 52 */
					obj_t BgL_arg1400z00_1367;

					{	/* Reduce/1occ.scm 52 */
						obj_t BgL_arg1406z00_1368;

						{	/* Reduce/1occ.scm 52 */
							obj_t BgL_arg1407z00_1369;

							BgL_arg1407z00_1369 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1406z00_1368 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1407z00_1369);
						}
						BgL_arg1400z00_1367 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1406z00_1368);
					}
					BgL_list1399z00_1366 =
						MAKE_YOUNG_PAIR(BGl_string1880z00zzreduce_1occz00,
						BgL_arg1400z00_1367);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1399z00_1366);
			}
			return BgL_globalsz00_3;
		}
		BGL_FUNCTION_END;
	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2152,
		obj_t BgL_globalsz00_2153)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 37 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2153);
		}
		BGL_FUNCTION_END;
	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_40, obj_t BgL_1zd2expza2z70_41)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 278 */
			{
				obj_t BgL_obindingsz00_1374;
				bool_t BgL_resetz00_1375;
				obj_t BgL_extendz00_1376;

				BgL_obindingsz00_1374 =
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->BgL_bindingsz00);
				BgL_resetz00_1375 = ((bool_t) 0);
				BgL_extendz00_1376 = BNIL;
			BgL_zc3anonymousza31422ze3z83_1377:
				if (NULLP(BgL_obindingsz00_1374))
					{	/* Reduce/1occ.scm 284 */
						bool_t BgL_testz00_2499;

						if (BgL_resetz00_1375)
							{	/* Reduce/1occ.scm 284 */
								BgL_testz00_2499 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 284 */
								BgL_testz00_2499 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00));
							}
						if (BgL_testz00_2499)
							{	/* Reduce/1occ.scm 285 */
								obj_t BgL_resetz72z72_1381;

								BgL_resetz72z72_1381 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00), BNIL);
								{	/* Reduce/1occ.scm 286 */
									obj_t BgL_nbodyz00_1382;

									{	/* Reduce/1occ.scm 287 */
										int BgL_tmpz00_2505;

										BgL_tmpz00_2505 = (int) (((long) 1));
										BgL_nbodyz00_1382 = BGL_MVALUES_VAL(BgL_tmpz00_2505);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1382)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 288 */
										int BgL_res1828z00_2011;

										{	/* Reduce/1occ.scm 288 */
											int BgL_tmpz00_2510;

											BgL_tmpz00_2510 = (int) (((long) 2));
											BgL_res1828z00_2011 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2510);
										} BgL_res1828z00_2011;
									}
									{	/* Reduce/1occ.scm 288 */
										obj_t BgL_auxz00_2515;
										int BgL_tmpz00_2513;

										BgL_auxz00_2515 = ((obj_t) BgL_nodez00_40);
										BgL_tmpz00_2513 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2513, BgL_auxz00_2515);
									}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 289 */
								obj_t BgL_1zd2expza2z72z02_1386;

								BgL_1zd2expza2z72z02_1386 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1376,
									BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 290 */
									obj_t BgL_resetz72z72_1387;

									BgL_resetz72z72_1387 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1386);
									{	/* Reduce/1occ.scm 291 */
										obj_t BgL_nbodyz00_1388;

										{	/* Reduce/1occ.scm 292 */
											int BgL_tmpz00_2521;

											BgL_tmpz00_2521 = (int) (((long) 1));
											BgL_nbodyz00_1388 = BGL_MVALUES_VAL(BgL_tmpz00_2521);
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1388)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1392;
											obj_t BgL_nbindingsz00_1393;

											BgL_obindingsz00_1392 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1393 = BNIL;
										BgL_zc3anonymousza31467ze3z83_1394:
											if (NULLP(BgL_obindingsz00_1392))
												{	/* Reduce/1occ.scm 299 */
													bool_t BgL_testz00_2528;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 299 */
															BgL_testz00_2528 = NULLP(BgL_nbindingsz00_1393);
														}
													else
														{	/* Reduce/1occ.scm 299 */
															BgL_testz00_2528 = ((bool_t) 0);
														}
													if (BgL_testz00_2528)
														{	/* Reduce/1occ.scm 299 */
															{	/* Reduce/1occ.scm 304 */
																BgL_nodez00_bglt BgL_val1_1294z00_1399;

																BgL_val1_1294z00_1399 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 304 */
																	int BgL_res1831z00_2014;

																	{	/* Reduce/1occ.scm 304 */
																		int BgL_tmpz00_2533;

																		BgL_tmpz00_2533 = (int) (((long) 2));
																		BgL_res1831z00_2014 =
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2533);
																	} BgL_res1831z00_2014;
																}
																{	/* Reduce/1occ.scm 304 */
																	obj_t BgL_auxz00_2538;
																	int BgL_tmpz00_2536;

																	BgL_auxz00_2538 =
																		((obj_t) BgL_val1_1294z00_1399);
																	BgL_tmpz00_2536 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2536,
																		BgL_auxz00_2538);
																}
																return BgL_resetz72z72_1387;
															}
														}
													else
														{	/* Reduce/1occ.scm 299 */
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1393)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 307 */
																int BgL_res1832z00_2015;

																{	/* Reduce/1occ.scm 307 */
																	int BgL_tmpz00_2543;

																	BgL_tmpz00_2543 = (int) (((long) 2));
																	BgL_res1832z00_2015 =
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2543);
																} BgL_res1832z00_2015;
															}
															{	/* Reduce/1occ.scm 307 */
																obj_t BgL_auxz00_2548;
																int BgL_tmpz00_2546;

																BgL_auxz00_2548 = ((obj_t) BgL_nodez00_40);
																BgL_tmpz00_2546 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_2546,
																	BgL_auxz00_2548);
															}
															return BgL_resetz72z72_1387;
														}
												}
											else
												{	/* Reduce/1occ.scm 308 */
													bool_t BgL_testz00_2551;

													{	/* Reduce/1occ.scm 308 */
														obj_t BgL_varz00_1415;
														obj_t BgL_valz00_1416;

														{	/* Reduce/1occ.scm 308 */
															obj_t BgL_pairz00_2017;

															BgL_pairz00_2017 =
																CAR(((obj_t) BgL_obindingsz00_1392));
															BgL_varz00_1415 = CAR(BgL_pairz00_2017);
														}
														{	/* Reduce/1occ.scm 309 */
															obj_t BgL_pairz00_2019;

															BgL_pairz00_2019 =
																CAR(((obj_t) BgL_obindingsz00_1392));
															BgL_valz00_1416 = CDR(BgL_pairz00_2019);
														}
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1415))))->
																	BgL_occurrencez00) == ((long) 0)))
															{	/* Reduce/1occ.scm 310 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1416)))
																	{	/* Reduce/1occ.scm 311 */
																		BgL_testz00_2551 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 311 */
																		BgL_testz00_2551 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 310 */
																BgL_testz00_2551 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_2551)
														{	/* Reduce/1occ.scm 308 */
															{	/* Reduce/1occ.scm 315 */
																obj_t BgL_arg1483z00_1411;

																BgL_arg1483z00_1411 =
																	CDR(((obj_t) BgL_obindingsz00_1392));
																{
																	obj_t BgL_obindingsz00_2568;

																	BgL_obindingsz00_2568 = BgL_arg1483z00_1411;
																	BgL_obindingsz00_1392 = BgL_obindingsz00_2568;
																	goto BgL_zc3anonymousza31467ze3z83_1394;
																}
															}
														}
													else
														{	/* Reduce/1occ.scm 317 */
															obj_t BgL_arg1485z00_1412;
															obj_t BgL_arg1487z00_1413;

															BgL_arg1485z00_1412 =
																CDR(((obj_t) BgL_obindingsz00_1392));
															{	/* Reduce/1occ.scm 318 */
																obj_t BgL_arg1490z00_1414;

																BgL_arg1490z00_1414 =
																	CAR(((obj_t) BgL_obindingsz00_1392));
																BgL_arg1487z00_1413 =
																	MAKE_YOUNG_PAIR(BgL_arg1490z00_1414,
																	BgL_nbindingsz00_1393);
															}
															{
																obj_t BgL_nbindingsz00_2575;
																obj_t BgL_obindingsz00_2574;

																BgL_obindingsz00_2574 = BgL_arg1485z00_1412;
																BgL_nbindingsz00_2575 = BgL_arg1487z00_1413;
																BgL_nbindingsz00_1393 = BgL_nbindingsz00_2575;
																BgL_obindingsz00_1392 = BgL_obindingsz00_2574;
																goto BgL_zc3anonymousza31467ze3z83_1394;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 319 */
						obj_t BgL_bindingz00_1425;

						BgL_bindingz00_1425 = CAR(((obj_t) BgL_obindingsz00_1374));
						{	/* Reduce/1occ.scm 320 */
							obj_t BgL_varz00_1426;
							obj_t BgL_valz00_1427;

							BgL_varz00_1426 = CAR(((obj_t) BgL_bindingz00_1425));
							BgL_valz00_1427 = CDR(((obj_t) BgL_bindingz00_1425));
							{	/* Reduce/1occ.scm 322 */
								obj_t BgL_resetz72z72_1428;

								BgL_resetz72z72_1428 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1427), BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 323 */
									obj_t BgL_nvalz00_1429;

									{	/* Reduce/1occ.scm 324 */
										int BgL_tmpz00_2585;

										BgL_tmpz00_2585 = (int) (((long) 1));
										BgL_nvalz00_1429 = BGL_MVALUES_VAL(BgL_tmpz00_2585);
									}
									{	/* Reduce/1occ.scm 324 */
										obj_t BgL_tmpz00_2588;

										BgL_tmpz00_2588 = ((obj_t) BgL_bindingz00_1425);
										SET_CDR(BgL_tmpz00_2588, BgL_nvalz00_1429);
									}
									{	/* Reduce/1occ.scm 326 */
										bool_t BgL_testz00_2591;

										if (BgL_resetz00_1375)
											{	/* Reduce/1occ.scm 326 */
												BgL_testz00_2591 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 326 */
												BgL_testz00_2591 = CBOOL(BgL_resetz72z72_1428);
											}
										if (BgL_testz00_2591)
											{	/* Reduce/1occ.scm 327 */
												obj_t BgL_arg1510z00_1431;

												BgL_arg1510z00_1431 =
													CDR(((obj_t) BgL_obindingsz00_1374));
												{
													obj_t BgL_extendz00_2598;
													bool_t BgL_resetz00_2597;
													obj_t BgL_obindingsz00_2596;

													BgL_obindingsz00_2596 = BgL_arg1510z00_1431;
													BgL_resetz00_2597 = ((bool_t) 1);
													BgL_extendz00_2598 = BNIL;
													BgL_extendz00_1376 = BgL_extendz00_2598;
													BgL_resetz00_1375 = BgL_resetz00_2597;
													BgL_obindingsz00_1374 = BgL_obindingsz00_2596;
													goto BgL_zc3anonymousza31422ze3z83_1377;
												}
											}
										else
											{	/* Reduce/1occ.scm 326 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1426))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Reduce/1occ.scm 330 */
														bool_t BgL_testz00_2605;

														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1426))))->
																	BgL_occurrencez00) == ((long) 1)))
															{	/* Reduce/1occ.scm 330 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1426))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Reduce/1occ.scm 331 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1427)))
																			{	/* Reduce/1occ.scm 332 */
																				BgL_testz00_2605 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 333 */
																				BgL_typez00_bglt BgL_arg1555z00_1450;
																				BgL_typez00_bglt BgL_arg1558z00_1451;

																				BgL_arg1555z00_1450 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1426))))->
																					BgL_typez00);
																				BgL_arg1558z00_1451 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt) BgL_valz00_1427),
																					((bool_t) 0));
																				BgL_testz00_2605 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1555z00_1450,
																					BgL_arg1558z00_1451);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 331 */
																		BgL_testz00_2605 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 330 */
																BgL_testz00_2605 = ((bool_t) 0);
															}
														if (BgL_testz00_2605)
															{	/* Reduce/1occ.scm 330 */
																{	/* Reduce/1occ.scm 337 */
																	obj_t BgL_arg1539z00_1444;
																	obj_t BgL_arg1542z00_1445;

																	BgL_arg1539z00_1444 =
																		CDR(((obj_t) BgL_obindingsz00_1374));
																	BgL_arg1542z00_1445 =
																		MAKE_YOUNG_PAIR(BgL_bindingz00_1425,
																		BgL_extendz00_1376);
																	{
																		obj_t BgL_extendz00_2631;
																		bool_t BgL_resetz00_2630;
																		obj_t BgL_obindingsz00_2629;

																		BgL_obindingsz00_2629 = BgL_arg1539z00_1444;
																		BgL_resetz00_2630 = ((bool_t) 0);
																		BgL_extendz00_2631 = BgL_arg1542z00_1445;
																		BgL_extendz00_1376 = BgL_extendz00_2631;
																		BgL_resetz00_1375 = BgL_resetz00_2630;
																		BgL_obindingsz00_1374 =
																			BgL_obindingsz00_2629;
																		goto BgL_zc3anonymousza31422ze3z83_1377;
																	}
																}
															}
														else
															{	/* Reduce/1occ.scm 339 */
																obj_t BgL_arg1547z00_1446;

																BgL_arg1547z00_1446 =
																	CDR(((obj_t) BgL_obindingsz00_1374));
																{
																	bool_t BgL_resetz00_2635;
																	obj_t BgL_obindingsz00_2634;

																	BgL_obindingsz00_2634 = BgL_arg1547z00_1446;
																	BgL_resetz00_2635 = ((bool_t) 0);
																	BgL_resetz00_1375 = BgL_resetz00_2635;
																	BgL_obindingsz00_1374 = BgL_obindingsz00_2634;
																	goto BgL_zc3anonymousza31422ze3z83_1377;
																}
															}
													}
												else
													{	/* Reduce/1occ.scm 329 */
														obj_t BgL_arg1570z00_1454;

														BgL_arg1570z00_1454 =
															CDR(((obj_t) BgL_obindingsz00_1374));
														{
															bool_t BgL_resetz00_2639;
															obj_t BgL_obindingsz00_2638;

															BgL_obindingsz00_2638 = BgL_arg1570z00_1454;
															BgL_resetz00_2639 = ((bool_t) 0);
															BgL_resetz00_1375 = BgL_resetz00_2639;
															BgL_obindingsz00_1374 = BgL_obindingsz00_2638;
															goto BgL_zc3anonymousza31422ze3z83_1377;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_1zd2expza2z70_59)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 427 */
			{
				obj_t BgL_nodeza2za2_1458;
				bool_t BgL_resetz00_1459;
				obj_t BgL_1zd2expza2z70_1460;

				BgL_nodeza2za2_1458 = BgL_nodeza2za2_58;
				BgL_resetz00_1459 = ((bool_t) 0);
				BgL_1zd2expza2z70_1460 = BgL_1zd2expza2z70_59;
			BgL_zc3anonymousza31577ze3z83_1461:
				if (NULLP(BgL_nodeza2za2_1458))
					{	/* Reduce/1occ.scm 432 */
						return BBOOL(BgL_resetz00_1459);
					}
				else
					{	/* Reduce/1occ.scm 432 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1458))))
							{	/* Reduce/1occ.scm 435 */
								obj_t BgL_resetz72z72_1465;

								{	/* Reduce/1occ.scm 436 */
									obj_t BgL_arg1588z00_1468;

									BgL_arg1588z00_1468 = CAR(((obj_t) BgL_nodeza2za2_1458));
									BgL_resetz72z72_1465 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1588z00_1468),
										BgL_1zd2expza2z70_1460);
								}
								{	/* Reduce/1occ.scm 436 */
									obj_t BgL_nodez00_1466;

									{	/* Reduce/1occ.scm 437 */
										int BgL_tmpz00_2652;

										BgL_tmpz00_2652 = (int) (((long) 1));
										BgL_nodez00_1466 = BGL_MVALUES_VAL(BgL_tmpz00_2652);
									}
									{	/* Reduce/1occ.scm 437 */
										obj_t BgL_tmpz00_2655;

										BgL_tmpz00_2655 = ((obj_t) BgL_nodeza2za2_1458);
										SET_CAR(BgL_tmpz00_2655, BgL_nodez00_1466);
									}
									if (BgL_resetz00_1459)
										{	/* Reduce/1occ.scm 438 */
											return BBOOL(BgL_resetz00_1459);
										}
									else
										{	/* Reduce/1occ.scm 438 */
											return BgL_resetz72z72_1465;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 440 */
								obj_t BgL_resetz72z72_1469;

								{	/* Reduce/1occ.scm 441 */
									obj_t BgL_arg1603z00_1474;

									BgL_arg1603z00_1474 = CAR(((obj_t) BgL_nodeza2za2_1458));
									BgL_resetz72z72_1469 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1603z00_1474),
										BgL_1zd2expza2z70_1460);
								}
								{	/* Reduce/1occ.scm 441 */
									obj_t BgL_nodez00_1470;

									{	/* Reduce/1occ.scm 442 */
										int BgL_tmpz00_2664;

										BgL_tmpz00_2664 = (int) (((long) 1));
										BgL_nodez00_1470 = BGL_MVALUES_VAL(BgL_tmpz00_2664);
									}
									{	/* Reduce/1occ.scm 442 */
										obj_t BgL_tmpz00_2667;

										BgL_tmpz00_2667 = ((obj_t) BgL_nodeza2za2_1458);
										SET_CAR(BgL_tmpz00_2667, BgL_nodez00_1470);
									}
									{	/* Reduce/1occ.scm 443 */
										bool_t BgL_testz00_2670;

										if (BgL_resetz00_1459)
											{	/* Reduce/1occ.scm 443 */
												BgL_testz00_2670 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 443 */
												BgL_testz00_2670 = CBOOL(BgL_resetz72z72_1469);
											}
										if (BgL_testz00_2670)
											{	/* Reduce/1occ.scm 444 */
												obj_t BgL_arg1597z00_1472;

												BgL_arg1597z00_1472 =
													CDR(((obj_t) BgL_nodeza2za2_1458));
												{
													obj_t BgL_1zd2expza2z70_2677;
													bool_t BgL_resetz00_2676;
													obj_t BgL_nodeza2za2_2675;

													BgL_nodeza2za2_2675 = BgL_arg1597z00_1472;
													BgL_resetz00_2676 = ((bool_t) 1);
													BgL_1zd2expza2z70_2677 = BNIL;
													BgL_1zd2expza2z70_1460 = BgL_1zd2expza2z70_2677;
													BgL_resetz00_1459 = BgL_resetz00_2676;
													BgL_nodeza2za2_1458 = BgL_nodeza2za2_2675;
													goto BgL_zc3anonymousza31577ze3z83_1461;
												}
											}
										else
											{	/* Reduce/1occ.scm 445 */
												obj_t BgL_arg1600z00_1473;

												BgL_arg1600z00_1473 =
													CDR(((obj_t) BgL_nodeza2za2_1458));
												{
													bool_t BgL_resetz00_2681;
													obj_t BgL_nodeza2za2_2680;

													BgL_nodeza2za2_2680 = BgL_arg1600z00_1473;
													BgL_resetz00_2681 = ((bool_t) 0);
													BgL_resetz00_1459 = BgL_resetz00_2681;
													BgL_nodeza2za2_1458 = BgL_nodeza2za2_2680;
													goto BgL_zc3anonymousza31577ze3z83_1461;
												}
											}
									}
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc1881z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string1882z00zzreduce_1occz00);
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!1315 */
	obj_t BGl_z62nodezd21occz121315za2zzreduce_1occz00(obj_t BgL_envz00_2155,
		obj_t BgL_nodez00_2156, obj_t BgL_1zd2expza2z70_2157)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1883z00zzreduce_1occz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2156)));
		}
		BGL_FUNCTION_END;
	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 67 */
			{	/* Reduce/1occ.scm 67 */
				obj_t BgL_method1316z00_1482;

				{	/* Reduce/1occ.scm 67 */
					obj_t BgL_res1843z00_2077;

					{	/* Reduce/1occ.scm 67 */
						long BgL_objzd2classzd2numz00_2050;

						{	/* Reduce/1occ.scm 67 */
							long BgL_res1837z00_2053;

							BgL_res1837z00_2053 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2050 = BgL_res1837z00_2053;
						}
						{	/* Reduce/1occ.scm 67 */
							obj_t BgL_arg1725z00_2051;

							BgL_arg1725z00_2051 =
								PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
								(int) (((long) 1)));
							{	/* Reduce/1occ.scm 67 */
								int BgL_offsetz00_2055;

								BgL_offsetz00_2055 = (int) (BgL_objzd2classzd2numz00_2050);
								{	/* Reduce/1occ.scm 67 */
									long BgL_offsetz00_2056;

									BgL_offsetz00_2056 =
										((long) (BgL_offsetz00_2055) - OBJECT_TYPE);
									{	/* Reduce/1occ.scm 67 */
										long BgL_modz00_2057;

										{	/* Reduce/1occ.scm 67 */
											int BgL_arg1727z00_2058;

											BgL_arg1727z00_2058 = (int) (((long) 16));
											{	/* Reduce/1occ.scm 67 */
												long BgL_res1840z00_2068;

												{	/* Reduce/1occ.scm 67 */
													long BgL_tmpz00_2695;

													BgL_tmpz00_2695 = (long) (BgL_arg1727z00_2058);
													BgL_res1840z00_2068 =
														(BgL_offsetz00_2056 / BgL_tmpz00_2695);
												}
												BgL_modz00_2057 = BgL_res1840z00_2068;
										}}
										{	/* Reduce/1occ.scm 67 */
											long BgL_restz00_2059;

											{	/* Reduce/1occ.scm 67 */
												int BgL_arg1726z00_2060;

												BgL_arg1726z00_2060 = (int) (((long) 16));
												{	/* Reduce/1occ.scm 67 */
													long BgL_res1842z00_2072;

													{	/* Reduce/1occ.scm 67 */
														long BgL_tmpz00_2699;

														BgL_tmpz00_2699 = (long) (BgL_arg1726z00_2060);
														BgL_res1842z00_2072 =
															(BgL_offsetz00_2056 % BgL_tmpz00_2699);
													}
													BgL_restz00_2059 = BgL_res1842z00_2072;
											}}
											{	/* Reduce/1occ.scm 67 */

												{	/* Reduce/1occ.scm 67 */
													obj_t BgL_bucketz00_2061;

													BgL_bucketz00_2061 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2051), BgL_modz00_2057);
													BgL_res1843z00_2077 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2061), BgL_restz00_2059);
					}}}}}}}}
					BgL_method1316z00_1482 = BgL_res1843z00_2077;
				}
				return
					PROCEDURE_ENTRY(BgL_method1316z00_1482) (BgL_method1316z00_1482,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2158,
		obj_t BgL_nodez00_2159, obj_t BgL_1zd2expza2z70_2160)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2159), BgL_1zd2expza2z70_2160);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc1884z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1886z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc1887z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc1888z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1889z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_syncz00zzast_nodez00,
				BGl_proc1890z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1891z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1892z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc1893z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc1894z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc1895z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc1896z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1897z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc1898z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_switchz00zzast_nodez00, BGl_proc1899z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1900z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1901z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1902z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1903z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1904z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_returnz00zzast_nodez00, BGl_proc1905z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1906z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1907z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1908z00zzreduce_1occz00,
				BGl_string1885z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc1909z00zzreduce_1occz00, BGl_string1885z00zzreduce_1occz00);
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-app1366 */
	obj_t BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00(obj_t
		BgL_envz00_2186, obj_t BgL_nodez00_2187, obj_t BgL_1zd2expza2z70_2188)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 414 */
			{	/* Reduce/1occ.scm 415 */
				bool_t BgL_tmpz00_2739;

				{	/* Reduce/1occ.scm 416 */
					obj_t BgL_resetz00_2276;

					BgL_resetz00_2276 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2187)))->BgL_argsz00),
						BgL_1zd2expza2z70_2188);
					{	/* Reduce/1occ.scm 417 */
						bool_t BgL_testz00_2743;

						if (CBOOL(BgL_resetz00_2276))
							{	/* Reduce/1occ.scm 417 */
								BgL_testz00_2743 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 417 */
								BgL_testz00_2743 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2187)));
							}
						if (BgL_testz00_2743)
							{	/* Reduce/1occ.scm 417 */
								{	/* Reduce/1occ.scm 421 */
									int BgL_res1877z00_2277;

									{	/* Reduce/1occ.scm 421 */
										int BgL_tmpz00_2749;

										BgL_tmpz00_2749 = (int) (((long) 2));
										BgL_res1877z00_2277 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2749);
									} BgL_res1877z00_2277;
								}
								{	/* Reduce/1occ.scm 421 */
									obj_t BgL_auxz00_2754;
									int BgL_tmpz00_2752;

									BgL_auxz00_2754 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2187));
									BgL_tmpz00_2752 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2752, BgL_auxz00_2754);
								}
								BgL_tmpz00_2739 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 417 */
								{	/* Reduce/1occ.scm 422 */
									int BgL_res1878z00_2278;

									{	/* Reduce/1occ.scm 422 */
										int BgL_tmpz00_2758;

										BgL_tmpz00_2758 = (int) (((long) 2));
										BgL_res1878z00_2278 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2758);
									} BgL_res1878z00_2278;
								}
								{	/* Reduce/1occ.scm 422 */
									obj_t BgL_auxz00_2763;
									int BgL_tmpz00_2761;

									BgL_auxz00_2763 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2187));
									BgL_tmpz00_2761 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2761, BgL_auxz00_2763);
								}
								BgL_tmpz00_2739 = ((bool_t) 0);
				}}}
				return BBOOL(BgL_tmpz00_2739);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-box-ref1364 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00(obj_t
		BgL_envz00_2189, obj_t BgL_nodez00_2190, obj_t BgL_1zd2expza2z70_2191)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 408 */
			{	/* Reduce/1occ.scm 409 */
				bool_t BgL_tmpz00_2768;

				{	/* Reduce/1occ.scm 409 */
					int BgL_res1876z00_2280;

					{	/* Reduce/1occ.scm 409 */
						int BgL_tmpz00_2769;

						BgL_tmpz00_2769 = (int) (((long) 2));
						BgL_res1876z00_2280 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2769);
					} BgL_res1876z00_2280;
				}
				{	/* Reduce/1occ.scm 409 */
					obj_t BgL_auxz00_2774;
					int BgL_tmpz00_2772;

					BgL_auxz00_2774 =
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2190));
					BgL_tmpz00_2772 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2772, BgL_auxz00_2774);
				}
				BgL_tmpz00_2768 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_2768);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-box-set!1362 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00(obj_t
		BgL_envz00_2192, obj_t BgL_nodez00_2193, obj_t BgL_1zd2expza2z70_2194)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 398 */
			{	/* Reduce/1occ.scm 400 */
				obj_t BgL_resetz00_2282;

				BgL_resetz00_2282 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2193)))->BgL_valuez00),
					BgL_1zd2expza2z70_2194);
				{	/* Reduce/1occ.scm 401 */
					obj_t BgL_nvaluez00_2283;

					{	/* Reduce/1occ.scm 402 */
						int BgL_tmpz00_2782;

						BgL_tmpz00_2782 = (int) (((long) 1));
						BgL_nvaluez00_2283 = BGL_MVALUES_VAL(BgL_tmpz00_2782);
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2193)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2283)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 403 */
						int BgL_res1875z00_2284;

						{	/* Reduce/1occ.scm 403 */
							int BgL_tmpz00_2788;

							BgL_tmpz00_2788 = (int) (((long) 2));
							BgL_res1875z00_2284 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2788);
						} BgL_res1875z00_2284;
					}
					{	/* Reduce/1occ.scm 403 */
						obj_t BgL_auxz00_2793;
						int BgL_tmpz00_2791;

						BgL_auxz00_2793 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2193));
						BgL_tmpz00_2791 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2791, BgL_auxz00_2793);
					}
					return BgL_resetz00_2282;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-make-box1360 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00(obj_t
		BgL_envz00_2195, obj_t BgL_nodez00_2196, obj_t BgL_1zd2expza2z70_2197)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 388 */
			{	/* Reduce/1occ.scm 390 */
				obj_t BgL_resetz00_2286;

				BgL_resetz00_2286 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2196)))->BgL_valuez00),
					BgL_1zd2expza2z70_2197);
				{	/* Reduce/1occ.scm 391 */
					obj_t BgL_nvaluez00_2287;

					{	/* Reduce/1occ.scm 392 */
						int BgL_tmpz00_2800;

						BgL_tmpz00_2800 = (int) (((long) 1));
						BgL_nvaluez00_2287 = BGL_MVALUES_VAL(BgL_tmpz00_2800);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2196)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2287)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 393 */
						int BgL_res1874z00_2288;

						{	/* Reduce/1occ.scm 393 */
							int BgL_tmpz00_2806;

							BgL_tmpz00_2806 = (int) (((long) 2));
							BgL_res1874z00_2288 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2806);
						} BgL_res1874z00_2288;
					}
					{	/* Reduce/1occ.scm 393 */
						obj_t BgL_auxz00_2811;
						int BgL_tmpz00_2809;

						BgL_auxz00_2811 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2196));
						BgL_tmpz00_2809 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2809, BgL_auxz00_2811);
					}
					return BgL_resetz00_2286;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-return1358 */
	obj_t BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00(obj_t
		BgL_envz00_2198, obj_t BgL_nodez00_2199, obj_t BgL_1zd2expza2z70_2200)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 378 */
			{	/* Reduce/1occ.scm 380 */
				obj_t BgL_resetz00_2290;

				BgL_resetz00_2290 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2199)))->BgL_valuez00),
					BgL_1zd2expza2z70_2200);
				{	/* Reduce/1occ.scm 381 */
					obj_t BgL_nvaluez00_2291;

					{	/* Reduce/1occ.scm 382 */
						int BgL_tmpz00_2818;

						BgL_tmpz00_2818 = (int) (((long) 1));
						BgL_nvaluez00_2291 = BGL_MVALUES_VAL(BgL_tmpz00_2818);
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2199)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2291)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 383 */
						int BgL_res1873z00_2292;

						{	/* Reduce/1occ.scm 383 */
							int BgL_tmpz00_2824;

							BgL_tmpz00_2824 = (int) (((long) 2));
							BgL_res1873z00_2292 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2824);
						} BgL_res1873z00_2292;
					}
					{	/* Reduce/1occ.scm 383 */
						obj_t BgL_auxz00_2829;
						int BgL_tmpz00_2827;

						BgL_auxz00_2829 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2199));
						BgL_tmpz00_2827 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2827, BgL_auxz00_2829);
					}
					return BgL_resetz00_2290;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-retblock1356 */
	obj_t BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00(obj_t
		BgL_envz00_2201, obj_t BgL_nodez00_2202, obj_t BgL_1zd2expza2z70_2203)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 368 */
			{	/* Reduce/1occ.scm 370 */
				obj_t BgL_resetz00_2294;

				BgL_resetz00_2294 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2202)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2203);
				{	/* Reduce/1occ.scm 371 */
					obj_t BgL_nbodyz00_2295;

					{	/* Reduce/1occ.scm 372 */
						int BgL_tmpz00_2836;

						BgL_tmpz00_2836 = (int) (((long) 1));
						BgL_nbodyz00_2295 = BGL_MVALUES_VAL(BgL_tmpz00_2836);
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2202)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2295)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 373 */
						int BgL_res1872z00_2296;

						{	/* Reduce/1occ.scm 373 */
							int BgL_tmpz00_2842;

							BgL_tmpz00_2842 = (int) (((long) 2));
							BgL_res1872z00_2296 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2842);
						} BgL_res1872z00_2296;
					}
					{	/* Reduce/1occ.scm 373 */
						obj_t BgL_auxz00_2847;
						int BgL_tmpz00_2845;

						BgL_auxz00_2847 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2202));
						BgL_tmpz00_2845 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2845, BgL_auxz00_2847);
					}
					return BgL_resetz00_2294;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-jump-ex-i1354 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00(obj_t
		BgL_envz00_2204, obj_t BgL_nodez00_2205, obj_t BgL_1zd2expza2z70_2206)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 354 */
			{	/* Reduce/1occ.scm 356 */
				obj_t BgL_resetz00_2298;

				BgL_resetz00_2298 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2205)))->BgL_exitz00),
					BgL_1zd2expza2z70_2206);
				{	/* Reduce/1occ.scm 357 */
					obj_t BgL_nexitz00_2299;

					{	/* Reduce/1occ.scm 358 */
						int BgL_tmpz00_2854;

						BgL_tmpz00_2854 = (int) (((long) 1));
						BgL_nexitz00_2299 = BGL_MVALUES_VAL(BgL_tmpz00_2854);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2205)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2299)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 359 */
						obj_t BgL_1zd2expza2z72z02_2300;

						if (CBOOL(BgL_resetz00_2298))
							{	/* Reduce/1occ.scm 359 */
								BgL_1zd2expza2z72z02_2300 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 359 */
								BgL_1zd2expza2z72z02_2300 = BgL_1zd2expza2z70_2206;
							}
						{	/* Reduce/1occ.scm 360 */
							obj_t BgL_resetz72z72_2301;

							BgL_resetz72z72_2301 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2205)))->
									BgL_valuez00), BgL_1zd2expza2z72z02_2300);
							{	/* Reduce/1occ.scm 361 */
								obj_t BgL_nvaluez00_2302;

								{	/* Reduce/1occ.scm 362 */
									int BgL_tmpz00_2865;

									BgL_tmpz00_2865 = (int) (((long) 1));
									BgL_nvaluez00_2302 = BGL_MVALUES_VAL(BgL_tmpz00_2865);
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2205)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2302)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 363 */
									obj_t BgL_val0_1299z00_2303;

									if (CBOOL(BgL_resetz00_2298))
										{	/* Reduce/1occ.scm 363 */
											BgL_val0_1299z00_2303 = BgL_resetz00_2298;
										}
									else
										{	/* Reduce/1occ.scm 363 */
											BgL_val0_1299z00_2303 = BgL_resetz72z72_2301;
										}
									{	/* Reduce/1occ.scm 363 */
										int BgL_res1871z00_2304;

										{	/* Reduce/1occ.scm 363 */
											int BgL_tmpz00_2873;

											BgL_tmpz00_2873 = (int) (((long) 2));
											BgL_res1871z00_2304 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2873);
										} BgL_res1871z00_2304;
									}
									{	/* Reduce/1occ.scm 363 */
										obj_t BgL_auxz00_2878;
										int BgL_tmpz00_2876;

										BgL_auxz00_2878 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2205));
										BgL_tmpz00_2876 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2876, BgL_auxz00_2878);
									}
									return BgL_val0_1299z00_2303;
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-set-ex-it1352 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00(obj_t
		BgL_envz00_2207, obj_t BgL_nodez00_2208, obj_t BgL_1zd2expza2z70_2209)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 344 */
			{	/* Reduce/1occ.scm 346 */
				obj_t BgL_resetz00_2306;

				BgL_resetz00_2306 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2208)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2209);
				{	/* Reduce/1occ.scm 347 */
					obj_t BgL_nbodyz00_2307;

					{	/* Reduce/1occ.scm 348 */
						int BgL_tmpz00_2885;

						BgL_tmpz00_2885 = (int) (((long) 1));
						BgL_nbodyz00_2307 = BGL_MVALUES_VAL(BgL_tmpz00_2885);
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2208)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2307)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 349 */
						int BgL_res1870z00_2308;

						{	/* Reduce/1occ.scm 349 */
							int BgL_tmpz00_2891;

							BgL_tmpz00_2891 = (int) (((long) 2));
							BgL_res1870z00_2308 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2891);
						} BgL_res1870z00_2308;
					}
					{	/* Reduce/1occ.scm 349 */
						obj_t BgL_auxz00_2896;
						int BgL_tmpz00_2894;

						BgL_auxz00_2896 =
							((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2208));
						BgL_tmpz00_2894 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2894, BgL_auxz00_2896);
					}
					return BgL_resetz00_2306;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-let-var1350 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00(obj_t
		BgL_envz00_2210, obj_t BgL_nodez00_2211, obj_t BgL_1zd2expza2z70_2212)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 253 */
			{	/* Reduce/1occ.scm 259 */
				bool_t BgL_testz00_2900;

				{	/* Reduce/1occ.scm 259 */
					bool_t BgL_testz00_2901;

					{	/* Reduce/1occ.scm 259 */
						obj_t BgL_tmpz00_2902;

						BgL_tmpz00_2902 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
							BgL_bindingsz00);
						BgL_testz00_2901 = PAIRP(BgL_tmpz00_2902);
					}
					if (BgL_testz00_2901)
						{	/* Reduce/1occ.scm 259 */
							if (NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
											BgL_bindingsz00))))
								{	/* Reduce/1occ.scm 261 */
									obj_t BgL_varz00_2310;

									{	/* Reduce/1occ.scm 261 */
										obj_t BgL_pairz00_2311;

										BgL_pairz00_2311 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
											BgL_bindingsz00);
										BgL_varz00_2310 = CAR(CAR(BgL_pairz00_2311));
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_2310))))->
												BgL_occurrencez00) == ((long) 1)))
										{	/* Reduce/1occ.scm 263 */
											bool_t BgL_testz00_2920;

											{	/* Reduce/1occ.scm 263 */
												BgL_typez00_bglt BgL_arg1741z00_2312;

												BgL_arg1741z00_2312 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_2310)))->
													BgL_typez00);
												BgL_testz00_2920 =
													(((obj_t) BgL_arg1741z00_2312) ==
													BGl_za2boolza2z00zztype_cachez00);
											}
											if (BgL_testz00_2920)
												{	/* Reduce/1occ.scm 264 */
													bool_t BgL_testz00_2925;

													{	/* Reduce/1occ.scm 264 */
														BgL_nodez00_bglt BgL_arg1740z00_2313;

														BgL_arg1740z00_2313 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
															BgL_bodyz00);
														{	/* Reduce/1occ.scm 264 */
															bool_t BgL_res1868z00_2314;

															BgL_res1868z00_2314 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1740z00_2313),
																BGl_conditionalz00zzast_nodez00);
															BgL_testz00_2925 = BgL_res1868z00_2314;
														}
													}
													if (BgL_testz00_2925)
														{	/* Reduce/1occ.scm 265 */
															BgL_conditionalz00_bglt BgL_i1128z00_2315;

															BgL_i1128z00_2315 =
																((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_2211)))->BgL_bodyz00));
															{	/* Reduce/1occ.scm 266 */
																bool_t BgL_testz00_2933;

																{	/* Reduce/1occ.scm 266 */
																	BgL_nodez00_bglt BgL_arg1739z00_2316;

																	BgL_arg1739z00_2316 =
																		(((BgL_conditionalz00_bglt)
																			COBJECT(BgL_i1128z00_2315))->BgL_testz00);
																	{	/* Reduce/1occ.scm 266 */
																		bool_t BgL_res1869z00_2317;

																		BgL_res1869z00_2317 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_arg1739z00_2316),
																			BGl_varz00zzast_nodez00);
																		BgL_testz00_2933 = BgL_res1869z00_2317;
																	}
																}
																if (BgL_testz00_2933)
																	{	/* Reduce/1occ.scm 266 */
																		BgL_testz00_2900 =
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								(((BgL_conditionalz00_bglt)
																										COBJECT
																										(BgL_i1128z00_2315))->
																									BgL_testz00))))->
																					BgL_variablez00)) == BgL_varz00_2310);
																	}
																else
																	{	/* Reduce/1occ.scm 266 */
																		BgL_testz00_2900 = ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Reduce/1occ.scm 264 */
															BgL_testz00_2900 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/1occ.scm 263 */
													BgL_testz00_2900 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/1occ.scm 262 */
											BgL_testz00_2900 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/1occ.scm 260 */
									BgL_testz00_2900 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/1occ.scm 259 */
							BgL_testz00_2900 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2900)
					{	/* Reduce/1occ.scm 269 */
						BgL_conditionalz00_bglt BgL_i1130z00_2318;

						BgL_i1130z00_2318 =
							((BgL_conditionalz00_bglt)
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->BgL_bodyz00));
						{
							BgL_nodez00_bglt BgL_auxz00_2945;

							{	/* Reduce/1occ.scm 270 */
								obj_t BgL_pairz00_2319;

								BgL_pairz00_2319 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
									BgL_bindingsz00);
								{	/* Reduce/1occ.scm 270 */
									obj_t BgL_pairz00_2320;

									BgL_pairz00_2320 = CAR(BgL_pairz00_2319);
									BgL_auxz00_2945 = ((BgL_nodez00_bglt) CDR(BgL_pairz00_2320));
								}
							}
							((((BgL_conditionalz00_bglt) COBJECT(BgL_i1130z00_2318))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_2945), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
								BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
						return
							BGl_nodezd21occz12zc0zzreduce_1occz00((((BgL_letzd2varzd2_bglt)
									COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2211)))->
								BgL_bodyz00), BgL_1zd2expza2z70_2212);
					}
				else
					{	/* Reduce/1occ.scm 259 */
						return
							BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2211),
							BgL_1zd2expza2z70_2212);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-let-fun1348 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00(obj_t
		BgL_envz00_2213, obj_t BgL_nodez00_2214, obj_t BgL_1zd2expza2z70_2215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 234 */
			{	/* Reduce/1occ.scm 236 */
				obj_t BgL_resetz00_2322;

				BgL_resetz00_2322 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2214)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2215);
				{	/* Reduce/1occ.scm 237 */
					obj_t BgL_nbodyz00_2323;

					{	/* Reduce/1occ.scm 238 */
						int BgL_tmpz00_2962;

						BgL_tmpz00_2962 = (int) (((long) 1));
						BgL_nbodyz00_2323 = BGL_MVALUES_VAL(BgL_tmpz00_2962);
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2214)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2323)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2325;
						obj_t BgL_resetz00_2326;

						BgL_localsz00_2325 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2214)))->BgL_localsz00);
						BgL_resetz00_2326 = BgL_resetz00_2322;
					BgL_loopz00_2324:
						if (NULLP(BgL_localsz00_2325))
							{	/* Reduce/1occ.scm 241 */
								{	/* Reduce/1occ.scm 242 */
									int BgL_res1864z00_2327;

									{	/* Reduce/1occ.scm 242 */
										int BgL_tmpz00_2970;

										BgL_tmpz00_2970 = (int) (((long) 2));
										BgL_res1864z00_2327 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2970);
									} BgL_res1864z00_2327;
								}
								{	/* Reduce/1occ.scm 242 */
									obj_t BgL_auxz00_2975;
									int BgL_tmpz00_2973;

									BgL_auxz00_2975 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2214));
									BgL_tmpz00_2973 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2973, BgL_auxz00_2975);
								}
								return BgL_resetz00_2326;
							}
						else
							{	/* Reduce/1occ.scm 243 */
								obj_t BgL_localz00_2328;

								BgL_localz00_2328 = CAR(((obj_t) BgL_localsz00_2325));
								{	/* Reduce/1occ.scm 243 */
									BgL_valuez00_bglt BgL_sfunz00_2329;

									BgL_sfunz00_2329 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2328))))->
										BgL_valuez00);
									{	/* Reduce/1occ.scm 244 */

										{	/* Reduce/1occ.scm 245 */
											obj_t BgL_resetz72z72_2330;

											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_arg1676z00_2331;

												BgL_arg1676z00_2331 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2329)))->
													BgL_bodyz00);
												BgL_resetz72z72_2330 =
													BGl_nodezd21occz12zc0zzreduce_1occz00((
														(BgL_nodez00_bglt) BgL_arg1676z00_2331), BNIL);
											}
											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_nbodyz00_2332;

												{	/* Reduce/1occ.scm 247 */
													int BgL_tmpz00_2988;

													BgL_tmpz00_2988 = (int) (((long) 1));
													BgL_nbodyz00_2332 = BGL_MVALUES_VAL(BgL_tmpz00_2988);
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2329)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2332), BUNSPEC);
												{	/* Reduce/1occ.scm 248 */
													obj_t BgL_arg1674z00_2333;
													obj_t BgL_arg1675z00_2334;

													BgL_arg1674z00_2333 =
														CDR(((obj_t) BgL_localsz00_2325));
													if (CBOOL(BgL_resetz00_2326))
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1675z00_2334 = BgL_resetz00_2326;
														}
													else
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1675z00_2334 = BgL_resetz72z72_2330;
														}
													{
														obj_t BgL_resetz00_2998;
														obj_t BgL_localsz00_2997;

														BgL_localsz00_2997 = BgL_arg1674z00_2333;
														BgL_resetz00_2998 = BgL_arg1675z00_2334;
														BgL_resetz00_2326 = BgL_resetz00_2998;
														BgL_localsz00_2325 = BgL_localsz00_2997;
														goto BgL_loopz00_2324;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-switch1346 */
	obj_t BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00(obj_t
		BgL_envz00_2216, obj_t BgL_nodez00_2217, obj_t BgL_1zd2expza2z70_2218)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 215 */
			{	/* Reduce/1occ.scm 217 */
				obj_t BgL_resetz00_2336;

				BgL_resetz00_2336 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2217)))->BgL_testz00),
					BgL_1zd2expza2z70_2218);
				{	/* Reduce/1occ.scm 218 */
					obj_t BgL_ntestz00_2337;

					{	/* Reduce/1occ.scm 219 */
						int BgL_tmpz00_3004;

						BgL_tmpz00_3004 = (int) (((long) 1));
						BgL_ntestz00_2337 = BGL_MVALUES_VAL(BgL_tmpz00_3004);
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2217)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2337)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2339;
						obj_t BgL_resetz00_2340;

						BgL_clausesz00_2339 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2217)))->BgL_clausesz00);
						BgL_resetz00_2340 = BgL_resetz00_2336;
					BgL_loopz00_2338:
						if (NULLP(BgL_clausesz00_2339))
							{	/* Reduce/1occ.scm 223 */
								{	/* Reduce/1occ.scm 224 */
									int BgL_res1862z00_2341;

									{	/* Reduce/1occ.scm 224 */
										int BgL_tmpz00_3012;

										BgL_tmpz00_3012 = (int) (((long) 2));
										BgL_res1862z00_2341 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3012);
									} BgL_res1862z00_2341;
								}
								{	/* Reduce/1occ.scm 224 */
									obj_t BgL_auxz00_3017;
									int BgL_tmpz00_3015;

									BgL_auxz00_3017 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2217));
									BgL_tmpz00_3015 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3015, BgL_auxz00_3017);
								}
								return BgL_resetz00_2340;
							}
						else
							{	/* Reduce/1occ.scm 225 */
								obj_t BgL_clausez00_2342;

								BgL_clausez00_2342 = CAR(((obj_t) BgL_clausesz00_2339));
								{	/* Reduce/1occ.scm 226 */
									obj_t BgL_resetz72z72_2343;

									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_arg1665z00_2344;

										BgL_arg1665z00_2344 = CDR(((obj_t) BgL_clausez00_2342));
										BgL_resetz72z72_2343 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											((BgL_nodez00_bglt) BgL_arg1665z00_2344),
											BgL_1zd2expza2z70_2218);
									}
									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_nclausez00_2345;

										{	/* Reduce/1occ.scm 228 */
											int BgL_tmpz00_3027;

											BgL_tmpz00_3027 = (int) (((long) 1));
											BgL_nclausez00_2345 = BGL_MVALUES_VAL(BgL_tmpz00_3027);
										}
										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_3030;

											BgL_tmpz00_3030 = ((obj_t) BgL_clausez00_2342);
											SET_CDR(BgL_tmpz00_3030, BgL_nclausez00_2345);
										}
										{	/* Reduce/1occ.scm 229 */
											obj_t BgL_arg1661z00_2346;
											obj_t BgL_arg1663z00_2347;

											BgL_arg1661z00_2346 = CDR(((obj_t) BgL_clausesz00_2339));
											if (CBOOL(BgL_resetz00_2340))
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1663z00_2347 = BgL_resetz00_2340;
												}
											else
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1663z00_2347 = BgL_resetz72z72_2343;
												}
											{
												obj_t BgL_resetz00_3038;
												obj_t BgL_clausesz00_3037;

												BgL_clausesz00_3037 = BgL_arg1661z00_2346;
												BgL_resetz00_3038 = BgL_arg1663z00_2347;
												BgL_resetz00_2340 = BgL_resetz00_3038;
												BgL_clausesz00_2339 = BgL_clausesz00_3037;
												goto BgL_loopz00_2338;
											}
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-fail1344 */
	obj_t BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00(obj_t
		BgL_envz00_2219, obj_t BgL_nodez00_2220, obj_t BgL_1zd2expza2z70_2221)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 197 */
			{	/* Reduce/1occ.scm 199 */
				obj_t BgL_resetz00_2349;

				BgL_resetz00_2349 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2220)))->BgL_procz00),
					BgL_1zd2expza2z70_2221);
				{	/* Reduce/1occ.scm 200 */
					obj_t BgL_nprocz00_2350;

					{	/* Reduce/1occ.scm 201 */
						int BgL_tmpz00_3044;

						BgL_tmpz00_3044 = (int) (((long) 1));
						BgL_nprocz00_2350 = BGL_MVALUES_VAL(BgL_tmpz00_3044);
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2220)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2350)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 202 */
						obj_t BgL_1zd2expza2z72z02_2351;

						if (CBOOL(BgL_resetz00_2349))
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2351 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2351 = BgL_1zd2expza2z70_2221;
							}
						{	/* Reduce/1occ.scm 203 */
							obj_t BgL_resetz72z72_2352;

							BgL_resetz72z72_2352 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2220)))->BgL_msgz00),
								BgL_1zd2expza2z72z02_2351);
							{	/* Reduce/1occ.scm 204 */
								obj_t BgL_nmsgz00_2353;

								{	/* Reduce/1occ.scm 205 */
									int BgL_tmpz00_3055;

									BgL_tmpz00_3055 = (int) (((long) 1));
									BgL_nmsgz00_2353 = BGL_MVALUES_VAL(BgL_tmpz00_3055);
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2220)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2353)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 206 */
									obj_t BgL_1zd2expza2z72z72z70_2354;

									if (CBOOL(BgL_resetz72z72_2352))
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2354 = BNIL;
										}
									else
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2354 = BgL_1zd2expza2z72z02_2351;
										}
									{	/* Reduce/1occ.scm 207 */
										obj_t BgL_resetz72z72z00_2355;

										BgL_resetz72z72z00_2355 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2220)))->
												BgL_objz00), BgL_1zd2expza2z72z72z70_2354);
										{	/* Reduce/1occ.scm 208 */
											obj_t BgL_nobjz00_2356;

											{	/* Reduce/1occ.scm 209 */
												int BgL_tmpz00_3066;

												BgL_tmpz00_3066 = (int) (((long) 1));
												BgL_nobjz00_2356 = BGL_MVALUES_VAL(BgL_tmpz00_3066);
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2220)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2356)), BUNSPEC);
											{	/* Reduce/1occ.scm 210 */
												obj_t BgL_val0_1285z00_2357;

												if (CBOOL(BgL_resetz00_2349))
													{	/* Reduce/1occ.scm 210 */
														BgL_val0_1285z00_2357 = BgL_resetz00_2349;
													}
												else
													{	/* Reduce/1occ.scm 210 */
														if (CBOOL(BgL_resetz72z72_2352))
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1285z00_2357 = BgL_resetz72z72_2352;
															}
														else
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1285z00_2357 = BgL_resetz72z72z00_2355;
															}
													}
												{	/* Reduce/1occ.scm 210 */
													int BgL_res1860z00_2358;

													{	/* Reduce/1occ.scm 210 */
														int BgL_tmpz00_3076;

														BgL_tmpz00_3076 = (int) (((long) 2));
														BgL_res1860z00_2358 =
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3076);
													} BgL_res1860z00_2358;
												}
												{	/* Reduce/1occ.scm 210 */
													obj_t BgL_auxz00_3081;
													int BgL_tmpz00_3079;

													BgL_auxz00_3081 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2220));
													BgL_tmpz00_3079 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3079, BgL_auxz00_3081);
												}
												return BgL_val0_1285z00_2357;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-condition1342 */
	obj_t BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00(obj_t
		BgL_envz00_2222, obj_t BgL_nodez00_2223, obj_t BgL_1zd2expza2z70_2224)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 180 */
			{	/* Reduce/1occ.scm 182 */
				obj_t BgL_resetz00_2360;

				BgL_resetz00_2360 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->BgL_testz00),
					BgL_1zd2expza2z70_2224);
				{	/* Reduce/1occ.scm 183 */
					obj_t BgL_ntestz00_2361;

					{	/* Reduce/1occ.scm 184 */
						int BgL_tmpz00_3088;

						BgL_tmpz00_3088 = (int) (((long) 1));
						BgL_ntestz00_2361 = BGL_MVALUES_VAL(BgL_tmpz00_3088);
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2361)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 185 */
						obj_t BgL_1zd2expza2z72z02_2362;

						if (CBOOL(BgL_resetz00_2360))
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2362 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2362 = BgL_1zd2expza2z70_2224;
							}
						{	/* Reduce/1occ.scm 186 */
							obj_t BgL_resetz72z72_2363;

							BgL_resetz72z72_2363 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->
									BgL_truez00), BgL_1zd2expza2z72z02_2362);
							{	/* Reduce/1occ.scm 187 */
								obj_t BgL_ntruez00_2364;

								{	/* Reduce/1occ.scm 188 */
									int BgL_tmpz00_3099;

									BgL_tmpz00_3099 = (int) (((long) 1));
									BgL_ntruez00_2364 = BGL_MVALUES_VAL(BgL_tmpz00_3099);
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2364)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 189 */
									obj_t BgL_resetz72z72z00_2365;

									BgL_resetz72z72z00_2365 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->
											BgL_falsez00), BgL_1zd2expza2z72z02_2362);
									{	/* Reduce/1occ.scm 190 */
										obj_t BgL_nfalsez00_2366;

										{	/* Reduce/1occ.scm 191 */
											int BgL_tmpz00_3108;

											BgL_tmpz00_3108 = (int) (((long) 1));
											BgL_nfalsez00_2366 = BGL_MVALUES_VAL(BgL_tmpz00_3108);
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2223)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2366)), BUNSPEC);
										{	/* Reduce/1occ.scm 192 */
											obj_t BgL_val0_1283z00_2367;

											if (CBOOL(BgL_resetz00_2360))
												{	/* Reduce/1occ.scm 192 */
													BgL_val0_1283z00_2367 = BgL_resetz00_2360;
												}
											else
												{	/* Reduce/1occ.scm 192 */
													if (CBOOL(BgL_resetz72z72_2363))
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1283z00_2367 = BgL_resetz72z72_2363;
														}
													else
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1283z00_2367 = BgL_resetz72z72z00_2365;
														}
												}
											{	/* Reduce/1occ.scm 192 */
												int BgL_res1859z00_2368;

												{	/* Reduce/1occ.scm 192 */
													int BgL_tmpz00_3118;

													BgL_tmpz00_3118 = (int) (((long) 2));
													BgL_res1859z00_2368 =
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3118);
												} BgL_res1859z00_2368;
											}
											{	/* Reduce/1occ.scm 192 */
												obj_t BgL_auxz00_3123;
												int BgL_tmpz00_3121;

												BgL_auxz00_3123 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2223));
												BgL_tmpz00_3121 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3121, BgL_auxz00_3123);
											}
											return BgL_val0_1283z00_2367;
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-setq1340 */
	obj_t BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00(obj_t
		BgL_envz00_2225, obj_t BgL_nodez00_2226, obj_t BgL_1zd2expza2z70_2227)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 170 */
			{	/* Reduce/1occ.scm 172 */
				obj_t BgL_resetz00_2370;

				BgL_resetz00_2370 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_valuez00),
					BgL_1zd2expza2z70_2227);
				{	/* Reduce/1occ.scm 173 */
					obj_t BgL_nvaluez00_2371;

					{	/* Reduce/1occ.scm 174 */
						int BgL_tmpz00_3130;

						BgL_tmpz00_3130 = (int) (((long) 1));
						BgL_nvaluez00_2371 = BGL_MVALUES_VAL(BgL_tmpz00_3130);
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2371)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 175 */
						int BgL_res1858z00_2372;

						{	/* Reduce/1occ.scm 175 */
							int BgL_tmpz00_3136;

							BgL_tmpz00_3136 = (int) (((long) 2));
							BgL_res1858z00_2372 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3136);
						} BgL_res1858z00_2372;
					}
					{	/* Reduce/1occ.scm 175 */
						obj_t BgL_auxz00_3141;
						int BgL_tmpz00_3139;

						BgL_auxz00_3141 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2226));
						BgL_tmpz00_3139 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3139, BgL_auxz00_3141);
					}
					return BgL_resetz00_2370;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-cast1338 */
	obj_t BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00(obj_t
		BgL_envz00_2228, obj_t BgL_nodez00_2229, obj_t BgL_1zd2expza2z70_2230)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 160 */
			{	/* Reduce/1occ.scm 162 */
				obj_t BgL_resetz00_2374;

				BgL_resetz00_2374 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2229)))->BgL_argz00),
					BgL_1zd2expza2z70_2230);
				{	/* Reduce/1occ.scm 163 */
					obj_t BgL_nargz00_2375;

					{	/* Reduce/1occ.scm 164 */
						int BgL_tmpz00_3148;

						BgL_tmpz00_3148 = (int) (((long) 1));
						BgL_nargz00_2375 = BGL_MVALUES_VAL(BgL_tmpz00_3148);
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2229)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2375)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 165 */
						int BgL_res1857z00_2376;

						{	/* Reduce/1occ.scm 165 */
							int BgL_tmpz00_3154;

							BgL_tmpz00_3154 = (int) (((long) 2));
							BgL_res1857z00_2376 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3154);
						} BgL_res1857z00_2376;
					}
					{	/* Reduce/1occ.scm 165 */
						obj_t BgL_auxz00_3159;
						int BgL_tmpz00_3157;

						BgL_auxz00_3159 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2229));
						BgL_tmpz00_3157 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3157, BgL_auxz00_3159);
					}
					return BgL_resetz00_2374;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-private1336 */
	obj_t BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00(obj_t
		BgL_envz00_2231, obj_t BgL_nodez00_2232, obj_t BgL_1zd2expza2z70_2233)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 153 */
			{	/* Reduce/1occ.scm 155 */
				obj_t BgL_val0_1277z00_2378;

				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_arg1640z00_2379;

					BgL_arg1640z00_2379 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_privatez00_bglt) BgL_nodez00_2232))))->BgL_exprza2za2);
					BgL_val0_1277z00_2378 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1640z00_2379,
						BgL_1zd2expza2z70_2233);
				}
				{	/* Reduce/1occ.scm 155 */
					int BgL_res1856z00_2380;

					{	/* Reduce/1occ.scm 155 */
						int BgL_tmpz00_3167;

						BgL_tmpz00_3167 = (int) (((long) 2));
						BgL_res1856z00_2380 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3167);
					} BgL_res1856z00_2380;
				}
				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_auxz00_3172;
					int BgL_tmpz00_3170;

					BgL_auxz00_3172 = ((obj_t) ((BgL_privatez00_bglt) BgL_nodez00_2232));
					BgL_tmpz00_3170 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3170, BgL_auxz00_3172);
				}
				return BgL_val0_1277z00_2378;
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-extern1334 */
	obj_t BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00(obj_t
		BgL_envz00_2234, obj_t BgL_nodez00_2235, obj_t BgL_1zd2expza2z70_2236)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 147 */
			{	/* Reduce/1occ.scm 148 */
				bool_t BgL_tmpz00_3176;

				{	/* Reduce/1occ.scm 148 */
					bool_t BgL_val0_1275z00_2382;

					BgL_val0_1275z00_2382 =
						BGl_sidezd2effectzf3z21zzeffect_effectz00(
						((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2235)));
					{	/* Reduce/1occ.scm 148 */
						int BgL_res1855z00_2383;

						{	/* Reduce/1occ.scm 148 */
							int BgL_tmpz00_3180;

							BgL_tmpz00_3180 = (int) (((long) 2));
							BgL_res1855z00_2383 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3180);
						} BgL_res1855z00_2383;
					}
					{	/* Reduce/1occ.scm 148 */
						obj_t BgL_auxz00_3185;
						int BgL_tmpz00_3183;

						BgL_auxz00_3185 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2235));
						BgL_tmpz00_3183 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3183, BgL_auxz00_3185);
					}
					BgL_tmpz00_3176 = BgL_val0_1275z00_2382;
				}
				return BBOOL(BgL_tmpz00_3176);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-funcall1332 */
	obj_t BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00(obj_t
		BgL_envz00_2237, obj_t BgL_nodez00_2238, obj_t BgL_1zd2expza2z70_2239)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 136 */
			{	/* Reduce/1occ.scm 138 */
				obj_t BgL_resetz72z72_2385;

				BgL_resetz72z72_2385 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2238)))->BgL_argsz00),
					BgL_1zd2expza2z70_2239);
				{	/* Reduce/1occ.scm 139 */
					int BgL_res1854z00_2386;

					{	/* Reduce/1occ.scm 139 */
						int BgL_tmpz00_3193;

						BgL_tmpz00_3193 = (int) (((long) 2));
						BgL_res1854z00_2386 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3193);
					} BgL_res1854z00_2386;
				}
				{	/* Reduce/1occ.scm 139 */
					obj_t BgL_auxz00_3198;
					int BgL_tmpz00_3196;

					BgL_auxz00_3198 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2238));
					BgL_tmpz00_3196 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3196, BgL_auxz00_3198);
				}
				return BgL_resetz72z72_2385;
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-app-ly1330 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00(obj_t
		BgL_envz00_2240, obj_t BgL_nodez00_2241, obj_t BgL_1zd2expza2z70_2242)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 123 */
			{	/* Reduce/1occ.scm 125 */
				obj_t BgL_resetz00_2388;

				BgL_resetz00_2388 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2241)))->BgL_funz00),
					BgL_1zd2expza2z70_2242);
				{	/* Reduce/1occ.scm 126 */
					obj_t BgL_nfunz00_2389;

					{	/* Reduce/1occ.scm 127 */
						int BgL_tmpz00_3205;

						BgL_tmpz00_3205 = (int) (((long) 1));
						BgL_nfunz00_2389 = BGL_MVALUES_VAL(BgL_tmpz00_3205);
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2241)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2389)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 128 */
						obj_t BgL_resetz72z72_2390;

						{	/* Reduce/1occ.scm 129 */
							BgL_nodez00_bglt BgL_arg1628z00_2391;
							obj_t BgL_arg1629z00_2392;

							BgL_arg1628z00_2391 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2241)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2388))
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1629z00_2392 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1629z00_2392 = BgL_1zd2expza2z70_2242;
								}
							BgL_resetz72z72_2390 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1628z00_2391,
								BgL_arg1629z00_2392);
						}
						{	/* Reduce/1occ.scm 129 */
							obj_t BgL_nargz00_2393;

							{	/* Reduce/1occ.scm 130 */
								int BgL_tmpz00_3216;

								BgL_tmpz00_3216 = (int) (((long) 1));
								BgL_nargz00_2393 = BGL_MVALUES_VAL(BgL_tmpz00_3216);
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2241)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2393)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 131 */
								obj_t BgL_val0_1271z00_2394;

								if (CBOOL(BgL_resetz00_2388))
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1271z00_2394 = BgL_resetz00_2388;
									}
								else
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1271z00_2394 = BgL_resetz72z72_2390;
									}
								{	/* Reduce/1occ.scm 131 */
									int BgL_res1853z00_2395;

									{	/* Reduce/1occ.scm 131 */
										int BgL_tmpz00_3224;

										BgL_tmpz00_3224 = (int) (((long) 2));
										BgL_res1853z00_2395 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3224);
									} BgL_res1853z00_2395;
								}
								{	/* Reduce/1occ.scm 131 */
									obj_t BgL_auxz00_3229;
									int BgL_tmpz00_3227;

									BgL_auxz00_3229 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2241));
									BgL_tmpz00_3227 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3227, BgL_auxz00_3229);
								}
								return BgL_val0_1271z00_2394;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-sync1328 */
	obj_t BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00(obj_t
		BgL_envz00_2243, obj_t BgL_nodez00_2244, obj_t BgL_1zd2expza2z70_2245)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 110 */
			{	/* Reduce/1occ.scm 112 */
				obj_t BgL_resetmz00_2397;

				BgL_resetmz00_2397 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2244)))->BgL_mutexz00),
					BgL_1zd2expza2z70_2245);
				{	/* Reduce/1occ.scm 113 */
					obj_t BgL_nmutexz00_2398;

					{	/* Reduce/1occ.scm 114 */
						int BgL_tmpz00_3236;

						BgL_tmpz00_3236 = (int) (((long) 1));
						BgL_nmutexz00_2398 = BGL_MVALUES_VAL(BgL_tmpz00_3236);
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2244)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2398)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 115 */
						obj_t BgL_resetpz00_2399;

						BgL_resetpz00_2399 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2244)))->BgL_prelockz00),
							BgL_1zd2expza2z70_2245);
						{	/* Reduce/1occ.scm 116 */
							obj_t BgL_nprelockz00_2400;

							{	/* Reduce/1occ.scm 117 */
								int BgL_tmpz00_3245;

								BgL_tmpz00_3245 = (int) (((long) 1));
								BgL_nprelockz00_2400 = BGL_MVALUES_VAL(BgL_tmpz00_3245);
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2244)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2400)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 118 */
								obj_t BgL_val0_1269z00_2401;

								{	/* Reduce/1occ.scm 118 */
									obj_t BgL__ortest_1106z00_2402;

									BgL__ortest_1106z00_2402 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2244)))->BgL_bodyz00),
										BgL_1zd2expza2z70_2245);
									if (CBOOL(BgL__ortest_1106z00_2402))
										{	/* Reduce/1occ.scm 118 */
											BgL_val0_1269z00_2401 = BgL__ortest_1106z00_2402;
										}
									else
										{	/* Reduce/1occ.scm 118 */
											if (CBOOL(BgL_resetmz00_2397))
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1269z00_2401 = BgL_resetmz00_2397;
												}
											else
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1269z00_2401 = BgL_resetpz00_2399;
												}
										}
								}
								{	/* Reduce/1occ.scm 118 */
									int BgL_res1852z00_2403;

									{	/* Reduce/1occ.scm 118 */
										int BgL_tmpz00_3258;

										BgL_tmpz00_3258 = (int) (((long) 2));
										BgL_res1852z00_2403 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3258);
									} BgL_res1852z00_2403;
								}
								{	/* Reduce/1occ.scm 118 */
									obj_t BgL_auxz00_3263;
									int BgL_tmpz00_3261;

									BgL_auxz00_3263 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2244));
									BgL_tmpz00_3261 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3261, BgL_auxz00_3263);
								}
								return BgL_val0_1269z00_2401;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-sequence1326 */
	obj_t BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00(obj_t
		BgL_envz00_2246, obj_t BgL_nodez00_2247, obj_t BgL_1zd2expza2z70_2248)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 103 */
			{	/* Reduce/1occ.scm 105 */
				obj_t BgL_val0_1267z00_2405;

				BgL_val0_1267z00_2405 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2247)))->BgL_nodesz00),
					BgL_1zd2expza2z70_2248);
				{	/* Reduce/1occ.scm 105 */
					int BgL_res1851z00_2406;

					{	/* Reduce/1occ.scm 105 */
						int BgL_tmpz00_3270;

						BgL_tmpz00_3270 = (int) (((long) 2));
						BgL_res1851z00_2406 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3270);
					} BgL_res1851z00_2406;
				}
				{	/* Reduce/1occ.scm 105 */
					obj_t BgL_auxz00_3275;
					int BgL_tmpz00_3273;

					BgL_auxz00_3275 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2247));
					BgL_tmpz00_3273 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3273, BgL_auxz00_3275);
				}
				return BgL_val0_1267z00_2405;
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-closure1324 */
	obj_t BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00(obj_t
		BgL_envz00_2249, obj_t BgL_nodez00_2250, obj_t BgL_1zd2expza2z70_2251)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 97 */
			{	/* Reduce/1occ.scm 98 */
				bool_t BgL_tmpz00_3279;

				{	/* Reduce/1occ.scm 98 */
					int BgL_res1850z00_2408;

					{	/* Reduce/1occ.scm 98 */
						int BgL_tmpz00_3280;

						BgL_tmpz00_3280 = (int) (((long) 2));
						BgL_res1850z00_2408 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3280);
					} BgL_res1850z00_2408;
				}
				{	/* Reduce/1occ.scm 98 */
					obj_t BgL_auxz00_3285;
					int BgL_tmpz00_3283;

					BgL_auxz00_3285 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2250));
					BgL_tmpz00_3283 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3283, BgL_auxz00_3285);
				}
				BgL_tmpz00_3279 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3279);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-var1322 */
	obj_t BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00(obj_t
		BgL_envz00_2252, obj_t BgL_nodez00_2253, obj_t BgL_1zd2expza2z70_2254)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 84 */
			{	/* Reduce/1occ.scm 85 */
				BgL_variablez00_bglt BgL_vz00_2410;

				BgL_vz00_2410 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2253)))->BgL_variablez00);
				{	/* Reduce/1occ.scm 86 */
					obj_t BgL_falphaz00_2411;

					BgL_falphaz00_2411 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_vz00_2410), BgL_1zd2expza2z70_2254);
					if (PAIRP(BgL_falphaz00_2411))
						{	/* Reduce/1occ.scm 87 */
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2410))->
									BgL_occurrencez00) =
								((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2410))->
											BgL_occurrencez00) - ((long) 1))), BUNSPEC);
							BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
								(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 + ((long) 1));
							{	/* Reduce/1occ.scm 91 */
								obj_t BgL_arg1617z00_2412;

								BgL_arg1617z00_2412 = CDR(BgL_falphaz00_2411);
								return
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_arg1617z00_2412),
									BgL_1zd2expza2z70_2254);
							}
						}
					else
						{	/* Reduce/1occ.scm 87 */
							{	/* Reduce/1occ.scm 92 */
								int BgL_res1849z00_2413;

								{	/* Reduce/1occ.scm 92 */
									int BgL_tmpz00_3303;

									BgL_tmpz00_3303 = (int) (((long) 2));
									BgL_res1849z00_2413 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3303);
								} BgL_res1849z00_2413;
							}
							{	/* Reduce/1occ.scm 92 */
								obj_t BgL_auxz00_3308;
								int BgL_tmpz00_3306;

								BgL_auxz00_3308 =
									((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2253));
								BgL_tmpz00_3306 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3306, BgL_auxz00_3308);
							}
							return BFALSE;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-kwote1320 */
	obj_t BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00(obj_t
		BgL_envz00_2255, obj_t BgL_nodez00_2256, obj_t BgL_1zd2expza2z70_2257)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 78 */
			{	/* Reduce/1occ.scm 79 */
				bool_t BgL_tmpz00_3312;

				{	/* Reduce/1occ.scm 79 */
					int BgL_res1845z00_2415;

					{	/* Reduce/1occ.scm 79 */
						int BgL_tmpz00_3313;

						BgL_tmpz00_3313 = (int) (((long) 2));
						BgL_res1845z00_2415 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3313);
					} BgL_res1845z00_2415;
				}
				{	/* Reduce/1occ.scm 79 */
					obj_t BgL_auxz00_3318;
					int BgL_tmpz00_3316;

					BgL_auxz00_3318 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2256));
					BgL_tmpz00_3316 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3316, BgL_auxz00_3318);
				}
				BgL_tmpz00_3312 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3312);
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-1occ!-atom1318 */
	obj_t BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00(obj_t
		BgL_envz00_2258, obj_t BgL_nodez00_2259, obj_t BgL_1zd2expza2z70_2260)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 72 */
			{	/* Reduce/1occ.scm 73 */
				bool_t BgL_tmpz00_3323;

				{	/* Reduce/1occ.scm 73 */
					int BgL_res1844z00_2417;

					{	/* Reduce/1occ.scm 73 */
						int BgL_tmpz00_3324;

						BgL_tmpz00_3324 = (int) (((long) 2));
						BgL_res1844z00_2417 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3324);
					} BgL_res1844z00_2417;
				}
				{	/* Reduce/1occ.scm 73 */
					obj_t BgL_auxz00_3329;
					int BgL_tmpz00_3327;

					BgL_auxz00_3329 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2259));
					BgL_tmpz00_3327 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3327, BgL_auxz00_3329);
				}
				BgL_tmpz00_3323 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3323);
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1910z00zzreduce_1occz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
