/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_z62zc3anonymousza31548ze3ze1zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t, obj_t);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00();
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
	static BgL_blockz00_bglt BGl_z62lambda1538z62zzsaw_collapsez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda1543z62zzsaw_collapsez00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda1549z62zzsaw_collapsez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1577z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1578z62zzsaw_collapsez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl_za762collapseza762za7za71807z00,
		BGl_z62collapsez62zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1802z00zzsaw_collapsez00,
		BgL_bgl_string1802za700za7za7s1808za7, "saw_collapse", 12);
	      DEFINE_STRING(BGl_string1803z00zzsaw_collapsez00,
		BgL_bgl_string1803za700za7za7s1809za7, "saw_collapse collapsed obj last ",
		32);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1578za7621810z00, BGl_z62lambda1578z62zzsaw_collapsez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1577za7621811z00, BGl_z62lambda1577z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1549za7621812z00, BGl_z62lambda1549z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzsaw_collapsez00,
		BgL_bgl_za762za7c3anonymousza71813za7,
		BGl_z62zc3anonymousza31548ze3ze1zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1543za7621814z00, BGl_z62lambda1543z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1538za7621815z00, BGl_z62lambda1538z62zzsaw_collapsez00,
		0L, BUNSPEC, 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_collapsedz00zzsaw_collapsez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_collapsez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_2261, char *BgL_fromz00_2262)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_collapsez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					return BGl_methodzd2initzd2zzsaw_collapsez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_2221;

				{	/* SawMill/collapse.scm 1 */
					obj_t BgL_stringz00_2229;

					BgL_stringz00_2229 = BGl_string1803z00zzsaw_collapsez00;
					{	/* SawMill/collapse.scm 1 */
						obj_t BgL_startz00_2230;

						BgL_startz00_2230 = BINT(((long) 0));
						{	/* SawMill/collapse.scm 1 */
							obj_t BgL_endz00_2231;

							BgL_endz00_2231 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2229)));
							{	/* SawMill/collapse.scm 1 */

								BgL_cportz00_2221 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2229, BgL_startz00_2230, BgL_endz00_2231);
				}}}}
				{
					long BgL_iz00_2222;

					BgL_iz00_2222 = ((long) 3);
				BgL_loopz00_2223:
					if ((BgL_iz00_2222 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg1805z00_2225;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_2227;

										BgL_locationz00_2227 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg1805z00_2225 =
												BGl_readz00zz__readerz00(BgL_cportz00_2221,
												BgL_locationz00_2227);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_tmpz00_2288;

									BgL_tmpz00_2288 = (int) (BgL_iz00_2222);
									CNST_TABLE_SET(BgL_tmpz00_2288, BgL_arg1805z00_2225);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_2228;

								BgL_auxz00_2228 = (int) ((BgL_iz00_2222 - ((long) 1)));
								{
									long BgL_iz00_2293;

									BgL_iz00_2293 = (long) (BgL_auxz00_2228);
									BgL_iz00_2222 = BgL_iz00_2293;
									goto BgL_loopz00_2223;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 14 */
			BGl_dfsze70ze7zzsaw_collapsez00(BgL_bz00_24);
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1753)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 15 */
			{	/* SawMill/collapse.scm 17 */
				BgL_collapsedz00_bglt BgL_wide1173z00_1758;

				BgL_wide1173z00_1758 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 17 */
					obj_t BgL_auxz00_2301;
					BgL_objectz00_bglt BgL_tmpz00_2298;

					BgL_auxz00_2301 = ((obj_t) BgL_wide1173z00_1758);
					BgL_tmpz00_2298 =
						((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1753));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2298, BgL_auxz00_2301);
				}
				{	/* SawMill/collapse.scm 17 */
					long BgL_arg1406z00_1759;

					{	/* SawMill/collapse.scm 17 */
						long BgL_res1783z00_2143;

						BgL_res1783z00_2143 =
							BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
						BgL_arg1406z00_1759 = BgL_res1783z00_2143;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) BgL_bz00_1753)), BgL_arg1406z00_1759);
				}
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1753));
			}
			{
				BgL_collapsedz00_bglt BgL_auxz00_2310;

				{
					obj_t BgL_auxz00_2311;

					{	/* SawMill/collapse.scm 17 */
						BgL_objectz00_bglt BgL_tmpz00_2312;

						BgL_tmpz00_2312 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1753));
						BgL_auxz00_2311 = BGL_OBJECT_WIDENING(BgL_tmpz00_2312);
					}
					BgL_auxz00_2310 = ((BgL_collapsedz00_bglt) BgL_auxz00_2311);
				}
				((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2310))->BgL_lastz00) =
					((obj_t)
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(((
									(BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->BgL_firstz00))),
					BUNSPEC);
			}
			((BgL_blockz00_bglt) BgL_bz00_1753);
			{	/* SawMill/collapse.scm 18 */
				bool_t BgL_testz00_2321;

				if (NULLP((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->BgL_predsz00)))
					{	/* SawMill/collapse.scm 18 */
						BgL_testz00_2321 = ((bool_t) 0);
					}
				else
					{	/* SawMill/collapse.scm 18 */
						BgL_testz00_2321 =
							NULLP(CDR(
								(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->BgL_predsz00)));
					}
				if (BgL_testz00_2321)
					{	/* SawMill/collapse.scm 19 */
						obj_t BgL_pz00_1768;

						BgL_pz00_1768 =
							CAR((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->BgL_predsz00));
						{	/* SawMill/collapse.scm 19 */
							obj_t BgL_psz00_1769;

							BgL_psz00_1769 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_pz00_1768)))->BgL_succsz00);
							{	/* SawMill/collapse.scm 19 */

								if (NULLP(CDR(((obj_t) BgL_psz00_1769))))
									{	/* SawMill/collapse.scm 21 */
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_arg1478z00_1772;
											obj_t BgL_arg1481z00_1773;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2336;

												{
													obj_t BgL_auxz00_2337;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_tmpz00_2338;

														BgL_tmpz00_2338 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1768));
														BgL_auxz00_2337 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2338);
													}
													BgL_auxz00_2336 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2337);
												}
												BgL_arg1478z00_1772 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2336))->
													BgL_lastz00);
											}
											BgL_arg1481z00_1773 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->
												BgL_firstz00);
											{	/* SawMill/collapse.scm 24 */
												obj_t BgL_tmpz00_2345;

												BgL_tmpz00_2345 = ((obj_t) BgL_arg1478z00_1772);
												SET_CDR(BgL_tmpz00_2345, BgL_arg1481z00_1773);
											}
										}
										{	/* SawMill/collapse.scm 25 */
											obj_t BgL_arg1483z00_1774;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2348;

												{
													obj_t BgL_auxz00_2349;

													{	/* SawMill/collapse.scm 25 */
														BgL_objectz00_bglt BgL_tmpz00_2350;

														BgL_tmpz00_2350 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_1753));
														BgL_auxz00_2349 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2350);
													}
													BgL_auxz00_2348 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2349);
												}
												BgL_arg1483z00_1774 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2348))->
													BgL_lastz00);
											}
											{
												BgL_collapsedz00_bglt BgL_auxz00_2356;

												{
													obj_t BgL_auxz00_2357;

													{	/* SawMill/collapse.scm 25 */
														BgL_objectz00_bglt BgL_tmpz00_2358;

														BgL_tmpz00_2358 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1768));
														BgL_auxz00_2357 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2358);
													}
													BgL_auxz00_2356 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2357);
												}
												((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2356))->
														BgL_lastz00) =
													((obj_t) BgL_arg1483z00_1774), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 26 */
											obj_t BgL_arg1485z00_1775;

											BgL_arg1485z00_1775 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->
												BgL_succsz00);
											((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																BgL_pz00_1768)))->BgL_succsz00) =
												((obj_t) BgL_arg1485z00_1775), BUNSPEC);
										}
										{	/* SawMill/collapse.scm 27 */
											obj_t BgL_g1381z00_1776;

											BgL_g1381z00_1776 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->
												BgL_succsz00);
											{
												obj_t BgL_l1379z00_1778;

												BgL_l1379z00_1778 = BgL_g1381z00_1776;
											BgL_zc3anonymousza31486ze3z83_1779:
												if (PAIRP(BgL_l1379z00_1778))
													{	/* SawMill/collapse.scm 27 */
														{	/* SawMill/collapse.scm 28 */
															obj_t BgL_sz00_1781;

															BgL_sz00_1781 = CAR(BgL_l1379z00_1778);
															{
																obj_t BgL_auxz00_2371;

																{	/* SawMill/collapse.scm 29 */
																	obj_t BgL_arg1490z00_1783;

																	BgL_arg1490z00_1783 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1781)))->
																		BgL_predsz00);
																	BgL_auxz00_2371 =
																		BGl_substz00zzsaw_libz00
																		(BgL_arg1490z00_1783,
																		((obj_t) BgL_bz00_1753), BgL_pz00_1768);
																}
																((((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1781)))->
																		BgL_predsz00) =
																	((obj_t) BgL_auxz00_2371), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1379z00_2378;

															BgL_l1379z00_2378 = CDR(BgL_l1379z00_1778);
															BgL_l1379z00_1778 = BgL_l1379z00_2378;
															goto BgL_zc3anonymousza31486ze3z83_1779;
														}
													}
												else
													{	/* SawMill/collapse.scm 27 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 21 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 18 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 31 */
				obj_t BgL_g1384z00_1792;

				BgL_g1384z00_1792 =
					(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1753))->BgL_succsz00);
				{
					obj_t BgL_l1382z00_1794;

					BgL_l1382z00_1794 = BgL_g1384z00_1792;
				BgL_zc3anonymousza31511ze3z83_1795:
					if (PAIRP(BgL_l1382z00_1794))
						{	/* SawMill/collapse.scm 31 */
							{	/* SawMill/collapse.scm 32 */
								BgL_blockz00_bglt BgL_succz00_1797;

								BgL_succz00_1797 = ((BgL_blockz00_bglt) CAR(BgL_l1382z00_1794));
								{	/* SawMill/collapse.scm 32 */
									bool_t BgL_testz00_2385;

									{	/* SawMill/collapse.scm 32 */
										bool_t BgL_res1789z00_2167;

										BgL_res1789z00_2167 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_succz00_1797),
											BGl_collapsedz00zzsaw_collapsez00);
										BgL_testz00_2385 = BgL_res1789z00_2167;
									}
									if (BgL_testz00_2385)
										{	/* SawMill/collapse.scm 32 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 32 */
											BGl_dfsze70ze7zzsaw_collapsez00(BgL_succz00_1797);
										}
								}
							}
							{
								obj_t BgL_l1382z00_2389;

								BgL_l1382z00_2389 = CDR(BgL_l1382z00_1794);
								BgL_l1382z00_1794 = BgL_l1382z00_2389;
								goto BgL_zc3anonymousza31511ze3z83_1795;
							}
						}
					else
						{	/* SawMill/collapse.scm 31 */
							return ((bool_t) 1);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &collapse */
	obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t BgL_envz00_2196,
		obj_t BgL_bz00_2197)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 14 */
			return
				BGl_collapsez00zzsaw_collapsez00(((BgL_blockz00_bglt) BgL_bz00_2197));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 8 */
				obj_t BgL_arg1532z00_1806;
				obj_t BgL_arg1537z00_1807;

				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v1385z00_1833;

					BgL_v1385z00_1833 = create_vector(((long) 1));
					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg1566z00_1834;

						BgL_arg1566z00_1834 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1797z00zzsaw_collapsez00,
							BGl_proc1796z00zzsaw_collapsez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1385z00_1833, ((long) 0), BgL_arg1566z00_1834);
					}
					BgL_arg1532z00_1806 = BgL_v1385z00_1833;
				}
				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v1386z00_1844;

					BgL_v1386z00_1844 = create_vector(((long) 0));
					BgL_arg1537z00_1807 = BgL_v1386z00_1844;
				}
				return (BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00,
						((long) 33907), BGl_proc1801z00zzsaw_collapsez00,
						BGl_proc1800z00zzsaw_collapsez00, BFALSE,
						BGl_proc1799z00zzsaw_collapsez00, BGl_proc1798z00zzsaw_collapsez00,
						BgL_arg1532z00_1806, BgL_arg1537z00_1807), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda1549 */
	BgL_blockz00_bglt BGl_z62lambda1549z62zzsaw_collapsez00(obj_t BgL_envz00_2204,
		obj_t BgL_o1154z00_2205)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				long BgL_arg1555z00_2235;

				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_arg1558z00_2236;

					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg1561z00_2237;

						{	/* SawMill/collapse.scm 8 */
							long BgL_arg1728z00_2238;

							{	/* SawMill/collapse.scm 8 */
								long BgL_arg1729z00_2239;

								{	/* SawMill/collapse.scm 8 */
									long BgL_res1793z00_2240;

									BgL_res1793z00_2240 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_o1154z00_2205)));
									BgL_arg1729z00_2239 = BgL_res1793z00_2240;
								}
								BgL_arg1728z00_2238 = (BgL_arg1729z00_2239 - OBJECT_TYPE);
							}
							BgL_arg1561z00_2237 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1728z00_2238);
						}
						BgL_arg1558z00_2236 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1561z00_2237);
					}
					{	/* SawMill/collapse.scm 8 */
						long BgL_res1795z00_2241;

						{	/* SawMill/collapse.scm 8 */
							obj_t BgL_tmpz00_2408;

							BgL_tmpz00_2408 = ((obj_t) BgL_arg1558z00_2236);
							BgL_res1795z00_2241 = BGL_CLASS_INDEX(BgL_tmpz00_2408);
						}
						BgL_arg1555z00_2235 = BgL_res1795z00_2241;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1154z00_2205)), BgL_arg1555z00_2235);
			}
			{	/* SawMill/collapse.scm 8 */
				BgL_objectz00_bglt BgL_tmpz00_2414;

				BgL_tmpz00_2414 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_2205));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2414, BFALSE);
			}
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_2205));
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1548> */
	obj_t BGl_z62zc3anonymousza31548ze3ze1zzsaw_collapsez00(obj_t BgL_envz00_2206,
		obj_t BgL_new1153z00_2207)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_new1153z00_1825;

				{
					BgL_blockz00_bglt BgL_auxz00_2420;

					BgL_new1153z00_1825 = ((BgL_blockz00_bglt) BgL_new1153z00_2207);
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1153z00_1825)))->BgL_labelz00) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1153z00_1825)))->BgL_predsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1153z00_1825)))->BgL_succsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1153z00_1825)))->BgL_firstz00) =
						((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
					{
						BgL_collapsedz00_bglt BgL_auxz00_2431;

						{
							obj_t BgL_auxz00_2432;

							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_tmpz00_2433;

								BgL_tmpz00_2433 = ((BgL_objectz00_bglt) BgL_new1153z00_1825);
								BgL_auxz00_2432 = BGL_OBJECT_WIDENING(BgL_tmpz00_2433);
							}
							BgL_auxz00_2431 = ((BgL_collapsedz00_bglt) BgL_auxz00_2432);
						}
						((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2431))->BgL_lastz00) =
							((obj_t) BUNSPEC), BUNSPEC);
					}
					BgL_auxz00_2420 = BgL_new1153z00_1825;
					return ((obj_t) BgL_auxz00_2420);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1543 */
	BgL_blockz00_bglt BGl_z62lambda1543z62zzsaw_collapsez00(obj_t BgL_envz00_2208,
		obj_t BgL_o1150z00_2209)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				BgL_collapsedz00_bglt BgL_wide1152z00_2244;

				BgL_wide1152z00_2244 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_auxz00_2445;
					BgL_objectz00_bglt BgL_tmpz00_2441;

					BgL_auxz00_2445 = ((obj_t) BgL_wide1152z00_2244);
					BgL_tmpz00_2441 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1150z00_2209)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2441, BgL_auxz00_2445);
				}
				{	/* SawMill/collapse.scm 8 */
					long BgL_arg1547z00_2245;

					{	/* SawMill/collapse.scm 8 */
						long BgL_res1792z00_2246;

						BgL_res1792z00_2246 =
							BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
						BgL_arg1547z00_2245 = BgL_res1792z00_2246;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1150z00_2209))), BgL_arg1547z00_2245);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1150z00_2209)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1538 */
	BgL_blockz00_bglt BGl_z62lambda1538z62zzsaw_collapsez00(obj_t BgL_envz00_2210,
		obj_t BgL_label1145z00_2211, obj_t BgL_preds1146z00_2212,
		obj_t BgL_succs1147z00_2213, obj_t BgL_first1148z00_2214,
		obj_t BgL_last1149z00_2215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				int BgL_label1145z00_2247;

				BgL_label1145z00_2247 = CINT(BgL_label1145z00_2211);
				{	/* SawMill/collapse.scm 8 */
					BgL_blockz00_bglt BgL_new1179z00_2251;

					{	/* SawMill/collapse.scm 8 */
						BgL_blockz00_bglt BgL_tmp1177z00_2252;
						BgL_collapsedz00_bglt BgL_wide1178z00_2253;

						{
							BgL_blockz00_bglt BgL_auxz00_2457;

							{	/* SawMill/collapse.scm 8 */
								BgL_blockz00_bglt BgL_new1176z00_2254;

								BgL_new1176z00_2254 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/collapse.scm 8 */
									long BgL_arg1542z00_2255;

									{	/* SawMill/collapse.scm 8 */
										long BgL_res1790z00_2256;

										BgL_res1790z00_2256 =
											BGL_CLASS_INDEX(BGl_blockz00zzsaw_defsz00);
										BgL_arg1542z00_2255 = BgL_res1790z00_2256;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1176z00_2254),
										BgL_arg1542z00_2255);
								}
								{	/* SawMill/collapse.scm 8 */
									BgL_objectz00_bglt BgL_tmpz00_2462;

									BgL_tmpz00_2462 = ((BgL_objectz00_bglt) BgL_new1176z00_2254);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2462, BFALSE);
								}
								BgL_auxz00_2457 = BgL_new1176z00_2254;
							}
							BgL_tmp1177z00_2252 = ((BgL_blockz00_bglt) BgL_auxz00_2457);
						}
						BgL_wide1178z00_2253 =
							((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_collapsedz00_bgl))));
						{	/* SawMill/collapse.scm 8 */
							obj_t BgL_auxz00_2469;
							BgL_objectz00_bglt BgL_tmpz00_2467;

							BgL_auxz00_2469 = ((obj_t) BgL_wide1178z00_2253);
							BgL_tmpz00_2467 = ((BgL_objectz00_bglt) BgL_tmp1177z00_2252);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2467, BgL_auxz00_2469);
						}
						{	/* SawMill/collapse.scm 8 */
							long BgL_arg1539z00_2257;

							{	/* SawMill/collapse.scm 8 */
								long BgL_res1791z00_2258;

								BgL_res1791z00_2258 =
									BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
								BgL_arg1539z00_2257 = BgL_res1791z00_2258;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1177z00_2252),
								BgL_arg1539z00_2257);
						}
						BgL_new1179z00_2251 = ((BgL_blockz00_bglt) BgL_tmp1177z00_2252);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1179z00_2251)))->BgL_labelz00) =
						((int) BgL_label1145z00_2247), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1179z00_2251)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1146z00_2212)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1179z00_2251)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1147z00_2213)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1179z00_2251)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1148z00_2214)), BUNSPEC);
					{
						BgL_collapsedz00_bglt BgL_auxz00_2487;

						{
							obj_t BgL_auxz00_2488;

							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_tmpz00_2489;

								BgL_tmpz00_2489 = ((BgL_objectz00_bglt) BgL_new1179z00_2251);
								BgL_auxz00_2488 = BGL_OBJECT_WIDENING(BgL_tmpz00_2489);
							}
							BgL_auxz00_2487 = ((BgL_collapsedz00_bglt) BgL_auxz00_2488);
						}
						((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2487))->BgL_lastz00) =
							((obj_t) BgL_last1149z00_2215), BUNSPEC);
					}
					return BgL_new1179z00_2251;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1578 */
	obj_t BGl_z62lambda1578z62zzsaw_collapsez00(obj_t BgL_envz00_2216,
		obj_t BgL_oz00_2217, obj_t BgL_vz00_2218)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2494;

				{
					obj_t BgL_auxz00_2495;

					{	/* SawMill/collapse.scm 8 */
						BgL_objectz00_bglt BgL_tmpz00_2496;

						BgL_tmpz00_2496 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2217));
						BgL_auxz00_2495 = BGL_OBJECT_WIDENING(BgL_tmpz00_2496);
					}
					BgL_auxz00_2494 = ((BgL_collapsedz00_bglt) BgL_auxz00_2495);
				}
				return
					((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2494))->BgL_lastz00) =
					((obj_t) BgL_vz00_2218), BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1577 */
	obj_t BGl_z62lambda1577z62zzsaw_collapsez00(obj_t BgL_envz00_2219,
		obj_t BgL_oz00_2220)
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2502;

				{
					obj_t BgL_auxz00_2503;

					{	/* SawMill/collapse.scm 8 */
						BgL_objectz00_bglt BgL_tmpz00_2504;

						BgL_tmpz00_2504 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2220));
						BgL_auxz00_2503 = BGL_OBJECT_WIDENING(BgL_tmpz00_2504);
					}
					BgL_auxz00_2502 = ((BgL_collapsedz00_bglt) BgL_auxz00_2503);
				}
				return
					(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2502))->BgL_lastz00);
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1802z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1802z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1802z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1802z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string1802z00zzsaw_collapsez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
