/*===========================================================================*/
/*   (Ieee/vector.scm)                                                       */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Ieee/vector.scm -indent -o objs/obj_u/Ieee/vector.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t,
		long, obj_t, obj_t, obj_t);
	extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t,
		long);
	static obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t,
		obj_t, long, long);
	extern obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t,
		long);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
	extern obj_t sort_vector(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00();
	BGL_EXPORTED_DECL bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t,
		long);
	static obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long,
		obj_t);
	static obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31265ze3ze1zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	extern obj_t bgl_fill_vector(obj_t, long, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, long, obj_t);
	static obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t,
		long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62zc3anonymousza31277ze3ze1zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	static obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2mapzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2mapza71775za7, va_generic_entry,
		BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2shrinkz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2shri1776z00,
		BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_copyzd2vectorzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762copyza7d2vector1777z00,
		BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sortzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl_za762sortza762za7za7__r41778z00,
		BGl_z62sortz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2fillz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2fillza711779z00, opt_generic_entry,
		BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2appendzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2appe1780z00, va_generic_entry,
		BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2ze3listzd2envze3zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2za7e3l1781za7,
		BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2tagzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2tagza71782za7,
		BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza762za7za7__1783z00, va_generic_entry,
		BGl_z62vectorz62zz__r4_vectors_6_8z00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2refzd2urzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2refza71784za7,
		BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2mapz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2mapza71785za7, va_generic_entry,
		BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2copyzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2copy1786z00, va_generic_entry,
		BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1739z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1739za700za7za7_1787za7,
		"/tmp/bigloo/runtime/Ieee/vector.scm", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00,
		BgL_bgl_za762listza7d2za7e3vec1788za7,
		BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2refzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2refza71789za7,
		BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2leng1790z00,
		BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1740z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1740za700za7za7_1791za7, "_make-vector", 12);
	      DEFINE_STRING(BGl_string1741z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1741za700za7za7_1792za7, "bint", 4);
	      DEFINE_STRING(BGl_string1742z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1742za700za7za7_1793za7, "&vector-length", 14);
	      DEFINE_STRING(BGl_string1743z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1743za700za7za7_1794za7, "vector", 6);
	      DEFINE_STRING(BGl_string1744z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1744za700za7za7_1795za7, "&vector-ref", 11);
	      DEFINE_STRING(BGl_string1745z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1745za700za7za7_1796za7, "&vector-set!", 12);
	      DEFINE_STRING(BGl_string1746z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1746za700za7za7_1797za7, "&vector-ref-ur", 14);
	      DEFINE_STRING(BGl_string1747z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1747za700za7za7_1798za7, "&vector-set-ur!", 15);
	      DEFINE_STRING(BGl_string1748z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1748za700za7za7_1799za7, "&vector->list", 13);
	      DEFINE_STRING(BGl_string1749z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1749za700za7za7_1800za7, "&list->vector", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2tagzd2setz12zd2envzc0zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2tagza71801za7,
		BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1750z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1750za700za7za7_1802za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string1751z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1751za700za7za7_1803za7, "_vector-fill!", 13);
	      DEFINE_STRING(BGl_string1752z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1752za700za7za7_1804za7, "vector-fill!", 12);
	      DEFINE_STRING(BGl_string1753z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1753za700za7za7_1805za7, "wrong negative start", 20);
	      DEFINE_STRING(BGl_string1754z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1754za700za7za7_1806za7, "end index too large", 19);
	      DEFINE_STRING(BGl_string1755z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1755za700za7za7_1807za7, "start index larger than end", 27);
	      DEFINE_STRING(BGl_string1756z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1756za700za7za7_1808za7, "&vector-tag", 11);
	      DEFINE_STRING(BGl_string1757z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1757za700za7za7_1809za7, "&vector-tag-set!", 16);
	      DEFINE_STRING(BGl_string1758z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1758za700za7za7_1810za7, "&copy-vector", 12);
	      DEFINE_STRING(BGl_string1759z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1759za700za7za7_1811za7, "vector-copy", 11);
	      DEFINE_STRING(BGl_string1760z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1760za700za7za7_1812za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1761z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1761za700za7za7_1813za7, "Illegal indexes", 15);
	      DEFINE_STRING(BGl_string1762z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1762za700za7za7_1814za7, "&vector-copy", 12);
	      DEFINE_STRING(BGl_string1763z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1763za700za7za7_1815za7, "_vector-copy!", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzf3zd2envz21zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7f3za791za71816z00,
		BGl_z62vectorzf3z91zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1764z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1764za700za7za7_1817za7, "&vector-append", 14);
	      DEFINE_STRING(BGl_string1765z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1765za700za7za7_1818za7, "sort", 4);
	      DEFINE_STRING(BGl_string1766z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1766za700za7za7_1819za7, "Object must be a list or a vector",
		33);
	      DEFINE_STRING(BGl_string1767z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1767za700za7za7_1820za7, "vector-map", 10);
	      DEFINE_STRING(BGl_string1768z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1768za700za7za7_1821za7, "Illegal arguments", 17);
	      DEFINE_STRING(BGl_string1769z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1769za700za7za7_1822za7, "&vector-map", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2setzd2urz12zd2envzc0zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2setza71823za7,
		BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1770z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1770za700za7za7_1824za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1771z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1771za700za7za7_1825za7, "vector-map!", 11);
	      DEFINE_STRING(BGl_string1772z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1772za700za7za7_1826za7, "&vector-map!", 12);
	      DEFINE_STRING(BGl_string1773z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1773za700za7za7_1827za7, "&vector-shrink!", 15);
	      DEFINE_STRING(BGl_string1774z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1774za700za7za7_1828za7, "__r4_vectors_6_8", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2copyz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2copyza711829z00, opt_generic_entry,
		BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vectorzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__makeza7d2vectorza7d1830z00, opt_generic_entry,
		BGl__makezd2vectorzd2zz__r4_vectors_6_8z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2setz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl_za762vectorza7d2setza71831za7,
		BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long
		BgL_checksumz00_1993, char *BgL_fromz00_1994)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00();
					return BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 18 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* vector? */
	BGL_EXPORTED_DEF bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t
		BgL_objz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 131 */
			return VECTORP(BgL_objz00_3);
		}
		BGL_FUNCTION_END;
	}



/* &vector? */
	obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t BgL_envz00_1840,
		obj_t BgL_objz00_1841)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 131 */
			return BBOOL(BGl_vectorzf3zf3zz__r4_vectors_6_8z00(BgL_objz00_1841));
		}
		BGL_FUNCTION_END;
	}



/* _make-vector */
	obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_7,
		obj_t BgL_optz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 137 */
			{	/* Ieee/vector.scm 137 */
				obj_t BgL_g1044z00_1987;

				BgL_g1044z00_1987 = VECTOR_REF(BgL_optz00_6, ((long) 0));
				switch (VECTOR_LENGTH(BgL_optz00_6))
					{
					case ((long) 1):

						{	/* Ieee/vector.scm 137 */

							{	/* Ieee/vector.scm 137 */
								obj_t BgL_res1533z00_1988;

								{	/* Ieee/vector.scm 137 */
									long BgL_intz00_1989;

									{	/* Ieee/vector.scm 137 */
										obj_t BgL_tmpz00_2005;

										if (INTEGERP(BgL_g1044z00_1987))
											{	/* Ieee/vector.scm 137 */
												BgL_tmpz00_2005 = BgL_g1044z00_1987;
											}
										else
											{
												obj_t BgL_auxz00_2008;

												BgL_auxz00_2008 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 6276)),
													BGl_string1740z00zz__r4_vectors_6_8z00,
													BGl_string1741z00zz__r4_vectors_6_8z00,
													BgL_g1044z00_1987);
												FAILURE(BgL_auxz00_2008, BFALSE, BFALSE);
											}
										BgL_intz00_1989 = (long) CINT(BgL_tmpz00_2005);
									}
									BgL_res1533z00_1988 = make_vector(BgL_intz00_1989, BUNSPEC);
								}
								return BgL_res1533z00_1988;
							}
						}
						break;
					case ((long) 2):

						{	/* Ieee/vector.scm 137 */
							obj_t BgL_fillz00_1990;

							BgL_fillz00_1990 = VECTOR_REF(BgL_optz00_6, ((long) 1));
							{	/* Ieee/vector.scm 137 */

								{	/* Ieee/vector.scm 137 */
									obj_t BgL_res1534z00_1991;

									{	/* Ieee/vector.scm 137 */
										long BgL_intz00_1992;

										{	/* Ieee/vector.scm 137 */
											obj_t BgL_tmpz00_2015;

											if (INTEGERP(BgL_g1044z00_1987))
												{	/* Ieee/vector.scm 137 */
													BgL_tmpz00_2015 = BgL_g1044z00_1987;
												}
											else
												{
													obj_t BgL_auxz00_2018;

													BgL_auxz00_2018 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 6276)),
														BGl_string1740z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_g1044z00_1987);
													FAILURE(BgL_auxz00_2018, BFALSE, BFALSE);
												}
											BgL_intz00_1992 = (long) CINT(BgL_tmpz00_2015);
										}
										BgL_res1534z00_1991 =
											make_vector(BgL_intz00_1992, BgL_fillz00_1990);
									}
									return BgL_res1534z00_1991;
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* make-vector */
	BGL_EXPORTED_DEF obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long
		BgL_intz00_4, obj_t BgL_fillz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 137 */
			return make_vector(BgL_intz00_4, BgL_fillz00_5);
		}
		BGL_FUNCTION_END;
	}



/* vector */
	BGL_EXPORTED_DEF obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t BgL_argsz00_8)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 143 */
			return BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_8);
		}
		BGL_FUNCTION_END;
	}



/* &vector */
	obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1842,
		obj_t BgL_argsz00_1843)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 143 */
			return BGl_vectorz00zz__r4_vectors_6_8z00(BgL_argsz00_1843);
		}
		BGL_FUNCTION_END;
	}



/* vector-length */
	BGL_EXPORTED_DEF long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 149 */
			return VECTOR_LENGTH(BgL_vectorz00_9);
		}
		BGL_FUNCTION_END;
	}



/* &vector-length */
	obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1844,
		obj_t BgL_vectorz00_1845)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 149 */
			{	/* Ieee/vector.scm 150 */
				long BgL_tmpz00_2030;

				{	/* Ieee/vector.scm 150 */
					obj_t BgL_auxz00_2031;

					if (VECTORP(BgL_vectorz00_1845))
						{	/* Ieee/vector.scm 150 */
							BgL_auxz00_2031 = BgL_vectorz00_1845;
						}
					else
						{
							obj_t BgL_auxz00_2034;

							BgL_auxz00_2034 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 6910)),
								BGl_string1742z00zz__r4_vectors_6_8z00,
								BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1845);
							FAILURE(BgL_auxz00_2034, BFALSE, BFALSE);
						}
					BgL_tmpz00_2030 =
						BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(BgL_auxz00_2031);
				}
				return BINT(BgL_tmpz00_2030);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-ref */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_10, long BgL_kz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 155 */
			return VECTOR_REF(BgL_vectorz00_10, BgL_kz00_11);
		}
		BGL_FUNCTION_END;
	}



/* &vector-ref */
	obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1846,
		obj_t BgL_vectorz00_1847, obj_t BgL_kz00_1848)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 155 */
			{	/* Ieee/vector.scm 156 */
				long BgL_auxz00_2048;
				obj_t BgL_auxz00_2041;

				{	/* Ieee/vector.scm 156 */
					obj_t BgL_tmpz00_2049;

					if (INTEGERP(BgL_kz00_1848))
						{	/* Ieee/vector.scm 156 */
							BgL_tmpz00_2049 = BgL_kz00_1848;
						}
					else
						{
							obj_t BgL_auxz00_2052;

							BgL_auxz00_2052 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7198)),
								BGl_string1744z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_kz00_1848);
							FAILURE(BgL_auxz00_2052, BFALSE, BFALSE);
						}
					BgL_auxz00_2048 = (long) CINT(BgL_tmpz00_2049);
				}
				if (VECTORP(BgL_vectorz00_1847))
					{	/* Ieee/vector.scm 156 */
						BgL_auxz00_2041 = BgL_vectorz00_1847;
					}
				else
					{
						obj_t BgL_auxz00_2044;

						BgL_auxz00_2044 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7198)),
							BGl_string1744z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1847);
						FAILURE(BgL_auxz00_2044, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(BgL_auxz00_2041,
					BgL_auxz00_2048);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_12, long BgL_kz00_13, obj_t BgL_objz00_14)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 161 */
			return VECTOR_SET(BgL_vectorz00_12, BgL_kz00_13, BgL_objz00_14);
		}
		BGL_FUNCTION_END;
	}



/* &vector-set! */
	obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1849,
		obj_t BgL_vectorz00_1850, obj_t BgL_kz00_1851, obj_t BgL_objz00_1852)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 161 */
			{	/* Ieee/vector.scm 162 */
				long BgL_auxz00_2066;
				obj_t BgL_auxz00_2059;

				{	/* Ieee/vector.scm 162 */
					obj_t BgL_tmpz00_2067;

					if (INTEGERP(BgL_kz00_1851))
						{	/* Ieee/vector.scm 162 */
							BgL_tmpz00_2067 = BgL_kz00_1851;
						}
					else
						{
							obj_t BgL_auxz00_2070;

							BgL_auxz00_2070 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7490)),
								BGl_string1745z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_kz00_1851);
							FAILURE(BgL_auxz00_2070, BFALSE, BFALSE);
						}
					BgL_auxz00_2066 = (long) CINT(BgL_tmpz00_2067);
				}
				if (VECTORP(BgL_vectorz00_1850))
					{	/* Ieee/vector.scm 162 */
						BgL_auxz00_2059 = BgL_vectorz00_1850;
					}
				else
					{
						obj_t BgL_auxz00_2062;

						BgL_auxz00_2062 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7490)),
							BGl_string1745z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1850);
						FAILURE(BgL_auxz00_2062, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2059,
					BgL_auxz00_2066, BgL_objz00_1852);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-ref-ur */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_15, long BgL_kz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 167 */
			return VECTOR_REF(BgL_vectorz00_15, BgL_kz00_16);
		}
		BGL_FUNCTION_END;
	}



/* &vector-ref-ur */
	obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1853,
		obj_t BgL_vectorz00_1854, obj_t BgL_kz00_1855)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 167 */
			{	/* Ieee/vector.scm 168 */
				long BgL_auxz00_2084;
				obj_t BgL_auxz00_2077;

				{	/* Ieee/vector.scm 168 */
					obj_t BgL_tmpz00_2085;

					if (INTEGERP(BgL_kz00_1855))
						{	/* Ieee/vector.scm 168 */
							BgL_tmpz00_2085 = BgL_kz00_1855;
						}
					else
						{
							obj_t BgL_auxz00_2088;

							BgL_auxz00_2088 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7785)),
								BGl_string1746z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_kz00_1855);
							FAILURE(BgL_auxz00_2088, BFALSE, BFALSE);
						}
					BgL_auxz00_2084 = (long) CINT(BgL_tmpz00_2085);
				}
				if (VECTORP(BgL_vectorz00_1854))
					{	/* Ieee/vector.scm 168 */
						BgL_auxz00_2077 = BgL_vectorz00_1854;
					}
				else
					{
						obj_t BgL_auxz00_2080;

						BgL_auxz00_2080 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 7785)),
							BGl_string1746z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1854);
						FAILURE(BgL_auxz00_2080, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(BgL_auxz00_2077,
					BgL_auxz00_2084);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-set-ur! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_17, long BgL_kz00_18, obj_t BgL_objz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 173 */
			return VECTOR_SET(BgL_vectorz00_17, BgL_kz00_18, BgL_objz00_19);
		}
		BGL_FUNCTION_END;
	}



/* &vector-set-ur! */
	obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t
		BgL_envz00_1856, obj_t BgL_vectorz00_1857, obj_t BgL_kz00_1858,
		obj_t BgL_objz00_1859)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 173 */
			{	/* Ieee/vector.scm 174 */
				long BgL_auxz00_2102;
				obj_t BgL_auxz00_2095;

				{	/* Ieee/vector.scm 174 */
					obj_t BgL_tmpz00_2103;

					if (INTEGERP(BgL_kz00_1858))
						{	/* Ieee/vector.scm 174 */
							BgL_tmpz00_2103 = BgL_kz00_1858;
						}
					else
						{
							obj_t BgL_auxz00_2106;

							BgL_auxz00_2106 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 8083)),
								BGl_string1747z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_kz00_1858);
							FAILURE(BgL_auxz00_2106, BFALSE, BFALSE);
						}
					BgL_auxz00_2102 = (long) CINT(BgL_tmpz00_2103);
				}
				if (VECTORP(BgL_vectorz00_1857))
					{	/* Ieee/vector.scm 174 */
						BgL_auxz00_2095 = BgL_vectorz00_1857;
					}
				else
					{
						obj_t BgL_auxz00_2098;

						BgL_auxz00_2098 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 8083)),
							BGl_string1747z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1857);
						FAILURE(BgL_auxz00_2098, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(BgL_auxz00_2095,
					BgL_auxz00_2102, BgL_objz00_1859);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector->list */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 179 */
			if ((VECTOR_LENGTH(BgL_vectorz00_20) == ((long) 0)))
				{	/* Ieee/vector.scm 181 */
					return BNIL;
				}
			else
				{	/* Ieee/vector.scm 183 */
					long BgL_g1014z00_724;

					BgL_g1014z00_724 = (VECTOR_LENGTH(BgL_vectorz00_20) - ((long) 1));
					{
						long BgL_iz00_1264;
						obj_t BgL_accz00_1265;

						BgL_iz00_1264 = BgL_g1014z00_724;
						BgL_accz00_1265 = BNIL;
					BgL_loopz00_1263:
						if ((BgL_iz00_1264 == ((long) 0)))
							{	/* Ieee/vector.scm 185 */
								return
									MAKE_YOUNG_PAIR(VECTOR_REF(BgL_vectorz00_20, BgL_iz00_1264),
									BgL_accz00_1265);
							}
						else
							{	/* Ieee/vector.scm 187 */
								long BgL_arg1081z00_1273;
								obj_t BgL_arg1082z00_1274;

								BgL_arg1081z00_1273 = (BgL_iz00_1264 - ((long) 1));
								BgL_arg1082z00_1274 =
									MAKE_YOUNG_PAIR(VECTOR_REF(BgL_vectorz00_20, BgL_iz00_1264),
									BgL_accz00_1265);
								{
									obj_t BgL_accz00_2125;
									long BgL_iz00_2124;

									BgL_iz00_2124 = BgL_arg1081z00_1273;
									BgL_accz00_2125 = BgL_arg1082z00_1274;
									BgL_accz00_1265 = BgL_accz00_2125;
									BgL_iz00_1264 = BgL_iz00_2124;
									goto BgL_loopz00_1263;
								}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &vector->list */
	obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1860,
		obj_t BgL_vectorz00_1861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 179 */
			{	/* Ieee/vector.scm 180 */
				obj_t BgL_auxz00_2126;

				if (VECTORP(BgL_vectorz00_1861))
					{	/* Ieee/vector.scm 180 */
						BgL_auxz00_2126 = BgL_vectorz00_1861;
					}
				else
					{
						obj_t BgL_auxz00_2129;

						BgL_auxz00_2129 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 8371)),
							BGl_string1748z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1861);
						FAILURE(BgL_auxz00_2129, BFALSE, BFALSE);
					}
				return BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_auxz00_2126);
			}
		}
		BGL_FUNCTION_END;
	}



/* list->vector */
	BGL_EXPORTED_DEF obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t
		BgL_listz00_21)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 192 */
			{	/* Ieee/vector.scm 193 */
				long BgL_lenz00_736;

				BgL_lenz00_736 = bgl_list_length(BgL_listz00_21);
				{	/* Ieee/vector.scm 193 */
					obj_t BgL_vecz00_737;

					BgL_vecz00_737 = create_vector(BgL_lenz00_736);
					{	/* Ieee/vector.scm 194 */

						{
							long BgL_iz00_1311;
							obj_t BgL_lz00_1312;

							BgL_iz00_1311 = ((long) 0);
							BgL_lz00_1312 = BgL_listz00_21;
						BgL_loopz00_1310:
							if ((BgL_iz00_1311 == BgL_lenz00_736))
								{	/* Ieee/vector.scm 197 */
									return BgL_vecz00_737;
								}
							else
								{	/* Ieee/vector.scm 197 */
									{	/* Ieee/vector.scm 200 */
										obj_t BgL_arg1086z00_1318;

										BgL_arg1086z00_1318 = CAR(((obj_t) BgL_lz00_1312));
										VECTOR_SET(BgL_vecz00_737, BgL_iz00_1311,
											BgL_arg1086z00_1318);
									}
									{	/* Ieee/vector.scm 201 */
										long BgL_arg1089z00_1319;
										obj_t BgL_arg1090z00_1320;

										BgL_arg1089z00_1319 = (BgL_iz00_1311 + ((long) 1));
										BgL_arg1090z00_1320 = CDR(((obj_t) BgL_lz00_1312));
										{
											obj_t BgL_lz00_2145;
											long BgL_iz00_2144;

											BgL_iz00_2144 = BgL_arg1089z00_1319;
											BgL_lz00_2145 = BgL_arg1090z00_1320;
											BgL_lz00_1312 = BgL_lz00_2145;
											BgL_iz00_1311 = BgL_iz00_2144;
											goto BgL_loopz00_1310;
										}
									}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &list->vector */
	obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1862,
		obj_t BgL_listz00_1863)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 192 */
			{	/* Ieee/vector.scm 193 */
				obj_t BgL_auxz00_2146;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_listz00_1863))
					{	/* Ieee/vector.scm 193 */
						BgL_auxz00_2146 = BgL_listz00_1863;
					}
				else
					{
						obj_t BgL_auxz00_2149;

						BgL_auxz00_2149 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 8861)),
							BGl_string1749z00zz__r4_vectors_6_8z00,
							BGl_string1750z00zz__r4_vectors_6_8z00, BgL_listz00_1863);
						FAILURE(BgL_auxz00_2149, BFALSE, BFALSE);
					}
				return BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_auxz00_2146);
			}
		}
		BGL_FUNCTION_END;
	}



/* _vector-fill! */
	obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_27,
		obj_t BgL_optz00_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 206 */
			{	/* Ieee/vector.scm 206 */
				obj_t BgL_vecz00_747;
				obj_t BgL_fillz00_748;

				BgL_vecz00_747 = VECTOR_REF(BgL_optz00_26, ((long) 0));
				BgL_fillz00_748 = VECTOR_REF(BgL_optz00_26, ((long) 1));
				switch (VECTOR_LENGTH(BgL_optz00_26))
					{
					case ((long) 2):

						{	/* Ieee/vector.scm 207 */
							long BgL_endz00_753;

							{	/* Ieee/vector.scm 207 */
								obj_t BgL_vectorz00_1330;

								if (VECTORP(BgL_vecz00_747))
									{	/* Ieee/vector.scm 207 */
										BgL_vectorz00_1330 = BgL_vecz00_747;
									}
								else
									{
										obj_t BgL_auxz00_2158;

										BgL_auxz00_2158 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string1739z00zz__r4_vectors_6_8z00,
											BINT(((long) 9372)),
											BGl_string1751z00zz__r4_vectors_6_8z00,
											BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vecz00_747);
										FAILURE(BgL_auxz00_2158, BFALSE, BFALSE);
									}
								BgL_endz00_753 = VECTOR_LENGTH(BgL_vectorz00_1330);
							}
							{	/* Ieee/vector.scm 206 */

								{	/* Ieee/vector.scm 206 */
									obj_t BgL_vecz00_1331;

									if (VECTORP(BgL_vecz00_747))
										{	/* Ieee/vector.scm 206 */
											BgL_vecz00_1331 = BgL_vecz00_747;
										}
									else
										{
											obj_t BgL_auxz00_2165;

											BgL_auxz00_2165 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1739z00zz__r4_vectors_6_8z00,
												BINT(((long) 9284)),
												BGl_string1751z00zz__r4_vectors_6_8z00,
												BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vecz00_747);
											FAILURE(BgL_auxz00_2165, BFALSE, BFALSE);
										}
									if ((((long) 0) < ((long) 0)))
										{	/* Ieee/vector.scm 209 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string1752z00zz__r4_vectors_6_8z00,
												BGl_string1753z00zz__r4_vectors_6_8z00,
												BINT(((long) 0)));
										}
									else
										{	/* Ieee/vector.scm 209 */
											if ((BgL_endz00_753 > VECTOR_LENGTH(BgL_vecz00_1331)))
												{	/* Ieee/vector.scm 211 */
													return
														BGl_errorz00zz__errorz00
														(BGl_string1752z00zz__r4_vectors_6_8z00,
														BGl_string1754z00zz__r4_vectors_6_8z00,
														BINT(BgL_endz00_753));
												}
											else
												{	/* Ieee/vector.scm 211 */
													if ((((long) 0) >= BgL_endz00_753))
														{	/* Ieee/vector.scm 214 */
															obj_t BgL_arg1096z00_1338;

															BgL_arg1096z00_1338 =
																MAKE_YOUNG_PAIR(BINT(((long) 0)),
																BINT(BgL_endz00_753));
															return
																BGl_errorz00zz__errorz00
																(BGl_string1752z00zz__r4_vectors_6_8z00,
																BGl_string1755z00zz__r4_vectors_6_8z00,
																BgL_arg1096z00_1338);
														}
													else
														{	/* Ieee/vector.scm 213 */
															return
																bgl_fill_vector(BgL_vecz00_1331, ((long) 0),
																BgL_endz00_753, BgL_fillz00_748);
						}}}}}} break;
					case ((long) 3):

						{	/* Ieee/vector.scm 206 */
							obj_t BgL_startz00_754;

							BgL_startz00_754 = VECTOR_REF(BgL_optz00_26, ((long) 2));
							{	/* Ieee/vector.scm 207 */
								long BgL_endz00_755;

								{	/* Ieee/vector.scm 207 */
									obj_t BgL_vectorz00_1348;

									if (VECTORP(BgL_vecz00_747))
										{	/* Ieee/vector.scm 207 */
											BgL_vectorz00_1348 = BgL_vecz00_747;
										}
									else
										{
											obj_t BgL_auxz00_2188;

											BgL_auxz00_2188 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1739z00zz__r4_vectors_6_8z00,
												BINT(((long) 9372)),
												BGl_string1751z00zz__r4_vectors_6_8z00,
												BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vecz00_747);
											FAILURE(BgL_auxz00_2188, BFALSE, BFALSE);
										}
									BgL_endz00_755 = VECTOR_LENGTH(BgL_vectorz00_1348);
								}
								{	/* Ieee/vector.scm 206 */

									{	/* Ieee/vector.scm 206 */
										obj_t BgL_vecz00_1349;
										long BgL_startz00_1350;

										if (VECTORP(BgL_vecz00_747))
											{	/* Ieee/vector.scm 206 */
												BgL_vecz00_1349 = BgL_vecz00_747;
											}
										else
											{
												obj_t BgL_auxz00_2195;

												BgL_auxz00_2195 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 9284)),
													BGl_string1751z00zz__r4_vectors_6_8z00,
													BGl_string1743z00zz__r4_vectors_6_8z00,
													BgL_vecz00_747);
												FAILURE(BgL_auxz00_2195, BFALSE, BFALSE);
											}
										{	/* Ieee/vector.scm 206 */
											obj_t BgL_tmpz00_2199;

											if (INTEGERP(BgL_startz00_754))
												{	/* Ieee/vector.scm 206 */
													BgL_tmpz00_2199 = BgL_startz00_754;
												}
											else
												{
													obj_t BgL_auxz00_2202;

													BgL_auxz00_2202 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 9284)),
														BGl_string1751z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_startz00_754);
													FAILURE(BgL_auxz00_2202, BFALSE, BFALSE);
												}
											BgL_startz00_1350 = (long) CINT(BgL_tmpz00_2199);
										}
										if ((BgL_startz00_1350 < ((long) 0)))
											{	/* Ieee/vector.scm 209 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1752z00zz__r4_vectors_6_8z00,
													BGl_string1753z00zz__r4_vectors_6_8z00,
													BINT(BgL_startz00_1350));
											}
										else
											{	/* Ieee/vector.scm 209 */
												if ((BgL_endz00_755 > VECTOR_LENGTH(BgL_vecz00_1349)))
													{	/* Ieee/vector.scm 211 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string1752z00zz__r4_vectors_6_8z00,
															BGl_string1754z00zz__r4_vectors_6_8z00,
															BINT(BgL_endz00_755));
													}
												else
													{	/* Ieee/vector.scm 211 */
														if ((BgL_startz00_1350 >= BgL_endz00_755))
															{	/* Ieee/vector.scm 214 */
																obj_t BgL_arg1096z00_1356;

																BgL_arg1096z00_1356 =
																	MAKE_YOUNG_PAIR(BINT(BgL_startz00_1350),
																	BINT(BgL_endz00_755));
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string1752z00zz__r4_vectors_6_8z00,
																	BGl_string1755z00zz__r4_vectors_6_8z00,
																	BgL_arg1096z00_1356);
															}
														else
															{	/* Ieee/vector.scm 213 */
																return
																	bgl_fill_vector(BgL_vecz00_1349,
																	BgL_startz00_1350, BgL_endz00_755,
																	BgL_fillz00_748);
															}
													}
											}
									}
								}
							}
						}
						break;
					case ((long) 4):

						{	/* Ieee/vector.scm 206 */
							obj_t BgL_startz00_756;

							BgL_startz00_756 = VECTOR_REF(BgL_optz00_26, ((long) 2));
							{	/* Ieee/vector.scm 206 */
								obj_t BgL_endz00_757;

								BgL_endz00_757 = VECTOR_REF(BgL_optz00_26, ((long) 3));
								{	/* Ieee/vector.scm 206 */

									{	/* Ieee/vector.scm 206 */
										obj_t BgL_vecz00_1366;
										long BgL_startz00_1367;
										long BgL_endz00_1368;

										if (VECTORP(BgL_vecz00_747))
											{	/* Ieee/vector.scm 206 */
												BgL_vecz00_1366 = BgL_vecz00_747;
											}
										else
											{
												obj_t BgL_auxz00_2227;

												BgL_auxz00_2227 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 9284)),
													BGl_string1751z00zz__r4_vectors_6_8z00,
													BGl_string1743z00zz__r4_vectors_6_8z00,
													BgL_vecz00_747);
												FAILURE(BgL_auxz00_2227, BFALSE, BFALSE);
											}
										{	/* Ieee/vector.scm 206 */
											obj_t BgL_tmpz00_2231;

											if (INTEGERP(BgL_startz00_756))
												{	/* Ieee/vector.scm 206 */
													BgL_tmpz00_2231 = BgL_startz00_756;
												}
											else
												{
													obj_t BgL_auxz00_2234;

													BgL_auxz00_2234 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 9284)),
														BGl_string1751z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_startz00_756);
													FAILURE(BgL_auxz00_2234, BFALSE, BFALSE);
												}
											BgL_startz00_1367 = (long) CINT(BgL_tmpz00_2231);
										}
										{	/* Ieee/vector.scm 206 */
											obj_t BgL_tmpz00_2239;

											if (INTEGERP(BgL_endz00_757))
												{	/* Ieee/vector.scm 206 */
													BgL_tmpz00_2239 = BgL_endz00_757;
												}
											else
												{
													obj_t BgL_auxz00_2242;

													BgL_auxz00_2242 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 9284)),
														BGl_string1751z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_endz00_757);
													FAILURE(BgL_auxz00_2242, BFALSE, BFALSE);
												}
											BgL_endz00_1368 = (long) CINT(BgL_tmpz00_2239);
										}
										if ((BgL_startz00_1367 < ((long) 0)))
											{	/* Ieee/vector.scm 209 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1752z00zz__r4_vectors_6_8z00,
													BGl_string1753z00zz__r4_vectors_6_8z00,
													BINT(BgL_startz00_1367));
											}
										else
											{	/* Ieee/vector.scm 209 */
												if ((BgL_endz00_1368 > VECTOR_LENGTH(BgL_vecz00_1366)))
													{	/* Ieee/vector.scm 211 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string1752z00zz__r4_vectors_6_8z00,
															BGl_string1754z00zz__r4_vectors_6_8z00,
															BINT(BgL_endz00_1368));
													}
												else
													{	/* Ieee/vector.scm 211 */
														if ((BgL_startz00_1367 >= BgL_endz00_1368))
															{	/* Ieee/vector.scm 214 */
																obj_t BgL_arg1096z00_1373;

																BgL_arg1096z00_1373 =
																	MAKE_YOUNG_PAIR(BINT(BgL_startz00_1367),
																	BINT(BgL_endz00_1368));
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string1752z00zz__r4_vectors_6_8z00,
																	BGl_string1755z00zz__r4_vectors_6_8z00,
																	BgL_arg1096z00_1373);
															}
														else
															{	/* Ieee/vector.scm 213 */
																return
																	bgl_fill_vector(BgL_vecz00_1366,
																	BgL_startz00_1367, BgL_endz00_1368,
																	BgL_fillz00_748);
															}
													}
											}
									}
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-fill! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_vecz00_22, obj_t BgL_fillz00_23, long BgL_startz00_24,
		long BgL_endz00_25)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 206 */
			if ((BgL_startz00_24 < ((long) 0)))
				{	/* Ieee/vector.scm 209 */
					return
						BGl_errorz00zz__errorz00(BGl_string1752z00zz__r4_vectors_6_8z00,
						BGl_string1753z00zz__r4_vectors_6_8z00, BINT(BgL_startz00_24));
				}
			else
				{	/* Ieee/vector.scm 209 */
					if ((BgL_endz00_25 > VECTOR_LENGTH(BgL_vecz00_22)))
						{	/* Ieee/vector.scm 211 */
							return
								BGl_errorz00zz__errorz00(BGl_string1752z00zz__r4_vectors_6_8z00,
								BGl_string1754z00zz__r4_vectors_6_8z00, BINT(BgL_endz00_25));
						}
					else
						{	/* Ieee/vector.scm 211 */
							if ((BgL_startz00_24 >= BgL_endz00_25))
								{	/* Ieee/vector.scm 214 */
									obj_t BgL_arg1096z00_1387;

									BgL_arg1096z00_1387 =
										MAKE_YOUNG_PAIR(BINT(BgL_startz00_24), BINT(BgL_endz00_25));
									return
										BGl_errorz00zz__errorz00
										(BGl_string1752z00zz__r4_vectors_6_8z00,
										BGl_string1755z00zz__r4_vectors_6_8z00,
										BgL_arg1096z00_1387);
								}
							else
								{	/* Ieee/vector.scm 213 */
									return
										bgl_fill_vector(BgL_vecz00_22, BgL_startz00_24,
										BgL_endz00_25, BgL_fillz00_23);
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* vector-tag */
	BGL_EXPORTED_DEF int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_28)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 221 */
			return VECTOR_TAG(BgL_vectorz00_28);
		}
		BGL_FUNCTION_END;
	}



/* &vector-tag */
	obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1864,
		obj_t BgL_vectorz00_1865)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 221 */
			{	/* Ieee/vector.scm 222 */
				int BgL_tmpz00_2282;

				{	/* Ieee/vector.scm 222 */
					obj_t BgL_auxz00_2283;

					if (VECTORP(BgL_vectorz00_1865))
						{	/* Ieee/vector.scm 222 */
							BgL_auxz00_2283 = BgL_vectorz00_1865;
						}
					else
						{
							obj_t BgL_auxz00_2286;

							BgL_auxz00_2286 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 9983)),
								BGl_string1756z00zz__r4_vectors_6_8z00,
								BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1865);
							FAILURE(BgL_auxz00_2286, BFALSE, BFALSE);
						}
					BgL_tmpz00_2282 =
						BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(BgL_auxz00_2283);
				}
				return BINT(BgL_tmpz00_2282);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-tag-set! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_29, int BgL_tagz00_30)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 227 */
			return VECTOR_TAG_SET(BgL_vectorz00_29, BgL_tagz00_30);
		}
		BGL_FUNCTION_END;
	}



/* &vector-tag-set! */
	obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t
		BgL_envz00_1866, obj_t BgL_vectorz00_1867, obj_t BgL_tagz00_1868)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 227 */
			{	/* Ieee/vector.scm 228 */
				int BgL_auxz00_2300;
				obj_t BgL_auxz00_2293;

				{	/* Ieee/vector.scm 228 */
					obj_t BgL_tmpz00_2301;

					if (INTEGERP(BgL_tagz00_1868))
						{	/* Ieee/vector.scm 228 */
							BgL_tmpz00_2301 = BgL_tagz00_1868;
						}
					else
						{
							obj_t BgL_auxz00_2304;

							BgL_auxz00_2304 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 10275)),
								BGl_string1757z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_tagz00_1868);
							FAILURE(BgL_auxz00_2304, BFALSE, BFALSE);
						}
					BgL_auxz00_2300 = CINT(BgL_tmpz00_2301);
				}
				if (VECTORP(BgL_vectorz00_1867))
					{	/* Ieee/vector.scm 228 */
						BgL_auxz00_2293 = BgL_vectorz00_1867;
					}
				else
					{
						obj_t BgL_auxz00_2296;

						BgL_auxz00_2296 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 10275)),
							BGl_string1757z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vectorz00_1867);
						FAILURE(BgL_auxz00_2296, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(BgL_auxz00_2293,
					BgL_auxz00_2300);
			}
		}
		BGL_FUNCTION_END;
	}



/* copy-vector */
	BGL_EXPORTED_DEF obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t
		BgL_oldzd2veczd2_31, long BgL_newzd2lenzd2_32)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 233 */
			{	/* Ieee/vector.scm 234 */
				obj_t BgL_newzd2veczd2_765;

				BgL_newzd2veczd2_765 = make_vector(BgL_newzd2lenzd2_32, BUNSPEC);
				{	/* Ieee/vector.scm 235 */
					long BgL_minz00_766;

					if ((BgL_newzd2lenzd2_32 < VECTOR_LENGTH(BgL_oldzd2veczd2_31)))
						{	/* Ieee/vector.scm 236 */
							BgL_minz00_766 = BgL_newzd2lenzd2_32;
						}
					else
						{	/* Ieee/vector.scm 236 */
							BgL_minz00_766 = VECTOR_LENGTH(BgL_oldzd2veczd2_31);
						}
					{	/* Ieee/vector.scm 236 */

						{
							long BgL_iz00_1412;

							BgL_iz00_1412 = ((long) 0);
						BgL_loopz00_1411:
							if ((BgL_iz00_1412 == BgL_minz00_766))
								{	/* Ieee/vector.scm 240 */
									return BgL_newzd2veczd2_765;
								}
							else
								{	/* Ieee/vector.scm 240 */
									VECTOR_SET(BgL_newzd2veczd2_765, BgL_iz00_1412,
										VECTOR_REF(BgL_oldzd2veczd2_31, BgL_iz00_1412));
									{
										long BgL_iz00_2319;

										BgL_iz00_2319 = (BgL_iz00_1412 + ((long) 1));
										BgL_iz00_1412 = BgL_iz00_2319;
										goto BgL_loopz00_1411;
									}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &copy-vector */
	obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1869,
		obj_t BgL_oldzd2veczd2_1870, obj_t BgL_newzd2lenzd2_1871)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 233 */
			{	/* Ieee/vector.scm 234 */
				long BgL_auxz00_2328;
				obj_t BgL_auxz00_2321;

				{	/* Ieee/vector.scm 234 */
					obj_t BgL_tmpz00_2329;

					if (INTEGERP(BgL_newzd2lenzd2_1871))
						{	/* Ieee/vector.scm 234 */
							BgL_tmpz00_2329 = BgL_newzd2lenzd2_1871;
						}
					else
						{
							obj_t BgL_auxz00_2332;

							BgL_auxz00_2332 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 10592)),
								BGl_string1758z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_newzd2lenzd2_1871);
							FAILURE(BgL_auxz00_2332, BFALSE, BFALSE);
						}
					BgL_auxz00_2328 = (long) CINT(BgL_tmpz00_2329);
				}
				if (VECTORP(BgL_oldzd2veczd2_1870))
					{	/* Ieee/vector.scm 234 */
						BgL_auxz00_2321 = BgL_oldzd2veczd2_1870;
					}
				else
					{
						obj_t BgL_auxz00_2324;

						BgL_auxz00_2324 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 10592)),
							BGl_string1758z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1870);
						FAILURE(BgL_auxz00_2324, BFALSE, BFALSE);
					}
				return
					BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_auxz00_2321,
					BgL_auxz00_2328);
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-copy */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t
		BgL_oldzd2veczd2_33, obj_t BgL_argsz00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 249 */
			{	/* Ieee/vector.scm 250 */
				obj_t BgL_startz00_777;

				if (PAIRP(BgL_argsz00_34))
					{	/* Ieee/vector.scm 251 */
						if (INTEGERP(CAR(BgL_argsz00_34)))
							{	/* Ieee/vector.scm 252 */
								BgL_startz00_777 = CAR(BgL_argsz00_34);
							}
						else
							{	/* Ieee/vector.scm 252 */
								BgL_startz00_777 =
									BGl_errorz00zz__errorz00
									(BGl_string1759z00zz__r4_vectors_6_8z00,
									BGl_string1760z00zz__r4_vectors_6_8z00, CAR(BgL_argsz00_34));
							}
					}
				else
					{	/* Ieee/vector.scm 251 */
						BgL_startz00_777 = BINT(((long) 0));
					}
				{	/* Ieee/vector.scm 251 */
					obj_t BgL_stopz00_778;

					{	/* Ieee/vector.scm 256 */
						bool_t BgL_testz00_2347;

						if (PAIRP(BgL_argsz00_34))
							{	/* Ieee/vector.scm 256 */
								obj_t BgL_tmpz00_2350;

								BgL_tmpz00_2350 = CDR(BgL_argsz00_34);
								BgL_testz00_2347 = PAIRP(BgL_tmpz00_2350);
							}
						else
							{	/* Ieee/vector.scm 256 */
								BgL_testz00_2347 = ((bool_t) 0);
							}
						if (BgL_testz00_2347)
							{	/* Ieee/vector.scm 257 */
								bool_t BgL_testz00_2353;

								{	/* Ieee/vector.scm 257 */
									bool_t BgL_testz00_2354;

									{	/* Ieee/vector.scm 257 */
										obj_t BgL_tmpz00_2355;

										BgL_tmpz00_2355 = CDR(CDR(BgL_argsz00_34));
										BgL_testz00_2354 = PAIRP(BgL_tmpz00_2355);
									}
									if (BgL_testz00_2354)
										{	/* Ieee/vector.scm 257 */
											BgL_testz00_2353 = ((bool_t) 1);
										}
									else
										{	/* Ieee/vector.scm 257 */
											if (INTEGERP(CAR(CDR(BgL_argsz00_34))))
												{	/* Ieee/vector.scm 258 */
													BgL_testz00_2353 = ((bool_t) 0);
												}
											else
												{	/* Ieee/vector.scm 258 */
													BgL_testz00_2353 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_2353)
									{	/* Ieee/vector.scm 257 */
										BgL_stopz00_778 =
											BGl_errorz00zz__errorz00
											(BGl_string1759z00zz__r4_vectors_6_8z00,
											BGl_string1760z00zz__r4_vectors_6_8z00,
											CDR(BgL_argsz00_34));
									}
								else
									{	/* Ieee/vector.scm 257 */
										BgL_stopz00_778 = CAR(CDR(BgL_argsz00_34));
									}
							}
						else
							{	/* Ieee/vector.scm 256 */
								BgL_stopz00_778 = BINT(VECTOR_LENGTH(BgL_oldzd2veczd2_33));
							}
					}
					{	/* Ieee/vector.scm 256 */
						long BgL_newzd2lenzd2_779;

						BgL_newzd2lenzd2_779 =
							((long) CINT(BgL_stopz00_778) - (long) CINT(BgL_startz00_777));
						{	/* Ieee/vector.scm 262 */
							obj_t BgL_newzd2veczd2_780;

							BgL_newzd2veczd2_780 = make_vector(BgL_newzd2lenzd2_779, BUNSPEC);
							{	/* Ieee/vector.scm 264 */

								{	/* Ieee/vector.scm 267 */
									bool_t BgL_testz00_2373;

									if ((BgL_newzd2lenzd2_779 < ((long) 0)))
										{	/* Ieee/vector.scm 267 */
											BgL_testz00_2373 = ((bool_t) 1);
										}
									else
										{	/* Ieee/vector.scm 267 */
											if (
												((long) CINT(BgL_startz00_777) >
													VECTOR_LENGTH(BgL_oldzd2veczd2_33)))
												{	/* Ieee/vector.scm 268 */
													BgL_testz00_2373 = ((bool_t) 1);
												}
											else
												{	/* Ieee/vector.scm 268 */
													BgL_testz00_2373 =
														(
														(long) CINT(BgL_stopz00_778) >
														VECTOR_LENGTH(BgL_oldzd2veczd2_33));
										}}
									if (BgL_testz00_2373)
										{	/* Ieee/vector.scm 267 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string1759z00zz__r4_vectors_6_8z00,
												BGl_string1761z00zz__r4_vectors_6_8z00, BgL_argsz00_34);
										}
									else
										{
											obj_t BgL_rz00_1495;
											long BgL_wz00_1496;

											BgL_rz00_1495 = BgL_startz00_777;
											BgL_wz00_1496 = ((long) 0);
										BgL_loopz00_1494:
											if (
												((long) CINT(BgL_rz00_1495) ==
													(long) CINT(BgL_stopz00_778)))
												{	/* Ieee/vector.scm 273 */
													return BgL_newzd2veczd2_780;
												}
											else
												{	/* Ieee/vector.scm 273 */
													VECTOR_SET(BgL_newzd2veczd2_780, BgL_wz00_1496,
														VECTOR_REF(BgL_oldzd2veczd2_33,
															(long) CINT(BgL_rz00_1495)));
													{	/* Ieee/vector.scm 277 */
														long BgL_arg1132z00_1503;
														long BgL_arg1133z00_1504;

														BgL_arg1132z00_1503 =
															((long) CINT(BgL_rz00_1495) + ((long) 1));
														BgL_arg1133z00_1504 = (BgL_wz00_1496 + ((long) 1));
														{
															long BgL_wz00_2396;
															obj_t BgL_rz00_2394;

															BgL_rz00_2394 = BINT(BgL_arg1132z00_1503);
															BgL_wz00_2396 = BgL_arg1133z00_1504;
															BgL_wz00_1496 = BgL_wz00_2396;
															BgL_rz00_1495 = BgL_rz00_2394;
															goto BgL_loopz00_1494;
														}
													}
												}
										}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &vector-copy */
	obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1872,
		obj_t BgL_oldzd2veczd2_1873, obj_t BgL_argsz00_1874)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 249 */
			{	/* Ieee/vector.scm 250 */
				obj_t BgL_auxz00_2397;

				if (VECTORP(BgL_oldzd2veczd2_1873))
					{	/* Ieee/vector.scm 250 */
						BgL_auxz00_2397 = BgL_oldzd2veczd2_1873;
					}
				else
					{
						obj_t BgL_auxz00_2400;

						BgL_auxz00_2400 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 11170)),
							BGl_string1762z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1873);
						FAILURE(BgL_auxz00_2400, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(BgL_auxz00_2397,
					BgL_argsz00_1874);
			}
		}
		BGL_FUNCTION_END;
	}



/* _vector-copy! */
	obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_41,
		obj_t BgL_optz00_40)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 282 */
			{	/* Ieee/vector.scm 282 */
				obj_t BgL_g1049z00_820;
				obj_t BgL_g1050z00_821;
				obj_t BgL_sourcez00_822;

				BgL_g1049z00_820 = VECTOR_REF(BgL_optz00_40, ((long) 0));
				BgL_g1050z00_821 = VECTOR_REF(BgL_optz00_40, ((long) 1));
				BgL_sourcez00_822 = VECTOR_REF(BgL_optz00_40, ((long) 2));
				switch (VECTOR_LENGTH(BgL_optz00_40))
					{
					case ((long) 3):

						{	/* Ieee/vector.scm 283 */
							long BgL_sendz00_827;

							{	/* Ieee/vector.scm 283 */
								obj_t BgL_vectorz00_1516;

								if (VECTORP(BgL_sourcez00_822))
									{	/* Ieee/vector.scm 283 */
										BgL_vectorz00_1516 = BgL_sourcez00_822;
									}
								else
									{
										obj_t BgL_auxz00_2410;

										BgL_auxz00_2410 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string1739z00zz__r4_vectors_6_8z00,
											BINT(((long) 12318)),
											BGl_string1763z00zz__r4_vectors_6_8z00,
											BGl_string1743z00zz__r4_vectors_6_8z00,
											BgL_sourcez00_822);
										FAILURE(BgL_auxz00_2410, BFALSE, BFALSE);
									}
								BgL_sendz00_827 = VECTOR_LENGTH(BgL_vectorz00_1516);
							}
							{	/* Ieee/vector.scm 282 */

								{	/* Ieee/vector.scm 282 */
									long BgL_auxz00_2422;
									obj_t BgL_auxz00_2415;

									{	/* Ieee/vector.scm 282 */
										obj_t BgL_tmpz00_2423;

										if (INTEGERP(BgL_g1050z00_821))
											{	/* Ieee/vector.scm 282 */
												BgL_tmpz00_2423 = BgL_g1050z00_821;
											}
										else
											{
												obj_t BgL_auxz00_2426;

												BgL_auxz00_2426 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 12224)),
													BGl_string1763z00zz__r4_vectors_6_8z00,
													BGl_string1741z00zz__r4_vectors_6_8z00,
													BgL_g1050z00_821);
												FAILURE(BgL_auxz00_2426, BFALSE, BFALSE);
											}
										BgL_auxz00_2422 = (long) CINT(BgL_tmpz00_2423);
									}
									if (VECTORP(BgL_g1049z00_820))
										{	/* Ieee/vector.scm 282 */
											BgL_auxz00_2415 = BgL_g1049z00_820;
										}
									else
										{
											obj_t BgL_auxz00_2418;

											BgL_auxz00_2418 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1739z00zz__r4_vectors_6_8z00,
												BINT(((long) 12224)),
												BGl_string1763z00zz__r4_vectors_6_8z00,
												BGl_string1743z00zz__r4_vectors_6_8z00,
												BgL_g1049z00_820);
											FAILURE(BgL_auxz00_2418, BFALSE, BFALSE);
										}
									return
										BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
										(BgL_auxz00_2415, BgL_auxz00_2422, BgL_sourcez00_822,
										BINT(((long) 0)), BINT(BgL_sendz00_827));
						}}} break;
					case ((long) 4):

						{	/* Ieee/vector.scm 282 */
							obj_t BgL_sstartz00_828;

							BgL_sstartz00_828 = VECTOR_REF(BgL_optz00_40, ((long) 3));
							{	/* Ieee/vector.scm 283 */
								long BgL_sendz00_829;

								{	/* Ieee/vector.scm 283 */
									obj_t BgL_vectorz00_1517;

									if (VECTORP(BgL_sourcez00_822))
										{	/* Ieee/vector.scm 283 */
											BgL_vectorz00_1517 = BgL_sourcez00_822;
										}
									else
										{
											obj_t BgL_auxz00_2437;

											BgL_auxz00_2437 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1739z00zz__r4_vectors_6_8z00,
												BINT(((long) 12318)),
												BGl_string1763z00zz__r4_vectors_6_8z00,
												BGl_string1743z00zz__r4_vectors_6_8z00,
												BgL_sourcez00_822);
											FAILURE(BgL_auxz00_2437, BFALSE, BFALSE);
										}
									BgL_sendz00_829 = VECTOR_LENGTH(BgL_vectorz00_1517);
								}
								{	/* Ieee/vector.scm 282 */

									{	/* Ieee/vector.scm 282 */
										long BgL_auxz00_2449;
										obj_t BgL_auxz00_2442;

										{	/* Ieee/vector.scm 282 */
											obj_t BgL_tmpz00_2450;

											if (INTEGERP(BgL_g1050z00_821))
												{	/* Ieee/vector.scm 282 */
													BgL_tmpz00_2450 = BgL_g1050z00_821;
												}
											else
												{
													obj_t BgL_auxz00_2453;

													BgL_auxz00_2453 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 12224)),
														BGl_string1763z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_g1050z00_821);
													FAILURE(BgL_auxz00_2453, BFALSE, BFALSE);
												}
											BgL_auxz00_2449 = (long) CINT(BgL_tmpz00_2450);
										}
										if (VECTORP(BgL_g1049z00_820))
											{	/* Ieee/vector.scm 282 */
												BgL_auxz00_2442 = BgL_g1049z00_820;
											}
										else
											{
												obj_t BgL_auxz00_2445;

												BgL_auxz00_2445 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 12224)),
													BGl_string1763z00zz__r4_vectors_6_8z00,
													BGl_string1743z00zz__r4_vectors_6_8z00,
													BgL_g1049z00_820);
												FAILURE(BgL_auxz00_2445, BFALSE, BFALSE);
											}
										return
											BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
											(BgL_auxz00_2442, BgL_auxz00_2449, BgL_sourcez00_822,
											BgL_sstartz00_828, BINT(BgL_sendz00_829));
									}
								}
							}
						}
						break;
					case ((long) 5):

						{	/* Ieee/vector.scm 282 */
							obj_t BgL_sstartz00_830;

							BgL_sstartz00_830 = VECTOR_REF(BgL_optz00_40, ((long) 3));
							{	/* Ieee/vector.scm 282 */
								obj_t BgL_sendz00_831;

								BgL_sendz00_831 = VECTOR_REF(BgL_optz00_40, ((long) 4));
								{	/* Ieee/vector.scm 282 */

									{	/* Ieee/vector.scm 282 */
										long BgL_auxz00_2469;
										obj_t BgL_auxz00_2462;

										{	/* Ieee/vector.scm 282 */
											obj_t BgL_tmpz00_2470;

											if (INTEGERP(BgL_g1050z00_821))
												{	/* Ieee/vector.scm 282 */
													BgL_tmpz00_2470 = BgL_g1050z00_821;
												}
											else
												{
													obj_t BgL_auxz00_2473;

													BgL_auxz00_2473 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1739z00zz__r4_vectors_6_8z00,
														BINT(((long) 12224)),
														BGl_string1763z00zz__r4_vectors_6_8z00,
														BGl_string1741z00zz__r4_vectors_6_8z00,
														BgL_g1050z00_821);
													FAILURE(BgL_auxz00_2473, BFALSE, BFALSE);
												}
											BgL_auxz00_2469 = (long) CINT(BgL_tmpz00_2470);
										}
										if (VECTORP(BgL_g1049z00_820))
											{	/* Ieee/vector.scm 282 */
												BgL_auxz00_2462 = BgL_g1049z00_820;
											}
										else
											{
												obj_t BgL_auxz00_2465;

												BgL_auxz00_2465 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1739z00zz__r4_vectors_6_8z00,
													BINT(((long) 12224)),
													BGl_string1763z00zz__r4_vectors_6_8z00,
													BGl_string1743z00zz__r4_vectors_6_8z00,
													BgL_g1049z00_820);
												FAILURE(BgL_auxz00_2465, BFALSE, BFALSE);
											}
										return
											BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
											(BgL_auxz00_2462, BgL_auxz00_2469, BgL_sourcez00_822,
											BgL_sstartz00_830, BgL_sendz00_831);
									}
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-copy! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_targetz00_35, long BgL_tstartz00_36, obj_t BgL_sourcez00_37,
		obj_t BgL_sstartz00_38, obj_t BgL_sendz00_39)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 282 */
			{	/* Ieee/vector.scm 284 */
				obj_t BgL_endz00_832;

				if (
					((long) CINT(BgL_sendz00_39) <
						VECTOR_LENGTH(((obj_t) BgL_sourcez00_37))))
					{	/* Ieee/vector.scm 284 */
						BgL_endz00_832 = BgL_sendz00_39;
					}
				else
					{	/* Ieee/vector.scm 284 */
						BgL_endz00_832 = BINT(VECTOR_LENGTH(((obj_t) BgL_sourcez00_37)));
					}
				{	/* Ieee/vector.scm 284 */
					long BgL_countz00_833;

					BgL_countz00_833 =
						((long) CINT(BgL_endz00_832) - (long) CINT(BgL_sstartz00_38));
					{	/* Ieee/vector.scm 285 */
						long BgL_tendz00_834;

						{	/* Ieee/vector.scm 286 */
							long BgL_az00_868;

							BgL_az00_868 = (BgL_tstartz00_36 + BgL_countz00_833);
							if ((BgL_az00_868 < VECTOR_LENGTH(BgL_targetz00_35)))
								{	/* Ieee/vector.scm 286 */
									BgL_tendz00_834 = BgL_az00_868;
								}
							else
								{	/* Ieee/vector.scm 286 */
									BgL_tendz00_834 = VECTOR_LENGTH(BgL_targetz00_35);
								}
						}
						{	/* Ieee/vector.scm 286 */

							{	/* Ieee/vector.scm 287 */
								bool_t BgL_testz00_2497;

								if ((BgL_targetz00_35 == BgL_sourcez00_37))
									{	/* Ieee/vector.scm 287 */
										if (((long) CINT(BgL_sstartz00_38) < BgL_tstartz00_36))
											{	/* Ieee/vector.scm 289 */
												long BgL_tmpz00_2503;

												{	/* Ieee/vector.scm 289 */
													long BgL_za71za7_1538;

													BgL_za71za7_1538 = (long) CINT(BgL_sstartz00_38);
													BgL_tmpz00_2503 =
														(BgL_za71za7_1538 +
														((long) CINT(BgL_sendz00_39) - BgL_za71za7_1538));
												}
												BgL_testz00_2497 = (BgL_tstartz00_36 < BgL_tmpz00_2503);
											}
										else
											{	/* Ieee/vector.scm 288 */
												BgL_testz00_2497 = ((bool_t) 0);
											}
									}
								else
									{	/* Ieee/vector.scm 287 */
										BgL_testz00_2497 = ((bool_t) 0);
									}
								if (BgL_testz00_2497)
									{	/* Ieee/vector.scm 290 */
										long BgL_g1018z00_840;
										long BgL_g1019z00_841;

										BgL_g1018z00_840 =
											((long) CINT(BgL_endz00_832) - ((long) 1));
										BgL_g1019z00_841 = (BgL_tendz00_834 - ((long) 1));
										{
											long BgL_iz00_843;
											long BgL_jz00_844;

											{	/* Ieee/vector.scm 290 */
												bool_t BgL_tmpz00_2512;

												BgL_iz00_843 = BgL_g1018z00_840;
												BgL_jz00_844 = BgL_g1019z00_841;
											BgL_zc3anonymousza31171ze3z83_845:
												{	/* Ieee/vector.scm 292 */
													bool_t BgL_testz00_2513;

													if ((BgL_iz00_843 >= (long) CINT(BgL_sstartz00_38)))
														{	/* Ieee/vector.scm 292 */
															BgL_testz00_2513 =
																(BgL_jz00_844 >= BgL_tstartz00_36);
														}
													else
														{	/* Ieee/vector.scm 292 */
															BgL_testz00_2513 = ((bool_t) 0);
														}
													if (BgL_testz00_2513)
														{	/* Ieee/vector.scm 292 */
															{	/* Ieee/vector.scm 293 */
																obj_t BgL_arg1183z00_848;

																BgL_arg1183z00_848 =
																	VECTOR_REF(
																	((obj_t) BgL_sourcez00_37), BgL_iz00_843);
																VECTOR_SET(BgL_targetz00_35, BgL_jz00_844,
																	BgL_arg1183z00_848);
															}
															{
																long BgL_jz00_2523;
																long BgL_iz00_2521;

																BgL_iz00_2521 = (BgL_iz00_843 - ((long) 1));
																BgL_jz00_2523 = (BgL_jz00_844 - ((long) 1));
																BgL_jz00_844 = BgL_jz00_2523;
																BgL_iz00_843 = BgL_iz00_2521;
																goto BgL_zc3anonymousza31171ze3z83_845;
															}
														}
													else
														{	/* Ieee/vector.scm 292 */
															BgL_tmpz00_2512 = ((bool_t) 0);
														}
												}
												return BBOOL(BgL_tmpz00_2512);
											}
										}
									}
								else
									{
										obj_t BgL_iz00_854;
										long BgL_jz00_855;

										{	/* Ieee/vector.scm 295 */
											bool_t BgL_tmpz00_2526;

											BgL_iz00_854 = BgL_sstartz00_38;
											BgL_jz00_855 = BgL_tstartz00_36;
										BgL_zc3anonymousza31193ze3z83_856:
											{	/* Ieee/vector.scm 297 */
												bool_t BgL_testz00_2527;

												if (
													((long) CINT(BgL_iz00_854) <
														(long) CINT(BgL_endz00_832)))
													{	/* Ieee/vector.scm 297 */
														BgL_testz00_2527 = (BgL_jz00_855 < BgL_tendz00_834);
													}
												else
													{	/* Ieee/vector.scm 297 */
														BgL_testz00_2527 = ((bool_t) 0);
													}
												if (BgL_testz00_2527)
													{	/* Ieee/vector.scm 297 */
														{	/* Ieee/vector.scm 298 */
															obj_t BgL_arg1196z00_859;

															{	/* Ieee/vector.scm 298 */
																long BgL_kz00_1569;

																BgL_kz00_1569 = (long) CINT(BgL_iz00_854);
																BgL_arg1196z00_859 =
																	VECTOR_REF(
																	((obj_t) BgL_sourcez00_37), BgL_kz00_1569);
															}
															VECTOR_SET(BgL_targetz00_35, BgL_jz00_855,
																BgL_arg1196z00_859);
														}
														{	/* Ieee/vector.scm 299 */
															long BgL_arg1198z00_860;
															long BgL_arg1199z00_861;

															BgL_arg1198z00_860 =
																((long) CINT(BgL_iz00_854) + ((long) 1));
															BgL_arg1199z00_861 = (BgL_jz00_855 + ((long) 1));
															{
																long BgL_jz00_2542;
																obj_t BgL_iz00_2540;

																BgL_iz00_2540 = BINT(BgL_arg1198z00_860);
																BgL_jz00_2542 = BgL_arg1199z00_861;
																BgL_jz00_855 = BgL_jz00_2542;
																BgL_iz00_854 = BgL_iz00_2540;
																goto BgL_zc3anonymousza31193ze3z83_856;
															}
														}
													}
												else
													{	/* Ieee/vector.scm 297 */
														BgL_tmpz00_2526 = ((bool_t) 0);
													}
											}
											return BBOOL(BgL_tmpz00_2526);
										}
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-append */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vecz00_42, obj_t BgL_argsz00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 304 */
			{
				long BgL_lenz00_876;
				obj_t BgL_vectsz00_877;

				BgL_lenz00_876 = VECTOR_LENGTH(BgL_vecz00_42);
				BgL_vectsz00_877 = BgL_argsz00_43;
			BgL_zc3anonymousza31208ze3z83_878:
				if (NULLP(BgL_vectsz00_877))
					{	/* Ieee/vector.scm 308 */
						obj_t BgL_resz00_880;

						BgL_resz00_880 = make_vector(BgL_lenz00_876, BUNSPEC);
						{	/* Ieee/vector.scm 109 */

							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_880,
								((long) 0), BgL_vecz00_42, BINT(((long) 0)),
								BINT(VECTOR_LENGTH(BgL_vecz00_42)));
						}
						{
							long BgL_iz00_888;
							obj_t BgL_vectsz00_889;

							BgL_iz00_888 = VECTOR_LENGTH(BgL_vecz00_42);
							BgL_vectsz00_889 = BgL_argsz00_43;
						BgL_zc3anonymousza31210ze3z83_890:
							if (NULLP(BgL_vectsz00_889))
								{	/* Ieee/vector.scm 312 */
									return BgL_resz00_880;
								}
							else
								{	/* Ieee/vector.scm 314 */
									obj_t BgL_vecz00_892;

									BgL_vecz00_892 = CAR(((obj_t) BgL_vectsz00_889));
									{	/* Ieee/vector.scm 109 */

										BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_880,
											BgL_iz00_888, BgL_vecz00_892, BINT(((long) 0)),
											BINT(VECTOR_LENGTH(((obj_t) BgL_vecz00_892))));
									}
									{	/* Ieee/vector.scm 316 */
										long BgL_arg1212z00_898;
										obj_t BgL_arg1215z00_899;

										BgL_arg1212z00_898 =
											(BgL_iz00_888 + VECTOR_LENGTH(((obj_t) BgL_vecz00_892)));
										BgL_arg1215z00_899 = CDR(((obj_t) BgL_vectsz00_889));
										{
											obj_t BgL_vectsz00_2566;
											long BgL_iz00_2565;

											BgL_iz00_2565 = BgL_arg1212z00_898;
											BgL_vectsz00_2566 = BgL_arg1215z00_899;
											BgL_vectsz00_889 = BgL_vectsz00_2566;
											BgL_iz00_888 = BgL_iz00_2565;
											goto BgL_zc3anonymousza31210ze3z83_890;
										}
									}
								}
						}
					}
				else
					{	/* Ieee/vector.scm 317 */
						long BgL_arg1219z00_903;
						obj_t BgL_arg1220z00_904;

						{	/* Ieee/vector.scm 317 */
							long BgL_arg1221z00_905;

							{	/* Ieee/vector.scm 317 */
								obj_t BgL_arg1222z00_906;

								BgL_arg1222z00_906 = CAR(((obj_t) BgL_vectsz00_877));
								BgL_arg1221z00_905 =
									VECTOR_LENGTH(((obj_t) BgL_arg1222z00_906));
							}
							BgL_arg1219z00_903 = (BgL_arg1221z00_905 + BgL_lenz00_876);
						}
						BgL_arg1220z00_904 = CDR(((obj_t) BgL_vectsz00_877));
						{
							obj_t BgL_vectsz00_2576;
							long BgL_lenz00_2575;

							BgL_lenz00_2575 = BgL_arg1219z00_903;
							BgL_vectsz00_2576 = BgL_arg1220z00_904;
							BgL_vectsz00_877 = BgL_vectsz00_2576;
							BgL_lenz00_876 = BgL_lenz00_2575;
							goto BgL_zc3anonymousza31208ze3z83_878;
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &vector-append */
	obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1875,
		obj_t BgL_vecz00_1876, obj_t BgL_argsz00_1877)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 304 */
			{	/* Ieee/vector.scm 305 */
				obj_t BgL_auxz00_2578;

				if (VECTORP(BgL_vecz00_1876))
					{	/* Ieee/vector.scm 305 */
						BgL_auxz00_2578 = BgL_vecz00_1876;
					}
				else
					{
						obj_t BgL_auxz00_2581;

						BgL_auxz00_2581 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 13366)),
							BGl_string1764z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vecz00_1876);
						FAILURE(BgL_auxz00_2581, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(BgL_auxz00_2578,
					BgL_argsz00_1877);
			}
		}
		BGL_FUNCTION_END;
	}



/* sort */
	BGL_EXPORTED_DEF obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t BgL_o1z00_44,
		obj_t BgL_o2z00_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 322 */
			if (PROCEDUREP(BgL_o1z00_44))
				{	/* Ieee/vector.scm 323 */
					return
						BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o2z00_45,
						BgL_o1z00_44);
				}
			else
				{	/* Ieee/vector.scm 323 */
					return
						BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o1z00_44,
						BgL_o2z00_45);
				}
		}
		BGL_FUNCTION_END;
	}



/* &sort */
	obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1878,
		obj_t BgL_o1z00_1879, obj_t BgL_o2z00_1880)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 322 */
			return BGl_sortz00zz__r4_vectors_6_8z00(BgL_o1z00_1879, BgL_o2z00_1880);
		}
		BGL_FUNCTION_END;
	}



/* inner-sort */
	obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t BgL_objz00_46,
		obj_t BgL_procz00_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 330 */
			if (NULLP(BgL_objz00_46))
				{	/* Ieee/vector.scm 332 */
					return BgL_objz00_46;
				}
			else
				{	/* Ieee/vector.scm 334 */
					bool_t BgL_testz00_2593;

					if (PAIRP(BgL_objz00_46))
						{	/* Ieee/vector.scm 334 */
							BgL_testz00_2593 = NULLP(CDR(BgL_objz00_46));
						}
					else
						{	/* Ieee/vector.scm 334 */
							BgL_testz00_2593 = ((bool_t) 0);
						}
					if (BgL_testz00_2593)
						{	/* Ieee/vector.scm 334 */
							return BgL_objz00_46;
						}
					else
						{	/* Ieee/vector.scm 337 */
							obj_t BgL_vecz00_913;

							if (VECTORP(BgL_objz00_46))
								{	/* Ieee/vector.scm 339 */
									obj_t BgL_newz00_918;

									BgL_newz00_918 = create_vector(VECTOR_LENGTH(BgL_objz00_46));
									{	/* Ieee/vector.scm 340 */

										{
											long BgL_iz00_1613;

											BgL_iz00_1613 = ((long) 0);
										BgL_loopz00_1612:
											if ((BgL_iz00_1613 < VECTOR_LENGTH(BgL_objz00_46)))
												{	/* Ieee/vector.scm 342 */
													{	/* Ieee/vector.scm 344 */
														obj_t BgL_arg1232z00_1618;

														BgL_arg1232z00_1618 =
															VECTOR_REF(
															((obj_t) BgL_objz00_46), BgL_iz00_1613);
														VECTOR_SET(BgL_newz00_918, BgL_iz00_1613,
															BgL_arg1232z00_1618);
													}
													{
														long BgL_iz00_2608;

														BgL_iz00_2608 = (BgL_iz00_1613 + ((long) 1));
														BgL_iz00_1613 = BgL_iz00_2608;
														goto BgL_loopz00_1612;
													}
												}
											else
												{	/* Ieee/vector.scm 342 */
													((bool_t) 0);
												}
										}
										BgL_vecz00_913 = BgL_newz00_918;
									}
								}
							else
								{	/* Ieee/vector.scm 338 */
									if (PAIRP(BgL_objz00_46))
										{	/* Ieee/vector.scm 347 */
											BgL_vecz00_913 =
												BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
												(BgL_objz00_46);
										}
									else
										{	/* Ieee/vector.scm 347 */
											BgL_vecz00_913 =
												BGl_errorz00zz__errorz00
												(BGl_string1765z00zz__r4_vectors_6_8z00,
												BGl_string1766z00zz__r4_vectors_6_8z00, BgL_objz00_46);
										}
								}
							{	/* Ieee/vector.scm 353 */
								obj_t BgL_resz00_914;

								BgL_resz00_914 = sort_vector(BgL_vecz00_913, BgL_procz00_47);
								if (PAIRP(BgL_objz00_46))
									{	/* Ieee/vector.scm 354 */
										return
											BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
											(BgL_resz00_914);
									}
								else
									{	/* Ieee/vector.scm 354 */
										return BgL_resz00_914;
									}
							}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* vector-mapN! */
	obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_51,
		obj_t BgL_vdestz00_52, obj_t BgL_vsrcz00_53, obj_t BgL_vrestz00_54)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 373 */
			{
				long BgL_iz00_940;

				BgL_iz00_940 = ((long) 0);
			BgL_zc3anonymousza31243ze3z83_941:
				if ((BgL_iz00_940 < VECTOR_LENGTH(((obj_t) BgL_vdestz00_52))))
					{	/* Ieee/vector.scm 377 */
						obj_t BgL_argsz00_943;

						if (NULLP(BgL_vrestz00_54))
							{	/* Ieee/vector.scm 377 */
								BgL_argsz00_943 = BNIL;
							}
						else
							{	/* Ieee/vector.scm 377 */
								obj_t BgL_head1037z00_950;

								{	/* Ieee/vector.scm 377 */
									obj_t BgL_res1622z00_1665;

									BgL_res1622z00_1665 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1037z00_950 = BgL_res1622z00_1665;
								}
								{
									obj_t BgL_l1035z00_1693;
									obj_t BgL_tail1038z00_1694;

									BgL_l1035z00_1693 = BgL_vrestz00_54;
									BgL_tail1038z00_1694 = BgL_head1037z00_950;
								BgL_zc3anonymousza31250ze3z83_1692:
									if (NULLP(BgL_l1035z00_1693))
										{	/* Ieee/vector.scm 377 */
											BgL_argsz00_943 = CDR(BgL_head1037z00_950);
										}
									else
										{	/* Ieee/vector.scm 377 */
											obj_t BgL_newtail1039z00_1701;

											{	/* Ieee/vector.scm 377 */
												obj_t BgL_arg1253z00_1702;

												{	/* Ieee/vector.scm 377 */
													obj_t BgL_vz00_1703;

													BgL_vz00_1703 = CAR(((obj_t) BgL_l1035z00_1693));
													BgL_arg1253z00_1702 =
														VECTOR_REF(((obj_t) BgL_vz00_1703), BgL_iz00_940);
												}
												{	/* Ieee/vector.scm 377 */
													obj_t BgL_res1628z00_1710;

													BgL_res1628z00_1710 =
														MAKE_YOUNG_PAIR(BgL_arg1253z00_1702, BNIL);
													BgL_newtail1039z00_1701 = BgL_res1628z00_1710;
												}
											}
											SET_CDR(BgL_tail1038z00_1694, BgL_newtail1039z00_1701);
											{	/* Ieee/vector.scm 377 */
												obj_t BgL_arg1252z00_1704;

												BgL_arg1252z00_1704 = CDR(((obj_t) BgL_l1035z00_1693));
												{
													obj_t BgL_tail1038z00_2637;
													obj_t BgL_l1035z00_2636;

													BgL_l1035z00_2636 = BgL_arg1252z00_1704;
													BgL_tail1038z00_2637 = BgL_newtail1039z00_1701;
													BgL_tail1038z00_1694 = BgL_tail1038z00_2637;
													BgL_l1035z00_1693 = BgL_l1035z00_2636;
													goto BgL_zc3anonymousza31250ze3z83_1692;
												}
											}
										}
								}
							}
						{	/* Ieee/vector.scm 377 */
							obj_t BgL_nvalz00_944;

							{	/* Ieee/vector.scm 378 */
								obj_t BgL_auxz00_2638;

								{	/* Ieee/vector.scm 378 */
									obj_t BgL_arg1247z00_946;

									BgL_arg1247z00_946 = VECTOR_REF(BgL_vsrcz00_53, BgL_iz00_940);
									{	/* Ieee/vector.scm 378 */
										obj_t BgL_list1248z00_947;

										BgL_list1248z00_947 =
											MAKE_YOUNG_PAIR(BgL_argsz00_943, BNIL);
										BgL_auxz00_2638 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1247z00_946, BgL_list1248z00_947);
									}
								}
								BgL_nvalz00_944 = apply(BgL_procz00_51, BgL_auxz00_2638);
							}
							{	/* Ieee/vector.scm 378 */

								VECTOR_SET(
									((obj_t) BgL_vdestz00_52), BgL_iz00_940, BgL_nvalz00_944);
								{
									long BgL_iz00_2645;

									BgL_iz00_2645 = (BgL_iz00_940 + ((long) 1));
									BgL_iz00_940 = BgL_iz00_2645;
									goto BgL_zc3anonymousza31243ze3z83_941;
								}
							}
						}
					}
				else
					{	/* Ieee/vector.scm 376 */
						return BgL_vdestz00_52;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-map */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t
		BgL_procz00_55, obj_t BgL_vz00_56, obj_t BgL_restz00_57)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 386 */
			{	/* Ieee/vector.scm 387 */
				obj_t BgL_nvz00_963;

				BgL_nvz00_963 = create_vector(VECTOR_LENGTH(BgL_vz00_56));
				{	/* Ieee/vector.scm 388 */

					if (NULLP(BgL_restz00_57))
						{
							long BgL_iz00_1723;

							BgL_iz00_1723 = ((long) 0);
						BgL_loopz00_1722:
							if ((BgL_iz00_1723 < VECTOR_LENGTH(BgL_nvz00_963)))
								{	/* Ieee/vector.scm 364 */
									{	/* Ieee/vector.scm 366 */
										obj_t BgL_arg1239z00_1725;

										{	/* Ieee/vector.scm 366 */
											obj_t BgL_arg1241z00_1726;

											BgL_arg1241z00_1726 =
												VECTOR_REF(BgL_vz00_56, BgL_iz00_1723);
											BgL_arg1239z00_1725 =
												PROCEDURE_ENTRY(BgL_procz00_55) (BgL_procz00_55,
												BgL_arg1241z00_1726, BEOA);
										}
										VECTOR_SET(BgL_nvz00_963, BgL_iz00_1723,
											BgL_arg1239z00_1725);
									}
									{
										long BgL_iz00_2660;

										BgL_iz00_2660 = (BgL_iz00_1723 + ((long) 1));
										BgL_iz00_1723 = BgL_iz00_2660;
										goto BgL_loopz00_1722;
									}
								}
							else
								{	/* Ieee/vector.scm 364 */
									return BgL_nvz00_963;
								}
						}
					else
						{	/* Ieee/vector.scm 392 */
							bool_t BgL_testz00_2662;

							{	/* Ieee/vector.scm 392 */
								obj_t BgL_zc3anonymousza31265ze3z83_1881;

								BgL_zc3anonymousza31265ze3z83_1881 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31265ze3ze1zz__r4_vectors_6_8z00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31265ze3z83_1881,
									(int) (((long) 0)), BINT(VECTOR_LENGTH(BgL_vz00_56)));
								BgL_testz00_2662 =
									CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
									(BgL_zc3anonymousza31265ze3z83_1881, BNIL));
							}
							if (BgL_testz00_2662)
								{	/* Ieee/vector.scm 392 */
									return
										BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_55,
										BgL_nvz00_963, BgL_vz00_56, BgL_restz00_57);
								}
							else
								{	/* Ieee/vector.scm 392 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1767z00zz__r4_vectors_6_8z00,
										BGl_string1768z00zz__r4_vectors_6_8z00, BgL_restz00_57);
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &vector-map */
	obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1882,
		obj_t BgL_procz00_1883, obj_t BgL_vz00_1884, obj_t BgL_restz00_1885)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 386 */
			{	/* Ieee/vector.scm 387 */
				obj_t BgL_auxz00_2681;
				obj_t BgL_auxz00_2674;

				if (VECTORP(BgL_vz00_1884))
					{	/* Ieee/vector.scm 387 */
						BgL_auxz00_2681 = BgL_vz00_1884;
					}
				else
					{
						obj_t BgL_auxz00_2684;

						BgL_auxz00_2684 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 16229)),
							BGl_string1769z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vz00_1884);
						FAILURE(BgL_auxz00_2684, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_procz00_1883))
					{	/* Ieee/vector.scm 387 */
						BgL_auxz00_2674 = BgL_procz00_1883;
					}
				else
					{
						obj_t BgL_auxz00_2677;

						BgL_auxz00_2677 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 16229)),
							BGl_string1769z00zz__r4_vectors_6_8z00,
							BGl_string1770z00zz__r4_vectors_6_8z00, BgL_procz00_1883);
						FAILURE(BgL_auxz00_2677, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(BgL_auxz00_2674,
					BgL_auxz00_2681, BgL_restz00_1885);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1265> */
	obj_t BGl_z62zc3anonymousza31265ze3ze1zz__r4_vectors_6_8z00(obj_t
		BgL_envz00_1886, obj_t BgL_vz00_1888)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 392 */
			{	/* Ieee/vector.scm 392 */
				long BgL_lenz00_1887;

				BgL_lenz00_1887 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_1886, (int) (((long) 0))));
				{	/* Ieee/vector.scm 392 */
					bool_t BgL_tmpz00_2692;

					if (VECTORP(BgL_vz00_1888))
						{	/* Ieee/vector.scm 392 */
							BgL_tmpz00_2692 =
								(VECTOR_LENGTH(BgL_vz00_1888) == BgL_lenz00_1887);
						}
					else
						{	/* Ieee/vector.scm 392 */
							BgL_tmpz00_2692 = ((bool_t) 0);
						}
					return BBOOL(BgL_tmpz00_2692);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-map! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_procz00_58, obj_t BgL_vz00_59, obj_t BgL_restz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 400 */
			if (NULLP(BgL_restz00_60))
				{
					long BgL_iz00_1749;

					BgL_iz00_1749 = ((long) 0);
				BgL_loopz00_1748:
					if ((BgL_iz00_1749 < VECTOR_LENGTH(BgL_vz00_59)))
						{	/* Ieee/vector.scm 364 */
							{	/* Ieee/vector.scm 366 */
								obj_t BgL_arg1239z00_1751;

								{	/* Ieee/vector.scm 366 */
									obj_t BgL_arg1241z00_1752;

									BgL_arg1241z00_1752 = VECTOR_REF(BgL_vz00_59, BgL_iz00_1749);
									BgL_arg1239z00_1751 =
										PROCEDURE_ENTRY(BgL_procz00_58) (BgL_procz00_58,
										BgL_arg1241z00_1752, BEOA);
								}
								VECTOR_SET(BgL_vz00_59, BgL_iz00_1749, BgL_arg1239z00_1751);
							}
							{
								long BgL_iz00_2709;

								BgL_iz00_2709 = (BgL_iz00_1749 + ((long) 1));
								BgL_iz00_1749 = BgL_iz00_2709;
								goto BgL_loopz00_1748;
							}
						}
					else
						{	/* Ieee/vector.scm 364 */
							return BgL_vz00_59;
						}
				}
			else
				{	/* Ieee/vector.scm 405 */
					bool_t BgL_testz00_2711;

					{	/* Ieee/vector.scm 405 */
						obj_t BgL_zc3anonymousza31277ze3z83_1889;

						BgL_zc3anonymousza31277ze3z83_1889 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza31277ze3ze1zz__r4_vectors_6_8z00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza31277ze3z83_1889,
							(int) (((long) 0)), BINT(VECTOR_LENGTH(BgL_vz00_59)));
						BgL_testz00_2711 =
							CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
							(BgL_zc3anonymousza31277ze3z83_1889, BNIL));
					}
					if (BgL_testz00_2711)
						{	/* Ieee/vector.scm 405 */
							return
								BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_58,
								BgL_vz00_59, BgL_vz00_59, BgL_restz00_60);
						}
					else
						{	/* Ieee/vector.scm 405 */
							return
								BGl_errorz00zz__errorz00(BGl_string1771z00zz__r4_vectors_6_8z00,
								BGl_string1768z00zz__r4_vectors_6_8z00, BgL_restz00_60);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &vector-map! */
	obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1890,
		obj_t BgL_procz00_1891, obj_t BgL_vz00_1892, obj_t BgL_restz00_1893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 400 */
			{	/* Ieee/vector.scm 401 */
				obj_t BgL_auxz00_2730;
				obj_t BgL_auxz00_2723;

				if (VECTORP(BgL_vz00_1892))
					{	/* Ieee/vector.scm 401 */
						BgL_auxz00_2730 = BgL_vz00_1892;
					}
				else
					{
						obj_t BgL_auxz00_2733;

						BgL_auxz00_2733 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 16774)),
							BGl_string1772z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vz00_1892);
						FAILURE(BgL_auxz00_2733, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_procz00_1891))
					{	/* Ieee/vector.scm 401 */
						BgL_auxz00_2723 = BgL_procz00_1891;
					}
				else
					{
						obj_t BgL_auxz00_2726;

						BgL_auxz00_2726 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 16774)),
							BGl_string1772z00zz__r4_vectors_6_8z00,
							BGl_string1770z00zz__r4_vectors_6_8z00, BgL_procz00_1891);
						FAILURE(BgL_auxz00_2726, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2723,
					BgL_auxz00_2730, BgL_restz00_1893);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1277> */
	obj_t BGl_z62zc3anonymousza31277ze3ze1zz__r4_vectors_6_8z00(obj_t
		BgL_envz00_1894, obj_t BgL_vz00_1896)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 405 */
			{	/* Ieee/vector.scm 405 */
				long BgL_lenz00_1895;

				BgL_lenz00_1895 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_1894, (int) (((long) 0))));
				{	/* Ieee/vector.scm 405 */
					bool_t BgL_tmpz00_2741;

					if (VECTORP(BgL_vz00_1896))
						{	/* Ieee/vector.scm 405 */
							BgL_tmpz00_2741 =
								(VECTOR_LENGTH(BgL_vz00_1896) == BgL_lenz00_1895);
						}
					else
						{	/* Ieee/vector.scm 405 */
							BgL_tmpz00_2741 = ((bool_t) 0);
						}
					return BBOOL(BgL_tmpz00_2741);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* vector-shrink! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_vecz00_61, long BgL_nlenz00_62)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 413 */
			return BGL_VECTOR_SHRINK(BgL_vecz00_61, BgL_nlenz00_62);
		}
		BGL_FUNCTION_END;
	}



/* &vector-shrink! */
	obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1897,
		obj_t BgL_vecz00_1898, obj_t BgL_nlenz00_1899)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 413 */
			{	/* Ieee/vector.scm 414 */
				long BgL_auxz00_2755;
				obj_t BgL_auxz00_2748;

				{	/* Ieee/vector.scm 414 */
					obj_t BgL_tmpz00_2756;

					if (INTEGERP(BgL_nlenz00_1899))
						{	/* Ieee/vector.scm 414 */
							BgL_tmpz00_2756 = BgL_nlenz00_1899;
						}
					else
						{
							obj_t BgL_auxz00_2759;

							BgL_auxz00_2759 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 17293)),
								BGl_string1773z00zz__r4_vectors_6_8z00,
								BGl_string1741z00zz__r4_vectors_6_8z00, BgL_nlenz00_1899);
							FAILURE(BgL_auxz00_2759, BFALSE, BFALSE);
						}
					BgL_auxz00_2755 = (long) CINT(BgL_tmpz00_2756);
				}
				if (VECTORP(BgL_vecz00_1898))
					{	/* Ieee/vector.scm 414 */
						BgL_auxz00_2748 = BgL_vecz00_1898;
					}
				else
					{
						obj_t BgL_auxz00_2751;

						BgL_auxz00_2751 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1739z00zz__r4_vectors_6_8z00, BINT(((long) 17293)),
							BGl_string1773z00zz__r4_vectors_6_8z00,
							BGl_string1743z00zz__r4_vectors_6_8z00, BgL_vecz00_1898);
						FAILURE(BgL_auxz00_2751, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2748,
					BgL_auxz00_2755);
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ieee/vector.scm 18 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1774z00zz__r4_vectors_6_8z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1774z00zz__r4_vectors_6_8z00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
