/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t,
		int);
	BGL_EXPORTED_DECL long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t, long);
	static obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_symbol1789z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1791z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1793z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t,
		obj_t);
	extern obj_t rgc_buffer_downcase_keyword(obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t, obj_t, obj_t);
	extern obj_t rgc_buffer_subsymbol(obj_t, long, long);
	static obj_t BGl_objectzd2initzd2zz__rgcz00();
	extern obj_t rgc_buffer_integer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern double rgc_buffer_flonum(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_bof_p(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, long,
		long, long);
	static obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t, int);
	extern obj_t rgc_buffer_keyword(obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t, long);
	extern obj_t rgc_buffer_escape_substring(obj_t, long, long, bool_t);
	static obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_bol_p(obj_t);
	static obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_insert_substring(obj_t, obj_t, long, long);
	extern bool_t rgc_buffer_eof_p(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgcz00();
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
	static obj_t BGl_gczd2rootszd2initz00zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern long rgc_buffer_fixnum(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t, long,
		long);
	extern bool_t rgc_buffer_insert_char(obj_t, int);
	static obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	extern int rgc_buffer_unget_char(obj_t, int);
	extern obj_t rgc_buffer_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_eol_p(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t, obj_t, long,
		long);
	static obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t rgc_buffer_upcase_keyword(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t, long, long,
		bool_t);
	extern obj_t rgc_buffer_downcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eof2zf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71797za7,
		BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71798za7,
		BGl_z62rgczd2bufferzd2positionz62zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71799za7,
		BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71800za7,
		BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2theza7d2s1801za7,
		BGl_z62rgczd2thezd2submatchz62zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71802za7,
		BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2bytezd2refzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71803za7,
		BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71804za7,
		BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2stopza7d21805za7,
		BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71806za7,
		BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71807za7,
		BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71808za7,
		BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2substringz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71809za7,
		BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1751z00zz__rgcz00,
		BgL_bgl_string1751za700za7za7_1810za7, "/tmp/bigloo/runtime/Rgc/rgc.scm",
		31);
	      DEFINE_STRING(BGl_string1752z00zz__rgcz00,
		BgL_bgl_string1752za700za7za7_1811za7, "&rgc-buffer-get-char", 20);
	      DEFINE_STRING(BGl_string1753z00zz__rgcz00,
		BgL_bgl_string1753za700za7za7_1812za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1754z00zz__rgcz00,
		BgL_bgl_string1754za700za7za7_1813za7, "bint", 4);
	      DEFINE_STRING(BGl_string1755z00zz__rgcz00,
		BgL_bgl_string1755za700za7za7_1814za7, "&rgc-buffer-unget-char", 22);
	      DEFINE_STRING(BGl_string1756z00zz__rgcz00,
		BgL_bgl_string1756za700za7za7_1815za7, "&rgc-buffer-insert-substring!", 29);
	      DEFINE_STRING(BGl_string1757z00zz__rgcz00,
		BgL_bgl_string1757za700za7za7_1816za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1758z00zz__rgcz00,
		BgL_bgl_string1758za700za7za7_1817za7, "&rgc-buffer-insert-char!", 24);
	      DEFINE_STRING(BGl_string1759z00zz__rgcz00,
		BgL_bgl_string1759za700za7za7_1818za7, "&rgc-buffer-character", 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71819za7,
		BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bufposzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71820za7,
		BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1760z00zz__rgcz00,
		BgL_bgl_string1760za700za7za7_1821za7, "&rgc-buffer-byte", 16);
	      DEFINE_STRING(BGl_string1761z00zz__rgcz00,
		BgL_bgl_string1761za700za7za7_1822za7, "&rgc-buffer-byte-ref", 20);
	      DEFINE_STRING(BGl_string1762z00zz__rgcz00,
		BgL_bgl_string1762za700za7za7_1823za7, "&rgc-buffer-substring", 21);
	      DEFINE_STRING(BGl_string1763z00zz__rgcz00,
		BgL_bgl_string1763za700za7za7_1824za7, "&rgc-buffer-escape-substring", 28);
	      DEFINE_STRING(BGl_string1764z00zz__rgcz00,
		BgL_bgl_string1764za700za7za7_1825za7, "&rgc-buffer-length", 18);
	      DEFINE_STRING(BGl_string1765z00zz__rgcz00,
		BgL_bgl_string1765za700za7za7_1826za7, "&rgc-buffer-fixnum", 18);
	      DEFINE_STRING(BGl_string1766z00zz__rgcz00,
		BgL_bgl_string1766za700za7za7_1827za7, "&rgc-buffer-integer", 19);
	      DEFINE_STRING(BGl_string1767z00zz__rgcz00,
		BgL_bgl_string1767za700za7za7_1828za7, "&rgc-buffer-flonum", 18);
	      DEFINE_STRING(BGl_string1768z00zz__rgcz00,
		BgL_bgl_string1768za700za7za7_1829za7, "&rgc-buffer-symbol", 18);
	      DEFINE_STRING(BGl_string1769z00zz__rgcz00,
		BgL_bgl_string1769za700za7za7_1830za7, "&rgc-buffer-subsymbol", 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2forwardzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71831za7,
		BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1770z00zz__rgcz00,
		BgL_bgl_string1770za700za7za7_1832za7, "&rgc-buffer-downcase-symbol", 27);
	      DEFINE_STRING(BGl_string1771z00zz__rgcz00,
		BgL_bgl_string1771za700za7za7_1833za7, "&rgc-buffer-downcase-subsymbol",
		30);
	      DEFINE_STRING(BGl_string1772z00zz__rgcz00,
		BgL_bgl_string1772za700za7za7_1834za7, "&rgc-buffer-upcase-symbol", 25);
	      DEFINE_STRING(BGl_string1773z00zz__rgcz00,
		BgL_bgl_string1773za700za7za7_1835za7, "&rgc-buffer-upcase-subsymbol", 28);
	      DEFINE_STRING(BGl_string1774z00zz__rgcz00,
		BgL_bgl_string1774za700za7za7_1836za7, "&rgc-buffer-keyword", 19);
	      DEFINE_STRING(BGl_string1775z00zz__rgcz00,
		BgL_bgl_string1775za700za7za7_1837za7, "&rgc-buffer-downcase-keyword", 28);
	      DEFINE_STRING(BGl_string1776z00zz__rgcz00,
		BgL_bgl_string1776za700za7za7_1838za7, "&rgc-buffer-upcase-keyword", 26);
	      DEFINE_STRING(BGl_string1777z00zz__rgcz00,
		BgL_bgl_string1777za700za7za7_1839za7, "&rgc-buffer-position", 20);
	      DEFINE_STRING(BGl_string1778z00zz__rgcz00,
		BgL_bgl_string1778za700za7za7_1840za7, "&rgc-buffer-forward", 19);
	      DEFINE_STRING(BGl_string1779z00zz__rgcz00,
		BgL_bgl_string1779za700za7za7_1841za7, "&rgc-buffer-bufpos", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2subsymbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71842za7,
		BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1780z00zz__rgcz00,
		BgL_bgl_string1780za700za7za7_1843za7, "&rgc-set-filepos!", 17);
	      DEFINE_STRING(BGl_string1781z00zz__rgcz00,
		BgL_bgl_string1781za700za7za7_1844za7, "&rgc-start-match!", 17);
	      DEFINE_STRING(BGl_string1782z00zz__rgcz00,
		BgL_bgl_string1782za700za7za7_1845za7, "&rgc-stop-match!", 16);
	      DEFINE_STRING(BGl_string1783z00zz__rgcz00,
		BgL_bgl_string1783za700za7za7_1846za7, "&rgc-fill-buffer", 16);
	      DEFINE_STRING(BGl_string1784z00zz__rgcz00,
		BgL_bgl_string1784za700za7za7_1847za7, "&rgc-buffer-bol?", 16);
	      DEFINE_STRING(BGl_string1785z00zz__rgcz00,
		BgL_bgl_string1785za700za7za7_1848za7, "&rgc-buffer-eol?", 16);
	      DEFINE_STRING(BGl_string1786z00zz__rgcz00,
		BgL_bgl_string1786za700za7za7_1849za7, "&rgc-buffer-bof?", 16);
	      DEFINE_STRING(BGl_string1787z00zz__rgcz00,
		BgL_bgl_string1787za700za7za7_1850za7, "&rgc-buffer-eof?", 16);
	      DEFINE_STRING(BGl_string1788z00zz__rgcz00,
		BgL_bgl_string1788za700za7za7_1851za7, "&rgc-buffer-eof2?", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71852za7,
		BGl_z62rgczd2bufferzd2integerz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1790z00zz__rgcz00,
		BgL_bgl_string1790za700za7za7_1853za7, "stop", 4);
	      DEFINE_STRING(BGl_string1792z00zz__rgcz00,
		BgL_bgl_string1792za700za7za7_1854za7, "start", 5);
	      DEFINE_STRING(BGl_string1794z00zz__rgcz00,
		BgL_bgl_string1794za700za7za7_1855za7, "start*", 6);
	      DEFINE_STRING(BGl_string1795z00zz__rgcz00,
		BgL_bgl_string1795za700za7za7_1856za7, "&rgc-the-submatch", 17);
	      DEFINE_STRING(BGl_string1796z00zz__rgcz00,
		BgL_bgl_string1796za700za7za7_1857za7, "__rgc", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71858za7,
		BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71859za7,
		BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2charz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71860za7,
		BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71861za7,
		BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2fillza7d21862za7,
		BGl_z62rgczd2fillzd2bufferz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71863za7,
		BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71864za7,
		BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71865za7,
		BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71866za7,
		BGl_z62rgczd2bufferzd2characterz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2escapezd2substringzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71867za7,
		BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71868za7,
		BGl_z62rgczd2bufferzd2substringz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2startza7d1869za7,
		BGl_z62rgczd2startzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71870za7,
		BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bytezd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71871za7,
		BGl_z62rgczd2bufferzd2bytez62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71872za7,
		BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2setza7d2f1873za7,
		BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71874za7,
		BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1789z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1791z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1793z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_za2unsafezd2rgcza2zd2zz__rgcz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long
		BgL_checksumz00_1942, char *BgL_fromz00_1943)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgcz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rgcz00();
					BGl_cnstzd2initzd2zz__rgcz00();
					BGl_importedzd2moduleszd2initz00zz__rgcz00();
					return BGl_toplevelzd2initzd2zz__rgcz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			BGl_symbol1789z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1790z00zz__rgcz00);
			BGl_symbol1791z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1792z00zz__rgcz00);
			return (BGl_symbol1793z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1794z00zz__rgcz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return (BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-get-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_3, long BgL_indexz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 240 */
			return RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_3, BgL_indexz00_4);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-get-char */
	obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t BgL_envz00_1721,
		obj_t BgL_inputzd2portzd2_1722, obj_t BgL_indexz00_1723)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 240 */
			{	/* Rgc/rgc.scm 241 */
				int BgL_tmpz00_1956;

				{	/* Rgc/rgc.scm 241 */
					long BgL_auxz00_1964;
					obj_t BgL_auxz00_1957;

					{	/* Rgc/rgc.scm 241 */
						obj_t BgL_tmpz00_1965;

						if (INTEGERP(BgL_indexz00_1723))
							{	/* Rgc/rgc.scm 241 */
								BgL_tmpz00_1965 = BgL_indexz00_1723;
							}
						else
							{
								obj_t BgL_auxz00_1968;

								BgL_auxz00_1968 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 11332)), BGl_string1752z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_indexz00_1723);
								FAILURE(BgL_auxz00_1968, BFALSE, BFALSE);
							}
						BgL_auxz00_1964 = (long) CINT(BgL_tmpz00_1965);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1722))
						{	/* Rgc/rgc.scm 241 */
							BgL_auxz00_1957 = BgL_inputzd2portzd2_1722;
						}
					else
						{
							obj_t BgL_auxz00_1960;

							BgL_auxz00_1960 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 11332)), BGl_string1752z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1722);
							FAILURE(BgL_auxz00_1960, BFALSE, BFALSE);
						}
					BgL_tmpz00_1956 =
						BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(BgL_auxz00_1957,
						BgL_auxz00_1964);
				}
				return BINT(BgL_tmpz00_1956);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-unget-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_5, int BgL_charz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 246 */
			return rgc_buffer_unget_char(BgL_inputzd2portzd2_5, BgL_charz00_6);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-unget-char */
	obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t BgL_envz00_1724,
		obj_t BgL_inputzd2portzd2_1725, obj_t BgL_charz00_1726)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 246 */
			{	/* Rgc/rgc.scm 247 */
				int BgL_tmpz00_1976;

				{	/* Rgc/rgc.scm 247 */
					int BgL_auxz00_1984;
					obj_t BgL_auxz00_1977;

					{	/* Rgc/rgc.scm 247 */
						obj_t BgL_tmpz00_1985;

						if (INTEGERP(BgL_charz00_1726))
							{	/* Rgc/rgc.scm 247 */
								BgL_tmpz00_1985 = BgL_charz00_1726;
							}
						else
							{
								obj_t BgL_auxz00_1988;

								BgL_auxz00_1988 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 11654)), BGl_string1755z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_charz00_1726);
								FAILURE(BgL_auxz00_1988, BFALSE, BFALSE);
							}
						BgL_auxz00_1984 = CINT(BgL_tmpz00_1985);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1725))
						{	/* Rgc/rgc.scm 247 */
							BgL_auxz00_1977 = BgL_inputzd2portzd2_1725;
						}
					else
						{
							obj_t BgL_auxz00_1980;

							BgL_auxz00_1980 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 11654)), BGl_string1755z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1725);
							FAILURE(BgL_auxz00_1980, BFALSE, BFALSE);
						}
					BgL_tmpz00_1976 =
						BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(BgL_auxz00_1977,
						BgL_auxz00_1984);
				}
				return BINT(BgL_tmpz00_1976);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-insert-substring! */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_7, obj_t BgL_strz00_8, long BgL_fromz00_9,
		long BgL_toz00_10)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 252 */
			return
				rgc_buffer_insert_substring(BgL_inputzd2portzd2_7, BgL_strz00_8,
				BgL_fromz00_9, BgL_toz00_10);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-insert-substring! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t
		BgL_envz00_1727, obj_t BgL_inputzd2portzd2_1728, obj_t BgL_strz00_1729,
		obj_t BgL_fromz00_1730, obj_t BgL_toz00_1731)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 252 */
			{	/* Rgc/rgc.scm 253 */
				bool_t BgL_tmpz00_1996;

				{	/* Rgc/rgc.scm 253 */
					long BgL_auxz00_2020;
					long BgL_auxz00_2011;
					obj_t BgL_auxz00_2004;
					obj_t BgL_auxz00_1997;

					{	/* Rgc/rgc.scm 253 */
						obj_t BgL_tmpz00_2021;

						if (INTEGERP(BgL_toz00_1731))
							{	/* Rgc/rgc.scm 253 */
								BgL_tmpz00_2021 = BgL_toz00_1731;
							}
						else
							{
								obj_t BgL_auxz00_2024;

								BgL_auxz00_2024 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 11991)), BGl_string1756z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_toz00_1731);
								FAILURE(BgL_auxz00_2024, BFALSE, BFALSE);
							}
						BgL_auxz00_2020 = (long) CINT(BgL_tmpz00_2021);
					}
					{	/* Rgc/rgc.scm 253 */
						obj_t BgL_tmpz00_2012;

						if (INTEGERP(BgL_fromz00_1730))
							{	/* Rgc/rgc.scm 253 */
								BgL_tmpz00_2012 = BgL_fromz00_1730;
							}
						else
							{
								obj_t BgL_auxz00_2015;

								BgL_auxz00_2015 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 11991)), BGl_string1756z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_fromz00_1730);
								FAILURE(BgL_auxz00_2015, BFALSE, BFALSE);
							}
						BgL_auxz00_2011 = (long) CINT(BgL_tmpz00_2012);
					}
					if (STRINGP(BgL_strz00_1729))
						{	/* Rgc/rgc.scm 253 */
							BgL_auxz00_2004 = BgL_strz00_1729;
						}
					else
						{
							obj_t BgL_auxz00_2007;

							BgL_auxz00_2007 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 11991)), BGl_string1756z00zz__rgcz00,
								BGl_string1757z00zz__rgcz00, BgL_strz00_1729);
							FAILURE(BgL_auxz00_2007, BFALSE, BFALSE);
						}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1728))
						{	/* Rgc/rgc.scm 253 */
							BgL_auxz00_1997 = BgL_inputzd2portzd2_1728;
						}
					else
						{
							obj_t BgL_auxz00_2000;

							BgL_auxz00_2000 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 11991)), BGl_string1756z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1728);
							FAILURE(BgL_auxz00_2000, BFALSE, BFALSE);
						}
					BgL_tmpz00_1996 =
						BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00
						(BgL_auxz00_1997, BgL_auxz00_2004, BgL_auxz00_2011,
						BgL_auxz00_2020);
				}
				return BBOOL(BgL_tmpz00_1996);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-insert-char! */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_11, long BgL_charz00_12)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 258 */
			return
				rgc_buffer_insert_char(BgL_inputzd2portzd2_11, (int) (BgL_charz00_12));
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-insert-char! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t
		BgL_envz00_1732, obj_t BgL_inputzd2portzd2_1733, obj_t BgL_charz00_1734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 258 */
			{	/* Rgc/rgc.scm 259 */
				bool_t BgL_tmpz00_2033;

				{	/* Rgc/rgc.scm 259 */
					long BgL_auxz00_2041;
					obj_t BgL_auxz00_2034;

					{	/* Rgc/rgc.scm 259 */
						obj_t BgL_tmpz00_2042;

						if (INTEGERP(BgL_charz00_1734))
							{	/* Rgc/rgc.scm 259 */
								BgL_tmpz00_2042 = BgL_charz00_1734;
							}
						else
							{
								obj_t BgL_auxz00_2045;

								BgL_auxz00_2045 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 12329)), BGl_string1758z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_charz00_1734);
								FAILURE(BgL_auxz00_2045, BFALSE, BFALSE);
							}
						BgL_auxz00_2041 = (long) CINT(BgL_tmpz00_2042);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1733))
						{	/* Rgc/rgc.scm 259 */
							BgL_auxz00_2034 = BgL_inputzd2portzd2_1733;
						}
					else
						{
							obj_t BgL_auxz00_2037;

							BgL_auxz00_2037 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 12329)), BGl_string1758z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1733);
							FAILURE(BgL_auxz00_2037, BFALSE, BFALSE);
						}
					BgL_tmpz00_2033 =
						BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(BgL_auxz00_2034,
						BgL_auxz00_2041);
				}
				return BBOOL(BgL_tmpz00_2033);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-character */
	BGL_EXPORTED_DEF unsigned char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_13)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 264 */
			return RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_13);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-character */
	obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t BgL_envz00_1735,
		obj_t BgL_inputzd2portzd2_1736)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 264 */
			{	/* Rgc/rgc.scm 265 */
				unsigned char BgL_tmpz00_2053;

				{	/* Rgc/rgc.scm 265 */
					obj_t BgL_auxz00_2054;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1736))
						{	/* Rgc/rgc.scm 265 */
							BgL_auxz00_2054 = BgL_inputzd2portzd2_1736;
						}
					else
						{
							obj_t BgL_auxz00_2057;

							BgL_auxz00_2057 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 12647)), BGl_string1759z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1736);
							FAILURE(BgL_auxz00_2057, BFALSE, BFALSE);
						}
					BgL_tmpz00_2053 =
						BGl_rgczd2bufferzd2characterz00zz__rgcz00(BgL_auxz00_2054);
				}
				return BCHAR(BgL_tmpz00_2053);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-byte */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_14)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 270 */
			return RGC_BUFFER_BYTE(BgL_inputzd2portzd2_14);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-byte */
	obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t BgL_envz00_1737,
		obj_t BgL_inputzd2portzd2_1738)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 270 */
			{	/* Rgc/rgc.scm 271 */
				int BgL_tmpz00_2064;

				{	/* Rgc/rgc.scm 271 */
					obj_t BgL_auxz00_2065;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1738))
						{	/* Rgc/rgc.scm 271 */
							BgL_auxz00_2065 = BgL_inputzd2portzd2_1738;
						}
					else
						{
							obj_t BgL_auxz00_2068;

							BgL_auxz00_2068 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 12953)), BGl_string1760z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1738);
							FAILURE(BgL_auxz00_2068, BFALSE, BFALSE);
						}
					BgL_tmpz00_2064 =
						BGl_rgczd2bufferzd2bytez00zz__rgcz00(BgL_auxz00_2065);
				}
				return BINT(BgL_tmpz00_2064);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-byte-ref */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_15, int BgL_offsetz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 276 */
			return RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_15, BgL_offsetz00_16);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-byte-ref */
	obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t BgL_envz00_1739,
		obj_t BgL_inputzd2portzd2_1740, obj_t BgL_offsetz00_1741)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 276 */
			{	/* Rgc/rgc.scm 277 */
				int BgL_tmpz00_2075;

				{	/* Rgc/rgc.scm 277 */
					int BgL_auxz00_2083;
					obj_t BgL_auxz00_2076;

					{	/* Rgc/rgc.scm 277 */
						obj_t BgL_tmpz00_2084;

						if (INTEGERP(BgL_offsetz00_1741))
							{	/* Rgc/rgc.scm 277 */
								BgL_tmpz00_2084 = BgL_offsetz00_1741;
							}
						else
							{
								obj_t BgL_auxz00_2087;

								BgL_auxz00_2087 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 13265)), BGl_string1761z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_offsetz00_1741);
								FAILURE(BgL_auxz00_2087, BFALSE, BFALSE);
							}
						BgL_auxz00_2083 = CINT(BgL_tmpz00_2084);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1740))
						{	/* Rgc/rgc.scm 277 */
							BgL_auxz00_2076 = BgL_inputzd2portzd2_1740;
						}
					else
						{
							obj_t BgL_auxz00_2079;

							BgL_auxz00_2079 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 13265)), BGl_string1761z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1740);
							FAILURE(BgL_auxz00_2079, BFALSE, BFALSE);
						}
					BgL_tmpz00_2075 =
						BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(BgL_auxz00_2076,
						BgL_auxz00_2083);
				}
				return BINT(BgL_tmpz00_2075);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-substring */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_17, long BgL_startz00_18, long BgL_stopz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 282 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_17, BgL_startz00_18,
				BgL_stopz00_19);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-substring */
	obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t BgL_envz00_1742,
		obj_t BgL_inputzd2portzd2_1743, obj_t BgL_startz00_1744,
		obj_t BgL_stopz00_1745)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 282 */
			{	/* Rgc/rgc.scm 283 */
				long BgL_auxz00_2111;
				long BgL_auxz00_2102;
				obj_t BgL_auxz00_2095;

				{	/* Rgc/rgc.scm 283 */
					obj_t BgL_tmpz00_2112;

					if (INTEGERP(BgL_stopz00_1745))
						{	/* Rgc/rgc.scm 283 */
							BgL_tmpz00_2112 = BgL_stopz00_1745;
						}
					else
						{
							obj_t BgL_auxz00_2115;

							BgL_auxz00_2115 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 13593)), BGl_string1762z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_stopz00_1745);
							FAILURE(BgL_auxz00_2115, BFALSE, BFALSE);
						}
					BgL_auxz00_2111 = (long) CINT(BgL_tmpz00_2112);
				}
				{	/* Rgc/rgc.scm 283 */
					obj_t BgL_tmpz00_2103;

					if (INTEGERP(BgL_startz00_1744))
						{	/* Rgc/rgc.scm 283 */
							BgL_tmpz00_2103 = BgL_startz00_1744;
						}
					else
						{
							obj_t BgL_auxz00_2106;

							BgL_auxz00_2106 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 13593)), BGl_string1762z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_startz00_1744);
							FAILURE(BgL_auxz00_2106, BFALSE, BFALSE);
						}
					BgL_auxz00_2102 = (long) CINT(BgL_tmpz00_2103);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1743))
					{	/* Rgc/rgc.scm 283 */
						BgL_auxz00_2095 = BgL_inputzd2portzd2_1743;
					}
				else
					{
						obj_t BgL_auxz00_2098;

						BgL_auxz00_2098 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 13593)), BGl_string1762z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1743);
						FAILURE(BgL_auxz00_2098, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2substringz00zz__rgcz00(BgL_auxz00_2095,
					BgL_auxz00_2102, BgL_auxz00_2111);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-escape-substring */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_20, long BgL_startz00_21, long BgL_stopz00_22,
		bool_t BgL_strictz00_23)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 288 */
			return
				rgc_buffer_escape_substring(BgL_inputzd2portzd2_20, BgL_startz00_21,
				BgL_stopz00_22, BgL_strictz00_23);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-escape-substring */
	obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t
		BgL_envz00_1746, obj_t BgL_inputzd2portzd2_1747, obj_t BgL_startz00_1748,
		obj_t BgL_stopz00_1749, obj_t BgL_strictz00_1750)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 288 */
			{	/* Rgc/rgc.scm 289 */
				long BgL_auxz00_2138;
				long BgL_auxz00_2129;
				obj_t BgL_auxz00_2122;

				{	/* Rgc/rgc.scm 289 */
					obj_t BgL_tmpz00_2139;

					if (INTEGERP(BgL_stopz00_1749))
						{	/* Rgc/rgc.scm 289 */
							BgL_tmpz00_2139 = BgL_stopz00_1749;
						}
					else
						{
							obj_t BgL_auxz00_2142;

							BgL_auxz00_2142 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 13940)), BGl_string1763z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_stopz00_1749);
							FAILURE(BgL_auxz00_2142, BFALSE, BFALSE);
						}
					BgL_auxz00_2138 = (long) CINT(BgL_tmpz00_2139);
				}
				{	/* Rgc/rgc.scm 289 */
					obj_t BgL_tmpz00_2130;

					if (INTEGERP(BgL_startz00_1748))
						{	/* Rgc/rgc.scm 289 */
							BgL_tmpz00_2130 = BgL_startz00_1748;
						}
					else
						{
							obj_t BgL_auxz00_2133;

							BgL_auxz00_2133 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 13940)), BGl_string1763z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_startz00_1748);
							FAILURE(BgL_auxz00_2133, BFALSE, BFALSE);
						}
					BgL_auxz00_2129 = (long) CINT(BgL_tmpz00_2130);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1747))
					{	/* Rgc/rgc.scm 289 */
						BgL_auxz00_2122 = BgL_inputzd2portzd2_1747;
					}
				else
					{
						obj_t BgL_auxz00_2125;

						BgL_auxz00_2125 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 13940)), BGl_string1763z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1747);
						FAILURE(BgL_auxz00_2125, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(BgL_auxz00_2122,
					BgL_auxz00_2129, BgL_auxz00_2138, CBOOL(BgL_strictz00_1750));
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-length */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 294 */
			return RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_24);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-length */
	obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t BgL_envz00_1751,
		obj_t BgL_inputzd2portzd2_1752)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 294 */
			{	/* Rgc/rgc.scm 295 */
				long BgL_tmpz00_2150;

				{	/* Rgc/rgc.scm 295 */
					obj_t BgL_auxz00_2151;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1752))
						{	/* Rgc/rgc.scm 295 */
							BgL_auxz00_2151 = BgL_inputzd2portzd2_1752;
						}
					else
						{
							obj_t BgL_auxz00_2154;

							BgL_auxz00_2154 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 14291)), BGl_string1764z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1752);
							FAILURE(BgL_auxz00_2154, BFALSE, BFALSE);
						}
					BgL_tmpz00_2150 =
						BGl_rgczd2bufferzd2lengthz00zz__rgcz00(BgL_auxz00_2151);
				}
				return BINT(BgL_tmpz00_2150);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-fixnum */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_25)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 300 */
			return rgc_buffer_fixnum(BgL_inputzd2portzd2_25);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-fixnum */
	obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t BgL_envz00_1753,
		obj_t BgL_inputzd2portzd2_1754)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 300 */
			{	/* Rgc/rgc.scm 301 */
				long BgL_tmpz00_2161;

				{	/* Rgc/rgc.scm 301 */
					obj_t BgL_auxz00_2162;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1754))
						{	/* Rgc/rgc.scm 301 */
							BgL_auxz00_2162 = BgL_inputzd2portzd2_1754;
						}
					else
						{
							obj_t BgL_auxz00_2165;

							BgL_auxz00_2165 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 14614)), BGl_string1765z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1754);
							FAILURE(BgL_auxz00_2165, BFALSE, BFALSE);
						}
					BgL_tmpz00_2161 =
						BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(BgL_auxz00_2162);
				}
				return BINT(BgL_tmpz00_2161);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-integer */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 306 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_26);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-integer */
	obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t BgL_envz00_1755,
		obj_t BgL_inputzd2portzd2_1756)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 306 */
			{	/* Rgc/rgc.scm 307 */
				obj_t BgL_auxz00_2172;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1756))
					{	/* Rgc/rgc.scm 307 */
						BgL_auxz00_2172 = BgL_inputzd2portzd2_1756;
					}
				else
					{
						obj_t BgL_auxz00_2175;

						BgL_auxz00_2175 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 14937)), BGl_string1766z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1756);
						FAILURE(BgL_auxz00_2175, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2integerz00zz__rgcz00(BgL_auxz00_2172);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-flonum */
	BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 312 */
			return rgc_buffer_flonum(BgL_inputzd2portzd2_27);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-flonum */
	obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t BgL_envz00_1757,
		obj_t BgL_inputzd2portzd2_1758)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 312 */
			{	/* Rgc/rgc.scm 313 */
				double BgL_tmpz00_2181;

				{	/* Rgc/rgc.scm 313 */
					obj_t BgL_auxz00_2182;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1758))
						{	/* Rgc/rgc.scm 313 */
							BgL_auxz00_2182 = BgL_inputzd2portzd2_1758;
						}
					else
						{
							obj_t BgL_auxz00_2185;

							BgL_auxz00_2185 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 15263)), BGl_string1767z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1758);
							FAILURE(BgL_auxz00_2185, BFALSE, BFALSE);
						}
					BgL_tmpz00_2181 =
						BGl_rgczd2bufferzd2flonumz00zz__rgcz00(BgL_auxz00_2182);
				}
				return DOUBLE_TO_REAL(BgL_tmpz00_2181);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_28)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 318 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_28);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-symbol */
	obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t BgL_envz00_1759,
		obj_t BgL_inputzd2portzd2_1760)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 318 */
			{	/* Rgc/rgc.scm 319 */
				obj_t BgL_auxz00_2192;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1760))
					{	/* Rgc/rgc.scm 319 */
						BgL_auxz00_2192 = BgL_inputzd2portzd2_1760;
					}
				else
					{
						obj_t BgL_auxz00_2195;

						BgL_auxz00_2195 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 15588)), BGl_string1768z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1760);
						FAILURE(BgL_auxz00_2195, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2symbolz00zz__rgcz00(BgL_auxz00_2192);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-subsymbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_29, long BgL_startz00_30, long BgL_stopz00_31)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 324 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_29, BgL_startz00_30,
				BgL_stopz00_31);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t BgL_envz00_1761,
		obj_t BgL_inputzd2portzd2_1762, obj_t BgL_startz00_1763,
		obj_t BgL_stopz00_1764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 324 */
			{	/* Rgc/rgc.scm 325 */
				long BgL_auxz00_2217;
				long BgL_auxz00_2208;
				obj_t BgL_auxz00_2201;

				{	/* Rgc/rgc.scm 325 */
					obj_t BgL_tmpz00_2218;

					if (INTEGERP(BgL_stopz00_1764))
						{	/* Rgc/rgc.scm 325 */
							BgL_tmpz00_2218 = BgL_stopz00_1764;
						}
					else
						{
							obj_t BgL_auxz00_2221;

							BgL_auxz00_2221 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 15907)), BGl_string1769z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_stopz00_1764);
							FAILURE(BgL_auxz00_2221, BFALSE, BFALSE);
						}
					BgL_auxz00_2217 = (long) CINT(BgL_tmpz00_2218);
				}
				{	/* Rgc/rgc.scm 325 */
					obj_t BgL_tmpz00_2209;

					if (INTEGERP(BgL_startz00_1763))
						{	/* Rgc/rgc.scm 325 */
							BgL_tmpz00_2209 = BgL_startz00_1763;
						}
					else
						{
							obj_t BgL_auxz00_2212;

							BgL_auxz00_2212 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 15907)), BGl_string1769z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_startz00_1763);
							FAILURE(BgL_auxz00_2212, BFALSE, BFALSE);
						}
					BgL_auxz00_2208 = (long) CINT(BgL_tmpz00_2209);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1762))
					{	/* Rgc/rgc.scm 325 */
						BgL_auxz00_2201 = BgL_inputzd2portzd2_1762;
					}
				else
					{
						obj_t BgL_auxz00_2204;

						BgL_auxz00_2204 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 15907)), BGl_string1769z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1762);
						FAILURE(BgL_auxz00_2204, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(BgL_auxz00_2201,
					BgL_auxz00_2208, BgL_auxz00_2217);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-downcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_32)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 330 */
			{	/* Rgc/rgc.scm 331 */
				long BgL_arg1159z00_1938;

				{	/* Rgc/rgc.scm 331 */
					long BgL_res1559z00_1939;

					BgL_res1559z00_1939 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_32);
					BgL_arg1159z00_1938 = BgL_res1559z00_1939;
				}
				return
					rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_32, ((long) 0),
					BgL_arg1159z00_1938);
		}}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-downcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1765, obj_t BgL_inputzd2portzd2_1766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 330 */
			{	/* Rgc/rgc.scm 331 */
				obj_t BgL_auxz00_2229;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1766))
					{	/* Rgc/rgc.scm 331 */
						BgL_auxz00_2229 = BgL_inputzd2portzd2_1766;
					}
				else
					{
						obj_t BgL_auxz00_2232;

						BgL_auxz00_2232 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 16300)), BGl_string1770z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1766);
						FAILURE(BgL_auxz00_2232, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(BgL_auxz00_2229);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-downcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_33, long BgL_startz00_34, long BgL_stopz00_35)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 336 */
			return
				rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_33, BgL_startz00_34,
				BgL_stopz00_35);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-downcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1767, obj_t BgL_inputzd2portzd2_1768, obj_t BgL_startz00_1769,
		obj_t BgL_stopz00_1770)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 336 */
			{	/* Rgc/rgc.scm 337 */
				long BgL_auxz00_2254;
				long BgL_auxz00_2245;
				obj_t BgL_auxz00_2238;

				{	/* Rgc/rgc.scm 337 */
					obj_t BgL_tmpz00_2255;

					if (INTEGERP(BgL_stopz00_1770))
						{	/* Rgc/rgc.scm 337 */
							BgL_tmpz00_2255 = BgL_stopz00_1770;
						}
					else
						{
							obj_t BgL_auxz00_2258;

							BgL_auxz00_2258 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 16640)), BGl_string1771z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_stopz00_1770);
							FAILURE(BgL_auxz00_2258, BFALSE, BFALSE);
						}
					BgL_auxz00_2254 = (long) CINT(BgL_tmpz00_2255);
				}
				{	/* Rgc/rgc.scm 337 */
					obj_t BgL_tmpz00_2246;

					if (INTEGERP(BgL_startz00_1769))
						{	/* Rgc/rgc.scm 337 */
							BgL_tmpz00_2246 = BgL_startz00_1769;
						}
					else
						{
							obj_t BgL_auxz00_2249;

							BgL_auxz00_2249 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 16640)), BGl_string1771z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_startz00_1769);
							FAILURE(BgL_auxz00_2249, BFALSE, BFALSE);
						}
					BgL_auxz00_2245 = (long) CINT(BgL_tmpz00_2246);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1768))
					{	/* Rgc/rgc.scm 337 */
						BgL_auxz00_2238 = BgL_inputzd2portzd2_1768;
					}
				else
					{
						obj_t BgL_auxz00_2241;

						BgL_auxz00_2241 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 16640)), BGl_string1771z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1768);
						FAILURE(BgL_auxz00_2241, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(BgL_auxz00_2238,
					BgL_auxz00_2245, BgL_auxz00_2254);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-upcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 342 */
			{	/* Rgc/rgc.scm 343 */
				long BgL_arg1161z00_1940;

				{	/* Rgc/rgc.scm 343 */
					long BgL_res1560z00_1941;

					BgL_res1560z00_1941 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_36);
					BgL_arg1161z00_1940 = BgL_res1560z00_1941;
				}
				return
					rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_36, ((long) 0),
					BgL_arg1161z00_1940);
		}}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-upcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1771, obj_t BgL_inputzd2portzd2_1772)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 342 */
			{	/* Rgc/rgc.scm 343 */
				obj_t BgL_auxz00_2266;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1772))
					{	/* Rgc/rgc.scm 343 */
						BgL_auxz00_2266 = BgL_inputzd2portzd2_1772;
					}
				else
					{
						obj_t BgL_auxz00_2269;

						BgL_auxz00_2269 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 17038)), BGl_string1772z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1772);
						FAILURE(BgL_auxz00_2269, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(BgL_auxz00_2266);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-upcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_37, long BgL_startz00_38, long BgL_stopz00_39)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 348 */
			return
				rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_37, BgL_startz00_38,
				BgL_stopz00_39);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-upcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1773, obj_t BgL_inputzd2portzd2_1774, obj_t BgL_startz00_1775,
		obj_t BgL_stopz00_1776)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 348 */
			{	/* Rgc/rgc.scm 349 */
				long BgL_auxz00_2291;
				long BgL_auxz00_2282;
				obj_t BgL_auxz00_2275;

				{	/* Rgc/rgc.scm 349 */
					obj_t BgL_tmpz00_2292;

					if (INTEGERP(BgL_stopz00_1776))
						{	/* Rgc/rgc.scm 349 */
							BgL_tmpz00_2292 = BgL_stopz00_1776;
						}
					else
						{
							obj_t BgL_auxz00_2295;

							BgL_auxz00_2295 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 17376)), BGl_string1773z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_stopz00_1776);
							FAILURE(BgL_auxz00_2295, BFALSE, BFALSE);
						}
					BgL_auxz00_2291 = (long) CINT(BgL_tmpz00_2292);
				}
				{	/* Rgc/rgc.scm 349 */
					obj_t BgL_tmpz00_2283;

					if (INTEGERP(BgL_startz00_1775))
						{	/* Rgc/rgc.scm 349 */
							BgL_tmpz00_2283 = BgL_startz00_1775;
						}
					else
						{
							obj_t BgL_auxz00_2286;

							BgL_auxz00_2286 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 17376)), BGl_string1773z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_startz00_1775);
							FAILURE(BgL_auxz00_2286, BFALSE, BFALSE);
						}
					BgL_auxz00_2282 = (long) CINT(BgL_tmpz00_2283);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1774))
					{	/* Rgc/rgc.scm 349 */
						BgL_auxz00_2275 = BgL_inputzd2portzd2_1774;
					}
				else
					{
						obj_t BgL_auxz00_2278;

						BgL_auxz00_2278 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 17376)), BGl_string1773z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1774);
						FAILURE(BgL_auxz00_2278, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(BgL_auxz00_2275,
					BgL_auxz00_2282, BgL_auxz00_2291);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_40)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 354 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_40);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-keyword */
	obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t BgL_envz00_1777,
		obj_t BgL_inputzd2portzd2_1778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 354 */
			{	/* Rgc/rgc.scm 355 */
				obj_t BgL_auxz00_2302;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1778))
					{	/* Rgc/rgc.scm 355 */
						BgL_auxz00_2302 = BgL_inputzd2portzd2_1778;
					}
				else
					{
						obj_t BgL_auxz00_2305;

						BgL_auxz00_2305 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 17724)), BGl_string1774z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1778);
						FAILURE(BgL_auxz00_2305, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2keywordz00zz__rgcz00(BgL_auxz00_2302);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-downcase-keyword */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_41)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 360 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_41);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-downcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1779, obj_t BgL_inputzd2portzd2_1780)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 360 */
			{	/* Rgc/rgc.scm 361 */
				obj_t BgL_auxz00_2311;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1780))
					{	/* Rgc/rgc.scm 361 */
						BgL_auxz00_2311 = BgL_inputzd2portzd2_1780;
					}
				else
					{
						obj_t BgL_auxz00_2314;

						BgL_auxz00_2314 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 18061)), BGl_string1775z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1780);
						FAILURE(BgL_auxz00_2314, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(BgL_auxz00_2311);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-upcase-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_42)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 366 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_42);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-upcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1781, obj_t BgL_inputzd2portzd2_1782)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 366 */
			{	/* Rgc/rgc.scm 367 */
				obj_t BgL_auxz00_2320;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1782))
					{	/* Rgc/rgc.scm 367 */
						BgL_auxz00_2320 = BgL_inputzd2portzd2_1782;
					}
				else
					{
						obj_t BgL_auxz00_2323;

						BgL_auxz00_2323 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 18405)), BGl_string1776z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1782);
						FAILURE(BgL_auxz00_2323, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(BgL_auxz00_2320);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-position */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_43, long BgL_forwardz00_44)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 372 */
			return RGC_BUFFER_POSITION(BgL_inputzd2portzd2_43, BgL_forwardz00_44);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-position */
	obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t BgL_envz00_1783,
		obj_t BgL_inputzd2portzd2_1784, obj_t BgL_forwardz00_1785)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 372 */
			{	/* Rgc/rgc.scm 373 */
				long BgL_tmpz00_2329;

				{	/* Rgc/rgc.scm 373 */
					long BgL_auxz00_2337;
					obj_t BgL_auxz00_2330;

					{	/* Rgc/rgc.scm 373 */
						obj_t BgL_tmpz00_2338;

						if (INTEGERP(BgL_forwardz00_1785))
							{	/* Rgc/rgc.scm 373 */
								BgL_tmpz00_2338 = BgL_forwardz00_1785;
							}
						else
							{
								obj_t BgL_auxz00_2341;

								BgL_auxz00_2341 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 18746)), BGl_string1777z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_forwardz00_1785);
								FAILURE(BgL_auxz00_2341, BFALSE, BFALSE);
							}
						BgL_auxz00_2337 = (long) CINT(BgL_tmpz00_2338);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1784))
						{	/* Rgc/rgc.scm 373 */
							BgL_auxz00_2330 = BgL_inputzd2portzd2_1784;
						}
					else
						{
							obj_t BgL_auxz00_2333;

							BgL_auxz00_2333 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 18746)), BGl_string1777z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1784);
							FAILURE(BgL_auxz00_2333, BFALSE, BFALSE);
						}
					BgL_tmpz00_2329 =
						BGl_rgczd2bufferzd2positionz00zz__rgcz00(BgL_auxz00_2330,
						BgL_auxz00_2337);
				}
				return BINT(BgL_tmpz00_2329);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-forward */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 378 */
			return RGC_BUFFER_FORWARD(BgL_inputzd2portzd2_45);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-forward */
	obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t BgL_envz00_1786,
		obj_t BgL_inputzd2portzd2_1787)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 378 */
			{	/* Rgc/rgc.scm 379 */
				long BgL_tmpz00_2349;

				{	/* Rgc/rgc.scm 379 */
					obj_t BgL_auxz00_2350;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1787))
						{	/* Rgc/rgc.scm 379 */
							BgL_auxz00_2350 = BgL_inputzd2portzd2_1787;
						}
					else
						{
							obj_t BgL_auxz00_2353;

							BgL_auxz00_2353 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 19080)), BGl_string1778z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1787);
							FAILURE(BgL_auxz00_2353, BFALSE, BFALSE);
						}
					BgL_tmpz00_2349 =
						BGl_rgczd2bufferzd2forwardz00zz__rgcz00(BgL_auxz00_2350);
				}
				return BINT(BgL_tmpz00_2349);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-bufpos */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_46)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 384 */
			return RGC_BUFFER_BUFPOS(BgL_inputzd2portzd2_46);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-bufpos */
	obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t BgL_envz00_1788,
		obj_t BgL_inputzd2portzd2_1789)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 384 */
			{	/* Rgc/rgc.scm 385 */
				long BgL_tmpz00_2360;

				{	/* Rgc/rgc.scm 385 */
					obj_t BgL_auxz00_2361;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1789))
						{	/* Rgc/rgc.scm 385 */
							BgL_auxz00_2361 = BgL_inputzd2portzd2_1789;
						}
					else
						{
							obj_t BgL_auxz00_2364;

							BgL_auxz00_2364 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 19404)), BGl_string1779z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1789);
							FAILURE(BgL_auxz00_2364, BFALSE, BFALSE);
						}
					BgL_tmpz00_2360 =
						BGl_rgczd2bufferzd2bufposz00zz__rgcz00(BgL_auxz00_2361);
				}
				return BINT(BgL_tmpz00_2360);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-set-filepos! */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 390 */
			return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_47));
		}
		BGL_FUNCTION_END;
	}



/* &rgc-set-filepos! */
	obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t BgL_envz00_1790,
		obj_t BgL_inputzd2portzd2_1791)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 390 */
			{	/* Rgc/rgc.scm 391 */
				obj_t BgL_auxz00_2372;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1791))
					{	/* Rgc/rgc.scm 391 */
						BgL_auxz00_2372 = BgL_inputzd2portzd2_1791;
					}
				else
					{
						obj_t BgL_auxz00_2375;

						BgL_auxz00_2375 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
							BINT(((long) 19720)), BGl_string1780z00zz__rgcz00,
							BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1791);
						FAILURE(BgL_auxz00_2375, BFALSE, BFALSE);
					}
				return BGl_rgczd2setzd2fileposz12z12zz__rgcz00(BgL_auxz00_2372);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-start-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_48)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 396 */
			return RGC_START_MATCH(BgL_inputzd2portzd2_48);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-start-match! */
	obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1792,
		obj_t BgL_inputzd2portzd2_1793)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 396 */
			{	/* Rgc/rgc.scm 397 */
				long BgL_tmpz00_2381;

				{	/* Rgc/rgc.scm 397 */
					obj_t BgL_auxz00_2382;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1793))
						{	/* Rgc/rgc.scm 397 */
							BgL_auxz00_2382 = BgL_inputzd2portzd2_1793;
						}
					else
						{
							obj_t BgL_auxz00_2385;

							BgL_auxz00_2385 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 20023)), BGl_string1781z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1793);
							FAILURE(BgL_auxz00_2385, BFALSE, BFALSE);
						}
					BgL_tmpz00_2381 =
						BGl_rgczd2startzd2matchz12z12zz__rgcz00(BgL_auxz00_2382);
				}
				return BINT(BgL_tmpz00_2381);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-stop-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_49, long BgL_forwardz00_50)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 402 */
			return RGC_STOP_MATCH(BgL_inputzd2portzd2_49, BgL_forwardz00_50);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-stop-match! */
	obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1794,
		obj_t BgL_inputzd2portzd2_1795, obj_t BgL_forwardz00_1796)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 402 */
			{	/* Rgc/rgc.scm 403 */
				long BgL_tmpz00_2392;

				{	/* Rgc/rgc.scm 403 */
					long BgL_auxz00_2400;
					obj_t BgL_auxz00_2393;

					{	/* Rgc/rgc.scm 403 */
						obj_t BgL_tmpz00_2401;

						if (INTEGERP(BgL_forwardz00_1796))
							{	/* Rgc/rgc.scm 403 */
								BgL_tmpz00_2401 = BgL_forwardz00_1796;
							}
						else
							{
								obj_t BgL_auxz00_2404;

								BgL_auxz00_2404 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 20333)), BGl_string1782z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_forwardz00_1796);
								FAILURE(BgL_auxz00_2404, BFALSE, BFALSE);
							}
						BgL_auxz00_2400 = (long) CINT(BgL_tmpz00_2401);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1795))
						{	/* Rgc/rgc.scm 403 */
							BgL_auxz00_2393 = BgL_inputzd2portzd2_1795;
						}
					else
						{
							obj_t BgL_auxz00_2396;

							BgL_auxz00_2396 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 20333)), BGl_string1782z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1795);
							FAILURE(BgL_auxz00_2396, BFALSE, BFALSE);
						}
					BgL_tmpz00_2392 =
						BGl_rgczd2stopzd2matchz12z12zz__rgcz00(BgL_auxz00_2393,
						BgL_auxz00_2400);
				}
				return BINT(BgL_tmpz00_2392);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-fill-buffer */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_51)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 408 */
			return rgc_fill_buffer(BgL_inputzd2portzd2_51);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-fill-buffer */
	obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t BgL_envz00_1797,
		obj_t BgL_inputzd2portzd2_1798)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 408 */
			{	/* Rgc/rgc.scm 409 */
				bool_t BgL_tmpz00_2412;

				{	/* Rgc/rgc.scm 409 */
					obj_t BgL_auxz00_2413;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1798))
						{	/* Rgc/rgc.scm 409 */
							BgL_auxz00_2413 = BgL_inputzd2portzd2_1798;
						}
					else
						{
							obj_t BgL_auxz00_2416;

							BgL_auxz00_2416 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 20660)), BGl_string1783z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1798);
							FAILURE(BgL_auxz00_2416, BFALSE, BFALSE);
						}
					BgL_tmpz00_2412 =
						BGl_rgczd2fillzd2bufferz00zz__rgcz00(BgL_auxz00_2413);
				}
				return BBOOL(BgL_tmpz00_2412);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-bol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_52)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 414 */
			return rgc_buffer_bol_p(BgL_inputzd2portzd2_52);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-bol? */
	obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t BgL_envz00_1799,
		obj_t BgL_inputzd2portzd2_1800)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 414 */
			{	/* Rgc/rgc.scm 415 */
				bool_t BgL_tmpz00_2423;

				{	/* Rgc/rgc.scm 415 */
					obj_t BgL_auxz00_2424;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1800))
						{	/* Rgc/rgc.scm 415 */
							BgL_auxz00_2424 = BgL_inputzd2portzd2_1800;
						}
					else
						{
							obj_t BgL_auxz00_2427;

							BgL_auxz00_2427 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 20979)), BGl_string1784z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1800);
							FAILURE(BgL_auxz00_2427, BFALSE, BFALSE);
						}
					BgL_tmpz00_2423 =
						BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(BgL_auxz00_2424);
				}
				return BBOOL(BgL_tmpz00_2423);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-eol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_53, long BgL_forwardz00_54, long BgL_bufposz00_55)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 420 */
			return
				rgc_buffer_eol_p(BgL_inputzd2portzd2_53, BgL_forwardz00_54,
				BgL_bufposz00_55);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-eol? */
	obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t BgL_envz00_1801,
		obj_t BgL_inputzd2portzd2_1802, obj_t BgL_forwardz00_1803,
		obj_t BgL_bufposz00_1804)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 420 */
			{	/* Rgc/rgc.scm 421 */
				bool_t BgL_tmpz00_2434;

				{	/* Rgc/rgc.scm 421 */
					long BgL_auxz00_2451;
					long BgL_auxz00_2442;
					obj_t BgL_auxz00_2435;

					{	/* Rgc/rgc.scm 421 */
						obj_t BgL_tmpz00_2452;

						if (INTEGERP(BgL_bufposz00_1804))
							{	/* Rgc/rgc.scm 421 */
								BgL_tmpz00_2452 = BgL_bufposz00_1804;
							}
						else
							{
								obj_t BgL_auxz00_2455;

								BgL_auxz00_2455 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 21313)), BGl_string1785z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_bufposz00_1804);
								FAILURE(BgL_auxz00_2455, BFALSE, BFALSE);
							}
						BgL_auxz00_2451 = (long) CINT(BgL_tmpz00_2452);
					}
					{	/* Rgc/rgc.scm 421 */
						obj_t BgL_tmpz00_2443;

						if (INTEGERP(BgL_forwardz00_1803))
							{	/* Rgc/rgc.scm 421 */
								BgL_tmpz00_2443 = BgL_forwardz00_1803;
							}
						else
							{
								obj_t BgL_auxz00_2446;

								BgL_auxz00_2446 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 21313)), BGl_string1785z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_forwardz00_1803);
								FAILURE(BgL_auxz00_2446, BFALSE, BFALSE);
							}
						BgL_auxz00_2442 = (long) CINT(BgL_tmpz00_2443);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1802))
						{	/* Rgc/rgc.scm 421 */
							BgL_auxz00_2435 = BgL_inputzd2portzd2_1802;
						}
					else
						{
							obj_t BgL_auxz00_2438;

							BgL_auxz00_2438 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 21313)), BGl_string1785z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1802);
							FAILURE(BgL_auxz00_2438, BFALSE, BFALSE);
						}
					BgL_tmpz00_2434 =
						BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(BgL_auxz00_2435,
						BgL_auxz00_2442, BgL_auxz00_2451);
				}
				return BBOOL(BgL_tmpz00_2434);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-bof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_56)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 426 */
			return rgc_buffer_bof_p(BgL_inputzd2portzd2_56);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-bof? */
	obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t BgL_envz00_1805,
		obj_t BgL_inputzd2portzd2_1806)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 426 */
			{	/* Rgc/rgc.scm 427 */
				bool_t BgL_tmpz00_2463;

				{	/* Rgc/rgc.scm 427 */
					obj_t BgL_auxz00_2464;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1806))
						{	/* Rgc/rgc.scm 427 */
							BgL_auxz00_2464 = BgL_inputzd2portzd2_1806;
						}
					else
						{
							obj_t BgL_auxz00_2467;

							BgL_auxz00_2467 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 21647)), BGl_string1786z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1806);
							FAILURE(BgL_auxz00_2467, BFALSE, BFALSE);
						}
					BgL_tmpz00_2463 =
						BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(BgL_auxz00_2464);
				}
				return BBOOL(BgL_tmpz00_2463);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-eof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_57)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 432 */
			return rgc_buffer_eof_p(BgL_inputzd2portzd2_57);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-eof? */
	obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t BgL_envz00_1807,
		obj_t BgL_inputzd2portzd2_1808)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 432 */
			{	/* Rgc/rgc.scm 433 */
				bool_t BgL_tmpz00_2474;

				{	/* Rgc/rgc.scm 433 */
					obj_t BgL_auxz00_2475;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1808))
						{	/* Rgc/rgc.scm 433 */
							BgL_auxz00_2475 = BgL_inputzd2portzd2_1808;
						}
					else
						{
							obj_t BgL_auxz00_2478;

							BgL_auxz00_2478 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 21966)), BGl_string1787z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1808);
							FAILURE(BgL_auxz00_2478, BFALSE, BFALSE);
						}
					BgL_tmpz00_2474 =
						BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(BgL_auxz00_2475);
				}
				return BBOOL(BgL_tmpz00_2474);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-buffer-eof2? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_58, long BgL_forwardz00_59, long BgL_bufposz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 438 */
			return
				rgc_buffer_eof2_p(BgL_inputzd2portzd2_58, BgL_forwardz00_59,
				BgL_bufposz00_60);
		}
		BGL_FUNCTION_END;
	}



/* &rgc-buffer-eof2? */
	obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t BgL_envz00_1809,
		obj_t BgL_inputzd2portzd2_1810, obj_t BgL_forwardz00_1811,
		obj_t BgL_bufposz00_1812)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 438 */
			{	/* Rgc/rgc.scm 439 */
				bool_t BgL_tmpz00_2485;

				{	/* Rgc/rgc.scm 439 */
					long BgL_auxz00_2502;
					long BgL_auxz00_2493;
					obj_t BgL_auxz00_2486;

					{	/* Rgc/rgc.scm 439 */
						obj_t BgL_tmpz00_2503;

						if (INTEGERP(BgL_bufposz00_1812))
							{	/* Rgc/rgc.scm 439 */
								BgL_tmpz00_2503 = BgL_bufposz00_1812;
							}
						else
							{
								obj_t BgL_auxz00_2506;

								BgL_auxz00_2506 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 22301)), BGl_string1788z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_bufposz00_1812);
								FAILURE(BgL_auxz00_2506, BFALSE, BFALSE);
							}
						BgL_auxz00_2502 = (long) CINT(BgL_tmpz00_2503);
					}
					{	/* Rgc/rgc.scm 439 */
						obj_t BgL_tmpz00_2494;

						if (INTEGERP(BgL_forwardz00_1811))
							{	/* Rgc/rgc.scm 439 */
								BgL_tmpz00_2494 = BgL_forwardz00_1811;
							}
						else
							{
								obj_t BgL_auxz00_2497;

								BgL_auxz00_2497 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
									BINT(((long) 22301)), BGl_string1788z00zz__rgcz00,
									BGl_string1754z00zz__rgcz00, BgL_forwardz00_1811);
								FAILURE(BgL_auxz00_2497, BFALSE, BFALSE);
							}
						BgL_auxz00_2493 = (long) CINT(BgL_tmpz00_2494);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1810))
						{	/* Rgc/rgc.scm 439 */
							BgL_auxz00_2486 = BgL_inputzd2portzd2_1810;
						}
					else
						{
							obj_t BgL_auxz00_2489;

							BgL_auxz00_2489 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 22301)), BGl_string1788z00zz__rgcz00,
								BGl_string1753z00zz__rgcz00, BgL_inputzd2portzd2_1810);
							FAILURE(BgL_auxz00_2489, BFALSE, BFALSE);
						}
					BgL_tmpz00_2485 =
						BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(BgL_auxz00_2486,
						BgL_auxz00_2493, BgL_auxz00_2502);
				}
				return BBOOL(BgL_tmpz00_2485);
			}
		}
		BGL_FUNCTION_END;
	}



/* rgc-the-submatch */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t
		BgL_rgczd2submatcheszd2_61, long BgL_posz00_62, long BgL_matchz00_63,
		long BgL_submatchz00_64)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 448 */
			{
				obj_t BgL_submatchesz00_972;
				long BgL_startz00_973;
				obj_t BgL_stopz00_974;

				BgL_submatchesz00_972 = BgL_rgczd2submatcheszd2_61;
				BgL_startz00_973 = ((long) -1);
				BgL_stopz00_974 = BINT(((long) -1));
			BgL_zc3anonymousza31162ze3z83_975:
				if (NULLP(BgL_submatchesz00_972))
					{	/* Rgc/rgc.scm 457 */
						{	/* Rgc/rgc.scm 458 */
							int BgL_res1562z00_1407;

							{	/* Rgc/rgc.scm 458 */
								int BgL_tmpz00_2515;

								BgL_tmpz00_2515 = (int) (((long) 2));
								BgL_res1562z00_1407 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2515);
							} BgL_res1562z00_1407;
						}
						{	/* Rgc/rgc.scm 458 */
							int BgL_tmpz00_2518;

							BgL_tmpz00_2518 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2518, BgL_stopz00_974);
						}
						return BINT(BgL_startz00_973);
					}
				else
					{	/* Rgc/rgc.scm 459 */
						obj_t BgL_mvz00_979;

						BgL_mvz00_979 = CAR(((obj_t) BgL_submatchesz00_972));
						{	/* Rgc/rgc.scm 459 */
							obj_t BgL_ruz00_980;

							BgL_ruz00_980 = VECTOR_REF(((obj_t) BgL_mvz00_979), ((long) 0));
							{	/* Rgc/rgc.scm 460 */
								obj_t BgL_smz00_981;

								BgL_smz00_981 = VECTOR_REF(((obj_t) BgL_mvz00_979), ((long) 1));
								{	/* Rgc/rgc.scm 461 */
									obj_t BgL_spz00_982;

									BgL_spz00_982 =
										VECTOR_REF(((obj_t) BgL_mvz00_979), ((long) 2));
									{	/* Rgc/rgc.scm 462 */
										obj_t BgL_whatz00_983;

										BgL_whatz00_983 =
											VECTOR_REF(((obj_t) BgL_mvz00_979), ((long) 3));
										{	/* Rgc/rgc.scm 463 */

											{	/* Rgc/rgc.scm 465 */
												bool_t BgL_testz00_2532;

												if (((long) CINT(BgL_ruz00_980) == BgL_matchz00_63))
													{	/* Rgc/rgc.scm 465 */
														if (
															((long) CINT(BgL_smz00_981) ==
																BgL_submatchz00_64))
															{	/* Rgc/rgc.scm 465 */
																BgL_testz00_2532 =
																	((long) CINT(BgL_spz00_982) <= BgL_posz00_62);
															}
														else
															{	/* Rgc/rgc.scm 465 */
																BgL_testz00_2532 = ((bool_t) 0);
															}
													}
												else
													{	/* Rgc/rgc.scm 465 */
														BgL_testz00_2532 = ((bool_t) 0);
													}
												if (BgL_testz00_2532)
													{	/* Rgc/rgc.scm 465 */
														if (
															(BgL_whatz00_983 == BGl_symbol1789z00zz__rgcz00))
															{	/* Rgc/rgc.scm 466 */
																if (((long) CINT(BgL_stopz00_974) < ((long) 0)))
																	{	/* Rgc/rgc.scm 469 */
																		obj_t BgL_arg1169z00_990;

																		BgL_arg1169z00_990 =
																			CDR(((obj_t) BgL_submatchesz00_972));
																		{
																			obj_t BgL_stopz00_2549;
																			obj_t BgL_submatchesz00_2548;

																			BgL_submatchesz00_2548 =
																				BgL_arg1169z00_990;
																			BgL_stopz00_2549 = BgL_spz00_982;
																			BgL_stopz00_974 = BgL_stopz00_2549;
																			BgL_submatchesz00_972 =
																				BgL_submatchesz00_2548;
																			goto BgL_zc3anonymousza31162ze3z83_975;
																		}
																	}
																else
																	{	/* Rgc/rgc.scm 470 */
																		obj_t BgL_arg1171z00_991;

																		BgL_arg1171z00_991 =
																			CDR(((obj_t) BgL_submatchesz00_972));
																		{
																			obj_t BgL_submatchesz00_2552;

																			BgL_submatchesz00_2552 =
																				BgL_arg1171z00_991;
																			BgL_submatchesz00_972 =
																				BgL_submatchesz00_2552;
																			goto BgL_zc3anonymousza31162ze3z83_975;
																		}
																	}
															}
														else
															{	/* Rgc/rgc.scm 466 */
																if (
																	(BgL_whatz00_983 ==
																		BGl_symbol1791z00zz__rgcz00))
																	{	/* Rgc/rgc.scm 472 */
																		long BgL_val0_1083z00_993;

																		BgL_val0_1083z00_993 =
																			((long) CINT(BgL_spz00_982) - ((long) 1));
																		{	/* Rgc/rgc.scm 472 */
																			int BgL_res1570z00_1432;

																			{	/* Rgc/rgc.scm 472 */
																				int BgL_tmpz00_2557;

																				BgL_tmpz00_2557 = (int) (((long) 2));
																				BgL_res1570z00_1432 =
																					BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_2557);
																			} BgL_res1570z00_1432;
																		}
																		{	/* Rgc/rgc.scm 472 */
																			int BgL_tmpz00_2560;

																			BgL_tmpz00_2560 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_2560,
																				BgL_stopz00_974);
																		}
																		return BINT(BgL_val0_1083z00_993);
																	}
																else
																	{	/* Rgc/rgc.scm 466 */
																		if (
																			(BgL_whatz00_983 ==
																				BGl_symbol1793z00zz__rgcz00))
																			{	/* Rgc/rgc.scm 474 */
																				obj_t BgL_arg1183z00_996;
																				long BgL_arg1185z00_997;

																				BgL_arg1183z00_996 =
																					CDR(((obj_t) BgL_submatchesz00_972));
																				BgL_arg1185z00_997 =
																					(
																					(long) CINT(BgL_spz00_982) -
																					((long) 1));
																				{
																					long BgL_startz00_2571;
																					obj_t BgL_submatchesz00_2570;

																					BgL_submatchesz00_2570 =
																						BgL_arg1183z00_996;
																					BgL_startz00_2571 =
																						BgL_arg1185z00_997;
																					BgL_startz00_973 = BgL_startz00_2571;
																					BgL_submatchesz00_972 =
																						BgL_submatchesz00_2570;
																					goto
																						BgL_zc3anonymousza31162ze3z83_975;
																				}
																			}
																		else
																			{	/* Rgc/rgc.scm 466 */
																				return BUNSPEC;
																			}
																	}
															}
													}
												else
													{	/* Rgc/rgc.scm 465 */
														if ((BgL_whatz00_983 == BgL_stopz00_974))
															{	/* Rgc/rgc.scm 475 */
																{	/* Rgc/rgc.scm 476 */
																	int BgL_res1573z00_1438;

																	{	/* Rgc/rgc.scm 476 */
																		int BgL_tmpz00_2574;

																		BgL_tmpz00_2574 = (int) (((long) 2));
																		BgL_res1573z00_1438 =
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2574);
																	} BgL_res1573z00_1438;
																}
																{	/* Rgc/rgc.scm 476 */
																	int BgL_tmpz00_2577;

																	BgL_tmpz00_2577 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2577,
																		BgL_stopz00_974);
																}
																return BINT(BgL_startz00_973);
															}
														else
															{	/* Rgc/rgc.scm 478 */
																obj_t BgL_arg1192z00_1001;

																BgL_arg1192z00_1001 =
																	CDR(((obj_t) BgL_submatchesz00_972));
																{
																	obj_t BgL_submatchesz00_2583;

																	BgL_submatchesz00_2583 = BgL_arg1192z00_1001;
																	BgL_submatchesz00_972 =
																		BgL_submatchesz00_2583;
																	goto BgL_zc3anonymousza31162ze3z83_975;
																}
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &rgc-the-submatch */
	obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t BgL_envz00_1813,
		obj_t BgL_rgczd2submatcheszd2_1814, obj_t BgL_posz00_1815,
		obj_t BgL_matchz00_1816, obj_t BgL_submatchz00_1817)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 448 */
			{	/* Rgc/rgc.scm 457 */
				long BgL_auxz00_2603;
				long BgL_auxz00_2594;
				long BgL_auxz00_2585;

				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_tmpz00_2604;

					if (INTEGERP(BgL_submatchz00_1817))
						{	/* Rgc/rgc.scm 457 */
							BgL_tmpz00_2604 = BgL_submatchz00_1817;
						}
					else
						{
							obj_t BgL_auxz00_2607;

							BgL_auxz00_2607 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1795z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_submatchz00_1817);
							FAILURE(BgL_auxz00_2607, BFALSE, BFALSE);
						}
					BgL_auxz00_2603 = (long) CINT(BgL_tmpz00_2604);
				}
				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_tmpz00_2595;

					if (INTEGERP(BgL_matchz00_1816))
						{	/* Rgc/rgc.scm 457 */
							BgL_tmpz00_2595 = BgL_matchz00_1816;
						}
					else
						{
							obj_t BgL_auxz00_2598;

							BgL_auxz00_2598 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1795z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_matchz00_1816);
							FAILURE(BgL_auxz00_2598, BFALSE, BFALSE);
						}
					BgL_auxz00_2594 = (long) CINT(BgL_tmpz00_2595);
				}
				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_tmpz00_2586;

					if (INTEGERP(BgL_posz00_1815))
						{	/* Rgc/rgc.scm 457 */
							BgL_tmpz00_2586 = BgL_posz00_1815;
						}
					else
						{
							obj_t BgL_auxz00_2589;

							BgL_auxz00_2589 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1751z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1795z00zz__rgcz00,
								BGl_string1754z00zz__rgcz00, BgL_posz00_1815);
							FAILURE(BgL_auxz00_2589, BFALSE, BFALSE);
						}
					BgL_auxz00_2585 = (long) CINT(BgL_tmpz00_2586);
				}
				return
					BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_1814,
					BgL_auxz00_2585, BgL_auxz00_2594, BgL_auxz00_2603);
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Rgc/rgc.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1796z00zz__rgcz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
