/*===========================================================================*/
/*   (Hgen/walk.scm)                                                         */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Hgen/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	extern obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_objectzd2initzd2zzhgen_walkz00();
	static obj_t BGl_z62zc3anonymousza31272ze3ze1zzhgen_walkz00(obj_t);
	static obj_t BGl_z62hgenzd2walkzb0zzhgen_walkz00(obj_t);
	extern obj_t BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzhgen_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_hgenzd2walkzd2zzhgen_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzhgen_walkz00();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzhgen_walkz00 = BUNSPEC;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzhgen_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzhgen_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzhgen_walkz00();
	extern obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzhgen_walkz00();
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1618z00zzhgen_walkz00,
		BgL_bgl_string1618za700za7za7h1630za7, "C headers generation", 20);
	      DEFINE_STRING(BGl_string1619z00zzhgen_walkz00,
		BgL_bgl_string1619za700za7za7h1631za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1621z00zzhgen_walkz00,
		BgL_bgl_string1621za700za7za7h1632za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1622z00zzhgen_walkz00,
		BgL_bgl_string1622za700za7za7h1633za7, ".h", 2);
	      DEFINE_STRING(BGl_string1623z00zzhgen_walkz00,
		BgL_bgl_string1623za700za7za7h1634za7, "hgen_walk", 9);
	      DEFINE_STRING(BGl_string1624z00zzhgen_walkz00,
		BgL_bgl_string1624za700za7za7h1635za7,
		"pass-started ((lambda () (start-emission! \".h\"))) ", 50);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hgenzd2walkzd2envz00zzhgen_walkz00,
		BgL_bgl_za762hgenza7d2walkza7b1636za7, BGl_z62hgenzd2walkzb0zzhgen_walkz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1620z00zzhgen_walkz00,
		BgL_bgl_za762za7c3anonymousza71637za7,
		BGl_z62zc3anonymousza31272ze3ze1zzhgen_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzhgen_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long
		BgL_checksumz00_1781, char *BgL_fromz00_1782)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzhgen_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzhgen_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzhgen_walkz00();
					BGl_libraryzd2moduleszd2initz00zzhgen_walkz00();
					BGl_cnstzd2initzd2zzhgen_walkz00();
					BGl_importedzd2moduleszd2initz00zzhgen_walkz00();
					return BGl_methodzd2initzd2zzhgen_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "hgen_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "hgen_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"hgen_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"hgen_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"hgen_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"hgen_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			{	/* Hgen/walk.scm 15 */
				obj_t BgL_cportz00_1768;

				{	/* Hgen/walk.scm 15 */
					obj_t BgL_stringz00_1776;

					BgL_stringz00_1776 = BGl_string1624z00zzhgen_walkz00;
					{	/* Hgen/walk.scm 15 */
						obj_t BgL_startz00_1777;

						BgL_startz00_1777 = BINT(((long) 0));
						{	/* Hgen/walk.scm 15 */
							obj_t BgL_endz00_1778;

							BgL_endz00_1778 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1776)));
							{	/* Hgen/walk.scm 15 */

								BgL_cportz00_1768 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1776, BgL_startz00_1777, BgL_endz00_1778);
				}}}}
				{
					long BgL_iz00_1769;

					BgL_iz00_1769 = ((long) 1);
				BgL_loopz00_1770:
					if ((BgL_iz00_1769 == ((long) -1)))
						{	/* Hgen/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Hgen/walk.scm 15 */
							{	/* Hgen/walk.scm 15 */
								obj_t BgL_arg1628z00_1772;

								{	/* Hgen/walk.scm 15 */

									{	/* Hgen/walk.scm 15 */
										obj_t BgL_locationz00_1774;

										BgL_locationz00_1774 = BBOOL(((bool_t) 0));
										{	/* Hgen/walk.scm 15 */

											BgL_arg1628z00_1772 =
												BGl_readz00zz__readerz00(BgL_cportz00_1768,
												BgL_locationz00_1774);
										}
									}
								}
								{	/* Hgen/walk.scm 15 */
									int BgL_tmpz00_1806;

									BgL_tmpz00_1806 = (int) (BgL_iz00_1769);
									CNST_TABLE_SET(BgL_tmpz00_1806, BgL_arg1628z00_1772);
							}}
							{	/* Hgen/walk.scm 15 */
								int BgL_auxz00_1775;

								BgL_auxz00_1775 = (int) ((BgL_iz00_1769 - ((long) 1)));
								{
									long BgL_iz00_1811;

									BgL_iz00_1811 = (long) (BgL_auxz00_1775);
									BgL_iz00_1769 = BgL_iz00_1811;
									goto BgL_loopz00_1770;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* hgen-walk */
	BGL_EXPORTED_DEF obj_t BGl_hgenzd2walkzd2zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 30 */
			{	/* Hgen/walk.scm 31 */
				obj_t BgL_list1252z00_1530;

				{	/* Hgen/walk.scm 31 */
					obj_t BgL_arg1253z00_1531;

					{	/* Hgen/walk.scm 31 */
						obj_t BgL_arg1256z00_1532;

						BgL_arg1256z00_1532 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1253z00_1531 =
							MAKE_YOUNG_PAIR(BGl_string1618z00zzhgen_walkz00,
							BgL_arg1256z00_1532);
					}
					BgL_list1252z00_1530 =
						MAKE_YOUNG_PAIR(BGl_string1619z00zzhgen_walkz00,
						BgL_arg1253z00_1531);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1252z00_1530);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1618z00zzhgen_walkz00;
			{	/* Hgen/walk.scm 31 */
				obj_t BgL_g1111z00_1533;
				obj_t BgL_g1112z00_1534;

				{	/* Hgen/walk.scm 31 */
					obj_t BgL_list1271z00_1548;

					BgL_list1271z00_1548 =
						MAKE_YOUNG_PAIR(BGl_proc1620z00zzhgen_walkz00, BNIL);
					BgL_g1111z00_1533 = BgL_list1271z00_1548;
				}
				BgL_g1112z00_1534 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1536;
					obj_t BgL_hnamesz00_1537;

					BgL_hooksz00_1536 = BgL_g1111z00_1533;
					BgL_hnamesz00_1537 = BgL_g1112z00_1534;
				BgL_zc3anonymousza31257ze3z83_1538:
					if (NULLP(BgL_hooksz00_1536))
						{	/* Hgen/walk.scm 31 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Hgen/walk.scm 31 */
							bool_t BgL_testz00_1826;

							{	/* Hgen/walk.scm 31 */
								obj_t BgL_fun1267z00_1545;

								BgL_fun1267z00_1545 = CAR(((obj_t) BgL_hooksz00_1536));
								BgL_testz00_1826 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1267z00_1545)
									(BgL_fun1267z00_1545, BEOA));
							}
							if (BgL_testz00_1826)
								{	/* Hgen/walk.scm 31 */
									obj_t BgL_arg1263z00_1542;
									obj_t BgL_arg1264z00_1543;

									BgL_arg1263z00_1542 = CDR(((obj_t) BgL_hooksz00_1536));
									BgL_arg1264z00_1543 = CDR(((obj_t) BgL_hnamesz00_1537));
									{
										obj_t BgL_hnamesz00_1838;
										obj_t BgL_hooksz00_1837;

										BgL_hooksz00_1837 = BgL_arg1263z00_1542;
										BgL_hnamesz00_1838 = BgL_arg1264z00_1543;
										BgL_hnamesz00_1537 = BgL_hnamesz00_1838;
										BgL_hooksz00_1536 = BgL_hooksz00_1837;
										goto BgL_zc3anonymousza31257ze3z83_1538;
									}
								}
							else
								{	/* Hgen/walk.scm 31 */
									obj_t BgL_arg1266z00_1544;

									BgL_arg1266z00_1544 = CAR(((obj_t) BgL_hnamesz00_1537));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1618z00zzhgen_walkz00,
										BGl_string1621z00zzhgen_walkz00, BgL_arg1266z00_1544);
								}
						}
				}
			}
			BGl_emitzd2headerzd2zzbackend_c_emitz00();
			{	/* Hgen/walk.scm 36 */
				obj_t BgL_clistz00_1551;

				BgL_clistz00_1551 =
					BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00
					(BGl_getzd2classzd2listz00zzobject_classz00());
				BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(BgL_clistz00_1551,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:1273>~0 */
	obj_t BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00(obj_t
		BgL_lis1243z00_1554)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 40 */
		BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00:
			if (NULLP(BgL_lis1243z00_1554))
				{	/* Hgen/walk.scm 40 */
					return BgL_lis1243z00_1554;
				}
			else
				{	/* Hgen/walk.scm 40 */
					obj_t BgL_head1244z00_1557;
					obj_t BgL_tail1245z00_1558;

					BgL_head1244z00_1557 = CAR(((obj_t) BgL_lis1243z00_1554));
					BgL_tail1245z00_1558 = CDR(((obj_t) BgL_lis1243z00_1554));
					{	/* Hgen/walk.scm 40 */
						bool_t BgL_testz00_1853;

						if (BGl_isazf3zf3zz__objectz00(BgL_head1244z00_1557,
								BGl_tclassz00zzobject_classz00))
							{	/* Hgen/walk.scm 38 */
								obj_t BgL_arg1285z00_1568;

								{
									BgL_globalz00_bglt BgL_auxz00_1856;

									{
										BgL_tclassz00_bglt BgL_auxz00_1857;

										{
											obj_t BgL_auxz00_1858;

											{	/* Hgen/walk.scm 38 */
												BgL_objectz00_bglt BgL_tmpz00_1859;

												BgL_tmpz00_1859 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_head1244z00_1557));
												BgL_auxz00_1858 = BGL_OBJECT_WIDENING(BgL_tmpz00_1859);
											}
											BgL_auxz00_1857 = ((BgL_tclassz00_bglt) BgL_auxz00_1858);
										}
										BgL_auxz00_1856 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1857))->
											BgL_holderz00);
									}
									BgL_arg1285z00_1568 =
										(((BgL_globalz00_bglt) COBJECT(BgL_auxz00_1856))->
										BgL_modulez00);
								}
								BgL_testz00_1853 =
									(BgL_arg1285z00_1568 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
						else
							{	/* Hgen/walk.scm 37 */
								BgL_testz00_1853 = ((bool_t) 0);
							}
						if (BgL_testz00_1853)
							{	/* Hgen/walk.scm 40 */
								obj_t BgL_newzd2tail1246zd2_1564;

								BgL_newzd2tail1246zd2_1564 =
									BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00
									(BgL_tail1245z00_1558);
								if ((BgL_tail1245z00_1558 == BgL_newzd2tail1246zd2_1564))
									{	/* Hgen/walk.scm 40 */
										return BgL_lis1243z00_1554;
									}
								else
									{	/* Hgen/walk.scm 40 */
										obj_t BgL_res1617z00_1764;

										BgL_res1617z00_1764 =
											MAKE_YOUNG_PAIR(BgL_head1244z00_1557,
											BgL_newzd2tail1246zd2_1564);
										return BgL_res1617z00_1764;
									}
							}
						else
							{
								obj_t BgL_lis1243z00_1871;

								BgL_lis1243z00_1871 = BgL_tail1245z00_1558;
								BgL_lis1243z00_1554 = BgL_lis1243z00_1871;
								goto BGl_zc3anonymousza31273ze3ze70z64zzhgen_walkz00;
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &hgen-walk */
	obj_t BGl_z62hgenzd2walkzb0zzhgen_walkz00(obj_t BgL_envz00_1766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 30 */
			return BGl_hgenzd2walkzd2zzhgen_walkz00();
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1272> */
	obj_t BGl_z62zc3anonymousza31272ze3ze1zzhgen_walkz00(obj_t BgL_envz00_1767)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 31 */
			return
				BGl_startzd2emissionz12zc0zzbackend_c_emitz00
				(BGl_string1622z00zzhgen_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzhgen_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Hgen/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long) 349614452),
				BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string1623z00zzhgen_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
