/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/loop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1332z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1301z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1281z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1287z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1275z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1344z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2switch1336z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1323z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1311z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1327z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1271z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1346za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1348za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121350zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1330z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzinline_loopz00();
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1283z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1285z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1319z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1279z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1303z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1309z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2switch1291z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1338za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1305z91zzinline_loopz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00();
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1321za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1299z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1325z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1342z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62nestzd2loopz121306za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1340za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1317z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1334z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1295z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1293z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1315z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1313z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf31268z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1277z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1297z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1273z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1289z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21876za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza71877za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1826z00zzinline_loopz00,
		BgL_bgl_string1826za700za7za7i1878za7, "find-let-fun?1268", 17);
	      DEFINE_STRING(BGl_string1828z00zzinline_loopz00,
		BgL_bgl_string1828za700za7za7i1879za7, "nest-loop!1306", 14);
	      DEFINE_STRING(BGl_string1829z00zzinline_loopz00,
		BgL_bgl_string1829za700za7za7i1880za7, "No method for this object", 25);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za71881z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1831z00zzinline_loopz00,
		BgL_bgl_string1831za700za7za7i1882za7, "find-let-fun?", 13);
	      DEFINE_STRING(BGl_string1850z00zzinline_loopz00,
		BgL_bgl_string1850za700za7za7i1883za7, "nest-loop!", 10);
	      DEFINE_STRING(BGl_string1871z00zzinline_loopz00,
		BgL_bgl_string1871za700za7za7i1884za7, "inline_loop", 11);
	      DEFINE_STRING(BGl_string1872z00zzinline_loopz00,
		BgL_bgl_string1872za700za7za7i1885za7, "nest-loop!1306 done ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21886za7,
		BGl_z62findzd2letzd2funzf31268z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711887za7,
		BGl_z62nestzd2loopz121306za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21888za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1271z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21889za7,
		BGl_z62findzd2letzd2funzf3zd2sync1273z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21890za7,
		BGl_z62findzd2letzd2funzf3zd2app1275z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21891za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1277z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21892za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1279z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21893za7,
		BGl_z62findzd2letzd2funzf3zd2extern1281z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21894za7,
		BGl_z62findzd2letzd2funzf3zd2cast1283z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21895za7,
		BGl_z62findzd2letzd2funzf3zd2setq1285z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21896za7,
		BGl_z62findzd2letzd2funzf3zd2condit1287z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711897za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21898za7,
		BGl_z62findzd2letzd2funzf3zd2fail1289z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21899za7,
		BGl_z62findzd2letzd2funzf3zd2switch1291z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21900za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1293z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21901za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1295z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21902za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1297z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21903za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1299z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21904za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1301z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21905za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1303z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21906za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1305z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711907za7,
		BGl_z62nestzd2loopz12zd2atom1309z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711908za7,
		BGl_z62nestzd2loopz12zd2kwote1311z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711909za7,
		BGl_z62nestzd2loopz12zd2var1313z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711910za7,
		BGl_z62nestzd2loopz12zd2sequence1315z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711911za7,
		BGl_z62nestzd2loopz12zd2sync1317z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711912za7,
		BGl_z62nestzd2loopz12zd2app1319z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711913za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1321za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711914za7,
		BGl_z62nestzd2loopz12zd2funcall1323z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711915za7,
		BGl_z62nestzd2loopz12zd2extern1325z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711916za7,
		BGl_z62nestzd2loopz12zd2cast1327z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711917za7,
		BGl_z62nestzd2loopz12zd2setq1330z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711918za7,
		BGl_z62nestzd2loopz12zd2condition1332z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711919za7,
		BGl_z62nestzd2loopz12zd2fail1334z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711920za7,
		BGl_z62nestzd2loopz12zd2switch1336z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711921za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1338za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711922za7,
		BGl_z62nestzd2loopz12zd2letzd2var1340za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711923za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1342z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711924za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1344z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711925za7,
		BGl_z62nestzd2loopz12zd2makezd2box1346za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711926za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref1348za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711927za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz121350zb0zzinline_loopz00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_loopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2504, char *BgL_fromz00_2505)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_loopz00();
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BGl_toplevelzd2initzd2zzinline_loopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_loop");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2380;

				{	/* Inline/loop.scm 15 */
					obj_t BgL_stringz00_2388;

					BgL_stringz00_2388 = BGl_string1872z00zzinline_loopz00;
					{	/* Inline/loop.scm 15 */
						obj_t BgL_startz00_2389;

						BgL_startz00_2389 = BINT(((long) 0));
						{	/* Inline/loop.scm 15 */
							obj_t BgL_endz00_2390;

							BgL_endz00_2390 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2388)));
							{	/* Inline/loop.scm 15 */

								BgL_cportz00_2380 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2388, BgL_startz00_2389, BgL_endz00_2390);
				}}}}
				{
					long BgL_iz00_2381;

					BgL_iz00_2381 = ((long) 1);
				BgL_loopz00_2382:
					if ((BgL_iz00_2381 == ((long) -1)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg1874z00_2384;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2386;

										BgL_locationz00_2386 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg1874z00_2384 =
												BGl_readz00zz__readerz00(BgL_cportz00_2380,
												BgL_locationz00_2386);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_tmpz00_2533;

									BgL_tmpz00_2533 = (int) (BgL_iz00_2381);
									CNST_TABLE_SET(BgL_tmpz00_2533, BgL_arg1874z00_2384);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2387;

								BgL_auxz00_2387 = (int) ((BgL_iz00_2381 - ((long) 1)));
								{
									long BgL_iz00_2538;

									BgL_iz00_2538 = (long) (BgL_auxz00_2387);
									BgL_iz00_2381 = BgL_iz00_2538;
									goto BgL_loopz00_2382;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_tmpz00_2543;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_auxz00_2544;

						{
							BgL_isfunz00_bglt BgL_auxz00_2545;

							{
								obj_t BgL_auxz00_2546;

								{	/* Inline/loop.scm 42 */
									BgL_objectz00_bglt BgL_tmpz00_2547;

									BgL_tmpz00_2547 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
												BgL_valuez00)));
									BgL_auxz00_2546 = BGL_OBJECT_WIDENING(BgL_tmpz00_2547);
								}
								BgL_auxz00_2545 = ((BgL_isfunz00_bglt) BgL_auxz00_2546);
							}
							BgL_auxz00_2544 =
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2545))->
								BgL_recursivezd2callszd2);
						}
						BgL_tmpz00_2543 = bgl_list_length(BgL_auxz00_2544);
					}
					return (BgL_tmpz00_2543 == ((long) 1));
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}
		BGL_FUNCTION_END;
	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2203,
		obj_t BgL_variablez00_2204)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2204)));
		}
		BGL_FUNCTION_END;
	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg1398z00_2071;

				BgL_arg1398z00_2071 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg1398z00_2071)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2205,
		obj_t BgL_variablez00_2206)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2206)));
		}
		BGL_FUNCTION_END;
	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 197 */
			{
				obj_t BgL_nodeza2za2_1518;

				BgL_nodeza2za2_1518 = BgL_nodeza2za2_24;
			BgL_zc3anonymousza31400ze3z83_1519:
				if (NULLP(BgL_nodeza2za2_1518))
					{	/* Inline/loop.scm 200 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 202 */
						bool_t BgL_testz00_2570;

						{	/* Inline/loop.scm 202 */
							obj_t BgL_arg1422z00_1524;

							BgL_arg1422z00_1524 = CAR(((obj_t) BgL_nodeza2za2_1518));
							BgL_testz00_2570 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1422z00_1524)));
						}
						if (BgL_testz00_2570)
							{	/* Inline/loop.scm 202 */
								return ((bool_t) 1);
							}
						else
							{	/* Inline/loop.scm 205 */
								obj_t BgL_arg1421z00_1523;

								BgL_arg1421z00_1523 = CDR(((obj_t) BgL_nodeza2za2_1518));
								{
									obj_t BgL_nodeza2za2_2578;

									BgL_nodeza2za2_2578 = BgL_arg1421z00_1523;
									BgL_nodeza2za2_1518 = BgL_nodeza2za2_2578;
									goto BgL_zc3anonymousza31400ze3z83_1519;
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 399 */
			{
				obj_t BgL_nodeza2za2_1527;

				BgL_nodeza2za2_1527 = BgL_nodeza2za2_91;
			BgL_zc3anonymousza31423ze3z83_1528:
				if (NULLP(BgL_nodeza2za2_1527))
					{	/* Inline/loop.scm 401 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Inline/loop.scm 401 */
						{	/* Inline/loop.scm 404 */
							BgL_nodez00_bglt BgL_arg1433z00_1530;

							{	/* Inline/loop.scm 404 */
								obj_t BgL_arg1441z00_1531;

								BgL_arg1441z00_1531 = CAR(((obj_t) BgL_nodeza2za2_1527));
								BgL_arg1433z00_1530 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1441z00_1531),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 404 */
								obj_t BgL_auxz00_2589;
								obj_t BgL_tmpz00_2587;

								BgL_auxz00_2589 = ((obj_t) BgL_arg1433z00_1530);
								BgL_tmpz00_2587 = ((obj_t) BgL_nodeza2za2_1527);
								SET_CAR(BgL_tmpz00_2587, BgL_auxz00_2589);
							}
						}
						{	/* Inline/loop.scm 405 */
							obj_t BgL_arg1466z00_1532;

							BgL_arg1466z00_1532 = CDR(((obj_t) BgL_nodeza2za2_1527));
							{
								obj_t BgL_nodeza2za2_2594;

								BgL_nodeza2za2_2594 = BgL_arg1466z00_1532;
								BgL_nodeza2za2_1527 = BgL_nodeza2za2_2594;
								goto BgL_zc3anonymousza31423ze3z83_1528;
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc1825z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1826z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc1827z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1828z00zzinline_loopz00);
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!1306 */
	obj_t BGl_z62nestzd2loopz121306za2zzinline_loopz00(obj_t BgL_envz00_2209,
		obj_t BgL_nodez00_2210, obj_t BgL_localz00_2211, obj_t BgL_nesterz00_2212)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 210 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1829z00zzinline_loopz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2210)));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?1268 */
	obj_t BGl_z62findzd2letzd2funzf31268z91zzinline_loopz00(obj_t BgL_envz00_2213,
		obj_t BgL_nodez00_2214)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1269z00_1544;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res1811z00_2110;

					{	/* Inline/loop.scm 55 */
						long BgL_objzd2classzd2numz00_2083;

						{	/* Inline/loop.scm 55 */
							long BgL_res1805z00_2086;

							BgL_res1805z00_2086 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_2083 = BgL_res1805z00_2086;
						}
						{	/* Inline/loop.scm 55 */
							obj_t BgL_arg1725z00_2084;

							BgL_arg1725z00_2084 =
								PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 55 */
								int BgL_offsetz00_2088;

								BgL_offsetz00_2088 = (int) (BgL_objzd2classzd2numz00_2083);
								{	/* Inline/loop.scm 55 */
									long BgL_offsetz00_2089;

									BgL_offsetz00_2089 =
										((long) (BgL_offsetz00_2088) - OBJECT_TYPE);
									{	/* Inline/loop.scm 55 */
										long BgL_modz00_2090;

										{	/* Inline/loop.scm 55 */
											int BgL_arg1727z00_2091;

											BgL_arg1727z00_2091 = (int) (((long) 16));
											{	/* Inline/loop.scm 55 */
												long BgL_res1808z00_2101;

												{	/* Inline/loop.scm 55 */
													long BgL_tmpz00_2610;

													BgL_tmpz00_2610 = (long) (BgL_arg1727z00_2091);
													BgL_res1808z00_2101 =
														(BgL_offsetz00_2089 / BgL_tmpz00_2610);
												}
												BgL_modz00_2090 = BgL_res1808z00_2101;
										}}
										{	/* Inline/loop.scm 55 */
											long BgL_restz00_2092;

											{	/* Inline/loop.scm 55 */
												int BgL_arg1726z00_2093;

												BgL_arg1726z00_2093 = (int) (((long) 16));
												{	/* Inline/loop.scm 55 */
													long BgL_res1810z00_2105;

													{	/* Inline/loop.scm 55 */
														long BgL_tmpz00_2614;

														BgL_tmpz00_2614 = (long) (BgL_arg1726z00_2093);
														BgL_res1810z00_2105 =
															(BgL_offsetz00_2089 % BgL_tmpz00_2614);
													}
													BgL_restz00_2092 = BgL_res1810z00_2105;
											}}
											{	/* Inline/loop.scm 55 */

												{	/* Inline/loop.scm 55 */
													obj_t BgL_bucketz00_2094;

													BgL_bucketz00_2094 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2084), BgL_modz00_2090);
													BgL_res1811z00_2110 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2094), BgL_restz00_2092);
					}}}}}}}}
					BgL_method1269z00_1544 = BgL_res1811z00_2110;
				}
				return
					PROCEDURE_ENTRY(BgL_method1269z00_1544) (BgL_method1269z00_1544,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2215,
		obj_t BgL_nodez00_2216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2216));
		}
		BGL_FUNCTION_END;
	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 210 */
			{	/* Inline/loop.scm 210 */
				obj_t BgL_method1307z00_1545;

				{	/* Inline/loop.scm 210 */
					obj_t BgL_res1818z00_2139;

					{	/* Inline/loop.scm 210 */
						long BgL_objzd2classzd2numz00_2112;

						{	/* Inline/loop.scm 210 */
							long BgL_res1812z00_2115;

							BgL_res1812z00_2115 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_25));
							BgL_objzd2classzd2numz00_2112 = BgL_res1812z00_2115;
						}
						{	/* Inline/loop.scm 210 */
							obj_t BgL_arg1725z00_2113;

							BgL_arg1725z00_2113 =
								PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 210 */
								int BgL_offsetz00_2117;

								BgL_offsetz00_2117 = (int) (BgL_objzd2classzd2numz00_2112);
								{	/* Inline/loop.scm 210 */
									long BgL_offsetz00_2118;

									BgL_offsetz00_2118 =
										((long) (BgL_offsetz00_2117) - OBJECT_TYPE);
									{	/* Inline/loop.scm 210 */
										long BgL_modz00_2119;

										{	/* Inline/loop.scm 210 */
											int BgL_arg1727z00_2120;

											BgL_arg1727z00_2120 = (int) (((long) 16));
											{	/* Inline/loop.scm 210 */
												long BgL_res1815z00_2130;

												{	/* Inline/loop.scm 210 */
													long BgL_tmpz00_2636;

													BgL_tmpz00_2636 = (long) (BgL_arg1727z00_2120);
													BgL_res1815z00_2130 =
														(BgL_offsetz00_2118 / BgL_tmpz00_2636);
												}
												BgL_modz00_2119 = BgL_res1815z00_2130;
										}}
										{	/* Inline/loop.scm 210 */
											long BgL_restz00_2121;

											{	/* Inline/loop.scm 210 */
												int BgL_arg1726z00_2122;

												BgL_arg1726z00_2122 = (int) (((long) 16));
												{	/* Inline/loop.scm 210 */
													long BgL_res1817z00_2134;

													{	/* Inline/loop.scm 210 */
														long BgL_tmpz00_2640;

														BgL_tmpz00_2640 = (long) (BgL_arg1726z00_2122);
														BgL_res1817z00_2134 =
															(BgL_offsetz00_2118 % BgL_tmpz00_2640);
													}
													BgL_restz00_2121 = BgL_res1817z00_2134;
											}}
											{	/* Inline/loop.scm 210 */

												{	/* Inline/loop.scm 210 */
													obj_t BgL_bucketz00_2123;

													BgL_bucketz00_2123 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2113), BgL_modz00_2119);
													BgL_res1818z00_2139 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2123), BgL_restz00_2121);
					}}}}}}}}
					BgL_method1307z00_1545 = BgL_res1818z00_2139;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1307z00_1545) (BgL_method1307z00_1545,
						((obj_t) BgL_nodez00_25),
						((obj_t) BgL_localz00_26), BgL_nesterz00_27, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2217, obj_t BgL_nodez00_2218, obj_t BgL_localz00_2219,
		obj_t BgL_nesterz00_2220)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 210 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2218),
				((BgL_localz00_bglt) BgL_localz00_2219), BgL_nesterz00_2220);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1830z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc1832z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc1833z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1834z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1835z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1836z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc1837z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc1838z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1839z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc1840z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1841z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1842z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1843z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1844z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1845z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1846z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1847z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1848z00zzinline_loopz00,
				BGl_string1831z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc1849z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1851z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc1852z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1853z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc1854z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc1855z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1856z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1857z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1858z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc1859z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1860z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1861z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc1862z00zzinline_loopz00, BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1863z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1864z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1865z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1866z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1867z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1868z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1869z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1870z00zzinline_loopz00,
				BGl_string1850z00zzinline_loopz00);
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-box-set!1350 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121350zb0zzinline_loopz00(obj_t
		BgL_envz00_2260, obj_t BgL_nodez00_2261, obj_t BgL_vz00_2262,
		obj_t BgL_nesterz00_2263)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 390 */
			{
				BgL_varz00_bglt BgL_auxz00_2698;

				{	/* Inline/loop.scm 392 */
					BgL_varz00_bglt BgL_arg1731z00_2398;

					BgL_arg1731z00_2398 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2261)))->BgL_varz00);
					BgL_auxz00_2698 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1731z00_2398),
							((BgL_localz00_bglt) BgL_vz00_2262), BgL_nesterz00_2263));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2261)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2698), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2707;

				{	/* Inline/loop.scm 393 */
					BgL_nodez00_bglt BgL_arg1732z00_2399;

					BgL_arg1732z00_2399 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2261)))->BgL_valuez00);
					BgL_auxz00_2707 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1732z00_2399,
						((BgL_localz00_bglt) BgL_vz00_2262), BgL_nesterz00_2263);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2261)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2707), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2261));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-box-ref1348 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1348za2zzinline_loopz00(obj_t
		BgL_envz00_2264, obj_t BgL_nodez00_2265, obj_t BgL_vz00_2266,
		obj_t BgL_nesterz00_2267)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 382 */
			{
				BgL_varz00_bglt BgL_auxz00_2716;

				{	/* Inline/loop.scm 384 */
					BgL_varz00_bglt BgL_arg1730z00_2401;

					BgL_arg1730z00_2401 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2265)))->BgL_varz00);
					BgL_auxz00_2716 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1730z00_2401),
							((BgL_localz00_bglt) BgL_vz00_2266), BgL_nesterz00_2267));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2265)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2716), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2265));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-make-box1346 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1346za2zzinline_loopz00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269, obj_t BgL_varz00_2270,
		obj_t BgL_nesterz00_2271)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 374 */
			{
				BgL_nodez00_bglt BgL_auxz00_2727;

				{	/* Inline/loop.scm 376 */
					BgL_nodez00_bglt BgL_arg1721z00_2403;

					BgL_arg1721z00_2403 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2269)))->BgL_valuez00);
					BgL_auxz00_2727 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1721z00_2403,
						((BgL_localz00_bglt) BgL_varz00_2270), BgL_nesterz00_2271);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2269)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2727), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2269));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-jump-ex-i1344 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1344z70zzinline_loopz00(obj_t
		BgL_envz00_2272, obj_t BgL_nodez00_2273, obj_t BgL_vz00_2274,
		obj_t BgL_nesterz00_2275)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 365 */
			{
				BgL_nodez00_bglt BgL_auxz00_2736;

				{	/* Inline/loop.scm 367 */
					BgL_nodez00_bglt BgL_arg1714z00_2405;

					BgL_arg1714z00_2405 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273)))->BgL_exitz00);
					BgL_auxz00_2736 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1714z00_2405,
						((BgL_localz00_bglt) BgL_vz00_2274), BgL_nesterz00_2275);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2736), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2743;

				{	/* Inline/loop.scm 368 */
					BgL_nodez00_bglt BgL_arg1720z00_2406;

					BgL_arg1720z00_2406 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273)))->
						BgL_valuez00);
					BgL_auxz00_2743 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1720z00_2406,
						((BgL_localz00_bglt) BgL_vz00_2274), BgL_nesterz00_2275);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2743), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-set-ex-it1342 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1342z70zzinline_loopz00(obj_t
		BgL_envz00_2276, obj_t BgL_nodez00_2277, obj_t BgL_varz00_2278,
		obj_t BgL_nesterz00_2279)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 357 */
			{
				BgL_nodez00_bglt BgL_auxz00_2752;

				{	/* Inline/loop.scm 359 */
					BgL_nodez00_bglt BgL_arg1707z00_2408;

					BgL_arg1707z00_2408 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2277)))->BgL_bodyz00);
					BgL_auxz00_2752 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1707z00_2408,
						((BgL_localz00_bglt) BgL_varz00_2278), BgL_nesterz00_2279);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2277)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2752), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2277));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-let-var1340 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1340za2zzinline_loopz00(obj_t
		BgL_envz00_2280, obj_t BgL_nodez00_2281, obj_t BgL_varz00_2282,
		obj_t BgL_nesterz00_2283)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 346 */
			{
				BgL_nodez00_bglt BgL_auxz00_2761;

				{	/* Inline/loop.scm 348 */
					BgL_nodez00_bglt BgL_arg1694z00_2410;

					BgL_arg1694z00_2410 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2281)))->BgL_bodyz00);
					BgL_auxz00_2761 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1694z00_2410,
						((BgL_localz00_bglt) BgL_varz00_2282), BgL_nesterz00_2283);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2281)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2761), BUNSPEC);
			}
			{	/* Inline/loop.scm 349 */
				obj_t BgL_g1267z00_2411;

				BgL_g1267z00_2411 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2281)))->BgL_bindingsz00);
				{
					obj_t BgL_l1265z00_2413;

					BgL_l1265z00_2413 = BgL_g1267z00_2411;
				BgL_zc3anonymousza31695ze3z83_2412:
					if (PAIRP(BgL_l1265z00_2413))
						{	/* Inline/loop.scm 349 */
							{	/* Inline/loop.scm 350 */
								obj_t BgL_bindingz00_2414;

								BgL_bindingz00_2414 = CAR(BgL_l1265z00_2413);
								{	/* Inline/loop.scm 350 */
									BgL_nodez00_bglt BgL_arg1697z00_2415;

									{	/* Inline/loop.scm 350 */
										obj_t BgL_arg1698z00_2416;

										BgL_arg1698z00_2416 = CDR(((obj_t) BgL_bindingz00_2414));
										BgL_arg1697z00_2415 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1698z00_2416),
											((BgL_localz00_bglt) BgL_varz00_2282),
											BgL_nesterz00_2283);
									}
									{	/* Inline/loop.scm 350 */
										obj_t BgL_auxz00_2780;
										obj_t BgL_tmpz00_2778;

										BgL_auxz00_2780 = ((obj_t) BgL_arg1697z00_2415);
										BgL_tmpz00_2778 = ((obj_t) BgL_bindingz00_2414);
										SET_CDR(BgL_tmpz00_2778, BgL_auxz00_2780);
									}
								}
							}
							{
								obj_t BgL_l1265z00_2783;

								BgL_l1265z00_2783 = CDR(BgL_l1265z00_2413);
								BgL_l1265z00_2413 = BgL_l1265z00_2783;
								goto BgL_zc3anonymousza31695ze3z83_2412;
							}
						}
					else
						{	/* Inline/loop.scm 349 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2281));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-let-fun1338 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1338za2zzinline_loopz00(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285, obj_t BgL_varz00_2286,
		obj_t BgL_nesterz00_2287)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 331 */
			{
				BgL_nodez00_bglt BgL_auxz00_2787;

				{	/* Inline/loop.scm 333 */
					BgL_nodez00_bglt BgL_arg1676z00_2418;

					BgL_arg1676z00_2418 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2285)))->BgL_bodyz00);
					BgL_auxz00_2787 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1676z00_2418,
						((BgL_localz00_bglt) BgL_varz00_2286), BgL_nesterz00_2287);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2285)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2787), BUNSPEC);
			}
			{	/* Inline/loop.scm 334 */
				obj_t BgL_g1264z00_2419;

				BgL_g1264z00_2419 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2285)))->BgL_localsz00);
				{
					obj_t BgL_l1262z00_2421;

					BgL_l1262z00_2421 = BgL_g1264z00_2419;
				BgL_zc3anonymousza31677ze3z83_2420:
					if (PAIRP(BgL_l1262z00_2421))
						{	/* Inline/loop.scm 334 */
							{	/* Inline/loop.scm 335 */
								obj_t BgL_localz00_2422;

								BgL_localz00_2422 = CAR(BgL_l1262z00_2421);
								{	/* Inline/loop.scm 335 */
									BgL_valuez00_bglt BgL_sfunz00_2423;

									BgL_sfunz00_2423 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2422))))->
										BgL_valuez00);
									{	/* Inline/loop.scm 337 */
										BgL_nodez00_bglt BgL_arg1685z00_2424;

										{	/* Inline/loop.scm 337 */
											obj_t BgL_arg1686z00_2425;

											BgL_arg1686z00_2425 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2423)))->
												BgL_bodyz00);
											BgL_arg1685z00_2424 =
												BGl_nestzd2loopz12zc0zzinline_loopz00((
													(BgL_nodez00_bglt) BgL_arg1686z00_2425),
												((BgL_localz00_bglt) BgL_varz00_2286),
												BgL_nesterz00_2287);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2423)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1685z00_2424)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1262z00_2810;

								BgL_l1262z00_2810 = CDR(BgL_l1262z00_2421);
								BgL_l1262z00_2421 = BgL_l1262z00_2810;
								goto BgL_zc3anonymousza31677ze3z83_2420;
							}
						}
					else
						{	/* Inline/loop.scm 334 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2285));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-switch1336 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2switch1336z70zzinline_loopz00(obj_t
		BgL_envz00_2288, obj_t BgL_nodez00_2289, obj_t BgL_varz00_2290,
		obj_t BgL_nesterz00_2291)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 320 */
			{
				BgL_nodez00_bglt BgL_auxz00_2814;

				{	/* Inline/loop.scm 322 */
					BgL_nodez00_bglt BgL_arg1669z00_2427;

					BgL_arg1669z00_2427 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2289)))->BgL_testz00);
					BgL_auxz00_2814 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1669z00_2427,
						((BgL_localz00_bglt) BgL_varz00_2290), BgL_nesterz00_2291);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2289)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2814), BUNSPEC);
			}
			{	/* Inline/loop.scm 323 */
				obj_t BgL_g1261z00_2428;

				BgL_g1261z00_2428 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2289)))->BgL_clausesz00);
				{
					obj_t BgL_l1259z00_2430;

					BgL_l1259z00_2430 = BgL_g1261z00_2428;
				BgL_zc3anonymousza31670ze3z83_2429:
					if (PAIRP(BgL_l1259z00_2430))
						{	/* Inline/loop.scm 323 */
							{	/* Inline/loop.scm 324 */
								obj_t BgL_clausez00_2431;

								BgL_clausez00_2431 = CAR(BgL_l1259z00_2430);
								{	/* Inline/loop.scm 324 */
									BgL_nodez00_bglt BgL_arg1673z00_2432;

									{	/* Inline/loop.scm 324 */
										obj_t BgL_arg1674z00_2433;

										BgL_arg1674z00_2433 = CDR(((obj_t) BgL_clausez00_2431));
										BgL_arg1673z00_2432 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1674z00_2433),
											((BgL_localz00_bglt) BgL_varz00_2290),
											BgL_nesterz00_2291);
									}
									{	/* Inline/loop.scm 324 */
										obj_t BgL_auxz00_2833;
										obj_t BgL_tmpz00_2831;

										BgL_auxz00_2833 = ((obj_t) BgL_arg1673z00_2432);
										BgL_tmpz00_2831 = ((obj_t) BgL_clausez00_2431);
										SET_CDR(BgL_tmpz00_2831, BgL_auxz00_2833);
									}
								}
							}
							{
								obj_t BgL_l1259z00_2836;

								BgL_l1259z00_2836 = CDR(BgL_l1259z00_2430);
								BgL_l1259z00_2430 = BgL_l1259z00_2836;
								goto BgL_zc3anonymousza31670ze3z83_2429;
							}
						}
					else
						{	/* Inline/loop.scm 323 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2289));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-fail1334 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1334z70zzinline_loopz00(obj_t
		BgL_envz00_2292, obj_t BgL_nodez00_2293, obj_t BgL_varz00_2294,
		obj_t BgL_nesterz00_2295)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 310 */
			{
				BgL_nodez00_bglt BgL_auxz00_2840;

				{	/* Inline/loop.scm 312 */
					BgL_nodez00_bglt BgL_arg1661z00_2435;

					BgL_arg1661z00_2435 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_procz00);
					BgL_auxz00_2840 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1661z00_2435,
						((BgL_localz00_bglt) BgL_varz00_2294), BgL_nesterz00_2295);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2840), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2847;

				{	/* Inline/loop.scm 313 */
					BgL_nodez00_bglt BgL_arg1663z00_2436;

					BgL_arg1663z00_2436 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_msgz00);
					BgL_auxz00_2847 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1663z00_2436,
						((BgL_localz00_bglt) BgL_varz00_2294), BgL_nesterz00_2295);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2847), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2854;

				{	/* Inline/loop.scm 314 */
					BgL_nodez00_bglt BgL_arg1665z00_2437;

					BgL_arg1665z00_2437 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_objz00);
					BgL_auxz00_2854 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1665z00_2437,
						((BgL_localz00_bglt) BgL_varz00_2294), BgL_nesterz00_2295);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2293)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2854), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2293));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-condition1332 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1332z70zzinline_loopz00(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297, obj_t BgL_varz00_2298,
		obj_t BgL_nesterz00_2299)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_2863;

				{	/* Inline/loop.scm 302 */
					BgL_nodez00_bglt BgL_arg1657z00_2439;

					BgL_arg1657z00_2439 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_testz00);
					BgL_auxz00_2863 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1657z00_2439,
						((BgL_localz00_bglt) BgL_varz00_2298), BgL_nesterz00_2299);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2863), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2870;

				{	/* Inline/loop.scm 303 */
					BgL_nodez00_bglt BgL_arg1658z00_2440;

					BgL_arg1658z00_2440 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_truez00);
					BgL_auxz00_2870 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1658z00_2440,
						((BgL_localz00_bglt) BgL_varz00_2298), BgL_nesterz00_2299);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2870), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2877;

				{	/* Inline/loop.scm 304 */
					BgL_nodez00_bglt BgL_arg1660z00_2441;

					BgL_arg1660z00_2441 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_falsez00);
					BgL_auxz00_2877 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1660z00_2441,
						((BgL_localz00_bglt) BgL_varz00_2298), BgL_nesterz00_2299);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2297)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2877), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2297));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-setq1330 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1330z70zzinline_loopz00(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301, obj_t BgL_varz00_2302,
		obj_t BgL_nesterz00_2303)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 293 */
			{	/* Inline/loop.scm 294 */
				BgL_nodez00_bglt BgL_arg1656z00_2443;

				BgL_arg1656z00_2443 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2301)))->BgL_valuez00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1656z00_2443,
					((BgL_localz00_bglt) BgL_varz00_2302), BgL_nesterz00_2303);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2301));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-cast1327 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1327z70zzinline_loopz00(obj_t
		BgL_envz00_2304, obj_t BgL_nodez00_2305, obj_t BgL_varz00_2306,
		obj_t BgL_nesterz00_2307)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 286 */
			{	/* Inline/loop.scm 287 */
				BgL_nodez00_bglt BgL_arg1653z00_2445;

				BgL_arg1653z00_2445 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2305)))->BgL_argz00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1653z00_2445,
					((BgL_localz00_bglt) BgL_varz00_2306), BgL_nesterz00_2307);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2305));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-extern1325 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1325z70zzinline_loopz00(obj_t
		BgL_envz00_2308, obj_t BgL_nodez00_2309, obj_t BgL_varz00_2310,
		obj_t BgL_nesterz00_2311)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 279 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2309)))->BgL_exprza2za2),
				BgL_varz00_2310, BgL_nesterz00_2311);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2309));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-funcall1323 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1323z70zzinline_loopz00(obj_t
		BgL_envz00_2312, obj_t BgL_nodez00_2313, obj_t BgL_varz00_2314,
		obj_t BgL_nesterz00_2315)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 270 */
			{
				BgL_nodez00_bglt BgL_auxz00_2903;

				{	/* Inline/loop.scm 272 */
					BgL_nodez00_bglt BgL_arg1643z00_2448;

					BgL_arg1643z00_2448 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2313)))->BgL_funz00);
					BgL_auxz00_2903 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1643z00_2448,
						((BgL_localz00_bglt) BgL_varz00_2314), BgL_nesterz00_2315);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2313)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2903), BUNSPEC);
			}
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2313)))->BgL_argsz00),
				BgL_varz00_2314, BgL_nesterz00_2315);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2313));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-app-ly1321 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1321za2zzinline_loopz00(obj_t
		BgL_envz00_2316, obj_t BgL_nodez00_2317, obj_t BgL_varz00_2318,
		obj_t BgL_nesterz00_2319)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 261 */
			{
				BgL_nodez00_bglt BgL_auxz00_2915;

				{	/* Inline/loop.scm 263 */
					BgL_nodez00_bglt BgL_arg1641z00_2450;

					BgL_arg1641z00_2450 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2317)))->BgL_funz00);
					BgL_auxz00_2915 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1641z00_2450,
						((BgL_localz00_bglt) BgL_varz00_2318), BgL_nesterz00_2319);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2317)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2915), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2922;

				{	/* Inline/loop.scm 264 */
					BgL_nodez00_bglt BgL_arg1642z00_2451;

					BgL_arg1642z00_2451 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2317)))->BgL_argz00);
					BgL_auxz00_2922 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1642z00_2451,
						((BgL_localz00_bglt) BgL_varz00_2318), BgL_nesterz00_2319);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2317)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2922), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2317));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-app1319 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1319z70zzinline_loopz00(obj_t
		BgL_envz00_2320, obj_t BgL_nodez00_2321, obj_t BgL_varz00_2322,
		obj_t BgL_nesterz00_2323)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 251 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2321)))->BgL_argsz00),
				BgL_varz00_2322, BgL_nesterz00_2323);
			if ((((obj_t) (((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
											COBJECT(((BgL_appz00_bglt) BgL_nodez00_2321)))->
										BgL_funz00)))->BgL_variablez00)) == BgL_varz00_2322))
				{	/* Inline/loop.scm 254 */
					return
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_nesterz00_2323) (BgL_nesterz00_2323,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2321)), BEOA));
				}
			else
				{	/* Inline/loop.scm 254 */
					return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2321));
				}
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-sync1317 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1317z70zzinline_loopz00(obj_t
		BgL_envz00_2324, obj_t BgL_nodez00_2325, obj_t BgL_varz00_2326,
		obj_t BgL_nesterz00_2327)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 241 */
			{
				BgL_nodez00_bglt BgL_auxz00_2949;

				{	/* Inline/loop.scm 243 */
					BgL_nodez00_bglt BgL_arg1616z00_2454;

					BgL_arg1616z00_2454 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_mutexz00);
					BgL_auxz00_2949 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1616z00_2454,
						((BgL_localz00_bglt) BgL_varz00_2326), BgL_nesterz00_2327);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2949), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2956;

				{	/* Inline/loop.scm 244 */
					BgL_nodez00_bglt BgL_arg1617z00_2455;

					BgL_arg1617z00_2455 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_prelockz00);
					BgL_auxz00_2956 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1617z00_2455,
						((BgL_localz00_bglt) BgL_varz00_2326), BgL_nesterz00_2327);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2956), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2963;

				{	/* Inline/loop.scm 245 */
					BgL_nodez00_bglt BgL_arg1619z00_2456;

					BgL_arg1619z00_2456 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_bodyz00);
					BgL_auxz00_2963 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1619z00_2456,
						((BgL_localz00_bglt) BgL_varz00_2326), BgL_nesterz00_2327);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2325)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2963), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2325));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-sequence1315 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1315z70zzinline_loopz00(obj_t
		BgL_envz00_2328, obj_t BgL_nodez00_2329, obj_t BgL_varz00_2330,
		obj_t BgL_nesterz00_2331)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 233 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2329)))->BgL_nodesz00),
				BgL_varz00_2330, BgL_nesterz00_2331);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2329));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-var1313 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1313z70zzinline_loopz00(obj_t
		BgL_envz00_2332, obj_t BgL_nodez00_2333, obj_t BgL_varz00_2334,
		obj_t BgL_nesterz00_2335)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 227 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2333));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-kwote1311 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1311z70zzinline_loopz00(obj_t
		BgL_envz00_2336, obj_t BgL_nodez00_2337, obj_t BgL_varz00_2338,
		obj_t BgL_nesterz00_2339)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 221 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2337));
		}
		BGL_FUNCTION_END;
	}



/* &nest-loop!-atom1309 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1309z70zzinline_loopz00(obj_t
		BgL_envz00_2340, obj_t BgL_nodez00_2341, obj_t BgL_varz00_2342,
		obj_t BgL_nesterz00_2343)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 215 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2341));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-box-se1305 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1305z91zzinline_loopz00(obj_t
		BgL_envz00_2344, obj_t BgL_nodez00_2345)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 190 */
			{	/* Inline/loop.scm 192 */
				obj_t BgL__ortest_1125z00_2462;

				{	/* Inline/loop.scm 192 */
					BgL_varz00_bglt BgL_arg1611z00_2463;

					BgL_arg1611z00_2463 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2345)))->BgL_varz00);
					BgL__ortest_1125z00_2462 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg1611z00_2463));
				}
				if (CBOOL(BgL__ortest_1125z00_2462))
					{	/* Inline/loop.scm 192 */
						return BgL__ortest_1125z00_2462;
					}
				else
					{	/* Inline/loop.scm 192 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2345)))->
								BgL_valuez00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-box-re1303 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1303z91zzinline_loopz00(obj_t
		BgL_envz00_2346, obj_t BgL_nodez00_2347)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 184 */
			{	/* Inline/loop.scm 185 */
				BgL_varz00_bglt BgL_arg1603z00_2465;

				BgL_arg1603z00_2465 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2347)))->BgL_varz00);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					((BgL_nodez00_bglt) BgL_arg1603z00_2465));
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-make-b1301 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1301z91zzinline_loopz00(obj_t
		BgL_envz00_2348, obj_t BgL_nodez00_2349)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 178 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2349)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-jump-e1299 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1299z91zzinline_loopz00(obj_t
		BgL_envz00_2350, obj_t BgL_nodez00_2351)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 171 */
			{	/* Inline/loop.scm 173 */
				obj_t BgL__ortest_1123z00_2468;

				BgL__ortest_1123z00_2468 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2351)))->
						BgL_exitz00));
				if (CBOOL(BgL__ortest_1123z00_2468))
					{	/* Inline/loop.scm 173 */
						return BgL__ortest_1123z00_2468;
					}
				else
					{	/* Inline/loop.scm 173 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2351)))->
								BgL_valuez00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-set-ex1297 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1297z91zzinline_loopz00(obj_t
		BgL_envz00_2352, obj_t BgL_nodez00_2353)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 165 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2353)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-let-va1295 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1295z91zzinline_loopz00(obj_t
		BgL_envz00_2354, obj_t BgL_nodez00_2355)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 152 */
			{	/* Inline/loop.scm 153 */
				obj_t BgL_g1121z00_2471;

				BgL_g1121z00_2471 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2355)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2473;

					BgL_bindingsz00_2473 = BgL_g1121z00_2471;
				BgL_loopz00_2472:
					if (NULLP(BgL_bindingsz00_2473))
						{	/* Inline/loop.scm 155 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2355)))->
									BgL_bodyz00));
						}
					else
						{	/* Inline/loop.scm 157 */
							bool_t BgL_testz00_3017;

							{	/* Inline/loop.scm 157 */
								obj_t BgL_arg1576z00_2474;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_pairz00_2475;

									BgL_pairz00_2475 = CAR(((obj_t) BgL_bindingsz00_2473));
									BgL_arg1576z00_2474 = CDR(BgL_pairz00_2475);
								}
								BgL_testz00_3017 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1576z00_2474)));
							}
							if (BgL_testz00_3017)
								{	/* Inline/loop.scm 157 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 160 */
									obj_t BgL_arg1570z00_2476;

									BgL_arg1570z00_2476 = CDR(((obj_t) BgL_bindingsz00_2473));
									{
										obj_t BgL_bindingsz00_3026;

										BgL_bindingsz00_3026 = BgL_arg1570z00_2476;
										BgL_bindingsz00_2473 = BgL_bindingsz00_3026;
										goto BgL_loopz00_2472;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-let-fu1293 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1293z91zzinline_loopz00(obj_t
		BgL_envz00_2356, obj_t BgL_nodez00_2357)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-switch1291 */
	obj_t BGl_z62findzd2letzd2funzf3zd2switch1291z43zzinline_loopz00(obj_t
		BgL_envz00_2358, obj_t BgL_nodez00_2359)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 133 */
			{	/* Inline/loop.scm 134 */
				obj_t BgL_g1120z00_2479;

				BgL_g1120z00_2479 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2359)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2481;

					BgL_clausesz00_2481 = BgL_g1120z00_2479;
				BgL_loopz00_2480:
					if (NULLP(BgL_clausesz00_2481))
						{	/* Inline/loop.scm 136 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2359)))->BgL_testz00));
						}
					else
						{	/* Inline/loop.scm 138 */
							bool_t BgL_testz00_3035;

							{	/* Inline/loop.scm 138 */
								obj_t BgL_arg1547z00_2482;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_pairz00_2483;

									BgL_pairz00_2483 = CAR(((obj_t) BgL_clausesz00_2481));
									BgL_arg1547z00_2482 = CDR(BgL_pairz00_2483);
								}
								BgL_testz00_3035 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1547z00_2482)));
							}
							if (BgL_testz00_3035)
								{	/* Inline/loop.scm 138 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 141 */
									obj_t BgL_arg1542z00_2484;

									BgL_arg1542z00_2484 = CDR(((obj_t) BgL_clausesz00_2481));
									{
										obj_t BgL_clausesz00_3044;

										BgL_clausesz00_3044 = BgL_arg1542z00_2484;
										BgL_clausesz00_2481 = BgL_clausesz00_3044;
										goto BgL_loopz00_2480;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-fail1289 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1289z43zzinline_loopz00(obj_t
		BgL_envz00_2360, obj_t BgL_nodez00_2361)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 124 */
			{	/* Inline/loop.scm 126 */
				obj_t BgL__ortest_1118z00_2486;

				BgL__ortest_1118z00_2486 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2361)))->BgL_procz00));
				if (CBOOL(BgL__ortest_1118z00_2486))
					{	/* Inline/loop.scm 126 */
						return BgL__ortest_1118z00_2486;
					}
				else
					{	/* Inline/loop.scm 127 */
						obj_t BgL__ortest_1119z00_2487;

						BgL__ortest_1119z00_2487 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2361)))->BgL_msgz00));
						if (CBOOL(BgL__ortest_1119z00_2487))
							{	/* Inline/loop.scm 127 */
								return BgL__ortest_1119z00_2487;
							}
						else
							{	/* Inline/loop.scm 127 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2361)))->BgL_objz00));
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-condit1287 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1287z43zzinline_loopz00(obj_t
		BgL_envz00_2362, obj_t BgL_nodez00_2363)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 115 */
			{	/* Inline/loop.scm 117 */
				obj_t BgL__ortest_1115z00_2489;

				BgL__ortest_1115z00_2489 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2363)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1115z00_2489))
					{	/* Inline/loop.scm 117 */
						return BgL__ortest_1115z00_2489;
					}
				else
					{	/* Inline/loop.scm 118 */
						obj_t BgL__ortest_1116z00_2490;

						BgL__ortest_1116z00_2490 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2363)))->
								BgL_truez00));
						if (CBOOL(BgL__ortest_1116z00_2490))
							{	/* Inline/loop.scm 118 */
								return BgL__ortest_1116z00_2490;
							}
						else
							{	/* Inline/loop.scm 118 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2363)))->
										BgL_falsez00));
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-setq1285 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1285z43zzinline_loopz00(obj_t
		BgL_envz00_2364, obj_t BgL_nodez00_2365)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 109 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2365)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-cast1283 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1283z43zzinline_loopz00(obj_t
		BgL_envz00_2366, obj_t BgL_nodez00_2367)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 103 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2367)))->BgL_argz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-extern1281 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1281z43zzinline_loopz00(obj_t
		BgL_envz00_2368, obj_t BgL_nodez00_2369)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 97 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2369)))->BgL_exprza2za2)));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-funcal1279 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1279z43zzinline_loopz00(obj_t
		BgL_envz00_2370, obj_t BgL_nodez00_2371)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 89 */
			{	/* Inline/loop.scm 91 */
				obj_t BgL__ortest_1113z00_2495;

				BgL__ortest_1113z00_2495 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2371)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1113z00_2495))
					{	/* Inline/loop.scm 91 */
						return BgL__ortest_1113z00_2495;
					}
				else
					{	/* Inline/loop.scm 92 */
						obj_t BgL_arg1503z00_2496;

						BgL_arg1503z00_2496 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2371)))->BgL_argsz00);
						return
							BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
							(BgL_arg1503z00_2496));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-app-ly1277 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1277z91zzinline_loopz00(obj_t
		BgL_envz00_2372, obj_t BgL_nodez00_2373)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 82 */
			{	/* Inline/loop.scm 84 */
				obj_t BgL__ortest_1111z00_2498;

				BgL__ortest_1111z00_2498 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2373)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1111z00_2498))
					{	/* Inline/loop.scm 84 */
						return BgL__ortest_1111z00_2498;
					}
				else
					{	/* Inline/loop.scm 84 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2373)))->BgL_argz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-app1275 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1275z43zzinline_loopz00(obj_t
		BgL_envz00_2374, obj_t BgL_nodez00_2375)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 75 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2375)))->BgL_argsz00)));
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-sync1273 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1273z43zzinline_loopz00(obj_t
		BgL_envz00_2376, obj_t BgL_nodez00_2377)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 67 */
			{	/* Inline/loop.scm 68 */
				obj_t BgL__ortest_1107z00_2501;

				BgL__ortest_1107z00_2501 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2377)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1107z00_2501))
					{	/* Inline/loop.scm 68 */
						return BgL__ortest_1107z00_2501;
					}
				else
					{	/* Inline/loop.scm 69 */
						obj_t BgL__ortest_1108z00_2502;

						BgL__ortest_1108z00_2502 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2377)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1108z00_2502))
							{	/* Inline/loop.scm 69 */
								return BgL__ortest_1108z00_2502;
							}
						else
							{	/* Inline/loop.scm 69 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2377)))->BgL_bodyz00));
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-let-fun?-sequen1271 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1271z43zzinline_loopz00(obj_t
		BgL_envz00_2378, obj_t BgL_nodez00_2379)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 61 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2379)))->BgL_nodesz00)));
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long) 101873001),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1871z00zzinline_loopz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
