/*===========================================================================*/
/*   (Ieee/vector.scm)                                                       */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Ieee/vector.scm -o objs/obj_p/Ieee/vector.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t, long);
static obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, long, long);
extern obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t, long);
extern long bgl_list_length(obj_t);
static obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
extern obj_t sort_vector(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00();
BGL_EXPORTED_DECL bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, long);
static obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t);
extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long, obj_t);
static obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
extern obj_t bgl_fill_vector(obj_t, long, long, obj_t);
static obj_t BGl_z62zc3anonymousza31259ze3ze1zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, long, obj_t);
static obj_t BGl_z62zc3anonymousza31276ze3ze1zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__r4_vectors_6_8z00();
static obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2mapzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2mapza71706za7, va_generic_entry, BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2shrinkz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2shri1707z00, BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_copyzd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762copyza7d2vector1708z00, BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sortzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762sortza762za7za7__r41709z00, BGl_z62sortz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2fillz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2fillza711710z00, opt_generic_entry, BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2appendzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2appe1711z00, va_generic_entry, BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3listzd2envze3zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2za7e3l1712za7, BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2tagzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2tagza71713za7, BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1700z00zz__r4_vectors_6_8z00, BgL_bgl_string1700za700za7za7_1714za7, "&vector-map", 11 );
DEFINE_STRING( BGl_string1701z00zz__r4_vectors_6_8z00, BgL_bgl_string1701za700za7za7_1715za7, "procedure", 9 );
DEFINE_STRING( BGl_string1702z00zz__r4_vectors_6_8z00, BgL_bgl_string1702za700za7za7_1716za7, "vector-map!", 11 );
DEFINE_STRING( BGl_string1703z00zz__r4_vectors_6_8z00, BgL_bgl_string1703za700za7za7_1717za7, "&vector-map!", 12 );
DEFINE_STRING( BGl_string1704z00zz__r4_vectors_6_8z00, BgL_bgl_string1704za700za7za7_1718za7, "&vector-shrink!", 15 );
DEFINE_STRING( BGl_string1705z00zz__r4_vectors_6_8z00, BgL_bgl_string1705za700za7za7_1719za7, "__r4_vectors_6_8", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza762za7za7__1720z00, va_generic_entry, BGl_z62vectorz62zz__r4_vectors_6_8z00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2refzd2urzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2refza71721za7, BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2mapz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2mapza71722za7, va_generic_entry, BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2copyzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2copy1723z00, va_generic_entry, BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00, BgL_bgl_za762listza7d2za7e3vec1724za7, BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2refzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2refza71725za7, BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2leng1726z00, BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2tagzd2setz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2tagza71727za7, BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1670z00zz__r4_vectors_6_8z00, BgL_bgl_string1670za700za7za7_1728za7, "/builddir/build/BUILD/bigloo4.3b/runtime/Ieee/vector.scm", 56 );
DEFINE_STRING( BGl_string1671z00zz__r4_vectors_6_8z00, BgL_bgl_string1671za700za7za7_1729za7, "_make-vector", 12 );
DEFINE_STRING( BGl_string1672z00zz__r4_vectors_6_8z00, BgL_bgl_string1672za700za7za7_1730za7, "bint", 4 );
DEFINE_STRING( BGl_string1673z00zz__r4_vectors_6_8z00, BgL_bgl_string1673za700za7za7_1731za7, "&vector-length", 14 );
DEFINE_STRING( BGl_string1674z00zz__r4_vectors_6_8z00, BgL_bgl_string1674za700za7za7_1732za7, "vector", 6 );
DEFINE_STRING( BGl_string1675z00zz__r4_vectors_6_8z00, BgL_bgl_string1675za700za7za7_1733za7, "&vector-ref", 11 );
DEFINE_STRING( BGl_string1676z00zz__r4_vectors_6_8z00, BgL_bgl_string1676za700za7za7_1734za7, "&vector-set!", 12 );
DEFINE_STRING( BGl_string1677z00zz__r4_vectors_6_8z00, BgL_bgl_string1677za700za7za7_1735za7, "&vector-ref-ur", 14 );
DEFINE_STRING( BGl_string1678z00zz__r4_vectors_6_8z00, BgL_bgl_string1678za700za7za7_1736za7, "&vector-set-ur!", 15 );
DEFINE_STRING( BGl_string1679z00zz__r4_vectors_6_8z00, BgL_bgl_string1679za700za7za7_1737za7, "&vector->list", 13 );
DEFINE_STRING( BGl_string1680z00zz__r4_vectors_6_8z00, BgL_bgl_string1680za700za7za7_1738za7, "&list->vector", 13 );
DEFINE_STRING( BGl_string1681z00zz__r4_vectors_6_8z00, BgL_bgl_string1681za700za7za7_1739za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1682z00zz__r4_vectors_6_8z00, BgL_bgl_string1682za700za7za7_1740za7, "_vector-fill!", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzf3zd2envz21zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7f3za791za71741z00, BGl_z62vectorzf3z91zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1683z00zz__r4_vectors_6_8z00, BgL_bgl_string1683za700za7za7_1742za7, "vector-fill!", 12 );
DEFINE_STRING( BGl_string1684z00zz__r4_vectors_6_8z00, BgL_bgl_string1684za700za7za7_1743za7, "wrong negative start", 20 );
DEFINE_STRING( BGl_string1685z00zz__r4_vectors_6_8z00, BgL_bgl_string1685za700za7za7_1744za7, "end index too large", 19 );
DEFINE_STRING( BGl_string1686z00zz__r4_vectors_6_8z00, BgL_bgl_string1686za700za7za7_1745za7, "start index larger than end", 27 );
DEFINE_STRING( BGl_string1687z00zz__r4_vectors_6_8z00, BgL_bgl_string1687za700za7za7_1746za7, "&vector-tag", 11 );
DEFINE_STRING( BGl_string1688z00zz__r4_vectors_6_8z00, BgL_bgl_string1688za700za7za7_1747za7, "&vector-tag-set!", 16 );
DEFINE_STRING( BGl_string1689z00zz__r4_vectors_6_8z00, BgL_bgl_string1689za700za7za7_1748za7, "&copy-vector", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2setzd2urz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2setza71749za7, BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1690z00zz__r4_vectors_6_8z00, BgL_bgl_string1690za700za7za7_1750za7, "vector-copy", 11 );
DEFINE_STRING( BGl_string1691z00zz__r4_vectors_6_8z00, BgL_bgl_string1691za700za7za7_1751za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1692z00zz__r4_vectors_6_8z00, BgL_bgl_string1692za700za7za7_1752za7, "Illegal indexes", 15 );
DEFINE_STRING( BGl_string1693z00zz__r4_vectors_6_8z00, BgL_bgl_string1693za700za7za7_1753za7, "&vector-copy", 12 );
DEFINE_STRING( BGl_string1694z00zz__r4_vectors_6_8z00, BgL_bgl_string1694za700za7za7_1754za7, "_vector-copy!", 13 );
DEFINE_STRING( BGl_string1695z00zz__r4_vectors_6_8z00, BgL_bgl_string1695za700za7za7_1755za7, "&vector-append", 14 );
DEFINE_STRING( BGl_string1696z00zz__r4_vectors_6_8z00, BgL_bgl_string1696za700za7za7_1756za7, "sort", 4 );
DEFINE_STRING( BGl_string1697z00zz__r4_vectors_6_8z00, BgL_bgl_string1697za700za7za7_1757za7, "Object must be a list or a vector", 33 );
DEFINE_STRING( BGl_string1698z00zz__r4_vectors_6_8z00, BgL_bgl_string1698za700za7za7_1758za7, "vector-map", 10 );
DEFINE_STRING( BGl_string1699z00zz__r4_vectors_6_8z00, BgL_bgl_string1699za700za7za7_1759za7, "Illegal arguments", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2copyz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2copyza711760z00, opt_generic_entry, BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__makeza7d2vectorza7d1761z00, opt_generic_entry, BGl__makezd2vectorzd2zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2setz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2setza71762za7, BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector?\" \"Ieee/vector.scm\" 6005) \"BGl_vectorzf3zf3zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector?\" \"Ieee/vector.scm\" 6005) \"BGl_z62vectorzf3z91zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_make-vector\" \"Ieee/vector.scm\" 6276) \"BGl__makezd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-vector\" \"Ieee/vector.scm\" 6276) \"BGl_makezd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector\" \"Ieee/vector.scm\" 6591) \"BGl_vectorz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector\" \"Ieee/vector.scm\" 6591) \"BGl_z62vectorz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-length\" \"Ieee/vector.scm\" 6869) \"BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-length\" \"Ieee/vector.scm\" 6869) \"BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-ref\" \"Ieee/vector.scm\" 7158) \"BGl_vectorzd2refzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-ref\" \"Ieee/vector.scm\" 7158) \"BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-set!\" \"Ieee/vector.scm\" 7445) \"BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-set!\" \"Ieee/vector.scm\" 7445) \"BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-ref-ur\" \"Ieee/vector.scm\" 7742) \"BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-ref-ur\" \"Ieee/vector.scm\" 7742) \"BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-set-ur!\" \"Ieee/vector.scm\" 8035) \"BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-set-ur!\" \"Ieee/vector.scm\" 8035) \"BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector->list\" \"Ieee/vector.scm\" 8338) \"BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector->list\" \"Ieee/vector.scm\" 8338) \"BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"list->vector\" \"Ieee/vector.scm\" 8830) \"BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&list->vector\" \"Ieee/vector.scm\" 8830) \"BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_vector-fill!\" \"Ieee/vector.scm\" 9284) \"BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-fill!\" \"Ieee/vector.scm\" 9284) \"BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-tag\" \"Ieee/vector.scm\" 9945) \"BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-tag\" \"Ieee/vector.scm\" 9945) \"BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-tag-set!\" \"Ieee/vector.scm\" 10228) \"BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-tag-set!\" \"Ieee/vector.scm\" 10228) \"BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"copy-vector\" \"Ieee/vector.scm\" 10529) \"BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&copy-vector\" \"Ieee/vector.scm\" 10529) \"BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-copy\" \"Ieee/vector.scm\" 11114) \"BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-copy\" \"Ieee/vector.scm\" 11114) \"BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_vector-copy!\" \"Ieee/vector.scm\" 12224) \"BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-copy!\" \"Ieee/vector.scm\" 12224) \"BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-append\" \"Ieee/vector.scm\" 13312) \"BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-append\" \"Ieee/vector.scm\" 13312) \"BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sort\" \"Ieee/vector.scm\" 14012) \"BGl_sortz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sort\" \"Ieee/vector.scm\" 14012) \"BGl_z62sortz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"inner-sort\" \"Ieee/vector.scm\" 14333) \"BGl_innerzd2sortzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map2!\" \"Ieee/vector.scm\" 15213) \"BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-mapN!\" \"Ieee/vector.scm\" 15661) \"BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map\" \"Ieee/vector.scm\" 16191) \"BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-map\" \"Ieee/vector.scm\" 16191) \"BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1259>\" \"Ieee/vector.scm\" 16357) \"BGl_z62zc3anonymousza31259ze3ze1zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map!\" \"Ieee/vector.scm\" 16735) \"BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-map!\" \"Ieee/vector.scm\" 16735) \"BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1276>\" \"Ieee/vector.scm\" 16871) \"BGl_z62zc3anonymousza31276ze3ze1zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-shrink!\" \"Ieee/vector.scm\" 17249) \"BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-shrink!\" \"Ieee/vector.scm\" 17249) \"BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long BgL_checksumz00_1692, char * BgL_fromz00_1693)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00(); 
return 
BGl_profzd2initzd2zz__r4_vectors_6_8z00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00()
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 18 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__r4_vectors_6_8z00()
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 18 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* vector? */
BGL_EXPORTED_DEF bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t BgL_objz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 131 */
return 
VECTORP(BgL_objz00_3);} 
BGL_FUNCTION_END;
}



/* &vector? */
obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t BgL_envz00_1539, obj_t BgL_objz00_1540)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 131 */
return 
BBOOL(
BGl_vectorzf3zf3zz__r4_vectors_6_8z00(BgL_objz00_1540));} 
BGL_FUNCTION_END;
}



/* _make-vector */
obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_7, obj_t BgL_optz00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 137 */
{ /* Ieee/vector.scm 137 */
obj_t BgL_g1042z00_1686;
BgL_g1042z00_1686 = 
VECTOR_REF(BgL_optz00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_optz00_6)) { case ((long)1) : 

{ /* Ieee/vector.scm 137 */

{ /* Ieee/vector.scm 137 */
obj_t BgL_res1495z00_1687;
{ /* Ieee/vector.scm 137 */
long BgL_intz00_1688;
{ /* Ieee/vector.scm 137 */
obj_t BgL_tmpz00_1706;
if(
INTEGERP(BgL_g1042z00_1686))
{ /* Ieee/vector.scm 137 */
BgL_tmpz00_1706 = BgL_g1042z00_1686
; }  else 
{ 
obj_t BgL_auxz00_1709;
BgL_auxz00_1709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)6276)), BGl_string1671z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_g1042z00_1686); 
FAILURE(BgL_auxz00_1709,BFALSE,BFALSE);} 
BgL_intz00_1688 = 
(long)CINT(BgL_tmpz00_1706); } 
BgL_res1495z00_1687 = 
make_vector(BgL_intz00_1688, BUNSPEC); } 
return BgL_res1495z00_1687;} } break;case ((long)2) : 

{ /* Ieee/vector.scm 137 */
obj_t BgL_fillz00_1689;
BgL_fillz00_1689 = 
VECTOR_REF(BgL_optz00_6,((long)1)); 
{ /* Ieee/vector.scm 137 */

{ /* Ieee/vector.scm 137 */
obj_t BgL_res1496z00_1690;
{ /* Ieee/vector.scm 137 */
long BgL_intz00_1691;
{ /* Ieee/vector.scm 137 */
obj_t BgL_tmpz00_1716;
if(
INTEGERP(BgL_g1042z00_1686))
{ /* Ieee/vector.scm 137 */
BgL_tmpz00_1716 = BgL_g1042z00_1686
; }  else 
{ 
obj_t BgL_auxz00_1719;
BgL_auxz00_1719 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)6276)), BGl_string1671z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_g1042z00_1686); 
FAILURE(BgL_auxz00_1719,BFALSE,BFALSE);} 
BgL_intz00_1691 = 
(long)CINT(BgL_tmpz00_1716); } 
BgL_res1496z00_1690 = 
make_vector(BgL_intz00_1691, BgL_fillz00_1689); } 
return BgL_res1496z00_1690;} } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* make-vector */
BGL_EXPORTED_DEF obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long BgL_intz00_4, obj_t BgL_fillz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 137 */
return 
make_vector(BgL_intz00_4, BgL_fillz00_5);} 
BGL_FUNCTION_END;
}



/* vector */
BGL_EXPORTED_DEF obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t BgL_argsz00_8)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 143 */
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_8);} 
BGL_FUNCTION_END;
}



/* &vector */
obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1541, obj_t BgL_argsz00_1542)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 143 */
return 
BGl_vectorz00zz__r4_vectors_6_8z00(BgL_argsz00_1542);} 
BGL_FUNCTION_END;
}



/* vector-length */
BGL_EXPORTED_DEF long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 149 */
return 
VECTOR_LENGTH(BgL_vectorz00_9);} 
BGL_FUNCTION_END;
}



/* &vector-length */
obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1543, obj_t BgL_vectorz00_1544)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 149 */
{ /* Ieee/vector.scm 150 */
long BgL_tmpz00_1731;
{ /* Ieee/vector.scm 150 */
obj_t BgL_auxz00_1732;
if(
VECTORP(BgL_vectorz00_1544))
{ /* Ieee/vector.scm 150 */
BgL_auxz00_1732 = BgL_vectorz00_1544
; }  else 
{ 
obj_t BgL_auxz00_1735;
BgL_auxz00_1735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)6910)), BGl_string1673z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1544); 
FAILURE(BgL_auxz00_1735,BFALSE,BFALSE);} 
BgL_tmpz00_1731 = 
BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(BgL_auxz00_1732); } 
return 
BINT(BgL_tmpz00_1731);} } 
BGL_FUNCTION_END;
}



/* vector-ref */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_10, long BgL_kz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 155 */
return 
VECTOR_REF(BgL_vectorz00_10,BgL_kz00_11);} 
BGL_FUNCTION_END;
}



/* &vector-ref */
obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1545, obj_t BgL_vectorz00_1546, obj_t BgL_kz00_1547)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 155 */
{ /* Ieee/vector.scm 156 */
long BgL_auxz00_1749;obj_t BgL_auxz00_1742;
{ /* Ieee/vector.scm 156 */
obj_t BgL_tmpz00_1750;
if(
INTEGERP(BgL_kz00_1547))
{ /* Ieee/vector.scm 156 */
BgL_tmpz00_1750 = BgL_kz00_1547
; }  else 
{ 
obj_t BgL_auxz00_1753;
BgL_auxz00_1753 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7198)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_kz00_1547); 
FAILURE(BgL_auxz00_1753,BFALSE,BFALSE);} 
BgL_auxz00_1749 = 
(long)CINT(BgL_tmpz00_1750); } 
if(
VECTORP(BgL_vectorz00_1546))
{ /* Ieee/vector.scm 156 */
BgL_auxz00_1742 = BgL_vectorz00_1546
; }  else 
{ 
obj_t BgL_auxz00_1745;
BgL_auxz00_1745 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7198)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1546); 
FAILURE(BgL_auxz00_1745,BFALSE,BFALSE);} 
return 
BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(BgL_auxz00_1742, BgL_auxz00_1749);} } 
BGL_FUNCTION_END;
}



/* vector-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_12, long BgL_kz00_13, obj_t BgL_objz00_14)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 161 */
return 
VECTOR_SET(BgL_vectorz00_12,BgL_kz00_13,BgL_objz00_14);} 
BGL_FUNCTION_END;
}



/* &vector-set! */
obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1548, obj_t BgL_vectorz00_1549, obj_t BgL_kz00_1550, obj_t BgL_objz00_1551)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 161 */
{ /* Ieee/vector.scm 162 */
long BgL_auxz00_1767;obj_t BgL_auxz00_1760;
{ /* Ieee/vector.scm 162 */
obj_t BgL_tmpz00_1768;
if(
INTEGERP(BgL_kz00_1550))
{ /* Ieee/vector.scm 162 */
BgL_tmpz00_1768 = BgL_kz00_1550
; }  else 
{ 
obj_t BgL_auxz00_1771;
BgL_auxz00_1771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7490)), BGl_string1676z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_kz00_1550); 
FAILURE(BgL_auxz00_1771,BFALSE,BFALSE);} 
BgL_auxz00_1767 = 
(long)CINT(BgL_tmpz00_1768); } 
if(
VECTORP(BgL_vectorz00_1549))
{ /* Ieee/vector.scm 162 */
BgL_auxz00_1760 = BgL_vectorz00_1549
; }  else 
{ 
obj_t BgL_auxz00_1763;
BgL_auxz00_1763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7490)), BGl_string1676z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1549); 
FAILURE(BgL_auxz00_1763,BFALSE,BFALSE);} 
return 
BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1760, BgL_auxz00_1767, BgL_objz00_1551);} } 
BGL_FUNCTION_END;
}



/* vector-ref-ur */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_15, long BgL_kz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 167 */
return 
VECTOR_REF(BgL_vectorz00_15,BgL_kz00_16);} 
BGL_FUNCTION_END;
}



/* &vector-ref-ur */
obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1552, obj_t BgL_vectorz00_1553, obj_t BgL_kz00_1554)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 167 */
{ /* Ieee/vector.scm 168 */
long BgL_auxz00_1785;obj_t BgL_auxz00_1778;
{ /* Ieee/vector.scm 168 */
obj_t BgL_tmpz00_1786;
if(
INTEGERP(BgL_kz00_1554))
{ /* Ieee/vector.scm 168 */
BgL_tmpz00_1786 = BgL_kz00_1554
; }  else 
{ 
obj_t BgL_auxz00_1789;
BgL_auxz00_1789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7785)), BGl_string1677z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_kz00_1554); 
FAILURE(BgL_auxz00_1789,BFALSE,BFALSE);} 
BgL_auxz00_1785 = 
(long)CINT(BgL_tmpz00_1786); } 
if(
VECTORP(BgL_vectorz00_1553))
{ /* Ieee/vector.scm 168 */
BgL_auxz00_1778 = BgL_vectorz00_1553
; }  else 
{ 
obj_t BgL_auxz00_1781;
BgL_auxz00_1781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)7785)), BGl_string1677z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1553); 
FAILURE(BgL_auxz00_1781,BFALSE,BFALSE);} 
return 
BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(BgL_auxz00_1778, BgL_auxz00_1785);} } 
BGL_FUNCTION_END;
}



/* vector-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_17, long BgL_kz00_18, obj_t BgL_objz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 173 */
return 
VECTOR_SET(BgL_vectorz00_17,BgL_kz00_18,BgL_objz00_19);} 
BGL_FUNCTION_END;
}



/* &vector-set-ur! */
obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t BgL_envz00_1555, obj_t BgL_vectorz00_1556, obj_t BgL_kz00_1557, obj_t BgL_objz00_1558)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 173 */
{ /* Ieee/vector.scm 174 */
long BgL_auxz00_1803;obj_t BgL_auxz00_1796;
{ /* Ieee/vector.scm 174 */
obj_t BgL_tmpz00_1804;
if(
INTEGERP(BgL_kz00_1557))
{ /* Ieee/vector.scm 174 */
BgL_tmpz00_1804 = BgL_kz00_1557
; }  else 
{ 
obj_t BgL_auxz00_1807;
BgL_auxz00_1807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)8083)), BGl_string1678z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_kz00_1557); 
FAILURE(BgL_auxz00_1807,BFALSE,BFALSE);} 
BgL_auxz00_1803 = 
(long)CINT(BgL_tmpz00_1804); } 
if(
VECTORP(BgL_vectorz00_1556))
{ /* Ieee/vector.scm 174 */
BgL_auxz00_1796 = BgL_vectorz00_1556
; }  else 
{ 
obj_t BgL_auxz00_1799;
BgL_auxz00_1799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)8083)), BGl_string1678z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1556); 
FAILURE(BgL_auxz00_1799,BFALSE,BFALSE);} 
return 
BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(BgL_auxz00_1796, BgL_auxz00_1803, BgL_objz00_1558);} } 
BGL_FUNCTION_END;
}



/* vector->list */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_20)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 179 */
if(
(
VECTOR_LENGTH(BgL_vectorz00_20)==((long)0)))
{ /* Ieee/vector.scm 181 */
return BNIL;}  else 
{ /* Ieee/vector.scm 183 */
long BgL_g1012z00_724;
BgL_g1012z00_724 = 
(
VECTOR_LENGTH(BgL_vectorz00_20)-((long)1)); 
{ 
long BgL_iz00_727;obj_t BgL_accz00_728;
BgL_iz00_727 = BgL_g1012z00_724; 
BgL_accz00_728 = BNIL; 
BgL_zc3anonymousza31072ze3z83_729:
if(
(BgL_iz00_727==((long)0)))
{ /* Ieee/vector.scm 185 */
return 
MAKE_YOUNG_PAIR(
VECTOR_REF(BgL_vectorz00_20,BgL_iz00_727), BgL_accz00_728);}  else 
{ /* Ieee/vector.scm 187 */
long BgL_arg1075z00_732;obj_t BgL_arg1077z00_733;
BgL_arg1075z00_732 = 
(BgL_iz00_727-((long)1)); 
BgL_arg1077z00_733 = 
MAKE_YOUNG_PAIR(
VECTOR_REF(BgL_vectorz00_20,BgL_iz00_727), BgL_accz00_728); 
{ 
obj_t BgL_accz00_1826;long BgL_iz00_1825;
BgL_iz00_1825 = BgL_arg1075z00_732; 
BgL_accz00_1826 = BgL_arg1077z00_733; 
BgL_accz00_728 = BgL_accz00_1826; 
BgL_iz00_727 = BgL_iz00_1825; 
goto BgL_zc3anonymousza31072ze3z83_729;} } } } } 
BGL_FUNCTION_END;
}



/* &vector->list */
obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1559, obj_t BgL_vectorz00_1560)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 179 */
{ /* Ieee/vector.scm 180 */
obj_t BgL_auxz00_1827;
if(
VECTORP(BgL_vectorz00_1560))
{ /* Ieee/vector.scm 180 */
BgL_auxz00_1827 = BgL_vectorz00_1560
; }  else 
{ 
obj_t BgL_auxz00_1830;
BgL_auxz00_1830 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)8371)), BGl_string1679z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1560); 
FAILURE(BgL_auxz00_1830,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_auxz00_1827);} } 
BGL_FUNCTION_END;
}



/* list->vector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t BgL_listz00_21)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 192 */
{ /* Ieee/vector.scm 193 */
long BgL_lenz00_736;
BgL_lenz00_736 = 
bgl_list_length(BgL_listz00_21); 
{ /* Ieee/vector.scm 193 */
obj_t BgL_vecz00_737;
BgL_vecz00_737 = 
create_vector(BgL_lenz00_736); 
{ /* Ieee/vector.scm 194 */

{ 
long BgL_iz00_739;obj_t BgL_lz00_740;
BgL_iz00_739 = ((long)0); 
BgL_lz00_740 = BgL_listz00_21; 
BgL_zc3anonymousza31079ze3z83_741:
if(
(BgL_iz00_739==BgL_lenz00_736))
{ /* Ieee/vector.scm 197 */
return BgL_vecz00_737;}  else 
{ /* Ieee/vector.scm 197 */
{ /* Ieee/vector.scm 200 */
obj_t BgL_arg1085z00_743;
BgL_arg1085z00_743 = 
CAR(
((obj_t)BgL_lz00_740)); 
VECTOR_SET(BgL_vecz00_737,BgL_iz00_739,BgL_arg1085z00_743); } 
{ /* Ieee/vector.scm 201 */
long BgL_arg1087z00_744;obj_t BgL_arg1088z00_745;
BgL_arg1087z00_744 = 
(BgL_iz00_739+((long)1)); 
BgL_arg1088z00_745 = 
CDR(
((obj_t)BgL_lz00_740)); 
{ 
obj_t BgL_lz00_1846;long BgL_iz00_1845;
BgL_iz00_1845 = BgL_arg1087z00_744; 
BgL_lz00_1846 = BgL_arg1088z00_745; 
BgL_lz00_740 = BgL_lz00_1846; 
BgL_iz00_739 = BgL_iz00_1845; 
goto BgL_zc3anonymousza31079ze3z83_741;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &list->vector */
obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1561, obj_t BgL_listz00_1562)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 192 */
{ /* Ieee/vector.scm 193 */
obj_t BgL_auxz00_1847;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_listz00_1562))
{ /* Ieee/vector.scm 193 */
BgL_auxz00_1847 = BgL_listz00_1562
; }  else 
{ 
obj_t BgL_auxz00_1850;
BgL_auxz00_1850 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)8861)), BGl_string1680z00zz__r4_vectors_6_8z00, BGl_string1681z00zz__r4_vectors_6_8z00, BgL_listz00_1562); 
FAILURE(BgL_auxz00_1850,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_auxz00_1847);} } 
BGL_FUNCTION_END;
}



/* _vector-fill! */
obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_27, obj_t BgL_optz00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 206 */
{ /* Ieee/vector.scm 206 */
obj_t BgL_vecz00_747;obj_t BgL_fillz00_748;
BgL_vecz00_747 = 
VECTOR_REF(BgL_optz00_26,((long)0)); 
BgL_fillz00_748 = 
VECTOR_REF(BgL_optz00_26,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_optz00_26)) { case ((long)2) : 

{ /* Ieee/vector.scm 207 */
long BgL_endz00_753;
{ /* Ieee/vector.scm 207 */
obj_t BgL_vectorz00_1254;
if(
VECTORP(BgL_vecz00_747))
{ /* Ieee/vector.scm 207 */
BgL_vectorz00_1254 = BgL_vecz00_747; }  else 
{ 
obj_t BgL_auxz00_1859;
BgL_auxz00_1859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9372)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_747); 
FAILURE(BgL_auxz00_1859,BFALSE,BFALSE);} 
BgL_endz00_753 = 
VECTOR_LENGTH(BgL_vectorz00_1254); } 
{ /* Ieee/vector.scm 206 */

{ /* Ieee/vector.scm 206 */
obj_t BgL_auxz00_1864;
if(
VECTORP(BgL_vecz00_747))
{ /* Ieee/vector.scm 206 */
BgL_auxz00_1864 = BgL_vecz00_747
; }  else 
{ 
obj_t BgL_auxz00_1867;
BgL_auxz00_1867 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_747); 
FAILURE(BgL_auxz00_1867,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1864, BgL_fillz00_748, ((long)0), BgL_endz00_753);} } } break;case ((long)3) : 

{ /* Ieee/vector.scm 206 */
obj_t BgL_startz00_754;
BgL_startz00_754 = 
VECTOR_REF(BgL_optz00_26,((long)2)); 
{ /* Ieee/vector.scm 207 */
long BgL_endz00_755;
{ /* Ieee/vector.scm 207 */
obj_t BgL_vectorz00_1255;
if(
VECTORP(BgL_vecz00_747))
{ /* Ieee/vector.scm 207 */
BgL_vectorz00_1255 = BgL_vecz00_747; }  else 
{ 
obj_t BgL_auxz00_1875;
BgL_auxz00_1875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9372)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_747); 
FAILURE(BgL_auxz00_1875,BFALSE,BFALSE);} 
BgL_endz00_755 = 
VECTOR_LENGTH(BgL_vectorz00_1255); } 
{ /* Ieee/vector.scm 206 */

{ /* Ieee/vector.scm 206 */
long BgL_auxz00_1887;obj_t BgL_auxz00_1880;
{ /* Ieee/vector.scm 206 */
obj_t BgL_tmpz00_1888;
if(
INTEGERP(BgL_startz00_754))
{ /* Ieee/vector.scm 206 */
BgL_tmpz00_1888 = BgL_startz00_754
; }  else 
{ 
obj_t BgL_auxz00_1891;
BgL_auxz00_1891 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_startz00_754); 
FAILURE(BgL_auxz00_1891,BFALSE,BFALSE);} 
BgL_auxz00_1887 = 
(long)CINT(BgL_tmpz00_1888); } 
if(
VECTORP(BgL_vecz00_747))
{ /* Ieee/vector.scm 206 */
BgL_auxz00_1880 = BgL_vecz00_747
; }  else 
{ 
obj_t BgL_auxz00_1883;
BgL_auxz00_1883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_747); 
FAILURE(BgL_auxz00_1883,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1880, BgL_fillz00_748, BgL_auxz00_1887, BgL_endz00_755);} } } } break;case ((long)4) : 

{ /* Ieee/vector.scm 206 */
obj_t BgL_startz00_756;
BgL_startz00_756 = 
VECTOR_REF(BgL_optz00_26,((long)2)); 
{ /* Ieee/vector.scm 206 */
obj_t BgL_endz00_757;
BgL_endz00_757 = 
VECTOR_REF(BgL_optz00_26,((long)3)); 
{ /* Ieee/vector.scm 206 */

{ /* Ieee/vector.scm 206 */
long BgL_auxz00_1915;long BgL_auxz00_1906;obj_t BgL_auxz00_1899;
{ /* Ieee/vector.scm 206 */
obj_t BgL_tmpz00_1916;
if(
INTEGERP(BgL_endz00_757))
{ /* Ieee/vector.scm 206 */
BgL_tmpz00_1916 = BgL_endz00_757
; }  else 
{ 
obj_t BgL_auxz00_1919;
BgL_auxz00_1919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_endz00_757); 
FAILURE(BgL_auxz00_1919,BFALSE,BFALSE);} 
BgL_auxz00_1915 = 
(long)CINT(BgL_tmpz00_1916); } 
{ /* Ieee/vector.scm 206 */
obj_t BgL_tmpz00_1907;
if(
INTEGERP(BgL_startz00_756))
{ /* Ieee/vector.scm 206 */
BgL_tmpz00_1907 = BgL_startz00_756
; }  else 
{ 
obj_t BgL_auxz00_1910;
BgL_auxz00_1910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_startz00_756); 
FAILURE(BgL_auxz00_1910,BFALSE,BFALSE);} 
BgL_auxz00_1906 = 
(long)CINT(BgL_tmpz00_1907); } 
if(
VECTORP(BgL_vecz00_747))
{ /* Ieee/vector.scm 206 */
BgL_auxz00_1899 = BgL_vecz00_747
; }  else 
{ 
obj_t BgL_auxz00_1902;
BgL_auxz00_1902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9284)), BGl_string1682z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_747); 
FAILURE(BgL_auxz00_1902,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1899, BgL_fillz00_748, BgL_auxz00_1906, BgL_auxz00_1915);} } } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* vector-fill! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vecz00_22, obj_t BgL_fillz00_23, long BgL_startz00_24, long BgL_endz00_25)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 206 */
if(
(BgL_startz00_24<((long)0)))
{ /* Ieee/vector.scm 209 */
return 
BGl_errorz00zz__errorz00(BGl_string1683z00zz__r4_vectors_6_8z00, BGl_string1684z00zz__r4_vectors_6_8z00, 
BINT(BgL_startz00_24));}  else 
{ /* Ieee/vector.scm 209 */
if(
(BgL_endz00_25>
VECTOR_LENGTH(BgL_vecz00_22)))
{ /* Ieee/vector.scm 211 */
return 
BGl_errorz00zz__errorz00(BGl_string1683z00zz__r4_vectors_6_8z00, BGl_string1685z00zz__r4_vectors_6_8z00, 
BINT(BgL_endz00_25));}  else 
{ /* Ieee/vector.scm 211 */
if(
(BgL_startz00_24>=BgL_endz00_25))
{ /* Ieee/vector.scm 214 */
obj_t BgL_arg1101z00_762;
BgL_arg1101z00_762 = 
MAKE_YOUNG_PAIR(
BINT(BgL_startz00_24), 
BINT(BgL_endz00_25)); 
return 
BGl_errorz00zz__errorz00(BGl_string1683z00zz__r4_vectors_6_8z00, BGl_string1686z00zz__r4_vectors_6_8z00, BgL_arg1101z00_762);}  else 
{ /* Ieee/vector.scm 213 */
return 
bgl_fill_vector(BgL_vecz00_22, BgL_startz00_24, BgL_endz00_25, BgL_fillz00_23);} } } } 
BGL_FUNCTION_END;
}



/* vector-tag */
BGL_EXPORTED_DEF int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_28)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 221 */
return 
VECTOR_TAG(BgL_vectorz00_28);} 
BGL_FUNCTION_END;
}



/* &vector-tag */
obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1563, obj_t BgL_vectorz00_1564)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 221 */
{ /* Ieee/vector.scm 222 */
int BgL_tmpz00_1944;
{ /* Ieee/vector.scm 222 */
obj_t BgL_auxz00_1945;
if(
VECTORP(BgL_vectorz00_1564))
{ /* Ieee/vector.scm 222 */
BgL_auxz00_1945 = BgL_vectorz00_1564
; }  else 
{ 
obj_t BgL_auxz00_1948;
BgL_auxz00_1948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)9983)), BGl_string1687z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1564); 
FAILURE(BgL_auxz00_1948,BFALSE,BFALSE);} 
BgL_tmpz00_1944 = 
BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(BgL_auxz00_1945); } 
return 
BINT(BgL_tmpz00_1944);} } 
BGL_FUNCTION_END;
}



/* vector-tag-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_29, int BgL_tagz00_30)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 227 */
return 
VECTOR_TAG_SET(BgL_vectorz00_29, BgL_tagz00_30);} 
BGL_FUNCTION_END;
}



/* &vector-tag-set! */
obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t BgL_envz00_1565, obj_t BgL_vectorz00_1566, obj_t BgL_tagz00_1567)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 227 */
{ /* Ieee/vector.scm 228 */
int BgL_auxz00_1962;obj_t BgL_auxz00_1955;
{ /* Ieee/vector.scm 228 */
obj_t BgL_tmpz00_1963;
if(
INTEGERP(BgL_tagz00_1567))
{ /* Ieee/vector.scm 228 */
BgL_tmpz00_1963 = BgL_tagz00_1567
; }  else 
{ 
obj_t BgL_auxz00_1966;
BgL_auxz00_1966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)10275)), BGl_string1688z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_tagz00_1567); 
FAILURE(BgL_auxz00_1966,BFALSE,BFALSE);} 
BgL_auxz00_1962 = 
CINT(BgL_tmpz00_1963); } 
if(
VECTORP(BgL_vectorz00_1566))
{ /* Ieee/vector.scm 228 */
BgL_auxz00_1955 = BgL_vectorz00_1566
; }  else 
{ 
obj_t BgL_auxz00_1958;
BgL_auxz00_1958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)10275)), BGl_string1688z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vectorz00_1566); 
FAILURE(BgL_auxz00_1958,BFALSE,BFALSE);} 
return 
BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(BgL_auxz00_1955, BgL_auxz00_1962);} } 
BGL_FUNCTION_END;
}



/* copy-vector */
BGL_EXPORTED_DEF obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_31, long BgL_newzd2lenzd2_32)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 233 */
{ /* Ieee/vector.scm 234 */
obj_t BgL_newzd2veczd2_765;
BgL_newzd2veczd2_765 = 
make_vector(BgL_newzd2lenzd2_32, BUNSPEC); 
{ /* Ieee/vector.scm 235 */
long BgL_minz00_766;
if(
(BgL_newzd2lenzd2_32<
VECTOR_LENGTH(BgL_oldzd2veczd2_31)))
{ /* Ieee/vector.scm 236 */
BgL_minz00_766 = BgL_newzd2lenzd2_32; }  else 
{ /* Ieee/vector.scm 236 */
BgL_minz00_766 = 
VECTOR_LENGTH(BgL_oldzd2veczd2_31); } 
{ /* Ieee/vector.scm 236 */

{ 
long BgL_iz00_768;
BgL_iz00_768 = ((long)0); 
BgL_zc3anonymousza31103ze3z83_769:
if(
(BgL_iz00_768==BgL_minz00_766))
{ /* Ieee/vector.scm 240 */
return BgL_newzd2veczd2_765;}  else 
{ /* Ieee/vector.scm 240 */
VECTOR_SET(BgL_newzd2veczd2_765,BgL_iz00_768,
VECTOR_REF(BgL_oldzd2veczd2_31,BgL_iz00_768)); 
{ 
long BgL_iz00_1981;
BgL_iz00_1981 = 
(BgL_iz00_768+((long)1)); 
BgL_iz00_768 = BgL_iz00_1981; 
goto BgL_zc3anonymousza31103ze3z83_769;} } } } } } } 
BGL_FUNCTION_END;
}



/* &copy-vector */
obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1568, obj_t BgL_oldzd2veczd2_1569, obj_t BgL_newzd2lenzd2_1570)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 233 */
{ /* Ieee/vector.scm 234 */
long BgL_auxz00_1990;obj_t BgL_auxz00_1983;
{ /* Ieee/vector.scm 234 */
obj_t BgL_tmpz00_1991;
if(
INTEGERP(BgL_newzd2lenzd2_1570))
{ /* Ieee/vector.scm 234 */
BgL_tmpz00_1991 = BgL_newzd2lenzd2_1570
; }  else 
{ 
obj_t BgL_auxz00_1994;
BgL_auxz00_1994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)10592)), BGl_string1689z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_newzd2lenzd2_1570); 
FAILURE(BgL_auxz00_1994,BFALSE,BFALSE);} 
BgL_auxz00_1990 = 
(long)CINT(BgL_tmpz00_1991); } 
if(
VECTORP(BgL_oldzd2veczd2_1569))
{ /* Ieee/vector.scm 234 */
BgL_auxz00_1983 = BgL_oldzd2veczd2_1569
; }  else 
{ 
obj_t BgL_auxz00_1986;
BgL_auxz00_1986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)10592)), BGl_string1689z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1569); 
FAILURE(BgL_auxz00_1986,BFALSE,BFALSE);} 
return 
BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_auxz00_1983, BgL_auxz00_1990);} } 
BGL_FUNCTION_END;
}



/* vector-copy */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_33, obj_t BgL_argsz00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 249 */
{ /* Ieee/vector.scm 250 */
obj_t BgL_startz00_777;
if(
PAIRP(BgL_argsz00_34))
{ /* Ieee/vector.scm 251 */
if(
INTEGERP(
CAR(BgL_argsz00_34)))
{ /* Ieee/vector.scm 252 */
BgL_startz00_777 = 
CAR(BgL_argsz00_34); }  else 
{ /* Ieee/vector.scm 252 */
BgL_startz00_777 = 
BGl_errorz00zz__errorz00(BGl_string1690z00zz__r4_vectors_6_8z00, BGl_string1691z00zz__r4_vectors_6_8z00, 
CAR(BgL_argsz00_34)); } }  else 
{ /* Ieee/vector.scm 251 */
BgL_startz00_777 = 
BINT(((long)0)); } 
{ /* Ieee/vector.scm 251 */
obj_t BgL_stopz00_778;
{ /* Ieee/vector.scm 256 */
bool_t BgL_testz00_2009;
if(
PAIRP(BgL_argsz00_34))
{ /* Ieee/vector.scm 256 */
obj_t BgL_tmpz00_2012;
BgL_tmpz00_2012 = 
CDR(BgL_argsz00_34); 
BgL_testz00_2009 = 
PAIRP(BgL_tmpz00_2012); }  else 
{ /* Ieee/vector.scm 256 */
BgL_testz00_2009 = ((bool_t)0)
; } 
if(BgL_testz00_2009)
{ /* Ieee/vector.scm 257 */
bool_t BgL_testz00_2015;
{ /* Ieee/vector.scm 257 */
bool_t BgL_testz00_2016;
{ /* Ieee/vector.scm 257 */
obj_t BgL_tmpz00_2017;
BgL_tmpz00_2017 = 
CDR(
CDR(BgL_argsz00_34)); 
BgL_testz00_2016 = 
PAIRP(BgL_tmpz00_2017); } 
if(BgL_testz00_2016)
{ /* Ieee/vector.scm 257 */
BgL_testz00_2015 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 257 */
if(
INTEGERP(
CAR(
CDR(BgL_argsz00_34))))
{ /* Ieee/vector.scm 258 */
BgL_testz00_2015 = ((bool_t)0)
; }  else 
{ /* Ieee/vector.scm 258 */
BgL_testz00_2015 = ((bool_t)1)
; } } } 
if(BgL_testz00_2015)
{ /* Ieee/vector.scm 257 */
BgL_stopz00_778 = 
BGl_errorz00zz__errorz00(BGl_string1690z00zz__r4_vectors_6_8z00, BGl_string1691z00zz__r4_vectors_6_8z00, 
CDR(BgL_argsz00_34)); }  else 
{ /* Ieee/vector.scm 257 */
BgL_stopz00_778 = 
CAR(
CDR(BgL_argsz00_34)); } }  else 
{ /* Ieee/vector.scm 256 */
BgL_stopz00_778 = 
BINT(
VECTOR_LENGTH(BgL_oldzd2veczd2_33)); } } 
{ /* Ieee/vector.scm 256 */
long BgL_newzd2lenzd2_779;
BgL_newzd2lenzd2_779 = 
(
(long)CINT(BgL_stopz00_778)-
(long)CINT(BgL_startz00_777)); 
{ /* Ieee/vector.scm 262 */
obj_t BgL_newzd2veczd2_780;
BgL_newzd2veczd2_780 = 
make_vector(BgL_newzd2lenzd2_779, BUNSPEC); 
{ /* Ieee/vector.scm 264 */

{ /* Ieee/vector.scm 267 */
bool_t BgL_testz00_2035;
if(
(BgL_newzd2lenzd2_779<((long)0)))
{ /* Ieee/vector.scm 267 */
BgL_testz00_2035 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 267 */
if(
(
(long)CINT(BgL_startz00_777)>
VECTOR_LENGTH(BgL_oldzd2veczd2_33)))
{ /* Ieee/vector.scm 268 */
BgL_testz00_2035 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 268 */
BgL_testz00_2035 = 
(
(long)CINT(BgL_stopz00_778)>
VECTOR_LENGTH(BgL_oldzd2veczd2_33))
; } } 
if(BgL_testz00_2035)
{ /* Ieee/vector.scm 267 */
return 
BGl_errorz00zz__errorz00(BGl_string1690z00zz__r4_vectors_6_8z00, BGl_string1692z00zz__r4_vectors_6_8z00, BgL_argsz00_34);}  else 
{ 
obj_t BgL_rz00_786;long BgL_wz00_787;
BgL_rz00_786 = BgL_startz00_777; 
BgL_wz00_787 = ((long)0); 
BgL_zc3anonymousza31116ze3z83_788:
if(
(
(long)CINT(BgL_rz00_786)==
(long)CINT(BgL_stopz00_778)))
{ /* Ieee/vector.scm 273 */
return BgL_newzd2veczd2_780;}  else 
{ /* Ieee/vector.scm 273 */
VECTOR_SET(BgL_newzd2veczd2_780,BgL_wz00_787,
VECTOR_REF(BgL_oldzd2veczd2_33,
(long)CINT(BgL_rz00_786))); 
{ /* Ieee/vector.scm 277 */
long BgL_arg1119z00_791;long BgL_arg1120z00_792;
BgL_arg1119z00_791 = 
(
(long)CINT(BgL_rz00_786)+((long)1)); 
BgL_arg1120z00_792 = 
(BgL_wz00_787+((long)1)); 
{ 
long BgL_wz00_2058;obj_t BgL_rz00_2056;
BgL_rz00_2056 = 
BINT(BgL_arg1119z00_791); 
BgL_wz00_2058 = BgL_arg1120z00_792; 
BgL_wz00_787 = BgL_wz00_2058; 
BgL_rz00_786 = BgL_rz00_2056; 
goto BgL_zc3anonymousza31116ze3z83_788;} } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &vector-copy */
obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1571, obj_t BgL_oldzd2veczd2_1572, obj_t BgL_argsz00_1573)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 249 */
{ /* Ieee/vector.scm 250 */
obj_t BgL_auxz00_2059;
if(
VECTORP(BgL_oldzd2veczd2_1572))
{ /* Ieee/vector.scm 250 */
BgL_auxz00_2059 = BgL_oldzd2veczd2_1572
; }  else 
{ 
obj_t BgL_auxz00_2062;
BgL_auxz00_2062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)11170)), BGl_string1693z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1572); 
FAILURE(BgL_auxz00_2062,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(BgL_auxz00_2059, BgL_argsz00_1573);} } 
BGL_FUNCTION_END;
}



/* _vector-copy! */
obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_41, obj_t BgL_optz00_40)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 282 */
{ /* Ieee/vector.scm 282 */
obj_t BgL_g1047z00_820;obj_t BgL_g1048z00_821;obj_t BgL_sourcez00_822;
BgL_g1047z00_820 = 
VECTOR_REF(BgL_optz00_40,((long)0)); 
BgL_g1048z00_821 = 
VECTOR_REF(BgL_optz00_40,((long)1)); 
BgL_sourcez00_822 = 
VECTOR_REF(BgL_optz00_40,((long)2)); 
switch( 
VECTOR_LENGTH(BgL_optz00_40)) { case ((long)3) : 

{ /* Ieee/vector.scm 283 */
long BgL_sendz00_827;
{ /* Ieee/vector.scm 283 */
obj_t BgL_vectorz00_1329;
if(
VECTORP(BgL_sourcez00_822))
{ /* Ieee/vector.scm 283 */
BgL_vectorz00_1329 = BgL_sourcez00_822; }  else 
{ 
obj_t BgL_auxz00_2072;
BgL_auxz00_2072 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12318)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_sourcez00_822); 
FAILURE(BgL_auxz00_2072,BFALSE,BFALSE);} 
BgL_sendz00_827 = 
VECTOR_LENGTH(BgL_vectorz00_1329); } 
{ /* Ieee/vector.scm 282 */

{ /* Ieee/vector.scm 282 */
long BgL_auxz00_2084;obj_t BgL_auxz00_2077;
{ /* Ieee/vector.scm 282 */
obj_t BgL_tmpz00_2085;
if(
INTEGERP(BgL_g1048z00_821))
{ /* Ieee/vector.scm 282 */
BgL_tmpz00_2085 = BgL_g1048z00_821
; }  else 
{ 
obj_t BgL_auxz00_2088;
BgL_auxz00_2088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_g1048z00_821); 
FAILURE(BgL_auxz00_2088,BFALSE,BFALSE);} 
BgL_auxz00_2084 = 
(long)CINT(BgL_tmpz00_2085); } 
if(
VECTORP(BgL_g1047z00_820))
{ /* Ieee/vector.scm 282 */
BgL_auxz00_2077 = BgL_g1047z00_820
; }  else 
{ 
obj_t BgL_auxz00_2080;
BgL_auxz00_2080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_g1047z00_820); 
FAILURE(BgL_auxz00_2080,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2077, BgL_auxz00_2084, BgL_sourcez00_822, 
BINT(((long)0)), 
BINT(BgL_sendz00_827));} } } break;case ((long)4) : 

{ /* Ieee/vector.scm 282 */
obj_t BgL_sstartz00_828;
BgL_sstartz00_828 = 
VECTOR_REF(BgL_optz00_40,((long)3)); 
{ /* Ieee/vector.scm 283 */
long BgL_sendz00_829;
{ /* Ieee/vector.scm 283 */
obj_t BgL_vectorz00_1330;
if(
VECTORP(BgL_sourcez00_822))
{ /* Ieee/vector.scm 283 */
BgL_vectorz00_1330 = BgL_sourcez00_822; }  else 
{ 
obj_t BgL_auxz00_2099;
BgL_auxz00_2099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12318)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_sourcez00_822); 
FAILURE(BgL_auxz00_2099,BFALSE,BFALSE);} 
BgL_sendz00_829 = 
VECTOR_LENGTH(BgL_vectorz00_1330); } 
{ /* Ieee/vector.scm 282 */

{ /* Ieee/vector.scm 282 */
long BgL_auxz00_2111;obj_t BgL_auxz00_2104;
{ /* Ieee/vector.scm 282 */
obj_t BgL_tmpz00_2112;
if(
INTEGERP(BgL_g1048z00_821))
{ /* Ieee/vector.scm 282 */
BgL_tmpz00_2112 = BgL_g1048z00_821
; }  else 
{ 
obj_t BgL_auxz00_2115;
BgL_auxz00_2115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_g1048z00_821); 
FAILURE(BgL_auxz00_2115,BFALSE,BFALSE);} 
BgL_auxz00_2111 = 
(long)CINT(BgL_tmpz00_2112); } 
if(
VECTORP(BgL_g1047z00_820))
{ /* Ieee/vector.scm 282 */
BgL_auxz00_2104 = BgL_g1047z00_820
; }  else 
{ 
obj_t BgL_auxz00_2107;
BgL_auxz00_2107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_g1047z00_820); 
FAILURE(BgL_auxz00_2107,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2104, BgL_auxz00_2111, BgL_sourcez00_822, BgL_sstartz00_828, 
BINT(BgL_sendz00_829));} } } } break;case ((long)5) : 

{ /* Ieee/vector.scm 282 */
obj_t BgL_sstartz00_830;
BgL_sstartz00_830 = 
VECTOR_REF(BgL_optz00_40,((long)3)); 
{ /* Ieee/vector.scm 282 */
obj_t BgL_sendz00_831;
BgL_sendz00_831 = 
VECTOR_REF(BgL_optz00_40,((long)4)); 
{ /* Ieee/vector.scm 282 */

{ /* Ieee/vector.scm 282 */
long BgL_auxz00_2131;obj_t BgL_auxz00_2124;
{ /* Ieee/vector.scm 282 */
obj_t BgL_tmpz00_2132;
if(
INTEGERP(BgL_g1048z00_821))
{ /* Ieee/vector.scm 282 */
BgL_tmpz00_2132 = BgL_g1048z00_821
; }  else 
{ 
obj_t BgL_auxz00_2135;
BgL_auxz00_2135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_g1048z00_821); 
FAILURE(BgL_auxz00_2135,BFALSE,BFALSE);} 
BgL_auxz00_2131 = 
(long)CINT(BgL_tmpz00_2132); } 
if(
VECTORP(BgL_g1047z00_820))
{ /* Ieee/vector.scm 282 */
BgL_auxz00_2124 = BgL_g1047z00_820
; }  else 
{ 
obj_t BgL_auxz00_2127;
BgL_auxz00_2127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)12224)), BGl_string1694z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_g1047z00_820); 
FAILURE(BgL_auxz00_2127,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2124, BgL_auxz00_2131, BgL_sourcez00_822, BgL_sstartz00_830, BgL_sendz00_831);} } } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* vector-copy! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_targetz00_35, long BgL_tstartz00_36, obj_t BgL_sourcez00_37, obj_t BgL_sstartz00_38, obj_t BgL_sendz00_39)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 282 */
{ /* Ieee/vector.scm 284 */
obj_t BgL_endz00_832;
if(
(
(long)CINT(BgL_sendz00_39)<
VECTOR_LENGTH(
((obj_t)BgL_sourcez00_37))))
{ /* Ieee/vector.scm 284 */
BgL_endz00_832 = BgL_sendz00_39; }  else 
{ /* Ieee/vector.scm 284 */
BgL_endz00_832 = 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_sourcez00_37))); } 
{ /* Ieee/vector.scm 284 */
long BgL_countz00_833;
BgL_countz00_833 = 
(
(long)CINT(BgL_endz00_832)-
(long)CINT(BgL_sstartz00_38)); 
{ /* Ieee/vector.scm 285 */
long BgL_tendz00_834;
{ /* Ieee/vector.scm 286 */
long BgL_az00_868;
BgL_az00_868 = 
(BgL_tstartz00_36+BgL_countz00_833); 
if(
(BgL_az00_868<
VECTOR_LENGTH(BgL_targetz00_35)))
{ /* Ieee/vector.scm 286 */
BgL_tendz00_834 = BgL_az00_868; }  else 
{ /* Ieee/vector.scm 286 */
BgL_tendz00_834 = 
VECTOR_LENGTH(BgL_targetz00_35); } } 
{ /* Ieee/vector.scm 286 */

{ /* Ieee/vector.scm 287 */
bool_t BgL_testz00_2159;
if(
(BgL_targetz00_35==BgL_sourcez00_37))
{ /* Ieee/vector.scm 287 */
if(
(
(long)CINT(BgL_sstartz00_38)<BgL_tstartz00_36))
{ /* Ieee/vector.scm 289 */
long BgL_tmpz00_2165;
{ /* Ieee/vector.scm 289 */
long BgL_za71za7_1351;
BgL_za71za7_1351 = 
(long)CINT(BgL_sstartz00_38); 
BgL_tmpz00_2165 = 
(BgL_za71za7_1351+
(
(long)CINT(BgL_sendz00_39)-BgL_za71za7_1351)); } 
BgL_testz00_2159 = 
(BgL_tstartz00_36<BgL_tmpz00_2165); }  else 
{ /* Ieee/vector.scm 288 */
BgL_testz00_2159 = ((bool_t)0)
; } }  else 
{ /* Ieee/vector.scm 287 */
BgL_testz00_2159 = ((bool_t)0)
; } 
if(BgL_testz00_2159)
{ /* Ieee/vector.scm 290 */
long BgL_g1016z00_840;long BgL_g1017z00_841;
BgL_g1016z00_840 = 
(
(long)CINT(BgL_endz00_832)-((long)1)); 
BgL_g1017z00_841 = 
(BgL_tendz00_834-((long)1)); 
{ 
long BgL_iz00_843;long BgL_jz00_844;
{ /* Ieee/vector.scm 290 */
bool_t BgL_tmpz00_2174;
BgL_iz00_843 = BgL_g1016z00_840; 
BgL_jz00_844 = BgL_g1017z00_841; 
BgL_zc3anonymousza31167ze3z83_845:
{ /* Ieee/vector.scm 292 */
bool_t BgL_testz00_2175;
if(
(BgL_iz00_843>=
(long)CINT(BgL_sstartz00_38)))
{ /* Ieee/vector.scm 292 */
BgL_testz00_2175 = 
(BgL_jz00_844>=BgL_tstartz00_36)
; }  else 
{ /* Ieee/vector.scm 292 */
BgL_testz00_2175 = ((bool_t)0)
; } 
if(BgL_testz00_2175)
{ /* Ieee/vector.scm 292 */
{ /* Ieee/vector.scm 293 */
obj_t BgL_arg1170z00_848;
BgL_arg1170z00_848 = 
VECTOR_REF(
((obj_t)BgL_sourcez00_37),BgL_iz00_843); 
VECTOR_SET(BgL_targetz00_35,BgL_jz00_844,BgL_arg1170z00_848); } 
{ 
long BgL_jz00_2185;long BgL_iz00_2183;
BgL_iz00_2183 = 
(BgL_iz00_843-((long)1)); 
BgL_jz00_2185 = 
(BgL_jz00_844-((long)1)); 
BgL_jz00_844 = BgL_jz00_2185; 
BgL_iz00_843 = BgL_iz00_2183; 
goto BgL_zc3anonymousza31167ze3z83_845;} }  else 
{ /* Ieee/vector.scm 292 */
BgL_tmpz00_2174 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2174);} } }  else 
{ 
obj_t BgL_iz00_854;long BgL_jz00_855;
{ /* Ieee/vector.scm 295 */
bool_t BgL_tmpz00_2188;
BgL_iz00_854 = BgL_sstartz00_38; 
BgL_jz00_855 = BgL_tstartz00_36; 
BgL_zc3anonymousza31175ze3z83_856:
{ /* Ieee/vector.scm 297 */
bool_t BgL_testz00_2189;
if(
(
(long)CINT(BgL_iz00_854)<
(long)CINT(BgL_endz00_832)))
{ /* Ieee/vector.scm 297 */
BgL_testz00_2189 = 
(BgL_jz00_855<BgL_tendz00_834)
; }  else 
{ /* Ieee/vector.scm 297 */
BgL_testz00_2189 = ((bool_t)0)
; } 
if(BgL_testz00_2189)
{ /* Ieee/vector.scm 297 */
{ /* Ieee/vector.scm 298 */
obj_t BgL_arg1178z00_859;
{ /* Ieee/vector.scm 298 */
long BgL_kz00_1382;
BgL_kz00_1382 = 
(long)CINT(BgL_iz00_854); 
BgL_arg1178z00_859 = 
VECTOR_REF(
((obj_t)BgL_sourcez00_37),BgL_kz00_1382); } 
VECTOR_SET(BgL_targetz00_35,BgL_jz00_855,BgL_arg1178z00_859); } 
{ /* Ieee/vector.scm 299 */
long BgL_arg1179z00_860;long BgL_arg1180z00_861;
BgL_arg1179z00_860 = 
(
(long)CINT(BgL_iz00_854)+((long)1)); 
BgL_arg1180z00_861 = 
(BgL_jz00_855+((long)1)); 
{ 
long BgL_jz00_2204;obj_t BgL_iz00_2202;
BgL_iz00_2202 = 
BINT(BgL_arg1179z00_860); 
BgL_jz00_2204 = BgL_arg1180z00_861; 
BgL_jz00_855 = BgL_jz00_2204; 
BgL_iz00_854 = BgL_iz00_2202; 
goto BgL_zc3anonymousza31175ze3z83_856;} } }  else 
{ /* Ieee/vector.scm 297 */
BgL_tmpz00_2188 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2188);} } } } } } } } 
BGL_FUNCTION_END;
}



/* vector-append */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t BgL_vecz00_42, obj_t BgL_argsz00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 304 */
{ 
long BgL_lenz00_876;obj_t BgL_vectsz00_877;
BgL_lenz00_876 = 
VECTOR_LENGTH(BgL_vecz00_42); 
BgL_vectsz00_877 = BgL_argsz00_43; 
BgL_zc3anonymousza31185ze3z83_878:
if(
NULLP(BgL_vectsz00_877))
{ /* Ieee/vector.scm 308 */
obj_t BgL_resz00_880;
BgL_resz00_880 = 
make_vector(BgL_lenz00_876, BUNSPEC); 
{ /* Ieee/vector.scm 109 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_880, ((long)0), BgL_vecz00_42, 
BINT(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vecz00_42))); } 
{ 
long BgL_iz00_888;obj_t BgL_vectsz00_889;
BgL_iz00_888 = 
VECTOR_LENGTH(BgL_vecz00_42); 
BgL_vectsz00_889 = BgL_argsz00_43; 
BgL_zc3anonymousza31187ze3z83_890:
if(
NULLP(BgL_vectsz00_889))
{ /* Ieee/vector.scm 312 */
return BgL_resz00_880;}  else 
{ /* Ieee/vector.scm 314 */
obj_t BgL_vecz00_892;
BgL_vecz00_892 = 
CAR(
((obj_t)BgL_vectsz00_889)); 
{ /* Ieee/vector.scm 109 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_880, BgL_iz00_888, BgL_vecz00_892, 
BINT(((long)0)), 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_vecz00_892)))); } 
{ /* Ieee/vector.scm 316 */
long BgL_arg1189z00_898;obj_t BgL_arg1190z00_899;
BgL_arg1189z00_898 = 
(BgL_iz00_888+
VECTOR_LENGTH(
((obj_t)BgL_vecz00_892))); 
BgL_arg1190z00_899 = 
CDR(
((obj_t)BgL_vectsz00_889)); 
{ 
obj_t BgL_vectsz00_2228;long BgL_iz00_2227;
BgL_iz00_2227 = BgL_arg1189z00_898; 
BgL_vectsz00_2228 = BgL_arg1190z00_899; 
BgL_vectsz00_889 = BgL_vectsz00_2228; 
BgL_iz00_888 = BgL_iz00_2227; 
goto BgL_zc3anonymousza31187ze3z83_890;} } } } }  else 
{ /* Ieee/vector.scm 317 */
long BgL_arg1200z00_903;obj_t BgL_arg1201z00_904;
{ /* Ieee/vector.scm 317 */
long BgL_arg1202z00_905;
{ /* Ieee/vector.scm 317 */
obj_t BgL_arg1203z00_906;
BgL_arg1203z00_906 = 
CAR(
((obj_t)BgL_vectsz00_877)); 
BgL_arg1202z00_905 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1203z00_906)); } 
BgL_arg1200z00_903 = 
(BgL_arg1202z00_905+BgL_lenz00_876); } 
BgL_arg1201z00_904 = 
CDR(
((obj_t)BgL_vectsz00_877)); 
{ 
obj_t BgL_vectsz00_2238;long BgL_lenz00_2237;
BgL_lenz00_2237 = BgL_arg1200z00_903; 
BgL_vectsz00_2238 = BgL_arg1201z00_904; 
BgL_vectsz00_877 = BgL_vectsz00_2238; 
BgL_lenz00_876 = BgL_lenz00_2237; 
goto BgL_zc3anonymousza31185ze3z83_878;} } } } 
BGL_FUNCTION_END;
}



/* &vector-append */
obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1574, obj_t BgL_vecz00_1575, obj_t BgL_argsz00_1576)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 304 */
{ /* Ieee/vector.scm 305 */
obj_t BgL_auxz00_2240;
if(
VECTORP(BgL_vecz00_1575))
{ /* Ieee/vector.scm 305 */
BgL_auxz00_2240 = BgL_vecz00_1575
; }  else 
{ 
obj_t BgL_auxz00_2243;
BgL_auxz00_2243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)13366)), BGl_string1695z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_1575); 
FAILURE(BgL_auxz00_2243,BFALSE,BFALSE);} 
return 
BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(BgL_auxz00_2240, BgL_argsz00_1576);} } 
BGL_FUNCTION_END;
}



/* sort */
BGL_EXPORTED_DEF obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t BgL_o1z00_44, obj_t BgL_o2z00_45)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 322 */
if(
PROCEDUREP(BgL_o1z00_44))
{ /* Ieee/vector.scm 323 */
return 
BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o2z00_45, BgL_o1z00_44);}  else 
{ /* Ieee/vector.scm 323 */
return 
BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o1z00_44, BgL_o2z00_45);} } 
BGL_FUNCTION_END;
}



/* &sort */
obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1577, obj_t BgL_o1z00_1578, obj_t BgL_o2z00_1579)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 322 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_o1z00_1578, BgL_o2z00_1579);} 
BGL_FUNCTION_END;
}



/* inner-sort */
obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t BgL_objz00_46, obj_t BgL_procz00_47)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 330 */
if(
NULLP(BgL_objz00_46))
{ /* Ieee/vector.scm 332 */
return BgL_objz00_46;}  else 
{ /* Ieee/vector.scm 334 */
bool_t BgL_testz00_2255;
if(
PAIRP(BgL_objz00_46))
{ /* Ieee/vector.scm 334 */
BgL_testz00_2255 = 
NULLP(
CDR(BgL_objz00_46))
; }  else 
{ /* Ieee/vector.scm 334 */
BgL_testz00_2255 = ((bool_t)0)
; } 
if(BgL_testz00_2255)
{ /* Ieee/vector.scm 334 */
return BgL_objz00_46;}  else 
{ /* Ieee/vector.scm 337 */
obj_t BgL_vecz00_913;
if(
VECTORP(BgL_objz00_46))
{ /* Ieee/vector.scm 339 */
obj_t BgL_newz00_918;
BgL_newz00_918 = 
create_vector(
VECTOR_LENGTH(BgL_objz00_46)); 
{ /* Ieee/vector.scm 340 */

{ 
long BgL_iz00_920;
BgL_iz00_920 = ((long)0); 
BgL_zc3anonymousza31212ze3z83_921:
if(
(BgL_iz00_920<
VECTOR_LENGTH(BgL_objz00_46)))
{ /* Ieee/vector.scm 342 */
{ /* Ieee/vector.scm 344 */
obj_t BgL_arg1214z00_923;
BgL_arg1214z00_923 = 
VECTOR_REF(
((obj_t)BgL_objz00_46),BgL_iz00_920); 
VECTOR_SET(BgL_newz00_918,BgL_iz00_920,BgL_arg1214z00_923); } 
{ 
long BgL_iz00_2270;
BgL_iz00_2270 = 
(BgL_iz00_920+((long)1)); 
BgL_iz00_920 = BgL_iz00_2270; 
goto BgL_zc3anonymousza31212ze3z83_921;} }  else 
{ /* Ieee/vector.scm 342 */((bool_t)0); } } 
BgL_vecz00_913 = BgL_newz00_918; } }  else 
{ /* Ieee/vector.scm 338 */
if(
PAIRP(BgL_objz00_46))
{ /* Ieee/vector.scm 347 */
BgL_vecz00_913 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_objz00_46); }  else 
{ /* Ieee/vector.scm 347 */
BgL_vecz00_913 = 
BGl_errorz00zz__errorz00(BGl_string1696z00zz__r4_vectors_6_8z00, BGl_string1697z00zz__r4_vectors_6_8z00, BgL_objz00_46); } } 
{ /* Ieee/vector.scm 353 */
obj_t BgL_resz00_914;
BgL_resz00_914 = 
sort_vector(BgL_vecz00_913, BgL_procz00_47); 
if(
PAIRP(BgL_objz00_46))
{ /* Ieee/vector.scm 354 */
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_resz00_914);}  else 
{ /* Ieee/vector.scm 354 */
return BgL_resz00_914;} } } } } 
BGL_FUNCTION_END;
}



/* vector-map2! */
obj_t BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_48, obj_t BgL_vdestz00_49, obj_t BgL_vsrcz00_50)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 361 */
{ 
long BgL_iz00_931;
BgL_iz00_931 = ((long)0); 
BgL_zc3anonymousza31224ze3z83_932:
if(
(BgL_iz00_931<
VECTOR_LENGTH(
((obj_t)BgL_vdestz00_49))))
{ /* Ieee/vector.scm 364 */
{ /* Ieee/vector.scm 366 */
obj_t BgL_arg1228z00_934;
{ /* Ieee/vector.scm 366 */
obj_t BgL_arg1229z00_935;
BgL_arg1229z00_935 = 
VECTOR_REF(BgL_vsrcz00_50,BgL_iz00_931); 
BgL_arg1228z00_934 = 
PROCEDURE_ENTRY(BgL_procz00_48)(BgL_procz00_48, BgL_arg1229z00_935, BEOA); } 
VECTOR_SET(
((obj_t)BgL_vdestz00_49),BgL_iz00_931,BgL_arg1228z00_934); } 
{ 
long BgL_iz00_2291;
BgL_iz00_2291 = 
(BgL_iz00_931+((long)1)); 
BgL_iz00_931 = BgL_iz00_2291; 
goto BgL_zc3anonymousza31224ze3z83_932;} }  else 
{ /* Ieee/vector.scm 364 */
return BgL_vdestz00_49;} } } 
BGL_FUNCTION_END;
}



/* vector-mapN! */
obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_51, obj_t BgL_vdestz00_52, obj_t BgL_vsrcz00_53, obj_t BgL_vrestz00_54)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 373 */
{ 
long BgL_iz00_940;
BgL_iz00_940 = ((long)0); 
BgL_zc3anonymousza31231ze3z83_941:
if(
(BgL_iz00_940<
VECTOR_LENGTH(
((obj_t)BgL_vdestz00_52))))
{ /* Ieee/vector.scm 377 */
obj_t BgL_argsz00_943;
if(
NULLP(BgL_vrestz00_54))
{ /* Ieee/vector.scm 377 */
BgL_argsz00_943 = BNIL; }  else 
{ /* Ieee/vector.scm 377 */
obj_t BgL_head1035z00_950;
{ /* Ieee/vector.scm 377 */
obj_t BgL_res1561z00_1441;
BgL_res1561z00_1441 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1035z00_950 = BgL_res1561z00_1441; } 
{ 
obj_t BgL_l1033z00_952;obj_t BgL_tail1036z00_953;
BgL_l1033z00_952 = BgL_vrestz00_54; 
BgL_tail1036z00_953 = BgL_head1035z00_950; 
BgL_zc3anonymousza31240ze3z83_954:
if(
NULLP(BgL_l1033z00_952))
{ /* Ieee/vector.scm 377 */
BgL_argsz00_943 = 
CDR(BgL_head1035z00_950); }  else 
{ /* Ieee/vector.scm 377 */
obj_t BgL_newtail1037z00_956;
{ /* Ieee/vector.scm 377 */
obj_t BgL_arg1246z00_958;
{ /* Ieee/vector.scm 377 */
obj_t BgL_vz00_959;
BgL_vz00_959 = 
CAR(
((obj_t)BgL_l1033z00_952)); 
BgL_arg1246z00_958 = 
VECTOR_REF(
((obj_t)BgL_vz00_959),BgL_iz00_940); } 
{ /* Ieee/vector.scm 377 */
obj_t BgL_res1563z00_1447;
BgL_res1563z00_1447 = 
MAKE_YOUNG_PAIR(BgL_arg1246z00_958, BNIL); 
BgL_newtail1037z00_956 = BgL_res1563z00_1447; } } 
SET_CDR(BgL_tail1036z00_953, BgL_newtail1037z00_956); 
{ /* Ieee/vector.scm 377 */
obj_t BgL_arg1244z00_957;
BgL_arg1244z00_957 = 
CDR(
((obj_t)BgL_l1033z00_952)); 
{ 
obj_t BgL_tail1036z00_2312;obj_t BgL_l1033z00_2311;
BgL_l1033z00_2311 = BgL_arg1244z00_957; 
BgL_tail1036z00_2312 = BgL_newtail1037z00_956; 
BgL_tail1036z00_953 = BgL_tail1036z00_2312; 
BgL_l1033z00_952 = BgL_l1033z00_2311; 
goto BgL_zc3anonymousza31240ze3z83_954;} } } } } 
{ /* Ieee/vector.scm 377 */
obj_t BgL_nvalz00_944;
{ /* Ieee/vector.scm 378 */
obj_t BgL_auxz00_2313;
{ /* Ieee/vector.scm 378 */
obj_t BgL_arg1237z00_946;
BgL_arg1237z00_946 = 
VECTOR_REF(BgL_vsrcz00_53,BgL_iz00_940); 
{ /* Ieee/vector.scm 378 */
obj_t BgL_list1238z00_947;
BgL_list1238z00_947 = 
MAKE_YOUNG_PAIR(BgL_argsz00_943, BNIL); 
BgL_auxz00_2313 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1237z00_946, BgL_list1238z00_947); } } 
BgL_nvalz00_944 = 
apply(BgL_procz00_51, BgL_auxz00_2313); } 
{ /* Ieee/vector.scm 378 */

VECTOR_SET(
((obj_t)BgL_vdestz00_52),BgL_iz00_940,BgL_nvalz00_944); 
{ 
long BgL_iz00_2320;
BgL_iz00_2320 = 
(BgL_iz00_940+((long)1)); 
BgL_iz00_940 = BgL_iz00_2320; 
goto BgL_zc3anonymousza31231ze3z83_941;} } } }  else 
{ /* Ieee/vector.scm 376 */
return BgL_vdestz00_52;} } } 
BGL_FUNCTION_END;
}



/* vector-map */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t BgL_procz00_55, obj_t BgL_vz00_56, obj_t BgL_restz00_57)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 386 */
{ /* Ieee/vector.scm 387 */
obj_t BgL_nvz00_963;
BgL_nvz00_963 = 
create_vector(
VECTOR_LENGTH(BgL_vz00_56)); 
{ /* Ieee/vector.scm 388 */

if(
NULLP(BgL_restz00_57))
{ /* Ieee/vector.scm 390 */
return 
BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(BgL_procz00_55, BgL_nvz00_963, BgL_vz00_56);}  else 
{ /* Ieee/vector.scm 392 */
bool_t BgL_testz00_2327;
{ /* Ieee/vector.scm 392 */
obj_t BgL_zc3anonymousza31259ze3z83_1580;
BgL_zc3anonymousza31259ze3z83_1580 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31259ze3ze1zz__r4_vectors_6_8z00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza31259ze3z83_1580, 
(int)(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vz00_56))); 
BgL_testz00_2327 = 
CBOOL(
BGl_everyz00zz__r4_pairs_and_lists_6_3z00(BgL_zc3anonymousza31259ze3z83_1580, BNIL)); } 
if(BgL_testz00_2327)
{ /* Ieee/vector.scm 392 */
return 
BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_55, BgL_nvz00_963, BgL_vz00_56, BgL_restz00_57);}  else 
{ /* Ieee/vector.scm 392 */
return 
BGl_errorz00zz__errorz00(BGl_string1698z00zz__r4_vectors_6_8z00, BGl_string1699z00zz__r4_vectors_6_8z00, BgL_restz00_57);} } } } } 
BGL_FUNCTION_END;
}



/* &vector-map */
obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1581, obj_t BgL_procz00_1582, obj_t BgL_vz00_1583, obj_t BgL_restz00_1584)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 386 */
{ /* Ieee/vector.scm 387 */
obj_t BgL_auxz00_2346;obj_t BgL_auxz00_2339;
if(
VECTORP(BgL_vz00_1583))
{ /* Ieee/vector.scm 387 */
BgL_auxz00_2346 = BgL_vz00_1583
; }  else 
{ 
obj_t BgL_auxz00_2349;
BgL_auxz00_2349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)16229)), BGl_string1700z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vz00_1583); 
FAILURE(BgL_auxz00_2349,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_procz00_1582))
{ /* Ieee/vector.scm 387 */
BgL_auxz00_2339 = BgL_procz00_1582
; }  else 
{ 
obj_t BgL_auxz00_2342;
BgL_auxz00_2342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)16229)), BGl_string1700z00zz__r4_vectors_6_8z00, BGl_string1701z00zz__r4_vectors_6_8z00, BgL_procz00_1582); 
FAILURE(BgL_auxz00_2342,BFALSE,BFALSE);} 
return 
BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(BgL_auxz00_2339, BgL_auxz00_2346, BgL_restz00_1584);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1259> */
obj_t BGl_z62zc3anonymousza31259ze3ze1zz__r4_vectors_6_8z00(obj_t BgL_envz00_1585, obj_t BgL_vz00_1587)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 392 */
{ /* Ieee/vector.scm 392 */
long BgL_lenz00_1586;
BgL_lenz00_1586 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1585, 
(int)(((long)0)))); 
{ /* Ieee/vector.scm 392 */
bool_t BgL_tmpz00_2357;
if(
VECTORP(BgL_vz00_1587))
{ /* Ieee/vector.scm 392 */
BgL_tmpz00_2357 = 
(
VECTOR_LENGTH(BgL_vz00_1587)==BgL_lenz00_1586)
; }  else 
{ /* Ieee/vector.scm 392 */
BgL_tmpz00_2357 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2357);} } } 
BGL_FUNCTION_END;
}



/* vector-map! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_58, obj_t BgL_vz00_59, obj_t BgL_restz00_60)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 400 */
if(
NULLP(BgL_restz00_60))
{ /* Ieee/vector.scm 403 */
return 
BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(BgL_procz00_58, BgL_vz00_59, BgL_vz00_59);}  else 
{ /* Ieee/vector.scm 405 */
bool_t BgL_testz00_2366;
{ /* Ieee/vector.scm 405 */
obj_t BgL_zc3anonymousza31276ze3z83_1588;
BgL_zc3anonymousza31276ze3z83_1588 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31276ze3ze1zz__r4_vectors_6_8z00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza31276ze3z83_1588, 
(int)(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vz00_59))); 
BgL_testz00_2366 = 
CBOOL(
BGl_everyz00zz__r4_pairs_and_lists_6_3z00(BgL_zc3anonymousza31276ze3z83_1588, BNIL)); } 
if(BgL_testz00_2366)
{ /* Ieee/vector.scm 405 */
return 
BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_58, BgL_vz00_59, BgL_vz00_59, BgL_restz00_60);}  else 
{ /* Ieee/vector.scm 405 */
return 
BGl_errorz00zz__errorz00(BGl_string1702z00zz__r4_vectors_6_8z00, BGl_string1699z00zz__r4_vectors_6_8z00, BgL_restz00_60);} } } 
BGL_FUNCTION_END;
}



/* &vector-map! */
obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1589, obj_t BgL_procz00_1590, obj_t BgL_vz00_1591, obj_t BgL_restz00_1592)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 400 */
{ /* Ieee/vector.scm 401 */
obj_t BgL_auxz00_2385;obj_t BgL_auxz00_2378;
if(
VECTORP(BgL_vz00_1591))
{ /* Ieee/vector.scm 401 */
BgL_auxz00_2385 = BgL_vz00_1591
; }  else 
{ 
obj_t BgL_auxz00_2388;
BgL_auxz00_2388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)16774)), BGl_string1703z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vz00_1591); 
FAILURE(BgL_auxz00_2388,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_procz00_1590))
{ /* Ieee/vector.scm 401 */
BgL_auxz00_2378 = BgL_procz00_1590
; }  else 
{ 
obj_t BgL_auxz00_2381;
BgL_auxz00_2381 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)16774)), BGl_string1703z00zz__r4_vectors_6_8z00, BGl_string1701z00zz__r4_vectors_6_8z00, BgL_procz00_1590); 
FAILURE(BgL_auxz00_2381,BFALSE,BFALSE);} 
return 
BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2378, BgL_auxz00_2385, BgL_restz00_1592);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1276> */
obj_t BGl_z62zc3anonymousza31276ze3ze1zz__r4_vectors_6_8z00(obj_t BgL_envz00_1593, obj_t BgL_vz00_1595)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 405 */
{ /* Ieee/vector.scm 405 */
long BgL_lenz00_1594;
BgL_lenz00_1594 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1593, 
(int)(((long)0)))); 
{ /* Ieee/vector.scm 405 */
bool_t BgL_tmpz00_2396;
if(
VECTORP(BgL_vz00_1595))
{ /* Ieee/vector.scm 405 */
BgL_tmpz00_2396 = 
(
VECTOR_LENGTH(BgL_vz00_1595)==BgL_lenz00_1594)
; }  else 
{ /* Ieee/vector.scm 405 */
BgL_tmpz00_2396 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2396);} } } 
BGL_FUNCTION_END;
}



/* vector-shrink! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vecz00_61, long BgL_nlenz00_62)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 413 */
return 
BGL_VECTOR_SHRINK(BgL_vecz00_61, BgL_nlenz00_62);} 
BGL_FUNCTION_END;
}



/* &vector-shrink! */
obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1596, obj_t BgL_vecz00_1597, obj_t BgL_nlenz00_1598)
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 413 */
{ /* Ieee/vector.scm 414 */
long BgL_auxz00_2410;obj_t BgL_auxz00_2403;
{ /* Ieee/vector.scm 414 */
obj_t BgL_tmpz00_2411;
if(
INTEGERP(BgL_nlenz00_1598))
{ /* Ieee/vector.scm 414 */
BgL_tmpz00_2411 = BgL_nlenz00_1598
; }  else 
{ 
obj_t BgL_auxz00_2414;
BgL_auxz00_2414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)17293)), BGl_string1704z00zz__r4_vectors_6_8z00, BGl_string1672z00zz__r4_vectors_6_8z00, BgL_nlenz00_1598); 
FAILURE(BgL_auxz00_2414,BFALSE,BFALSE);} 
BgL_auxz00_2410 = 
(long)CINT(BgL_tmpz00_2411); } 
if(
VECTORP(BgL_vecz00_1597))
{ /* Ieee/vector.scm 414 */
BgL_auxz00_2403 = BgL_vecz00_1597
; }  else 
{ 
obj_t BgL_auxz00_2406;
BgL_auxz00_2406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, 
BINT(((long)17293)), BGl_string1704z00zz__r4_vectors_6_8z00, BGl_string1674z00zz__r4_vectors_6_8z00, BgL_vecz00_1597); 
FAILURE(BgL_auxz00_2406,BFALSE,BFALSE);} 
return 
BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2403, BgL_auxz00_2410);} } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00()
{ BGL_FUNCTION_BEGIN;
{ /* Ieee/vector.scm 18 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1705z00zz__r4_vectors_6_8z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1705z00zz__r4_vectors_6_8z00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
