/*===========================================================================*/
/*   (Unsafe/regexp.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/regexp.scm -o objs/obj_p/Unsafe/regexp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t bgl_regfree(obj_t);
BGL_EXPORTED_DECL obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t);
static obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__regexpz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__regexpz00();
static obj_t BGl__pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__regexpz00();
extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__regexpz00();
extern long bgl_regmatch_n(obj_t, char *, obj_t, int, int);
static obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t);
extern obj_t bgl_regmatch(obj_t, char *, bool_t, int, int);
static obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_matchz00zz__regexpz00(obj_t, obj_t, bool_t, obj_t, obj_t);
static obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t, obj_t, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_list1770z00zz__regexpz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__regexpz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00();
static obj_t BGl_z62pregexpzd2matchzd2nzd2positionsz12za2zz__regexpz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__regexpz00();
static obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t, obj_t, long, obj_t);
static obj_t BGl__pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t);
static obj_t BGl_z62pregexpz62zz__regexpz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
extern obj_t bgl_regcomp(obj_t, obj_t);
static obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__regexpz00();
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2splitzd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2spl1773z00, BGl_z62pregexpzd2splitzb0zz__regexpz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2quotezd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2quo1774z00, BGl_z62pregexpzd2quotezb0zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2replaceza2zd2envza2zz__regexpz00, BgL_bgl_za762pregexpza7d2rep1775z00, BGl_z62pregexpzd2replaceza2z12zz__regexpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2nzd2positionsz12zd2envz12zz__regexpz00, BgL_bgl_za762pregexpza7d2mat1776z00, BGl_z62pregexpzd2matchzd2nzd2positionsz12za2zz__regexpz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string1756z00zz__regexpz00, BgL_bgl_string1756za700za7za7_1777za7, "/builddir/build/BUILD/bigloo4.3b/runtime/Unsafe/regexp.scm", 58 );
DEFINE_STRING( BGl_string1757z00zz__regexpz00, BgL_bgl_string1757za700za7za7_1778za7, "&regexp-pattern", 15 );
DEFINE_STRING( BGl_string1758z00zz__regexpz00, BgL_bgl_string1758za700za7za7_1779za7, "regexp", 6 );
DEFINE_STRING( BGl_string1759z00zz__regexpz00, BgL_bgl_string1759za700za7za7_1780za7, "&pregexp", 8 );
DEFINE_STRING( BGl_string1760z00zz__regexpz00, BgL_bgl_string1760za700za7za7_1781za7, "bstring", 7 );
DEFINE_STRING( BGl_string1761z00zz__regexpz00, BgL_bgl_string1761za700za7za7_1782za7, "_pregexp-match-positions", 24 );
DEFINE_STRING( BGl_string1762z00zz__regexpz00, BgL_bgl_string1762za700za7za7_1783za7, "&pregexp-match-n-positions!", 27 );
DEFINE_STRING( BGl_string1763z00zz__regexpz00, BgL_bgl_string1763za700za7za7_1784za7, "vector", 6 );
DEFINE_STRING( BGl_string1764z00zz__regexpz00, BgL_bgl_string1764za700za7za7_1785za7, "bint", 4 );
DEFINE_STRING( BGl_string1765z00zz__regexpz00, BgL_bgl_string1765za700za7za7_1786za7, "_pregexp-match", 14 );
DEFINE_STRING( BGl_string1766z00zz__regexpz00, BgL_bgl_string1766za700za7za7_1787za7, "", 0 );
DEFINE_STRING( BGl_string1767z00zz__regexpz00, BgL_bgl_string1767za700za7za7_1788za7, "&pregexp-split", 14 );
DEFINE_STRING( BGl_string1768z00zz__regexpz00, BgL_bgl_string1768za700za7za7_1789za7, "&pregexp-replace", 16 );
DEFINE_STRING( BGl_string1769z00zz__regexpz00, BgL_bgl_string1769za700za7za7_1790za7, "&pregexp-replace*", 17 );
DEFINE_STRING( BGl_string1771z00zz__regexpz00, BgL_bgl_string1771za700za7za7_1791za7, "&pregexp-quote", 14 );
DEFINE_STRING( BGl_string1772z00zz__regexpz00, BgL_bgl_string1772za700za7za7_1792za7, "__regexp", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2envz00zz__regexpz00, BgL_bgl__pregexpza7d2match1793za7, opt_generic_entry, BGl__pregexpzd2matchzd2zz__regexpz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2envzd2zz__regexpz00, BgL_bgl_za762pregexpza762za7za7_1794z00, va_generic_entry, BGl_z62pregexpz62zz__regexpz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_regexpzd2patternzd2envz00zz__regexpz00, BgL_bgl_za762regexpza7d2patt1795z00, BGl_z62regexpzd2patternzb0zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2replacezd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2rep1796z00, BGl_z62pregexpzd2replacezb0zz__regexpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_regexpzf3zd2envz21zz__regexpz00, BgL_bgl_za762regexpza7f3za791za71797z00, BGl_z62regexpzf3z91zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2positionszd2envzd2zz__regexpz00, BgL_bgl__pregexpza7d2match1798za7, opt_generic_entry, BGl__pregexpzd2matchzd2positionsz00zz__regexpz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__regexpz00) );
ADD_ROOT( (void *)(&BGl_list1770z00zz__regexpz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"regexp?\" \"Unsafe/regexp.scm\" 3657) \"BGl_regexpzf3zf3zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&regexp?\" \"Unsafe/regexp.scm\" 3657) \"BGl_z62regexpzf3z91zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"regexp-pattern\" \"Unsafe/regexp.scm\" 3928) \"BGl_regexpzd2patternzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&regexp-pattern\" \"Unsafe/regexp.scm\" 3928) \"BGl_z62regexpzd2patternzb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp\" \"Unsafe/regexp.scm\" 4555) \"BGl_pregexpz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp\" \"Unsafe/regexp.scm\" 4555) \"BGl_z62pregexpz62zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"match\" \"Unsafe/regexp.scm\" 4837) \"BGl_matchz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_pregexp-match-positions\" \"Unsafe/regexp.scm\" 5273) \"BGl__pregexpzd2matchzd2positionsz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match-positions\" \"Unsafe/regexp.scm\" 5273) \"BGl_pregexpzd2matchzd2positionsz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match-n-positions!\" \"Unsafe/regexp.scm\" 5614) \"BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-match-n-positions!\" \"Unsafe/regexp.scm\" 5614) \"BGl_z62pregexpzd2matchzd2nzd2positionsz12za2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_pregexp-match\" \"Unsafe/regexp.scm\" 5949) \"BGl__pregexpzd2matchzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match\" \"Unsafe/regexp.scm\" 5949) \"BGl_pregexpzd2matchzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-read-escaped-number\" \"Unsafe/regexp.scm\" 6280) \"BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-list-ref\" \"Unsafe/regexp.scm\" 6982) \"BGl_pregexpzd2listzd2refz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace-aux\" \"Unsafe/regexp.scm\" 7414) \"BGl_pregexpzd2replacezd2auxz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-split\" \"Unsafe/regexp.scm\" 8386) \"BGl_pregexpzd2splitzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-split\" \"Unsafe/regexp.scm\" 8386) \"BGl_z62pregexpzd2splitzb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace\" \"Unsafe/regexp.scm\" 9250) \"BGl_pregexpzd2replacezd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-replace\" \"Unsafe/regexp.scm\" 9250) \"BGl_z62pregexpzd2replacezb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace*\" \"Unsafe/regexp.scm\" 9808) \"BGl_pregexpzd2replaceza2z70zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-replace*\" \"Unsafe/regexp.scm\" 9808) \"BGl_z62pregexpzd2replaceza2z12zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-quote\" \"Unsafe/regexp.scm\" 10847) \"BGl_pregexpzd2quotezd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-quote\" \"Unsafe/regexp.scm\" 10847) \"BGl_z62pregexpzd2quotezb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long BgL_checksumz00_2008, char * BgL_fromz00_2009)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__regexpz00))
{ 
BGl_requirezd2initializa7ationz75zz__regexpz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__regexpz00(); 
BGl_cnstzd2initzd2zz__regexpz00(); 
BGl_importedzd2moduleszd2initz00zz__regexpz00(); 
return 
BGl_profzd2initzd2zz__regexpz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return ( 
BGl_list1770z00zz__regexpz00 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'\\')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'.')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'?')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'*')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'+')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'|')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'^')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'$')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'[')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)']')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'{')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'}')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'(')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)')')), BNIL)))))))))))))), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* regexp? */
BGL_EXPORTED_DEF bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t BgL_objz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 88 */
return 
BGL_REGEXPP(BgL_objz00_3);} 
BGL_FUNCTION_END;
}



/* &regexp? */
obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t BgL_envz00_1936, obj_t BgL_objz00_1937)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 88 */
return 
BBOOL(
BGl_regexpzf3zf3zz__regexpz00(BgL_objz00_1937));} 
BGL_FUNCTION_END;
}



/* regexp-pattern */
BGL_EXPORTED_DEF obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t BgL_rez00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 94 */
return 
BGL_REGEXP_PAT(BgL_rez00_4);} 
BGL_FUNCTION_END;
}



/* &regexp-pattern */
obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t BgL_envz00_1938, obj_t BgL_rez00_1939)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 94 */
{ /* Unsafe/regexp.scm 95 */
obj_t BgL_auxz00_2051;
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_rez00_1939))
{ /* Unsafe/regexp.scm 95 */
BgL_auxz00_2051 = BgL_rez00_1939
; }  else 
{ 
obj_t BgL_auxz00_2054;
BgL_auxz00_2054 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)3966)), BGl_string1757z00zz__regexpz00, BGl_string1758z00zz__regexpz00, BgL_rez00_1939); 
FAILURE(BgL_auxz00_2054,BFALSE,BFALSE);} 
return 
BGl_regexpzd2patternzd2zz__regexpz00(BgL_auxz00_2051);} } 
BGL_FUNCTION_END;
}



/* pregexp */
BGL_EXPORTED_DEF obj_t BGl_pregexpz00zz__regexpz00(obj_t BgL_rez00_5, obj_t BgL_optzd2argszd2_6)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 109 */
return 
bgl_regcomp(BgL_rez00_5, BgL_optzd2argszd2_6);} 
BGL_FUNCTION_END;
}



/* &pregexp */
obj_t BGl_z62pregexpz62zz__regexpz00(obj_t BgL_envz00_1940, obj_t BgL_rez00_1941, obj_t BgL_optzd2argszd2_1942)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 109 */
{ /* Unsafe/regexp.scm 110 */
obj_t BgL_auxz00_2060;
if(
STRINGP(BgL_rez00_1941))
{ /* Unsafe/regexp.scm 110 */
BgL_auxz00_2060 = BgL_rez00_1941
; }  else 
{ 
obj_t BgL_auxz00_2063;
BgL_auxz00_2063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)4590)), BGl_string1759z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_rez00_1941); 
FAILURE(BgL_auxz00_2063,BFALSE,BFALSE);} 
return 
BGl_pregexpz00zz__regexpz00(BgL_auxz00_2060, BgL_optzd2argszd2_1942);} } 
BGL_FUNCTION_END;
}



/* match */
obj_t BGl_matchz00zz__regexpz00(obj_t BgL_patz00_7, obj_t BgL_strz00_8, bool_t BgL_stringpz00_9, obj_t BgL_begz00_10, obj_t BgL_endz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 115 */
{ /* Unsafe/regexp.scm 116 */
bool_t BgL_testz00_2068;
{ /* Unsafe/regexp.scm 116 */
bool_t BgL_res1601z00_1519;
BgL_res1601z00_1519 = 
BGL_REGEXPP(BgL_patz00_7); 
BgL_testz00_2068 = BgL_res1601z00_1519; } 
if(BgL_testz00_2068)
{ /* Unsafe/regexp.scm 116 */
return 
bgl_regmatch(BgL_patz00_7, 
BSTRING_TO_STRING(BgL_strz00_8), BgL_stringpz00_9, 
CINT(BgL_begz00_10), 
CINT(BgL_endz00_11));}  else 
{ /* Unsafe/regexp.scm 118 */
obj_t BgL_rxz00_967;
BgL_rxz00_967 = 
bgl_regcomp(
((obj_t)BgL_patz00_7), BNIL); 
{ /* Unsafe/regexp.scm 118 */
obj_t BgL_valz00_968;
BgL_valz00_968 = 
bgl_regmatch(BgL_rxz00_967, 
BSTRING_TO_STRING(BgL_strz00_8), BgL_stringpz00_9, 
CINT(BgL_begz00_10), 
CINT(BgL_endz00_11)); 
{ /* Unsafe/regexp.scm 119 */

bgl_regfree(BgL_rxz00_967); 
return BgL_valz00_968;} } } } } 
BGL_FUNCTION_END;
}



/* _pregexp-match-positions */
obj_t BGl__pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t BgL_envz00_17, obj_t BgL_optz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 126 */
{ /* Unsafe/regexp.scm 126 */
obj_t BgL_patz00_970;obj_t BgL_strz00_971;
BgL_patz00_970 = 
VECTOR_REF(BgL_optz00_16,((long)0)); 
BgL_strz00_971 = 
VECTOR_REF(BgL_optz00_16,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_optz00_16)) { case ((long)2) : 

{ /* Unsafe/regexp.scm 126 */
long BgL_endz00_976;
{ /* Unsafe/regexp.scm 126 */
obj_t BgL_stringz00_1521;
if(
STRINGP(BgL_strz00_971))
{ /* Unsafe/regexp.scm 126 */
BgL_stringz00_1521 = BgL_strz00_971; }  else 
{ 
obj_t BgL_auxz00_2085;
BgL_auxz00_2085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5338)), BGl_string1761z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_971); 
FAILURE(BgL_auxz00_2085,BFALSE,BFALSE);} 
BgL_endz00_976 = 
STRING_LENGTH(BgL_stringz00_1521); } 
{ /* Unsafe/regexp.scm 126 */

{ /* Unsafe/regexp.scm 126 */
obj_t BgL_auxz00_2090;
if(
STRINGP(BgL_strz00_971))
{ /* Unsafe/regexp.scm 126 */
BgL_auxz00_2090 = BgL_strz00_971
; }  else 
{ 
obj_t BgL_auxz00_2093;
BgL_auxz00_2093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5273)), BGl_string1761z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_971); 
FAILURE(BgL_auxz00_2093,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_970, BgL_auxz00_2090, 
BINT(((long)0)), 
BINT(BgL_endz00_976));} } } break;case ((long)3) : 

{ /* Unsafe/regexp.scm 126 */
obj_t BgL_begz00_977;
BgL_begz00_977 = 
VECTOR_REF(BgL_optz00_16,((long)2)); 
{ /* Unsafe/regexp.scm 126 */
long BgL_endz00_978;
{ /* Unsafe/regexp.scm 126 */
obj_t BgL_stringz00_1523;
if(
STRINGP(BgL_strz00_971))
{ /* Unsafe/regexp.scm 126 */
BgL_stringz00_1523 = BgL_strz00_971; }  else 
{ 
obj_t BgL_auxz00_2103;
BgL_auxz00_2103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5338)), BGl_string1761z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_971); 
FAILURE(BgL_auxz00_2103,BFALSE,BFALSE);} 
BgL_endz00_978 = 
STRING_LENGTH(BgL_stringz00_1523); } 
{ /* Unsafe/regexp.scm 126 */

{ /* Unsafe/regexp.scm 126 */
obj_t BgL_auxz00_2108;
if(
STRINGP(BgL_strz00_971))
{ /* Unsafe/regexp.scm 126 */
BgL_auxz00_2108 = BgL_strz00_971
; }  else 
{ 
obj_t BgL_auxz00_2111;
BgL_auxz00_2111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5273)), BGl_string1761z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_971); 
FAILURE(BgL_auxz00_2111,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_970, BgL_auxz00_2108, BgL_begz00_977, 
BINT(BgL_endz00_978));} } } } break;case ((long)4) : 

{ /* Unsafe/regexp.scm 126 */
obj_t BgL_begz00_979;
BgL_begz00_979 = 
VECTOR_REF(BgL_optz00_16,((long)2)); 
{ /* Unsafe/regexp.scm 126 */
obj_t BgL_endz00_980;
BgL_endz00_980 = 
VECTOR_REF(BgL_optz00_16,((long)3)); 
{ /* Unsafe/regexp.scm 126 */

{ /* Unsafe/regexp.scm 126 */
obj_t BgL_auxz00_2119;
if(
STRINGP(BgL_strz00_971))
{ /* Unsafe/regexp.scm 126 */
BgL_auxz00_2119 = BgL_strz00_971
; }  else 
{ 
obj_t BgL_auxz00_2122;
BgL_auxz00_2122 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5273)), BGl_string1761z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_971); 
FAILURE(BgL_auxz00_2122,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_970, BgL_auxz00_2119, BgL_begz00_979, BgL_endz00_980);} } } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* pregexp-match-positions */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t BgL_patz00_12, obj_t BgL_strz00_13, obj_t BgL_begz00_14, obj_t BgL_endz00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 126 */
return 
BGl_matchz00zz__regexpz00(BgL_patz00_12, BgL_strz00_13, ((bool_t)0), BgL_begz00_14, BgL_endz00_15);} 
BGL_FUNCTION_END;
}



/* pregexp-match-n-positions! */
BGL_EXPORTED_DEF long BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t BgL_patz00_18, obj_t BgL_strz00_19, obj_t BgL_vresz00_20, long BgL_begz00_21, long BgL_endz00_22)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 132 */
return 
bgl_regmatch_n(BgL_patz00_18, 
BSTRING_TO_STRING(BgL_strz00_19), BgL_vresz00_20, 
(int)(BgL_begz00_21), 
(int)(BgL_endz00_22));} 
BGL_FUNCTION_END;
}



/* &pregexp-match-n-positions! */
obj_t BGl_z62pregexpzd2matchzd2nzd2positionsz12za2zz__regexpz00(obj_t BgL_envz00_1943, obj_t BgL_patz00_1944, obj_t BgL_strz00_1945, obj_t BgL_vresz00_1946, obj_t BgL_begz00_1947, obj_t BgL_endz00_1948)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 132 */
{ /* Unsafe/regexp.scm 133 */
long BgL_tmpz00_2134;
{ /* Unsafe/regexp.scm 133 */
long BgL_auxz00_2165;long BgL_auxz00_2156;obj_t BgL_auxz00_2149;obj_t BgL_auxz00_2142;obj_t BgL_auxz00_2135;
{ /* Unsafe/regexp.scm 133 */
obj_t BgL_tmpz00_2166;
if(
INTEGERP(BgL_endz00_1948))
{ /* Unsafe/regexp.scm 133 */
BgL_tmpz00_2166 = BgL_endz00_1948
; }  else 
{ 
obj_t BgL_auxz00_2169;
BgL_auxz00_2169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5690)), BGl_string1762z00zz__regexpz00, BGl_string1764z00zz__regexpz00, BgL_endz00_1948); 
FAILURE(BgL_auxz00_2169,BFALSE,BFALSE);} 
BgL_auxz00_2165 = 
(long)CINT(BgL_tmpz00_2166); } 
{ /* Unsafe/regexp.scm 133 */
obj_t BgL_tmpz00_2157;
if(
INTEGERP(BgL_begz00_1947))
{ /* Unsafe/regexp.scm 133 */
BgL_tmpz00_2157 = BgL_begz00_1947
; }  else 
{ 
obj_t BgL_auxz00_2160;
BgL_auxz00_2160 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5690)), BGl_string1762z00zz__regexpz00, BGl_string1764z00zz__regexpz00, BgL_begz00_1947); 
FAILURE(BgL_auxz00_2160,BFALSE,BFALSE);} 
BgL_auxz00_2156 = 
(long)CINT(BgL_tmpz00_2157); } 
if(
VECTORP(BgL_vresz00_1946))
{ /* Unsafe/regexp.scm 133 */
BgL_auxz00_2149 = BgL_vresz00_1946
; }  else 
{ 
obj_t BgL_auxz00_2152;
BgL_auxz00_2152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5690)), BGl_string1762z00zz__regexpz00, BGl_string1763z00zz__regexpz00, BgL_vresz00_1946); 
FAILURE(BgL_auxz00_2152,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_1945))
{ /* Unsafe/regexp.scm 133 */
BgL_auxz00_2142 = BgL_strz00_1945
; }  else 
{ 
obj_t BgL_auxz00_2145;
BgL_auxz00_2145 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5690)), BGl_string1762z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_1945); 
FAILURE(BgL_auxz00_2145,BFALSE,BFALSE);} 
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_patz00_1944))
{ /* Unsafe/regexp.scm 133 */
BgL_auxz00_2135 = BgL_patz00_1944
; }  else 
{ 
obj_t BgL_auxz00_2138;
BgL_auxz00_2138 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5690)), BGl_string1762z00zz__regexpz00, BGl_string1758z00zz__regexpz00, BgL_patz00_1944); 
FAILURE(BgL_auxz00_2138,BFALSE,BFALSE);} 
BgL_tmpz00_2134 = 
BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(BgL_auxz00_2135, BgL_auxz00_2142, BgL_auxz00_2149, BgL_auxz00_2156, BgL_auxz00_2165); } 
return 
BINT(BgL_tmpz00_2134);} } 
BGL_FUNCTION_END;
}



/* _pregexp-match */
obj_t BGl__pregexpzd2matchzd2zz__regexpz00(obj_t BgL_envz00_28, obj_t BgL_optz00_27)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 138 */
{ /* Unsafe/regexp.scm 138 */
obj_t BgL_patz00_981;obj_t BgL_strz00_982;
BgL_patz00_981 = 
VECTOR_REF(BgL_optz00_27,((long)0)); 
BgL_strz00_982 = 
VECTOR_REF(BgL_optz00_27,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_optz00_27)) { case ((long)2) : 

{ /* Unsafe/regexp.scm 138 */
long BgL_endz00_987;
{ /* Unsafe/regexp.scm 138 */
obj_t BgL_stringz00_1525;
if(
STRINGP(BgL_strz00_982))
{ /* Unsafe/regexp.scm 138 */
BgL_stringz00_1525 = BgL_strz00_982; }  else 
{ 
obj_t BgL_auxz00_2180;
BgL_auxz00_2180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)6004)), BGl_string1765z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_982); 
FAILURE(BgL_auxz00_2180,BFALSE,BFALSE);} 
BgL_endz00_987 = 
STRING_LENGTH(BgL_stringz00_1525); } 
{ /* Unsafe/regexp.scm 138 */

{ /* Unsafe/regexp.scm 138 */
obj_t BgL_auxz00_2185;
if(
STRINGP(BgL_strz00_982))
{ /* Unsafe/regexp.scm 138 */
BgL_auxz00_2185 = BgL_strz00_982
; }  else 
{ 
obj_t BgL_auxz00_2188;
BgL_auxz00_2188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5949)), BGl_string1765z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_982); 
FAILURE(BgL_auxz00_2188,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_981, BgL_auxz00_2185, 
BINT(((long)0)), 
BINT(BgL_endz00_987));} } } break;case ((long)3) : 

{ /* Unsafe/regexp.scm 138 */
obj_t BgL_begz00_988;
BgL_begz00_988 = 
VECTOR_REF(BgL_optz00_27,((long)2)); 
{ /* Unsafe/regexp.scm 138 */
long BgL_endz00_989;
{ /* Unsafe/regexp.scm 138 */
obj_t BgL_stringz00_1527;
if(
STRINGP(BgL_strz00_982))
{ /* Unsafe/regexp.scm 138 */
BgL_stringz00_1527 = BgL_strz00_982; }  else 
{ 
obj_t BgL_auxz00_2198;
BgL_auxz00_2198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)6004)), BGl_string1765z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_982); 
FAILURE(BgL_auxz00_2198,BFALSE,BFALSE);} 
BgL_endz00_989 = 
STRING_LENGTH(BgL_stringz00_1527); } 
{ /* Unsafe/regexp.scm 138 */

{ /* Unsafe/regexp.scm 138 */
obj_t BgL_auxz00_2203;
if(
STRINGP(BgL_strz00_982))
{ /* Unsafe/regexp.scm 138 */
BgL_auxz00_2203 = BgL_strz00_982
; }  else 
{ 
obj_t BgL_auxz00_2206;
BgL_auxz00_2206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5949)), BGl_string1765z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_982); 
FAILURE(BgL_auxz00_2206,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_981, BgL_auxz00_2203, BgL_begz00_988, 
BINT(BgL_endz00_989));} } } } break;case ((long)4) : 

{ /* Unsafe/regexp.scm 138 */
obj_t BgL_begz00_990;
BgL_begz00_990 = 
VECTOR_REF(BgL_optz00_27,((long)2)); 
{ /* Unsafe/regexp.scm 138 */
obj_t BgL_endz00_991;
BgL_endz00_991 = 
VECTOR_REF(BgL_optz00_27,((long)3)); 
{ /* Unsafe/regexp.scm 138 */

{ /* Unsafe/regexp.scm 138 */
obj_t BgL_auxz00_2214;
if(
STRINGP(BgL_strz00_982))
{ /* Unsafe/regexp.scm 138 */
BgL_auxz00_2214 = BgL_strz00_982
; }  else 
{ 
obj_t BgL_auxz00_2217;
BgL_auxz00_2217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)5949)), BGl_string1765z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_982); 
FAILURE(BgL_auxz00_2217,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_981, BgL_auxz00_2214, BgL_begz00_990, BgL_endz00_991);} } } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* pregexp-match */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t BgL_patz00_23, obj_t BgL_strz00_24, obj_t BgL_begz00_25, obj_t BgL_endz00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 138 */
return 
BGl_matchz00zz__regexpz00(BgL_patz00_23, BgL_strz00_24, ((bool_t)1), BgL_begz00_25, BgL_endz00_26);} 
BGL_FUNCTION_END;
}



/* pregexp-read-escaped-number */
obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t BgL_sz00_29, obj_t BgL_iz00_30, long BgL_nz00_31)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 144 */
if(
(
(
(long)CINT(BgL_iz00_30)+((long)1))<BgL_nz00_31))
{ /* Unsafe/regexp.scm 147 */
unsigned char BgL_cz00_993;
BgL_cz00_993 = 
STRING_REF(BgL_sz00_29, 
(
(long)CINT(BgL_iz00_30)+((long)1))); 
{ /* Unsafe/regexp.scm 148 */
bool_t BgL_testz00_2232;
{ /* Unsafe/regexp.scm 148 */
bool_t BgL_res1610z00_1540;
BgL_res1610z00_1540 = 
isdigit(BgL_cz00_993); 
BgL_testz00_2232 = BgL_res1610z00_1540; } 
if(BgL_testz00_2232)
{ /* Unsafe/regexp.scm 149 */
long BgL_g1043z00_995;obj_t BgL_g1044z00_996;
BgL_g1043z00_995 = 
(
(long)CINT(BgL_iz00_30)+((long)2)); 
{ /* Unsafe/regexp.scm 149 */
obj_t BgL_list1180z00_1021;
BgL_list1180z00_1021 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_993), BNIL); 
BgL_g1044z00_996 = BgL_list1180z00_1021; } 
{ 
long BgL_iz00_998;obj_t BgL_rz00_999;
BgL_iz00_998 = BgL_g1043z00_995; 
BgL_rz00_999 = BgL_g1044z00_996; 
BgL_zc3anonymousza31157ze3z83_1000:
if(
(BgL_iz00_998>=BgL_nz00_31))
{ /* Unsafe/regexp.scm 151 */
obj_t BgL_arg1160z00_1002;
{ /* Unsafe/regexp.scm 151 */
obj_t BgL_arg1166z00_1005;
BgL_arg1166z00_1005 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(
bgl_reverse_bang(BgL_rz00_999)); 
{ /* Ieee/number.scm 165 */

BgL_arg1160z00_1002 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg1166z00_1005, 
BINT(((long)10))); } } 
{ /* Unsafe/regexp.scm 151 */
obj_t BgL_list1161z00_1003;
{ /* Unsafe/regexp.scm 151 */
obj_t BgL_arg1165z00_1004;
BgL_arg1165z00_1004 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_998), BNIL); 
BgL_list1161z00_1003 = 
MAKE_YOUNG_PAIR(BgL_arg1160z00_1002, BgL_arg1165z00_1004); } 
return BgL_list1161z00_1003;} }  else 
{ /* Unsafe/regexp.scm 152 */
unsigned char BgL_cz00_1009;
BgL_cz00_1009 = 
STRING_REF(BgL_sz00_29, BgL_iz00_998); 
{ /* Unsafe/regexp.scm 153 */
bool_t BgL_testz00_2248;
{ /* Unsafe/regexp.scm 153 */
bool_t BgL_res1616z00_1552;
BgL_res1616z00_1552 = 
isdigit(BgL_cz00_1009); 
BgL_testz00_2248 = BgL_res1616z00_1552; } 
if(BgL_testz00_2248)
{ /* Unsafe/regexp.scm 154 */
long BgL_arg1172z00_1011;obj_t BgL_arg1174z00_1012;
BgL_arg1172z00_1011 = 
(BgL_iz00_998+((long)1)); 
BgL_arg1174z00_1012 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1009), BgL_rz00_999); 
{ 
obj_t BgL_rz00_2254;long BgL_iz00_2253;
BgL_iz00_2253 = BgL_arg1172z00_1011; 
BgL_rz00_2254 = BgL_arg1174z00_1012; 
BgL_rz00_999 = BgL_rz00_2254; 
BgL_iz00_998 = BgL_iz00_2253; 
goto BgL_zc3anonymousza31157ze3z83_1000;} }  else 
{ /* Unsafe/regexp.scm 155 */
obj_t BgL_arg1175z00_1013;
{ /* Unsafe/regexp.scm 155 */
obj_t BgL_arg1178z00_1016;
BgL_arg1178z00_1016 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(
bgl_reverse_bang(BgL_rz00_999)); 
{ /* Ieee/number.scm 165 */

BgL_arg1175z00_1013 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg1178z00_1016, 
BINT(((long)10))); } } 
{ /* Unsafe/regexp.scm 155 */
obj_t BgL_list1176z00_1014;
{ /* Unsafe/regexp.scm 155 */
obj_t BgL_arg1177z00_1015;
BgL_arg1177z00_1015 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_998), BNIL); 
BgL_list1176z00_1014 = 
MAKE_YOUNG_PAIR(BgL_arg1175z00_1013, BgL_arg1177z00_1015); } 
return BgL_list1176z00_1014;} } } } } }  else 
{ /* Unsafe/regexp.scm 148 */
return BFALSE;} } }  else 
{ /* Unsafe/regexp.scm 146 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* pregexp-list-ref */
obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t BgL_sz00_32, obj_t BgL_iz00_33)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 161 */
{ 
obj_t BgL_sz00_1025;long BgL_kz00_1026;
BgL_sz00_1025 = BgL_sz00_32; 
BgL_kz00_1026 = ((long)0); 
BgL_zc3anonymousza31183ze3z83_1027:
if(
NULLP(BgL_sz00_1025))
{ /* Unsafe/regexp.scm 165 */
return BFALSE;}  else 
{ /* Unsafe/regexp.scm 165 */
if(
(BgL_kz00_1026==
(long)CINT(BgL_iz00_33)))
{ /* Unsafe/regexp.scm 166 */
return 
CAR(
((obj_t)BgL_sz00_1025));}  else 
{ 
long BgL_kz00_2272;obj_t BgL_sz00_2269;
BgL_sz00_2269 = 
CDR(
((obj_t)BgL_sz00_1025)); 
BgL_kz00_2272 = 
(BgL_kz00_1026+((long)1)); 
BgL_kz00_1026 = BgL_kz00_2272; 
BgL_sz00_1025 = BgL_sz00_2269; 
goto BgL_zc3anonymousza31183ze3z83_1027;} } } } 
BGL_FUNCTION_END;
}



/* pregexp-replace-aux */
obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t BgL_strz00_34, obj_t BgL_insz00_35, long BgL_nz00_36, obj_t BgL_backrefsz00_37)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 172 */
{ 
obj_t BgL_iz00_1034;obj_t BgL_rz00_1035;
BgL_iz00_1034 = 
BINT(((long)0)); 
BgL_rz00_1035 = BGl_string1766z00zz__regexpz00; 
BgL_zc3anonymousza31188ze3z83_1036:
if(
(
(long)CINT(BgL_iz00_1034)>=BgL_nz00_36))
{ /* Unsafe/regexp.scm 174 */
return BgL_rz00_1035;}  else 
{ /* Unsafe/regexp.scm 175 */
unsigned char BgL_cz00_1038;
BgL_cz00_1038 = 
STRING_REF(BgL_insz00_35, 
(long)CINT(BgL_iz00_1034)); 
if(
(BgL_cz00_1038==((unsigned char)'\\')))
{ /* Unsafe/regexp.scm 177 */
obj_t BgL_brzd2izd2_1040;
BgL_brzd2izd2_1040 = 
BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(BgL_insz00_35, BgL_iz00_1034, BgL_nz00_36); 
{ /* Unsafe/regexp.scm 177 */
obj_t BgL_brz00_1041;
if(
CBOOL(BgL_brzd2izd2_1040))
{ /* Unsafe/regexp.scm 178 */
BgL_brz00_1041 = 
CAR(
((obj_t)BgL_brzd2izd2_1040)); }  else 
{ /* Unsafe/regexp.scm 178 */
if(
(
STRING_REF(BgL_insz00_35, 
(
(long)CINT(BgL_iz00_1034)+((long)1)))==((unsigned char)'&')))
{ /* Unsafe/regexp.scm 179 */
BgL_brz00_1041 = 
BINT(((long)0)); }  else 
{ /* Unsafe/regexp.scm 179 */
BgL_brz00_1041 = BFALSE; } } 
{ /* Unsafe/regexp.scm 178 */
obj_t BgL_iz00_1042;
if(
CBOOL(BgL_brzd2izd2_1040))
{ /* Unsafe/regexp.scm 181 */
obj_t BgL_pairz00_1585;
BgL_pairz00_1585 = 
CDR(
((obj_t)BgL_brzd2izd2_1040)); 
BgL_iz00_1042 = 
CAR(BgL_pairz00_1585); }  else 
{ /* Unsafe/regexp.scm 181 */
if(
CBOOL(BgL_brz00_1041))
{ /* Unsafe/regexp.scm 182 */
BgL_iz00_1042 = 
ADDFX(BgL_iz00_1034, 
BINT(((long)2))); }  else 
{ /* Unsafe/regexp.scm 182 */
BgL_iz00_1042 = 
ADDFX(BgL_iz00_1034, 
BINT(((long)1))); } } 
{ /* Unsafe/regexp.scm 181 */

if(
CBOOL(BgL_brz00_1041))
{ /* Unsafe/regexp.scm 190 */
obj_t BgL_arg1191z00_1043;
{ /* Unsafe/regexp.scm 190 */
obj_t BgL_backrefz00_1044;
BgL_backrefz00_1044 = 
BGl_pregexpzd2listzd2refz00zz__regexpz00(BgL_backrefsz00_37, BgL_brz00_1041); 
if(
CBOOL(BgL_backrefz00_1044))
{ /* Unsafe/regexp.scm 193 */
obj_t BgL_arg1197z00_1045;
{ /* Unsafe/regexp.scm 193 */
obj_t BgL_arg1200z00_1046;obj_t BgL_arg1201z00_1047;
BgL_arg1200z00_1046 = 
CAR(
((obj_t)BgL_backrefz00_1044)); 
BgL_arg1201z00_1047 = 
CDR(
((obj_t)BgL_backrefz00_1044)); 
BgL_arg1197z00_1045 = 
c_substring(BgL_strz00_34, 
(long)CINT(BgL_arg1200z00_1046), 
(long)CINT(BgL_arg1201z00_1047)); } 
BgL_arg1191z00_1043 = 
string_append(BgL_rz00_1035, BgL_arg1197z00_1045); }  else 
{ /* Unsafe/regexp.scm 191 */
BgL_arg1191z00_1043 = BgL_rz00_1035; } } 
{ 
obj_t BgL_rz00_2317;obj_t BgL_iz00_2316;
BgL_iz00_2316 = BgL_iz00_1042; 
BgL_rz00_2317 = BgL_arg1191z00_1043; 
BgL_rz00_1035 = BgL_rz00_2317; 
BgL_iz00_1034 = BgL_iz00_2316; 
goto BgL_zc3anonymousza31188ze3z83_1036;} }  else 
{ /* Unsafe/regexp.scm 185 */
unsigned char BgL_c2z00_1048;
BgL_c2z00_1048 = 
STRING_REF(BgL_insz00_35, 
(long)CINT(BgL_iz00_1042)); 
{ /* Unsafe/regexp.scm 186 */
long BgL_arg1202z00_1049;obj_t BgL_arg1203z00_1050;
BgL_arg1202z00_1049 = 
(
(long)CINT(BgL_iz00_1042)+((long)1)); 
if(
(BgL_c2z00_1048==((unsigned char)'$')))
{ /* Unsafe/regexp.scm 187 */
BgL_arg1203z00_1050 = BgL_rz00_1035; }  else 
{ /* Unsafe/regexp.scm 188 */
obj_t BgL_arg1206z00_1052;
{ /* Unsafe/regexp.scm 188 */
obj_t BgL_list1207z00_1053;
BgL_list1207z00_1053 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_c2z00_1048), BNIL); 
BgL_arg1206z00_1052 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1207z00_1053); } 
BgL_arg1203z00_1050 = 
string_append(BgL_rz00_1035, BgL_arg1206z00_1052); } 
{ 
obj_t BgL_rz00_2330;obj_t BgL_iz00_2328;
BgL_iz00_2328 = 
BINT(BgL_arg1202z00_1049); 
BgL_rz00_2330 = BgL_arg1203z00_1050; 
BgL_rz00_1035 = BgL_rz00_2330; 
BgL_iz00_1034 = BgL_iz00_2328; 
goto BgL_zc3anonymousza31188ze3z83_1036;} } } } } } }  else 
{ /* Unsafe/regexp.scm 195 */
long BgL_arg1225z00_1059;obj_t BgL_arg1228z00_1060;
BgL_arg1225z00_1059 = 
(
(long)CINT(BgL_iz00_1034)+((long)1)); 
{ /* Unsafe/regexp.scm 195 */
obj_t BgL_arg1229z00_1061;
{ /* Unsafe/regexp.scm 195 */
obj_t BgL_list1230z00_1062;
BgL_list1230z00_1062 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1038), BNIL); 
BgL_arg1229z00_1061 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1230z00_1062); } 
BgL_arg1228z00_1060 = 
string_append(BgL_rz00_1035, BgL_arg1229z00_1061); } 
{ 
obj_t BgL_rz00_2339;obj_t BgL_iz00_2337;
BgL_iz00_2337 = 
BINT(BgL_arg1225z00_1059); 
BgL_rz00_2339 = BgL_arg1228z00_1060; 
BgL_rz00_1035 = BgL_rz00_2339; 
BgL_iz00_1034 = BgL_iz00_2337; 
goto BgL_zc3anonymousza31188ze3z83_1036;} } } } } 
BGL_FUNCTION_END;
}



/* pregexp-split */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t BgL_patz00_38, obj_t BgL_strz00_39)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 200 */
{ /* Unsafe/regexp.scm 202 */
long BgL_nz00_1064;
BgL_nz00_1064 = 
STRING_LENGTH(BgL_strz00_39); 
{ 
obj_t BgL_iz00_1067;obj_t BgL_rz00_1068;bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069;
BgL_iz00_1067 = 
BINT(((long)0)); 
BgL_rz00_1068 = BNIL; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069 = ((bool_t)0); 
BgL_zc3anonymousza31231ze3z83_1070:
if(
(
(long)CINT(BgL_iz00_1067)>=BgL_nz00_1064))
{ /* Unsafe/regexp.scm 204 */
return 
bgl_reverse_bang(BgL_rz00_1068);}  else 
{ /* Unsafe/regexp.scm 205 */
obj_t BgL_g1046z00_1072;
BgL_g1046z00_1072 = 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_38, BgL_strz00_39, BgL_iz00_1067, 
BINT(BgL_nz00_1064)); 
if(
CBOOL(BgL_g1046z00_1072))
{ /* Unsafe/regexp.scm 208 */
obj_t BgL_jkz00_1075;
BgL_jkz00_1075 = 
CAR(
((obj_t)BgL_g1046z00_1072)); 
{ /* Unsafe/regexp.scm 209 */
obj_t BgL_jz00_1076;obj_t BgL_kz00_1077;
BgL_jz00_1076 = 
CAR(
((obj_t)BgL_jkz00_1075)); 
BgL_kz00_1077 = 
CDR(
((obj_t)BgL_jkz00_1075)); 
if(
(
(long)CINT(BgL_jz00_1076)==
(long)CINT(BgL_kz00_1077)))
{ /* Unsafe/regexp.scm 211 */
long BgL_arg1235z00_1079;obj_t BgL_arg1237z00_1080;
BgL_arg1235z00_1079 = 
(
(long)CINT(BgL_kz00_1077)+((long)1)); 
BgL_arg1237z00_1080 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_39, 
(long)CINT(BgL_iz00_1067), 
(
(long)CINT(BgL_jz00_1076)+((long)1))), BgL_rz00_1068); 
{ 
bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2370;obj_t BgL_rz00_2369;obj_t BgL_iz00_2367;
BgL_iz00_2367 = 
BINT(BgL_arg1235z00_1079); 
BgL_rz00_2369 = BgL_arg1237z00_1080; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2370 = ((bool_t)1); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2370; 
BgL_rz00_1068 = BgL_rz00_2369; 
BgL_iz00_1067 = BgL_iz00_2367; 
goto BgL_zc3anonymousza31231ze3z83_1070;} }  else 
{ /* Unsafe/regexp.scm 213 */
bool_t BgL_testz00_2371;
if(
(
(long)CINT(BgL_jz00_1076)==
(long)CINT(BgL_iz00_1067)))
{ /* Unsafe/regexp.scm 213 */
BgL_testz00_2371 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069
; }  else 
{ /* Unsafe/regexp.scm 213 */
BgL_testz00_2371 = ((bool_t)0)
; } 
if(BgL_testz00_2371)
{ 
bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2377;obj_t BgL_iz00_2376;
BgL_iz00_2376 = BgL_kz00_1077; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2377 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2377; 
BgL_iz00_1067 = BgL_iz00_2376; 
goto BgL_zc3anonymousza31231ze3z83_1070;}  else 
{ /* Unsafe/regexp.scm 216 */
obj_t BgL_arg1244z00_1085;
BgL_arg1244z00_1085 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_39, 
(long)CINT(BgL_iz00_1067), 
(long)CINT(BgL_jz00_1076)), BgL_rz00_1068); 
{ 
bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2384;obj_t BgL_rz00_2383;obj_t BgL_iz00_2382;
BgL_iz00_2382 = BgL_kz00_1077; 
BgL_rz00_2383 = BgL_arg1244z00_1085; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2384 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2384; 
BgL_rz00_1068 = BgL_rz00_2383; 
BgL_iz00_1067 = BgL_iz00_2382; 
goto BgL_zc3anonymousza31231ze3z83_1070;} } } } }  else 
{ /* Unsafe/regexp.scm 217 */
obj_t BgL_arg1249z00_1088;
BgL_arg1249z00_1088 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_39, 
(long)CINT(BgL_iz00_1067), BgL_nz00_1064), BgL_rz00_1068); 
{ 
bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2391;obj_t BgL_rz00_2390;obj_t BgL_iz00_2388;
BgL_iz00_2388 = 
BINT(BgL_nz00_1064); 
BgL_rz00_2390 = BgL_arg1249z00_1088; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2391 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1069 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2391; 
BgL_rz00_1068 = BgL_rz00_2390; 
BgL_iz00_1067 = BgL_iz00_2388; 
goto BgL_zc3anonymousza31231ze3z83_1070;} } } } } } 
BGL_FUNCTION_END;
}



/* &pregexp-split */
obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t BgL_envz00_1949, obj_t BgL_patz00_1950, obj_t BgL_strz00_1951)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 200 */
{ /* Unsafe/regexp.scm 202 */
obj_t BgL_auxz00_2393;
if(
STRINGP(BgL_strz00_1951))
{ /* Unsafe/regexp.scm 202 */
BgL_auxz00_2393 = BgL_strz00_1951
; }  else 
{ 
obj_t BgL_auxz00_2396;
BgL_auxz00_2396 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)8475)), BGl_string1767z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_1951); 
FAILURE(BgL_auxz00_2396,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2splitzd2zz__regexpz00(BgL_patz00_1950, BgL_auxz00_2393);} } 
BGL_FUNCTION_END;
}



/* pregexp-replace */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t BgL_patz00_40, obj_t BgL_strz00_41, obj_t BgL_insz00_42)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 222 */
{ /* Unsafe/regexp.scm 223 */
long BgL_nz00_1091;
BgL_nz00_1091 = 
STRING_LENGTH(BgL_strz00_41); 
{ /* Unsafe/regexp.scm 223 */
obj_t BgL_ppz00_1092;
BgL_ppz00_1092 = 
BGl_matchz00zz__regexpz00(BgL_patz00_40, BgL_strz00_41, ((bool_t)0), 
BINT(((long)0)), 
BINT(BgL_nz00_1091)); 
{ /* Unsafe/regexp.scm 224 */

if(
CBOOL(BgL_ppz00_1092))
{ /* Unsafe/regexp.scm 226 */
long BgL_inszd2lenzd2_1093;obj_t BgL_mzd2izd2_1094;obj_t BgL_mzd2nzd2_1095;
BgL_inszd2lenzd2_1093 = 
STRING_LENGTH(BgL_insz00_42); 
{ /* Unsafe/regexp.scm 227 */
obj_t BgL_pairz00_1646;
BgL_pairz00_1646 = 
CAR(
((obj_t)BgL_ppz00_1092)); 
BgL_mzd2izd2_1094 = 
CAR(BgL_pairz00_1646); } 
{ /* Unsafe/regexp.scm 228 */
obj_t BgL_pairz00_1650;
BgL_pairz00_1650 = 
CAR(
((obj_t)BgL_ppz00_1092)); 
BgL_mzd2nzd2_1095 = 
CDR(BgL_pairz00_1650); } 
return 
string_append_3(
c_substring(BgL_strz00_41, ((long)0), 
(long)CINT(BgL_mzd2izd2_1094)), 
BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_41, BgL_insz00_42, BgL_inszd2lenzd2_1093, BgL_ppz00_1092), 
c_substring(BgL_strz00_41, 
(long)CINT(BgL_mzd2nzd2_1095), BgL_nz00_1091));}  else 
{ /* Unsafe/regexp.scm 225 */
return BgL_strz00_41;} } } } } 
BGL_FUNCTION_END;
}



/* &pregexp-replace */
obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t BgL_envz00_1952, obj_t BgL_patz00_1953, obj_t BgL_strz00_1954, obj_t BgL_insz00_1955)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 222 */
{ /* Unsafe/regexp.scm 223 */
obj_t BgL_auxz00_2427;obj_t BgL_auxz00_2420;
if(
STRINGP(BgL_insz00_1955))
{ /* Unsafe/regexp.scm 223 */
BgL_auxz00_2427 = BgL_insz00_1955
; }  else 
{ 
obj_t BgL_auxz00_2430;
BgL_auxz00_2430 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)9291)), BGl_string1768z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_insz00_1955); 
FAILURE(BgL_auxz00_2430,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_1954))
{ /* Unsafe/regexp.scm 223 */
BgL_auxz00_2420 = BgL_strz00_1954
; }  else 
{ 
obj_t BgL_auxz00_2423;
BgL_auxz00_2423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)9291)), BGl_string1768z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_1954); 
FAILURE(BgL_auxz00_2423,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2replacezd2zz__regexpz00(BgL_patz00_1953, BgL_auxz00_2420, BgL_auxz00_2427);} } 
BGL_FUNCTION_END;
}



/* pregexp-replace* */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t BgL_patz00_43, obj_t BgL_strz00_44, obj_t BgL_insz00_45)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 237 */
{ /* Unsafe/regexp.scm 240 */
obj_t BgL_patz00_1099;long BgL_nz00_1100;long BgL_inszd2lenzd2_1101;
if(
STRINGP(BgL_patz00_43))
{ /* Unsafe/regexp.scm 240 */
BgL_patz00_1099 = 
bgl_regcomp(BgL_patz00_43, BNIL); }  else 
{ /* Unsafe/regexp.scm 240 */
BgL_patz00_1099 = BgL_patz00_43; } 
BgL_nz00_1100 = 
STRING_LENGTH(BgL_strz00_44); 
BgL_inszd2lenzd2_1101 = 
STRING_LENGTH(BgL_insz00_45); 
{ 
obj_t BgL_iz00_1103;obj_t BgL_rz00_1104;
BgL_iz00_1103 = 
BINT(((long)0)); 
BgL_rz00_1104 = BGl_string1766z00zz__regexpz00; 
BgL_zc3anonymousza31259ze3z83_1105:
if(
(
(long)CINT(BgL_iz00_1103)>=BgL_nz00_1100))
{ /* Unsafe/regexp.scm 246 */
return BgL_rz00_1104;}  else 
{ /* Unsafe/regexp.scm 247 */
obj_t BgL_ppz00_1107;
BgL_ppz00_1107 = 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1099, BgL_strz00_44, BgL_iz00_1103, 
BINT(BgL_nz00_1100)); 
if(
CBOOL(BgL_ppz00_1107))
{ /* Unsafe/regexp.scm 258 */
obj_t BgL_arg1261z00_1108;obj_t BgL_arg1262z00_1109;
{ /* Unsafe/regexp.scm 258 */
obj_t BgL_pairz00_1670;
BgL_pairz00_1670 = 
CAR(
((obj_t)BgL_ppz00_1107)); 
BgL_arg1261z00_1108 = 
CDR(BgL_pairz00_1670); } 
{ /* Unsafe/regexp.scm 261 */
obj_t BgL_arg1265z00_1110;obj_t BgL_arg1268z00_1111;
{ /* Unsafe/regexp.scm 261 */
obj_t BgL_arg1269z00_1112;
{ /* Unsafe/regexp.scm 261 */
obj_t BgL_pairz00_1674;
BgL_pairz00_1674 = 
CAR(
((obj_t)BgL_ppz00_1107)); 
BgL_arg1269z00_1112 = 
CAR(BgL_pairz00_1674); } 
BgL_arg1265z00_1110 = 
c_substring(BgL_strz00_44, 
(long)CINT(BgL_iz00_1103), 
(long)CINT(BgL_arg1269z00_1112)); } 
BgL_arg1268z00_1111 = 
BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_44, BgL_insz00_45, BgL_inszd2lenzd2_1101, BgL_ppz00_1107); 
BgL_arg1262z00_1109 = 
string_append_3(BgL_rz00_1104, BgL_arg1265z00_1110, BgL_arg1268z00_1111); } 
{ 
obj_t BgL_rz00_2459;obj_t BgL_iz00_2458;
BgL_iz00_2458 = BgL_arg1261z00_1108; 
BgL_rz00_2459 = BgL_arg1262z00_1109; 
BgL_rz00_1104 = BgL_rz00_2459; 
BgL_iz00_1103 = BgL_iz00_2458; 
goto BgL_zc3anonymousza31259ze3z83_1105;} }  else 
{ /* Unsafe/regexp.scm 248 */
if(
(
(long)CINT(BgL_iz00_1103)==((long)0)))
{ /* Unsafe/regexp.scm 249 */
return BgL_strz00_44;}  else 
{ /* Unsafe/regexp.scm 249 */
return 
string_append(BgL_rz00_1104, 
c_substring(BgL_strz00_44, 
(long)CINT(BgL_iz00_1103), BgL_nz00_1100));} } } } } } 
BGL_FUNCTION_END;
}



/* &pregexp-replace* */
obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t BgL_envz00_1956, obj_t BgL_patz00_1957, obj_t BgL_strz00_1958, obj_t BgL_insz00_1959)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 237 */
{ /* Unsafe/regexp.scm 240 */
obj_t BgL_auxz00_2474;obj_t BgL_auxz00_2467;
if(
STRINGP(BgL_insz00_1959))
{ /* Unsafe/regexp.scm 240 */
BgL_auxz00_2474 = BgL_insz00_1959
; }  else 
{ 
obj_t BgL_auxz00_2477;
BgL_auxz00_2477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)9915)), BGl_string1769z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_insz00_1959); 
FAILURE(BgL_auxz00_2477,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_1958))
{ /* Unsafe/regexp.scm 240 */
BgL_auxz00_2467 = BgL_strz00_1958
; }  else 
{ 
obj_t BgL_auxz00_2470;
BgL_auxz00_2470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)9915)), BGl_string1769z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_strz00_1958); 
FAILURE(BgL_auxz00_2470,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BgL_patz00_1957, BgL_auxz00_2467, BgL_auxz00_2474);} } 
BGL_FUNCTION_END;
}



/* pregexp-quote */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t BgL_sz00_46)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 267 */
{ /* Unsafe/regexp.scm 268 */
long BgL_g1048z00_1118;
BgL_g1048z00_1118 = 
(
STRING_LENGTH(BgL_sz00_46)-((long)1)); 
{ 
long BgL_iz00_1121;obj_t BgL_rz00_1122;
BgL_iz00_1121 = BgL_g1048z00_1118; 
BgL_rz00_1122 = BNIL; 
BgL_zc3anonymousza31277ze3z83_1123:
if(
(BgL_iz00_1121<((long)0)))
{ /* Unsafe/regexp.scm 269 */
return 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_rz00_1122);}  else 
{ /* Unsafe/regexp.scm 271 */
long BgL_arg1280z00_1125;obj_t BgL_arg1281z00_1126;
BgL_arg1280z00_1125 = 
(BgL_iz00_1121-((long)1)); 
{ /* Unsafe/regexp.scm 272 */
unsigned char BgL_cz00_1127;
BgL_cz00_1127 = 
STRING_REF(BgL_sz00_46, BgL_iz00_1121); 
if(
CBOOL(
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(BgL_cz00_1127), BGl_list1770z00zz__regexpz00)))
{ /* Unsafe/regexp.scm 275 */
obj_t BgL_arg1288z00_1129;
BgL_arg1288z00_1129 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1127), BgL_rz00_1122); 
BgL_arg1281z00_1126 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'\\')), BgL_arg1288z00_1129); }  else 
{ /* Unsafe/regexp.scm 273 */
BgL_arg1281z00_1126 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1127), BgL_rz00_1122); } } 
{ 
obj_t BgL_rz00_2500;long BgL_iz00_2499;
BgL_iz00_2499 = BgL_arg1280z00_1125; 
BgL_rz00_2500 = BgL_arg1281z00_1126; 
BgL_rz00_1122 = BgL_rz00_2500; 
BgL_iz00_1121 = BgL_iz00_2499; 
goto BgL_zc3anonymousza31277ze3z83_1123;} } } } } 
BGL_FUNCTION_END;
}



/* &pregexp-quote */
obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t BgL_envz00_1960, obj_t BgL_sz00_1961)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 267 */
{ /* Unsafe/regexp.scm 268 */
obj_t BgL_auxz00_2501;
if(
STRINGP(BgL_sz00_1961))
{ /* Unsafe/regexp.scm 268 */
BgL_auxz00_2501 = BgL_sz00_1961
; }  else 
{ 
obj_t BgL_auxz00_2504;
BgL_auxz00_2504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1756z00zz__regexpz00, 
BINT(((long)10876)), BGl_string1771z00zz__regexpz00, BGl_string1760z00zz__regexpz00, BgL_sz00_1961); 
FAILURE(BgL_auxz00_2504,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2quotezd2zz__regexpz00(BgL_auxz00_2501);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/regexp.scm 16 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1772z00zz__regexpz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
